// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 67);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Router = undefined;

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 * 路由模块
 */

var approuter = weex.requireModule("router");
var routerScheme = 'zhier';
var routerWexxHost = "jspage";


function combinePrams(uri, params) {
    if (!params) {
        return uri;
    }
    var url = uri;
    // 参数拼接
    var parasmsStr = '';
    for (var key in params) {
        parasmsStr = key + '=' + params[key] + (parasmsStr ? '&' + parasmsStr : parasmsStr);
    }
    url = _StringUtil.StringUtils.contains(url, '?') ? url + '&' + parasmsStr : url + '?' + parasmsStr;
    return url;
}

var Router = exports.Router = {

    /**
     * uri 路由
     * @param {*} uri 
     */
    uriRouter: function uriRouter(uri, params) {
        if (!uri || !approuter) {
            return;
        }
        var newUri = !params ? uri : combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * uri 路由，附带参数
     * @param {*} uri 
     * @param {*} params 
     */
    uriRouterWithParams: function uriRouterWithParams(uri, params) {
        if (!uri) {
            return;
        }
        var newUri = combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * name 路由
     * @param {*} host 
     * @param {*} params
     */
    hostRouter: function hostRouter(host, params) {
        if (!host) {
            return;
        }
        var uri = routerScheme + "://" + host;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    },

    /**
     * 跳转到 weex 页面
     * @param {t} params 
     */
    weexRouter: function weexRouter(params) {
        var uri = routerScheme + "://" + routerWexxHost;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    }
};

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/*
    created by Justin.Wang
 */
var Env = exports.Env = {
    isWeb: function isWeb() {
        var platform = weex.config.env.platform;

        return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
        var deviceHeight = weex.config.env.deviceHeight;

        if (Utils.env.isWeb()) {
            return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) !== undefined && window.screen && window.screen.width && window.screen.height && (parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812 || parseInt(window.screen.width, 10) === 414 && parseInt(window.screen.height, 10) === 896);
        }
        return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight == 1792);
    },
    isAndroid: function isAndroid() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'android';
    },


    /**
     * 当currVer小于promoteVer,返回true, 否则为false
     * @returns {boolean}
     */
    compareVersion: function compareVersion() {
        var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
        var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

        if (currVer === promoteVer) return true;
        var currVerArr = currVer.split('.');
        var promoteVerArr = promoteVer.split('.');
        var len = Math.max(currVerArr.length, promoteVerArr.length);
        for (var i = 0; i < len; i++) {
            var proVal = ~~promoteVerArr[i];
            var curVal = ~~currVerArr[i];
            if (proVal < curVal) {
                return false;
            } else if (proVal > curVal) {
                return true;
            }
        }
        return false;
    },
    isAppVersionGreaterAndEqualThan: function isAppVersionGreaterAndEqualThan(version) {
        var appVersion = weex.config.env.appVersion;

        var isGreaterAndEqual = this.compareVersion(version, appVersion);
        return isGreaterAndEqual;
    }
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(10)

/* template */
var __vue_template__ = __webpack_require__(11)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/LazyImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Page = undefined;

var _env = __webpack_require__(1);

/**
 * created by xupx
 * on 2019-04-25
 */
var page = weex.requireModule("page");
var Page = exports.Page = {
    reload: function reload() {
        if (page) {
            page.reload();
        }
    },
    loadEmpty: function loadEmpty() {
        if (page != null) {
            page.loadEmpty();
        }
    },
    loadSuccess: function loadSuccess() {
        if (page) {
            page.loadSuccess();
        }
    },
    loadFail: function loadFail() {
        if (page) {
            page.loadFail();
        }
    },
    showProcess: function showProcess() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        if (page) {
            page.showProcess(mode);
        }
    },
    hideProcess: function hideProcess() {
        if (page) {
            page.hideProcess();
        }
    },
    toast: function toast(msg) {
        if (page) {
            page.toast(msg);
        }
    },
    disablePop: function disablePop(disabled) {
        if (_env.Env.isAndroid()) {
            return;
        }
        if (page) {
            page.disablePop(disabled);
        }
    },
    finish: function finish(result) {
        if (page) {
            page.finish(result);
        }
    },
    showLoading: function showLoading() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
        var needShow = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        if (!page) {
            return;
        }
        if (_env.Env.isIOS() || needShow) {
            page.showProcess(mode);
        }
    },

    /**
     * 原生页面，生命周期回调
     * 页面可见 resume
     * 页面不可 pause
     */
    lifecycle: function lifecycle(callback) {
        if (page) {
            page.lifecycle(callback);
        }
    }
};

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * created by Justin.Wang
 */
var trackModule = weex.requireModule("track");
var Track = exports.Track = {
  /**
   * track event
   * @param {*} eventId 
   * @param {*} params 
   */
  sendEvent: function sendEvent(eventId) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!eventId) {
      return;
    }
    trackModule.sendEvent(eventId, params);
  },


  /**
   * track page
   * @param {*} name 
   * @param {*} params 
   */
  sendPage: function sendPage(name) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!name) {
      return;
    }
    trackModule.sendPage(name, params);
  }
};

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.HttpClient = undefined;

var _AppConfig = __webpack_require__(9);

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 */

var http = weex.requireModule("http");
var HttpClient = exports.HttpClient = {

    /**
     * 发送网络请求
     * @param {*} path 
     * @param {*} params 
     * @param {*} method 
     * @param {*} cache , {type: 'hours', time: 3}
     * @param {*} callback 
     */
    send: function send(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "POST";
        var cache = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
        var callback = arguments[4];

        if (!http) {
            return;
        }
        // const url = NetConfig.host + path;
        params = params || {};
        params.weexVer = _AppConfig.CommonBase.weexVer;

        this.getApi(path, function (url) {
            var mtd = !method ? _AppConfig.NetConfig.method : method;
            // 执行网络请求 
            http.send(url, params, mtd, cache, function (responseData) {
                var response = {
                    state: responseData.code == _AppConfig.NetConfig.successCode,
                    code: responseData.code,
                    data: responseData.data,
                    msg: responseData.msg
                };
                // 回调
                if (callback) {
                    callback(response);
                }
            });
        });
    },


    /**
     * 发送网路请求，带缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} cache 
     * @param {*} callback 
     */
    sendHasCache: function sendHasCache(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var cache = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        this.send(path, params, "", cache, callback);
    },


    /**
     * 发送网路请求, 无缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} callback 
     */
    sendNoCache: function sendNoCache(path, params, callback) {
        this.send(path, params, "", {}, callback);
    },


    /**
     * 无参数网络请求
     * @param {*} path 
     * @param {*} callback 
     */
    sendSimple: function sendSimple(path, callback) {
        this.send(path, {}, "", {}, callback);
    },


    /**
     * 上传文件
     * @param {*} path 
     * @param {*} localFile 
     * @param {*} params 
     * @param {*} callback 
     */
    sendFile: function sendFile(path, localFile) {
        var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        var url = _AppConfig.NetConfig.host + path;
        // 执行网络请求 
        http.sendFile(url, params, localFile, function (responseData) {
            var response = {
                state: responseData.code == _AppConfig.NetConfig.successCode,
                code: responseData.code,
                data: responseData.data,
                msg: responseData.msg
            };
            // 回调
            if (callback && typeof callback == 'function') {
                callback(response);
            }
        });
    },


    /**
     * 获取api
     * @param {*} path 
     * @param {*} callback 
     */
    getApi: function getApi(path, callback) {
        if (!path || !callback) {
            return;
        }
        var isSearch = _StringUtil.StringUtils.startWith(path, "/v4.7.0");
        if (!isSearch) {
            callback(_AppConfig.NetConfig.host + path);
        } else {
            this.getSearchHost(function (host) {
                callback(host + path);
            });
        }
    },


    /**
     * 获取 search 域名
     */
    getSearchHost: function getSearchHost(callback) {
        http.getSearchHost(callback);
    },


    /**
     * 请求 方法
     */
    method: {
        post: "POST",
        get: "GET"
    },

    /**
     * 缓存类型
     */
    cacheType: {
        seconds: "seconds",
        minutes: "minutes",
        hours: "hours",
        days: "days"
    }

};

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by Justin.Wang
 */
var Factory = exports.Factory = {
    getProductParams: function getProductParams(pro) {
        var params = {};
        if (pro) {
            params.CommodityID = pro.id;
            params.CommoditySku = pro.sku;
            params.CommodityName = pro.name;
            if (pro.brandType) {
                params.BrandType = pro.brandType;
            } else if (pro.bandType) {
                params.BrandType = pro.bandType;
            }
            params.Brand = pro.brand;
            params.TopCategory = pro.categoryOne;
            params.SecondCategory = pro.categoryTwo;
            params.ThirdCategory = pro.categoryThree;
            if (typeof pro.modifyType == "number" || typeof pro.modifyType == "string") {
                if (pro.modifyType == -1) {
                    params.Type = "非平台定价";
                } else if (pro.modifyType == 0) {
                    params.Type = "系统平台定价";
                } else if (pro.modifyType == 1) {
                    params.Type = "人工平台定价";
                }
            }
            if (typeof pro.coefficient == "number") {
                params.Coefficient = pro.coefficient.toFixed(2) + '';
            }
            if (typeof pro.ifReasonable == "number" || typeof pro.ifReasonable == "string") {
                params.IfReasonable = pro.ifReasonable == 1 ? "是" : "否";
            }
            if (typeof pro.ifAllowance == "number" || typeof pro.ifAllowance == "string") {
                params.IfAllowance = pro.ifAllowance == 1 ? "是" : "否";
            }
            if (typeof pro.modifyBasePrice == "number") {
                params.BasePrice = pro.modifyBasePrice.toFixed(2) + '';
            }
        }
        return params;
    }
};

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * 配置 js
 */

// 基础公共配置
var CommonBase = {
    debug: weex.config.env.isDebug,
    weexVer: '0.1.6'

    // host配置
};var NetConfig = {
    host: weex.config.env.host,
    method: 'POST',
    successCode: 100000

    // 分页配置
};var PageSize = {
    startIndex: 0,
    size: 20
};

exports.CommonBase = CommonBase;
exports.NetConfig = NetConfig;
exports.PageSize = PageSize;

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _stringutil = __webpack_require__(8);

exports.default = {
   props: {
      src: {
         type: String,
         default: ""
      },
      sizeType: { // 小图片：s 中图片：m 大图片 l
         type: String,
         default: "s"
      },
      width: {
         type: [String, Number],
         default: 0
      },
      height: {
         type: [String, Number],
         default: 0
      },
      resize: {
         type: String,
         default: 'cover'
      },
      placeholder: {
         type: String,
         default: ''
      },
      lazyLoad: { //是否开启懒加载
         type: Boolean,
         default: false
      }
   },

   data: function data() {
      return {
         show: false,
         loadSuccess: false,
         timer: null,
         random: 0
      };
   },

   computed: {
      url: function url() {
         if (this.lazyLoad && !this.show) {
            return "";
         }
         if (_stringutil.StringUtils.isEmpty(this.src)) {
            return "";
         }
         if (this.src.includes("?size") || this.src.includes("://")) {
            return this.src;
         }
         var url = this.src + "?size=" + this.sizeType;
         if (this.random > 0) {
            url = url + "&random=" + this.random;
         }
         return url;
      }
   },
   watch: {
      src: function src(newValue, oldValue) {
         this.loadSuccess = false;
         this.random = 0;
         if (newValue != oldValue) {
            this.clearTimer();
         }
      }
   },
   destroyed: function destroyed() {
      this.clearTimer();
   },

   methods: {
      onImageLoad: function onImageLoad(event) {
         var _this = this;

         this.clearTimer();
         if (event && event.success) {
            this.loadSuccess = true;
         } else {
            if (this.random > 3) {
               return;
            }
            this.timer = setTimeout(function () {
               _this.random++;
            }, 3000 * (this.random + 1));
         }
      },
      appear: function appear(e) {
         if (this.loadSuccess) {
            return;
         }
         this.show = true;
      },
      clearTimer: function clearTimer() {
         if (this.timer) {
            clearTimeout(this.timer);
         }
      }
   }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('image', {
    ref: "image",
    staticClass: ["lazy-image"],
    style: {
      width: _vm.width,
      height: _vm.height
    },
    attrs: {
      "src": _vm.url,
      "placeholder": _vm.placeholder,
      "resize": _vm.resize
    },
    on: {
      "load": _vm.onImageLoad,
      "appear": _vm.appear
    }
  })
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(13)
)

/* script */
__vue_exports__ = __webpack_require__(14)

/* template */
var __vue_template__ = __webpack_require__(16)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/TitleBar.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3f68fd4b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 13 */
/***/ (function(module, exports) {

module.exports = {
  "bar": {
    "backgroundColor": "#FFFFFF"
  },
  "title-bar": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center"
  },
  "left": {
    "width": "180",
    "paddingLeft": "32",
    "justifyContent": "center"
  },
  "left-button": {
    "width": "40",
    "height": "40"
  },
  "middle-title": {
    "fontSize": "36",
    "color": "#000000",
    "height": "36",
    "lineHeight": "34"
  },
  "right": {
    "width": "180",
    "paddingRight": "32",
    "alignItems": "flex-end",
    "justifyContent": "center"
  }
}

/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Page = __webpack_require__(3);

var _env = __webpack_require__(1);

var _System = __webpack_require__(15);

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    title: {
      type: String,
      default: ''
    },
    rightButtonImage: {
      type: String
    },
    rightHeight: {
      type: Number
    },
    rightWidth: {
      type: Number
    },
    needStatusBar: { //适配android
      type: Boolean,
      default: false
    },
    backgroundColor: {
      type: String,
      default: 'white'
    },
    statusBarLight: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    statusBarStyle: function statusBarStyle() {
      return {
        height: weex.config.env.statusHeight + 'px',
        backgroundColor: !this.isOppoOrVivoV5 ? this.backgroundColor : '#000000'
      };
    },
    navHeight: function navHeight() {
      return weex.config.env.navHeight + 'px';
    },
    navBarStyle: function navBarStyle() {
      return {
        height: weex.config.env.navHeight + 'px'
      };
    },
    rightButtonStyle: function rightButtonStyle() {
      return {
        width: this.rightWidth + 'px',
        height: this.rightHeight + 'px'
      };
    },
    showStatusBar: function showStatusBar() {
      // if (Env.isAndroid() && !this.needStatusBar) {
      //    return false
      // }
      return true;
    },
    statusBar: function statusBar() {
      if (_System.System) {
        _System.System.setStatusBarStyle(this.statusBarLight);
      }
    }
  },
  methods: {
    leftButtonClicked: function leftButtonClicked() {
      _Page.Page.finish();
      this.$emit("finish", {});
    },
    rightButtonClicked: function rightButtonClicked() {
      if (this.rightButtonImage || this.$slots && this.$slots.right) {
        this.$emit("rightClicked", {});
      }
    }
  },
  created: function created() {
    var _this = this;

    if (_System.System) {
      _System.System.isVivoOrOppoV5(function (isOppoOrVivoV5) {
        _this.isOppoOrVivoV5 = isOppoOrVivoV5;
      });
      _System.System.setStatusBarStyle(this.statusBarLight);
    }
  },
  data: function data() {
    return {
      isOppoOrVivoV5: false
    };
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var system = weex.requireModule("system");

var System = exports.System = {
    setStatusBarStyle: function setStatusBarStyle(light) {
        if (system) {
            system.setStatusBarStyle(light);
        }
    },
    isVivoOrOppoV5: function isVivoOrOppoV5(callback) {
        if (!callback) {
            return;
        }
        if (system) {
            var platform = weex.config.env.platform;

            if (platform.toLowerCase() === 'android') {
                system.isVivoOrOppoV5(callback);
            } else {
                callback(false);
            }
        } else {
            callback(false);
        }
    }
};

/***/ }),
/* 16 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["bar"],
    style: {
      backgroundColor: _vm.backgroundColor
    }
  }, [(_vm.showStatusBar) ? _c('div', {
    staticClass: ["status-bar"],
    style: _vm.statusBarStyle
  }) : _vm._e(), _c('div', {
    staticClass: ["title-bar"],
    style: _vm.navBarStyle
  }, [_c('div', {
    staticClass: ["left"],
    style: {
      height: _vm.navHeight
    },
    on: {
      "click": _vm.leftButtonClicked
    }
  }, [_c('image', {
    staticClass: ["left-button"],
    attrs: {
      "src": "res://weex_return",
      "resize": "cover"
    }
  })]), _c('text', {
    staticClass: ["middle-title"]
  }, [_vm._v(_vm._s(_vm.title))]), _c('div', {
    staticClass: ["right"],
    style: {
      height: _vm.navHeight
    },
    on: {
      "click": _vm.rightButtonClicked
    }
  }, [_vm._t("right", [(_vm.rightButtonImage) ? _c('image', {
    style: _vm.rightButtonStyle,
    attrs: {
      "src": _vm.rightButtonImage
    }
  }) : _vm._e()])], 2)])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 17 */,
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(20)
)

/* script */
__vue_exports__ = __webpack_require__(21)

/* template */
var __vue_template__ = __webpack_require__(22)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/SplitWords.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-34b19a5f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 19 */,
/* 20 */
/***/ (function(module, exports) {

module.exports = {
  "words": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "word": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "line": {
    "fontWeight": "400",
    "transform": "rotate(30deg)"
  },
  "w": {
    "fontWeight": "800"
  }
}

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String,
        linecolor: {
            type: String,
            default: '#A1887F'
        },
        color: {
            type: String,
            default: '#333'
        },
        textSize: {
            type: Number,
            default: 28
        },
        lineLength: {
            type: Number,
            default: 24
        },
        lineMargin: {
            type: Number,
            default: 7
        },
        maxWords: {
            type: Number,
            default: 0
        },
        lineOpacity: {
            type: Number,
            default: 1
        }
    },
    methods: {
        splitWorlds: function splitWorlds(this_) {
            var that = this_ || this;
            if (!that.text) {
                return;
            }
            var words = that.text.split('');
            if (that.maxWords <= 0 || words.length <= that.maxWords) {
                that.words = words;
            } else {
                that.words = words.slice(0, that.maxWords);
            }
        }
    },
    data: function data() {
        return {
            words: []
        };
    },
    created: function created() {
        this.$options.methods.splitWorlds(this);
    },

    watch: {
        text: function text(newValue, oldValue) {
            this.$options.methods.splitWorlds(this);
        }
    }
};

/***/ }),
/* 22 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["words"]
  }, _vm._l((_vm.words), function(w, index) {
    return _c('div', {
      key: index,
      staticClass: ["word"]
    }, [(index != 0) ? _c('text', {
      staticClass: ["line"],
      style: {
        'color': _vm.linecolor,
        'font-size': _vm.lineLength,
        'margin': _vm.lineMargin,
        'opacity': _vm.lineOpacity
      }
    }, [_vm._v("|")]) : _vm._e(), _c('text', {
      staticClass: ["w"],
      style: {
        'color': _vm.color,
        'font-size': _vm.textSize
      }
    }, [_vm._v(_vm._s(w))])])
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(24)
)

/* script */
__vue_exports__ = __webpack_require__(25)

/* template */
var __vue_template__ = __webpack_require__(26)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/TabLayout.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5ca5339f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 24 */
/***/ (function(module, exports) {

module.exports = {
  "scoller": {
    "flexDirection": "row",
    "backgroundColor": "#FFFFFF"
  },
  "scroller-item": {
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "scoller-item-underline": {
    "backgroundColor": "#f37e52",
    "width": "56",
    "height": "4"
  }
}

/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _env = __webpack_require__(1);

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule("dom") || {};
exports.default = {
  props: {
    items: {
      type: Array,
      default: []
    },
    currentIndex: {
      type: Number,
      default: 0
    },
    haveUnderline: {
      type: Boolean,
      default: false
    },
    selectedTitleColor: {
      type: String,
      default: "#333333"
    },
    unselectedTitleColor: {
      type: String,
      default: "#999999"
    },
    selectedTitleFontSize: {
      type: Number,
      default: 36
    },
    unselectedTitleFontSize: {
      type: Number,
      default: 30
    },
    selectedFontWeight: {
      type: String,
      default: "bold"
    },
    unselectedFontWeight: {
      type: String,
      default: "Medium"
    },
    selectedFontFamily: {
      type: String,
      default: ""
    },
    unselectedFontFamily: {
      type: String,
      default: ""
    },
    itemSpace: {
      type: Number,
      default: 48
    },
    insetLeft: {
      type: Number,
      default: 48
    },
    insetRight: {
      type: Number,
      default: 48
    },
    height: {
      type: Number,
      default: 112
    },
    backgroundColor: {
      type: String,
      default: "white"
    }
  },
  data: function data() {
    return {
      timer: null,
      isMultiPage: true
    };
  },
  mounted: function mounted() {
    var _this = this;

    setTimeout(function () {
      dom.getComponentRect(_this.$refs[_this.itemPreRef() + (_this.items.length - 1)][0], function (res) {
        if (res.result) {
          _this.isMultiPage = res.size.right > 750;
        }
      });
    }, 2000);
  },

  methods: {
    itemClicked: function itemClicked(index) {
      this.$emit("itemClick", { currentIndex: index });
      if (this.currentIndex == index) {
        return;
      }
      this.scrollToIndex(index);
    },
    setIndex: function setIndex(index) {
      if (this.currentIndex == index) {
        return;
      }
      this.updateIndex(index);
    },
    updateIndex: function updateIndex(index) {
      var _this2 = this;

      if (_env.Env.isAndroid()) {
        clearTimeout(this.timer);
        this.timer = setTimeout(function () {
          _this2.scrollToIndex(index);
        }, 500);
      } else {
        this.scrollToIndex(index);
      }
    },
    scrollToIndex: function scrollToIndex(index) {
      this.currentIndex = index;
      if (!this.isMultiPage) {
        return;
      }
      var toIndex = 0;
      if (index > 2) {
        toIndex = index - 2;
      }
      dom.scrollToElement(this.$refs[this.itemPreRef() + toIndex][0], {
        offset: 0,
        animated: true
      });
    },
    itemStyleObject: function itemStyleObject(index) {
      return {
        paddingRight: (index != this.items.length - 1 ? this.itemSpace : this.insetRight) + "px",
        paddingLeft: (index == 0 ? this.insetLeft : 0) + "px"
      };
    },
    itemTextStyleObject: function itemTextStyleObject(index) {
      var isCurrent = index == this.currentIndex;
      return {
        fontSize: (isCurrent ? this.selectedTitleFontSize : this.unselectedTitleFontSize) + "px",
        color: isCurrent ? this.selectedTitleColor : this.unselectedTitleColor,
        fontWeight: isCurrent ? this.selectedFontWeight : this.unselectedFontWeight,
        fontFamily: isCurrent ? this.selectedFontFamily : this.unselectedFontFamily
      };
    },
    itemPreRef: function itemPreRef() {
      return "tab-layout-item";
    }
  }
};

/***/ }),
/* 26 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.items && _vm.items.length > 0) ? _c('div', {
    staticClass: ["scoller-container"],
    style: {
      height: _vm.height + 'px'
    }
  }, [_c('scroller', {
    staticClass: ["scoller"],
    style: {
      backgroundColor: _vm.backgroundColor
    },
    attrs: {
      "scrollDirection": "horizontal",
      "showScrollbar": "false"
    }
  }, _vm._l((_vm.items), function(name, index) {
    return _c('div', {
      key: index,
      ref: _vm.itemPreRef() + index,
      refInFor: true,
      staticClass: ["scroller-item"],
      style: _vm.itemStyleObject(index),
      on: {
        "click": function($event) {
          _vm.itemClicked(index)
        },
        "appear": _vm.lastItemAppear
      }
    }, [_c('text', {
      style: _vm.itemTextStyleObject(index)
    }, [_vm._v(_vm._s(name))]), (_vm.haveUnderline) ? _c('div', {
      staticClass: ["scoller-item-underline"],
      style: {
        visibility: (_vm.currentIndex == index) ? 'visible' : 'hidden'
      }
    }) : _vm._e()])
  }))]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * 基础分享 模块
 */

var _share = weex.requireModule("share");

var Share = exports.Share = {

    /**
     * 基础分享方法
     * @param {*} params 类似于之前的h5 Bridge分享参数
     * @param {*} callback 回调
     */
    share: function share(params, callback) {
        if (!_share || !params) {
            return;
        }
        _share.share(params, callback);
    },


    /**
     * 分享扩展，业务相关
     * @param {*} bizType 业务类型
     * @param {*} params  业务参数
     * @param {*} callback 回调
     */
    shareExtension: function shareExtension(bizType, params, callback) {
        if (!bizType || !params || !_share) {
            return;
        }
        _share.shareExtension(bizType, params, callback);
    }
};

/***/ }),
/* 28 */,
/* 29 */,
/* 30 */,
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.BrandPavilionTrack = undefined;

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

/** 
 *   created by Justin.Wang 
 **/
var BrandPavilionTrack = exports.BrandPavilionTrack = {
    sendHallBrandClickEvent: function sendHallBrandClickEvent(moduleName, brandName) {
        _Track.Track.sendEvent("HallBrandClick", { Module: moduleName, Brand: brandName });
    },
    sendHallCommodityClickEvent: function sendHallCommodityClickEvent(rank, product) {
        var params = _Factory.Factory.getProductParams(product);
        params.Rank = rank + '';
        _Track.Track.sendEvent("HallCommodityClick", params);
    }
};

/***/ }),
/* 32 */,
/* 33 */,
/* 34 */,
/* 35 */,
/* 36 */,
/* 37 */,
/* 38 */,
/* 39 */,
/* 40 */,
/* 41 */,
/* 42 */,
/* 43 */,
/* 44 */,
/* 45 */,
/* 46 */,
/* 47 */,
/* 48 */,
/* 49 */,
/* 50 */,
/* 51 */,
/* 52 */,
/* 53 */,
/* 54 */,
/* 55 */,
/* 56 */,
/* 57 */,
/* 58 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(78)
)

/* script */
__vue_exports__ = __webpack_require__(79)

/* template */
var __vue_template__ = __webpack_require__(84)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/components/ThreeProduct.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-732e620b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 59 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(85)
)

/* script */
__vue_exports__ = __webpack_require__(86)

/* template */
var __vue_template__ = __webpack_require__(90)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/components/BrandDetail.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0add0e8e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 60 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(87)
)

/* script */
__vue_exports__ = __webpack_require__(88)

/* template */
var __vue_template__ = __webpack_require__(89)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/SeeMore.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4f60d848"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 61 */,
/* 62 */,
/* 63 */,
/* 64 */,
/* 65 */,
/* 66 */,
/* 67 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _BrandPavilionPage = __webpack_require__(68);

var _BrandPavilionPage2 = _interopRequireDefault(_BrandPavilionPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_BrandPavilionPage2.default.el = '#root';
new Vue(_BrandPavilionPage2.default);

/***/ }),
/* 68 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(69)
)

/* script */
__vue_exports__ = __webpack_require__(70)

/* template */
var __vue_template__ = __webpack_require__(120)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/BrandPavilionPage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-50c155d2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 69 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "rgb(253,245,238)"
  },
  "split-words": {
    "marginTop": "100",
    "marginBottom": "64"
  },
  "tab-layout": {
    "position": "sticky"
  },
  "brand-floor-wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "brand-floor-separator": {
    "height": "16",
    "backgroundColor": "rgb(245,245,245)",
    "marginTop": "32"
  },
  "line": {
    "height": "2",
    "backgroundColor": "#f4f4f4"
  },
  "all-button-wrap": {
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center",
    "paddingTop": "64",
    "paddingRight": "0",
    "paddingBottom": "64",
    "paddingLeft": "0",
    "backgroundColor": "#FFFFFF"
  },
  "all-button": {
    "display": "inline-block",
    "backgroundColor": "#333333",
    "width": "274",
    "height": "72",
    "borderRadius": 50,
    "color": "#FFFFFF",
    "textAlign": "center",
    "lineHeight": "72",
    "fontSize": "28",
    "fontFamily": "PingFangSC",
    "fontWeight": "400"
  },
  "bottom-wrap": {
    "paddingLeft": "48",
    "paddingRight": "48",
    "backgroundColor": "#FFFFFF"
  }
}

/***/ }),
/* 70 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _TitleBar = __webpack_require__(12);

var _TitleBar2 = _interopRequireDefault(_TitleBar);

var _TabLayout = __webpack_require__(23);

var _TabLayout2 = _interopRequireDefault(_TabLayout);

var _SplitWords = __webpack_require__(18);

var _SplitWords2 = _interopRequireDefault(_SplitWords);

var _TopBrand = __webpack_require__(71);

var _TopBrand2 = _interopRequireDefault(_TopBrand);

var _HotBrand = __webpack_require__(92);

var _HotBrand2 = _interopRequireDefault(_HotBrand);

var _FloorBrand = __webpack_require__(100);

var _FloorBrand2 = _interopRequireDefault(_FloorBrand);

var _Page = __webpack_require__(3);

var _HttpClient = __webpack_require__(6);

var _Share = __webpack_require__(27);

var _Router = __webpack_require__(0);

var _env = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dom = weex.requireModule("dom"); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  data: function data() {
    return {
      response: null,
      currentIndex: 0,
      scrollEnable: true
    };
  },

  components: {
    TitleBar: _TitleBar2.default,
    TabLayout: _TabLayout2.default,
    SplitWords: _SplitWords2.default,
    TopBrand: _TopBrand2.default,
    HotBrand: _HotBrand2.default,
    FloorBrand: _FloorBrand2.default
  },
  created: function created() {
    var _this = this;

    _Page.Page.loadSuccess();
    _Page.Page.showProcess(false);
    _HttpClient.HttpClient.sendNoCache("/brand/museum", {
      brandId: weex.config.id
    }, function (resp) {
      if (resp.state) {
        _Page.Page.loadSuccess();
        _this.response = resp.data;
      } else {
        _Page.Page.loadFail();
        _Page.Page.toast(resp.msg);
      }
      _Page.Page.hideProcess();
    });
  },

  computed: {
    getTitleBarRightImage: function getTitleBarRightImage() {
      if (this.response && this.response.hotBrand && this.response.hotBrand.length > 0) {
        return "res://weex_share";
      }
      return null;
    },
    getTabs: function getTabs() {
      var array = [];
      for (var i = 0; i < this.response.floorData.length; i++) {
        array.push(this.response.floorData[i].floorName);
      }
      return array;
    },
    isFloorShow: function isFloorShow() {
      return this.response && this.response.floorData && this.response.floorData.length > 0;
    }
  },
  methods: {
    scrollend: function scrollend(e) {},
    share: function share() {
      var array = [];
      if (this.response.topBrand && this.response.topBrand.logo) {
        var brand = this.response.topBrand;
        array.push({
          id: brand.id,
          logo: brand.image,
          name: brand.name
        });
      }
      if (this.response.hotBrand && this.response.hotBrand.length > 0) {
        array = array.concat(this.response.hotBrand);
      }
      _Share.Share.shareExtension("BrandPavilion", { data: array });
    },
    tabClick: function tabClick(e) {
      var _this2 = this;

      this.scrollEnable = false;
      var com = this.$refs[this.getFloorRef(e.currentIndex)][0];
      dom.scrollToElement(com, {
        offset: 0,
        animated: _env.Env.isIOS()
      });
      setTimeout(function () {
        _this2.scrollEnable = true;
      }, _env.Env.isIOS() ? 300 : 50);
    },
    getFloorRef: function getFloorRef(index) {
      return "floor" + index;
    },
    onDisappear: function onDisappear(e, i) {
      if (!this.scrollEnable) {
        return;
      }
      if (e.direction == "up") {
        this.currentIndex = i + 1;
        this.$refs.tabLayout.setIndex(this.currentIndex);
      }
    },
    onAppear: function onAppear(e, i) {
      if (!this.scrollEnable) {
        return;
      }
      if (e.direction == "down") {
        this.currentIndex = i;
        this.$refs.tabLayout.setIndex(this.currentIndex);
      }
    },
    seeAllBrand: function seeAllBrand() {
      _Router.Router.uriRouter("zhier://jspage", {
        jsbundle: "app/moreBrand/MoreBrandPage.js"
      });
    }
  }
};

/***/ }),
/* 71 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(72)
)

/* script */
__vue_exports__ = __webpack_require__(73)

/* template */
var __vue_template__ = __webpack_require__(91)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/modules/TopBrand.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0c5323ee"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 72 */
/***/ (function(module, exports) {

module.exports = {
  "out-wrap": {
    "position": "relative"
  },
  "container": {
    "backgroundColor": "#FFFFFF",
    "marginLeft": "48",
    "marginTop": "18",
    "marginRight": "48",
    "marginBottom": "28",
    "position": "relative"
  },
  "slider": {
    "width": "654",
    "marginTop": "24",
    "height": "234",
    "display": "flex"
  },
  "bar-indicator-wrap": {
    "marginTop": "24",
    "marginBottom": "48"
  },
  "top": {
    "position": "relative"
  },
  "brand-gradient": {
    "position": "absolute",
    "left": "0",
    "bottom": "0",
    "top": "0",
    "right": "0",
    "backgroundImage": "linear-gradient(to top, rgba(0,0,0,0.5), rgba(0,0,0,0))"
  },
  "brand-detail-wrap": {
    "position": "absolute",
    "left": "0",
    "bottom": "0",
    "top": "176",
    "right": "0"
  },
  "shadow-image-wrap": {
    "position": "absolute",
    "left": "28",
    "right": "28",
    "bottom": "0",
    "top": "0",
    "width": "694",
    "height": "706"
  },
  "shadow-image": {
    "width": "694",
    "height": "706"
  }
}

/***/ }),
/* 73 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _BarIndicator = __webpack_require__(74);

var _BarIndicator2 = _interopRequireDefault(_BarIndicator);

var _ThreeProduct = __webpack_require__(58);

var _ThreeProduct2 = _interopRequireDefault(_ThreeProduct);

var _BrandDetail = __webpack_require__(59);

var _BrandDetail2 = _interopRequireDefault(_BrandDetail);

var _Track = __webpack_require__(31);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var numOfPage = 3; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    brand: {
      type: Object
    }
  },
  data: function data() {
    return {
      currentIndex: 0
    };
  },

  components: {
    LazyImage: _LazyImage2.default,
    BarIndicator: _BarIndicator2.default,
    ThreeProduct: _ThreeProduct2.default,
    BrandDetail: _BrandDetail2.default
  },

  computed: {
    getProducts: function getProducts() {
      var array = [];
      if (this.brand && this.brand.productRecommend && this.brand.productRecommend.length > 0) {
        var page = Math.ceil(this.brand.productRecommend.length / numOfPage);
        for (var i = 0; i < page; i++) {
          var subArray = [];
          for (var j = i * numOfPage; j < this.brand.productRecommend.length; j++) {
            var obj = this.brand.productRecommend[j];
            subArray.push(obj);
          }
          array.push(subArray);
        }
      }
      console.log('array' + array.length);
      return array;
    }
  },
  methods: {
    change: function change(e) {
      this.currentIndex = e.index;
    },
    brandTap: function brandTap() {
      _Track.BrandPavilionTrack.sendHallBrandClickEvent("头部品牌", this.brand.name);
    },
    productClick: function productClick(e, page) {
      _Track.BrandPavilionTrack.sendHallCommodityClickEvent(page * numOfPage + e.currentIndex, e.product);
    }
  }
};

/***/ }),
/* 74 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(75)
)

/* script */
__vue_exports__ = __webpack_require__(76)

/* template */
var __vue_template__ = __webpack_require__(77)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/BarIndicator.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-6e88dd6c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 75 */
/***/ (function(module, exports) {

module.exports = {
  "indicator-wrap": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "indicator": {
    "borderRadius": 50,
    "width": "24",
    "height": "6",
    "backgroundColor": "#0000FF",
    "marginLeft": "8",
    "marginRight": "8"
  }
}

/***/ }),
/* 76 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        count: {
            type: Number,
            default: 0
        },
        currentIndex: {
            type: Number,
            default: 0
        }
    },
    methods: {
        getItemStyleObject: function getItemStyleObject(index) {
            var isSelected = index - 1 == this.currentIndex;
            return {
                backgroundColor: isSelected ? "rgb(51, 51, 51)" : "rgb(233, 233, 233)"
            };
        }
    }
};

/***/ }),
/* 77 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.count > 0) ? _c('div', {
    staticClass: ["indicator-wrap"]
  }, _vm._l((_vm.count), function(i) {
    return _c('div', {
      key: i,
      staticClass: ["indicator"],
      style: _vm.getItemStyleObject(i)
    })
  })) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 78 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "flexDirection": "row",
    "justifyContent": "flex-start",
    "alignItems": "center",
    "paddingLeft": "12",
    "paddingRight": "12"
  },
  "product-item": {
    "marginLeft": "12",
    "marginRight": "12"
  }
}

/***/ }),
/* 79 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ProductItem = __webpack_require__(80);

var _ProductItem2 = _interopRequireDefault(_ProductItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    products: {
      type: Array
    },
    lazyLoad: {
      type: Boolean,
      default: true
    }
  },
  data: function data() {
    return {};
  },

  components: {
    ProductItem: _ProductItem2.default
  },

  computed: {
    getProducts: function getProducts() {
      if (this.products.length <= 3) {
        return this.products;
      }
      return this.products.slice(0, 3);
    }
  },
  methods: {
    productTap: function productTap(index, item) {
      this.$emit("productTap", { currentIndex: index, product: item });
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 80 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(81)
)

/* script */
__vue_exports__ = __webpack_require__(82)

/* template */
var __vue_template__ = __webpack_require__(83)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/components/ProductItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4eac6778"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 81 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#FFFFFF",
    "justifyContent": "center"
  },
  "price-wrap": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap",
    "maxWidth": "200",
    "display": "flex",
    "flexDirection": "row",
    "marginTop": "24",
    "alignItems": "center",
    "justifyContent": "center",
    "textAlign": "center"
  },
  "price": {
    "fontSize": "24",
    "fontWeight": "bold",
    "color": "rgb(255,92,0)",
    "lineHeight": "24",
    "marginRight": "8",
    "lines": 1,
    "fontFamily": "DINAlternate-Bold"
  },
  "market-price": {
    "fontSize": "20",
    "fontWeight": "bold",
    "color": "rgb(153,153,153)",
    "lineHeight": "20",
    "lines": 1,
    "textDecoration": "line-through",
    "textOverflow": "ellipsis",
    "fontFamily": "DINAlternate-Bold"
  }
}

/***/ }),
/* 82 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Router = __webpack_require__(0);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    product: {
      type: Object
    },
    lazyLoad: {
      type: Boolean,
      default: true
    }
  },
  components: {
    LazyImage: _LazyImage2.default
  },

  methods: {
    click: function click() {
      _Router.Router.uriRouter("zhier://productdetail", { id: this.product.id });
      this.$emit("productTap");
    }
  }
};

/***/ }),
/* 83 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.product) ? _c('div', {
    staticClass: ["container"],
    on: {
      "click": _vm.click
    }
  }, [_c('lazy-image', {
    staticClass: ["image"],
    attrs: {
      "src": _vm.product.image,
      "width": "186",
      "height": "186",
      "lazyLoad": _vm.lazyLoad
    }
  }), _c('div', {
    staticClass: ["price-wrap"]
  }, [_c('text', {
    staticClass: ["price"]
  }, [_vm._v("¥" + _vm._s(_vm.product.price))]), _c('text', {
    staticClass: ["market-price"]
  }, [_vm._v("¥" + _vm._s(_vm.product.marketPrice))])])], 1) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 84 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.products && _vm.products.length > 0) ? _c('div', {
    staticClass: ["container"]
  }, _vm._l((_vm.getProducts), function(item, index) {
    return _c('product-item', {
      key: index,
      staticClass: ["product-item"],
      attrs: {
        "product": item,
        "lazyLoad": _vm.lazyLoad
      },
      on: {
        "productTap": function($event) {
          _vm.productTap(index, item)
        }
      }
    })
  })) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 85 */
/***/ (function(module, exports) {

module.exports = {
  "brand-wrap": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between",
    "paddingTop": "0",
    "paddingBottom": "0",
    "paddingLeft": "32",
    "paddingRight": "32"
  },
  "left-wrap": {
    "flexDirection": "row",
    "alignItems": "center"
  },
  "name-wrap": {
    "paddingLeft": "16",
    "flexDirection": "column",
    "justifyContent": "flex-start",
    "maxWidth": "350"
  },
  "num-wrap": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "20"
  },
  "empty-letter-ios": {
    "fontSize": "2"
  },
  "brand-name": {
    "fontSize": "36",
    "fontWeight": "500",
    "lineHeight": "39",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "brand-num": {
    "fontSize": "24",
    "fontWeight": "400",
    "lines": 1,
    "lineHeight": "24"
  },
  "brand-num-suffix": {
    "fontSize": "24",
    "fontWeight": "400",
    "lines": 1,
    "lineHeight": "24"
  }
}

/***/ }),
/* 86 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _SeeMore = __webpack_require__(60);

var _SeeMore2 = _interopRequireDefault(_SeeMore);

var _Router = __webpack_require__(0);

var _env = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    brand: {
      type: Object
    },
    nameColor: {
      type: String,
      default: "#333333"
    },
    numColor: {
      type: String,
      default: "#333333"
    },
    numSuffixColor: {
      type: String,
      default: "#999999"
    },
    goColor: {
      type: String,
      default: "#333333"
    },
    goIcon: {
      type: String,
      default: "res://weex_go_o"
    }
  },
  components: {
    LazyImage: _LazyImage2.default,
    SeeMore: _SeeMore2.default
  },
  computed: {
    isAndroid: function isAndroid() {
      return _env.Env.isAndroid();
    }
  },
  methods: {
    itemClick: function itemClick() {
      _Router.Router.uriRouter("zhier://brandaggregateregion", { id: this.brand.id, name: this.brand.name });
      this.$emit("brandTap");
    }
  }
};

/***/ }),
/* 87 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "more": {
    "flexDirection": "row",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "alignItems": "center"
  },
  "more-text": {
    "fontSize": "24",
    "fontWeight": "500",
    "letterSpacing": "2"
  },
  "more-icon": {
    "width": "10",
    "height": "16",
    "marginLeft": "5"
  }
}

/***/ }),
/* 88 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        title: {
            type: String,
            default: '查看更多'
        },
        icon: {
            type: String,
            default: "res://weex_go_o"
        },
        color: {
            type: String,
            default: "#333333"
        }
    }
};

/***/ }),
/* 89 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["more"],
    style: {
      borderBottomColor: _vm.color
    }
  }, [_c('text', {
    staticClass: ["more-text"],
    style: {
      color: _vm.color
    }
  }, [_vm._v(_vm._s(_vm.title))]), _c('image', {
    staticClass: ["more-icon"],
    attrs: {
      "src": _vm.icon
    }
  })])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 90 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["brand-wrap"],
    on: {
      "click": function($event) {
        _vm.itemClick()
      }
    }
  }, [_c('div', {
    staticClass: ["left-wrap"]
  }, [_c('LazyImage', {
    attrs: {
      "width": "116",
      "height": "116",
      "src": _vm.brand.logo
    }
  }), _c('div', {
    staticClass: ["name-wrap"]
  }, [_c('text', {
    staticClass: ["brand-name"],
    style: {
      color: _vm.nameColor
    }
  }, [_vm._v(_vm._s(_vm.brand.name))]), _c('div', {
    staticClass: ["num-wrap"]
  }, [_c('text', {
    staticClass: ["brand-num"],
    style: {
      color: _vm.numColor
    }
  }, [_vm._v(_vm._s(_vm.brand.brandNum))]), (_vm.isAndroid) ? _c('text', [_vm._v(" ")]) : _c('text', {
    staticClass: ["empty-letter-ios"]
  }, [_vm._v(" ")]), _c('text', {
    staticClass: ["brand-num-suffix"],
    style: {
      color: _vm.numSuffixColor
    }
  }, [_vm._v("件商品")])])])], 1), _c('div', {
    staticClass: ["right-wrap"]
  }, [_c('SeeMore', {
    attrs: {
      "title": "进入品牌",
      "color": _vm.goColor,
      "icon": _vm.goIcon
    }
  })], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 91 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.brand) ? _c('div', {
    staticClass: ["out-wrap"]
  }, [(_vm.brand.productRecommend && _vm.brand.productRecommend.length > 0) ? _c('div', {
    staticClass: ["shadow-image-wrap"]
  }, [_c('image', {
    staticClass: ["shadow-image"],
    attrs: {
      "src": "res://weex_brand_top_shadow"
    }
  })]) : _vm._e(), (_vm.brand) ? _c('div', {
    staticClass: ["container"]
  }, [_c('div', {
    staticClass: ["top"]
  }, [_c('lazy-image', {
    staticClass: ["brand-image"],
    attrs: {
      "src": _vm.brand.brandImg,
      "width": "654",
      "height": "328",
      "sizeType": "m"
    }
  }), _c('div', {
    staticClass: ["brand-gradient"]
  }), _c('div', {
    staticClass: ["brand-detail-wrap"]
  }, [_c('BrandDetail', {
    attrs: {
      "brand": _vm.brand,
      "nameColor": "white",
      "numColor": "white",
      "numSuffixColor": "white",
      "goColor": "white",
      "goIcon": "res://weex_white_go"
    },
    on: {
      "brandTap": _vm.brandTap
    }
  })], 1)], 1), (_vm.brand.productRecommend && _vm.brand.productRecommend.length > 0) ? _c('slider', {
    staticClass: ["slider"],
    attrs: {
      "infinite": "true"
    },
    on: {
      "change": _vm.change
    }
  }, _vm._l((_vm.getProducts), function(products, page) {
    return _c('three-product', {
      key: page,
      attrs: {
        "products": products,
        "lazyLoad": false
      },
      on: {
        "productTap": function (e) {
          _vm.productClick(e, page)
        }
      }
    })
  })) : _vm._e(), (_vm.brand.productRecommend && _vm.brand.productRecommend.length > 0) ? _c('div', {
    staticClass: ["bar-indicator-wrap"]
  }, [_c('bar-indicator', {
    attrs: {
      "count": _vm.getProducts.length,
      "currentIndex": _vm.currentIndex
    }
  })], 1) : _vm._e()]) : _vm._e()]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 92 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(93)
)

/* script */
__vue_exports__ = __webpack_require__(94)

/* template */
var __vue_template__ = __webpack_require__(99)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/modules/HotBrand.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-6ea87211"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 93 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "marginLeft": "48",
    "marginTop": "92",
    "marginRight": "48"
  },
  "brand-wrap": {
    "display": "flex",
    "flexDirection": "row",
    "flexWrap": "wrap",
    "marginTop": "64"
  },
  "see-more": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "width": "210",
    "height": "210",
    "backgroundColor": "#f2e6dc"
  }
}

/***/ }),
/* 94 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _SplitWords = __webpack_require__(18);

var _SplitWords2 = _interopRequireDefault(_SplitWords);

var _SeeMore = __webpack_require__(60);

var _SeeMore2 = _interopRequireDefault(_SeeMore);

var _BrandImage = __webpack_require__(95);

var _BrandImage2 = _interopRequireDefault(_BrandImage);

var _env = __webpack_require__(1);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(31);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    brands: {
      type: Array
    }
  },
  data: function data() {
    return {
      title: "热门品牌"
    };
  },

  components: {
    LazyImage: _LazyImage2.default,
    SplitWords: _SplitWords2.default,
    BrandImage: _BrandImage2.default,
    SeeMore: _SeeMore2.default
  },

  computed: {
    getBrands: function getBrands() {
      var array = [];
      if (this.brands && this.brands.length > 0) {
        array = array.concat(this.brands);
      }
      array.push({
        onMore: true
      });
      return array;
    }
  },
  methods: {
    itemStyleObject: function itemStyleObject(index) {
      var margin = _env.Env.isAndroid() ? 11.5 : 12;
      return {
        marginRight: (index + 1) % 3 != 0 ? margin : 0,
        marginBottom: index / 3 == 0 ? 0 : margin
      };
    },
    seeMore: function seeMore() {
      _Router.Router.uriRouter("zhier://jspage", {
        jsbundle: "app/moreBrand/MoreBrandPage.js"
      });
      _Track.BrandPavilionTrack.sendHallBrandClickEvent(this.title, "查看更多");
    },
    brandTap: function brandTap(brand) {
      _Track.BrandPavilionTrack.sendHallBrandClickEvent(this.title, brand.name);
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 95 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(96)
)

/* script */
__vue_exports__ = __webpack_require__(97)

/* template */
var __vue_template__ = __webpack_require__(98)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/components/BrandImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-6ad6c9ae"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 96 */
/***/ (function(module, exports) {

module.exports = {
  "brand": {
    "width": "210",
    "height": "210",
    "position": "relative"
  }
}

/***/ }),
/* 97 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Router = __webpack_require__(0);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    brand: {
      type: Object
    }
  },
  components: {
    LazyImage: _LazyImage2.default
  },
  methods: {
    click: function click() {
      _Router.Router.uriRouterWithParams("zhier://brandaggregateregion", { id: this.brand.id, name: this.brand.name });
      this.$emit("brandTap");
    }
  }
};

/***/ }),
/* 98 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["brand"],
    on: {
      "click": _vm.click
    }
  }, [_c('lazy-image', {
    staticClass: ["brand-image"],
    attrs: {
      "src": _vm.brand.logo,
      "width": "210",
      "height": "210",
      "lazyLoad": "true"
    }
  })], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 99 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.brands && _vm.brands.length > 0) ? _c('div', {
    staticClass: ["container"]
  }, [_c('SplitWords', {
    attrs: {
      "text": _vm.title,
      "linecolor": "#D7B293",
      "color": "#333333",
      "textSize": "40",
      "lineLength": "30",
      "lineMargin": "12"
    }
  }), _c('div', {
    staticClass: ["brand-wrap"]
  }, _vm._l((_vm.getBrands), function(brand, index) {
    return _c('div', {
      key: index,
      style: _vm.itemStyleObject(index)
    }, [(brand.onMore) ? _c('div', {
      staticClass: ["see-more"],
      on: {
        "click": _vm.seeMore
      }
    }, [_c('SeeMore')], 1) : _c('BrandImage', {
      attrs: {
        "brand": brand
      },
      on: {
        "brandTap": function($event) {
          _vm.brandTap(brand)
        }
      }
    })], 1)
  }))], 1) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 100 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(101)
)

/* script */
__vue_exports__ = __webpack_require__(102)

/* template */
var __vue_template__ = __webpack_require__(119)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/modules/FloorBrand.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-556bd572"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 101 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "paddingTop": "92",
    "backgroundColor": "#FFFFFF"
  }
}

/***/ }),
/* 102 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _FloorHeader = __webpack_require__(103);

var _FloorHeader2 = _interopRequireDefault(_FloorHeader);

var _SmallBrandImageWrap = __webpack_require__(107);

var _SmallBrandImageWrap2 = _interopRequireDefault(_SmallBrandImageWrap);

var _BigBrandDetail = __webpack_require__(115);

var _BigBrandDetail2 = _interopRequireDefault(_BigBrandDetail);

var _Track = __webpack_require__(31);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    floor: {
      type: Object
    }
  },
  data: function data() {
    return {};
  },

  components: {
    FloorHeader: _FloorHeader2.default,
    SmallBrandImageWrap: _SmallBrandImageWrap2.default,
    BigBrandDetail: _BigBrandDetail2.default
  },

  computed: {
    floorShow: function floorShow() {
      return this.floor && this.floor.floorName && (this.floor.brand && this.floor.brand.length > 0 || this.floor.brandDetail && this.floor.brandDetail.length > 0);
    }
  },
  methods: {
    brandTap: function brandTap(e) {
      _Track.BrandPavilionTrack.sendHallBrandClickEvent(this.floor.floorName, e.brand.name);
    },
    brandDetailTap: function brandDetailTap(brand) {
      _Track.BrandPavilionTrack.sendHallBrandClickEvent(this.floor.floorName, brand.name);
    }
  }
};

/***/ }),
/* 103 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(104)
)

/* script */
__vue_exports__ = __webpack_require__(105)

/* template */
var __vue_template__ = __webpack_require__(106)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/components/FloorHeader.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-1219110f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 104 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center",
    "position": "relative",
    "marginLeft": "48",
    "marginRight": "48",
    "paddingBottom": "64"
  },
  "image-wrap": {
    "position": "absolute",
    "left": "0",
    "top": "0",
    "right": "0",
    "bottom": "0"
  },
  "title": {
    "fontSize": "32",
    "color": "#333333",
    "fontWeight": "500",
    "lineHeight": "40",
    "marginTop": "15",
    "textAlign": "center",
    "lines": 1,
    "maxWidth": "260"
  }
}

/***/ }),
/* 105 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    title: {
      type: String
    }
  },
  components: {
    LazyImage: _LazyImage2.default
  },

  computed: {},
  methods: {}
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 106 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.title) ? _c('div', {
    staticClass: ["container"]
  }, [_c('div', {
    staticClass: ["image-wrap"]
  }, [_c('lazy-image', {
    attrs: {
      "width": "654",
      "height": "64",
      "src": "res://weex_brand_nav"
    }
  })], 1), _c('text', {
    staticClass: ["title"]
  }, [_vm._v(_vm._s(_vm.title))])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 107 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(108)
)

/* script */
__vue_exports__ = __webpack_require__(109)

/* template */
var __vue_template__ = __webpack_require__(114)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/components/SmallBrandImageWrap.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0a149e8a"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 108 */
/***/ (function(module, exports) {

module.exports = {
  "brand-wrap": {
    "display": "flex",
    "flexDirection": "row",
    "flexWrap": "wrap",
    "marginLeft": "48",
    "marginRight": "48",
    "marginBottom": "64"
  }
}

/***/ }),
/* 109 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _SmallBrandImage = __webpack_require__(110);

var _SmallBrandImage2 = _interopRequireDefault(_SmallBrandImage);

var _env = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    brands: {
      type: Array
    }
  },
  data: function data() {
    return {};
  },

  components: {
    SmallBrandImage: _SmallBrandImage2.default
  },

  computed: {},
  methods: {
    itemStyleObject: function itemStyleObject(index) {
      return {
        marginRight: (index + 1) % 4 != 0 ? _env.Env.isAndroid() ? 25.5 : 26 : 0,
        marginBottom: index / 4 == 0 ? 0 : _env.Env.isAndroid() ? 23.5 : 24
      };
    },
    brandTap: function brandTap(index, brand) {
      this.$emit("brandTap", { currentIndex: index, brand: brand });
    }
  }
};

/***/ }),
/* 110 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(111)
)

/* script */
__vue_exports__ = __webpack_require__(112)

/* template */
var __vue_template__ = __webpack_require__(113)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/components/SmallBrandImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-6beef5d1"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 111 */
/***/ (function(module, exports) {

module.exports = {
  "brand": {
    "width": "144",
    "height": "144"
  },
  "brand-image": {
    "backgroundColor": "rgb(250,250,250)"
  }
}

/***/ }),
/* 112 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Router = __webpack_require__(0);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    brand: {
      type: Object
    }
  },
  components: {
    LazyImage: _LazyImage2.default
  },
  methods: {
    click: function click() {
      _Router.Router.uriRouterWithParams("zhier://brandaggregateregion", { id: this.brand.id, name: this.brand.name });
      this.$emit("brandTap", { brand: this.brand });
    }
  }
};

/***/ }),
/* 113 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["brand"],
    on: {
      "click": _vm.click
    }
  }, [_c('lazy-image', {
    staticClass: ["brand-image"],
    attrs: {
      "src": _vm.brand.logo,
      "width": "144",
      "height": "144",
      "lazyLoad": "true"
    }
  })], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 114 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.brands && _vm.brands.length > 0) ? _c('div', {
    staticClass: ["brand-wrap"]
  }, _vm._l((_vm.brands), function(brand, index) {
    return _c('div', {
      key: index,
      style: _vm.itemStyleObject(index)
    }, [_c('small-brand-image', {
      attrs: {
        "brand": brand
      },
      on: {
        "brandTap": function (e) {
          _vm.brandTap(index, e.brand)
        }
      }
    })], 1)
  })) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 115 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(116)
)

/* script */
__vue_exports__ = __webpack_require__(117)

/* template */
var __vue_template__ = __webpack_require__(118)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/brandPavilion/components/BigBrandDetail.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3f07e632"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 116 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#FFFFFF",
    "position": "relative",
    "marginLeft": "28",
    "marginRight": "28",
    "marginBottom": "40"
  },
  "shadow-image-wrap": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "shadow-image": {
    "width": "694",
    "height": "510"
  },
  "item-wrap": {
    "marginTop": "16",
    "marginLeft": "20",
    "marginRight": "20",
    "marginBottom": "28",
    "backgroundColor": "#FFFFFF",
    "display": "flex"
  },
  "brand-detail": {
    "marginTop": "32"
  },
  "three-product": {
    "marginTop": "32",
    "paddingBottom": "56"
  }
}

/***/ }),
/* 117 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ThreeProduct = __webpack_require__(58);

var _ThreeProduct2 = _interopRequireDefault(_ThreeProduct);

var _BrandDetail = __webpack_require__(59);

var _BrandDetail2 = _interopRequireDefault(_BrandDetail);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Track = __webpack_require__(31);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    detail: {
      type: Object
    }
  },
  data: function data() {
    return {};
  },

  components: {
    ThreeProduct: _ThreeProduct2.default,
    BrandDetail: _BrandDetail2.default,
    LazyImage: _LazyImage2.default
  },

  computed: {
    itemStyle: function itemStyle() {
      var obj = {
        borderStyle: "solid",
        borderWidth: "2px",
        borderColor: "#f5f5f5",
        paddingBottom: "32px"
      };
      return this.detail.productRecommend.length > 0 ? {} : obj;
    }
  },
  methods: {
    brandTap: function brandTap() {
      this.$emit("brandTap");
    },
    productTap: function productTap(e) {
      _Track.BrandPavilionTrack.sendHallCommodityClickEvent(e.currentIndex, e.product);
    }
  }
};

/***/ }),
/* 118 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.detail) ? _c('div', {
    staticClass: ["container"]
  }, [(_vm.detail.productRecommend.length > 0) ? _c('div', {
    staticClass: ["shadow-image-wrap"]
  }, [_c('image', {
    staticClass: ["shadow-image"],
    attrs: {
      "src": "res://weex_brand_middle_shadow"
    }
  })]) : _vm._e(), _c('div', {
    staticClass: ["item-wrap"],
    style: _vm.itemStyle
  }, [_c('BrandDetail', {
    staticClass: ["brand-detail"],
    attrs: {
      "brand": _vm.detail,
      "numColor": "black"
    },
    on: {
      "brandTap": _vm.brandTap
    }
  }), _c('three-product', {
    staticClass: ["three-product"],
    attrs: {
      "products": _vm.detail.productRecommend
    },
    on: {
      "productTap": _vm.productTap
    }
  })], 1)]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 119 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.floorShow) ? _c('div', {
    staticClass: ["container"]
  }, [_c('floor-header', {
    attrs: {
      "title": _vm.floor.floorName
    }
  }), _c('small-brand-image-wrap', {
    attrs: {
      "brands": _vm.floor.brand
    },
    on: {
      "brandTap": _vm.brandTap
    }
  }), _vm._l((_vm.floor.brandDetail), function(brand, index) {
    return _c('big-brand-detail', {
      attrs: {
        "detail": brand
      },
      on: {
        "brandTap": function($event) {
          _vm.brandDetailTap(brand)
        }
      }
    })
  })], 2) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 120 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.response) ? _c('div', {
    staticClass: ["container"]
  }, [_c('title-bar', {
    attrs: {
      "title": _vm.response.title,
      "backgroundColor": "rgb(253,245,238)",
      "rightButtonImage": _vm.getTitleBarRightImage,
      "rightWidth": "36",
      "rightHeight": "36"
    },
    on: {
      "rightClicked": _vm.share
    }
  }), _c('list', [_c('cell', {
    appendAsTree: true,
    attrs: {
      "recycle": "false",
      "append": "tree"
    }
  }, [_c('top-brand', {
    attrs: {
      "brand": _vm.response.topBrand
    }
  })], 1), _c('cell', {
    appendAsTree: true,
    attrs: {
      "recycle": "false",
      "append": "tree"
    }
  }, [_c('hot-brand', {
    attrs: {
      "brands": _vm.response.hotBrand
    }
  })], 1), (_vm.isFloorShow) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "recycle": "false",
      "append": "tree"
    }
  }, [_c('split-words', {
    staticClass: ["split-words"],
    attrs: {
      "text": "甄选品牌",
      "linecolor": "#D7B293",
      "color": "#333333",
      "textSize": "40",
      "lineLength": "30",
      "lineMargin": "12"
    }
  })], 1) : _vm._e(), (_vm.isFloorShow) ? _c('header', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('tab-layout', {
    ref: "tabLayout",
    staticClass: ["tab-layout"],
    attrs: {
      "items": _vm.getTabs,
      "backgroundColor": "rgb(253,245,238)",
      "haveUnderline": "true",
      "selectedTitleFontSize": "32",
      "unselectedTitleFontSize": "32",
      "selectedFontWeight": "700",
      "unselectedFontWeight": "400"
    },
    on: {
      "itemClick": _vm.tabClick
    }
  }), _c('div', {
    staticClass: ["line"]
  })], 1) : _vm._e(), _vm._l((_vm.response.floorData), function(floor, index) {
    return _c('cell', {
      key: index,
      ref: _vm.getFloorRef(index),
      refInFor: true,
      staticClass: ["brand-floor-wrap"],
      appendAsTree: true,
      attrs: {
        "recycle": "true",
        "append": "tree"
      },
      on: {
        "appear": function (e) {
          _vm.onAppear(e, index)
        },
        "disappear": function (e) {
          _vm.onDisappear(e, index)
        }
      }
    }, [(index != 0) ? _c('div', {
      staticClass: ["brand-floor-separator"]
    }) : _vm._e(), _c('floor-brand', {
      attrs: {
        "floor": floor
      }
    })], 1)
  }), (_vm.isFloorShow) ? _c('cell', {
    staticClass: ["bottom-wrap"],
    appendAsTree: true,
    attrs: {
      "recycle": "false",
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["line"]
  }), _c('div', {
    staticClass: ["all-button-wrap"]
  }, [_c('text', {
    staticClass: ["all-button"],
    on: {
      "click": _vm.seeAllBrand
    }
  }, [_vm._v("查看全部品牌")])])]) : _vm._e()], 2)], 1) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })
/******/ ]);