// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 214);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Router = undefined;

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 * 路由模块
 */

var approuter = weex.requireModule("router");
var routerScheme = 'zhier';
var routerWexxHost = "jspage";


function combinePrams(uri, params) {
    if (!params) {
        return uri;
    }
    var url = uri;
    // 参数拼接
    var parasmsStr = '';
    for (var key in params) {
        parasmsStr = key + '=' + params[key] + (parasmsStr ? '&' + parasmsStr : parasmsStr);
    }
    url = _StringUtil.StringUtils.contains(url, '?') ? url + '&' + parasmsStr : url + '?' + parasmsStr;
    return url;
}

var Router = exports.Router = {

    /**
     * uri 路由
     * @param {*} uri 
     */
    uriRouter: function uriRouter(uri, params) {
        if (!uri || !approuter) {
            return;
        }
        var newUri = !params ? uri : combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * uri 路由，附带参数
     * @param {*} uri 
     * @param {*} params 
     */
    uriRouterWithParams: function uriRouterWithParams(uri, params) {
        if (!uri) {
            return;
        }
        var newUri = combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * name 路由
     * @param {*} host 
     * @param {*} params
     */
    hostRouter: function hostRouter(host, params) {
        if (!host) {
            return;
        }
        var uri = routerScheme + "://" + host;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    },

    /**
     * 跳转到 weex 页面
     * @param {t} params 
     */
    weexRouter: function weexRouter(params) {
        var uri = routerScheme + "://" + routerWexxHost;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    }
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/*
    created by Justin.Wang
 */
var Env = exports.Env = {
    isWeb: function isWeb() {
        var platform = weex.config.env.platform;

        return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
        var deviceHeight = weex.config.env.deviceHeight;

        if (Utils.env.isWeb()) {
            return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) !== undefined && window.screen && window.screen.width && window.screen.height && (parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812 || parseInt(window.screen.width, 10) === 414 && parseInt(window.screen.height, 10) === 896);
        }
        return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight == 1792);
    },
    isAndroid: function isAndroid() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'android';
    },


    /**
     * 当currVer小于promoteVer,返回true, 否则为false
     * @returns {boolean}
     */
    compareVersion: function compareVersion() {
        var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
        var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

        if (currVer === promoteVer) return true;
        var currVerArr = currVer.split('.');
        var promoteVerArr = promoteVer.split('.');
        var len = Math.max(currVerArr.length, promoteVerArr.length);
        for (var i = 0; i < len; i++) {
            var proVal = ~~promoteVerArr[i];
            var curVal = ~~currVerArr[i];
            if (proVal < curVal) {
                return false;
            } else if (proVal > curVal) {
                return true;
            }
        }
        return false;
    },
    isAppVersionGreaterAndEqualThan: function isAppVersionGreaterAndEqualThan(version) {
        var appVersion = weex.config.env.appVersion;

        var isGreaterAndEqual = this.compareVersion(version, appVersion);
        return isGreaterAndEqual;
    }
};

/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(13)
)

/* script */
__vue_exports__ = __webpack_require__(14)

/* template */
var __vue_template__ = __webpack_require__(16)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/TitleBar.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3f68fd4b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = {
  "bar": {
    "backgroundColor": "#FFFFFF"
  },
  "title-bar": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center"
  },
  "left": {
    "width": "180",
    "paddingLeft": "32",
    "justifyContent": "center"
  },
  "left-button": {
    "width": "40",
    "height": "40"
  },
  "middle-title": {
    "fontSize": "36",
    "color": "#000000",
    "height": "36",
    "lineHeight": "34"
  },
  "right": {
    "width": "180",
    "paddingRight": "32",
    "alignItems": "flex-end",
    "justifyContent": "center"
  }
}

/***/ }),

/***/ 14:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Page = __webpack_require__(3);

var _env = __webpack_require__(1);

var _System = __webpack_require__(15);

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    title: {
      type: String,
      default: ''
    },
    rightButtonImage: {
      type: String
    },
    rightHeight: {
      type: Number
    },
    rightWidth: {
      type: Number
    },
    needStatusBar: { //适配android
      type: Boolean,
      default: false
    },
    backgroundColor: {
      type: String,
      default: 'white'
    },
    statusBarLight: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    statusBarStyle: function statusBarStyle() {
      return {
        height: weex.config.env.statusHeight + 'px',
        backgroundColor: !this.isOppoOrVivoV5 ? this.backgroundColor : '#000000'
      };
    },
    navHeight: function navHeight() {
      return weex.config.env.navHeight + 'px';
    },
    navBarStyle: function navBarStyle() {
      return {
        height: weex.config.env.navHeight + 'px'
      };
    },
    rightButtonStyle: function rightButtonStyle() {
      return {
        width: this.rightWidth + 'px',
        height: this.rightHeight + 'px'
      };
    },
    showStatusBar: function showStatusBar() {
      // if (Env.isAndroid() && !this.needStatusBar) {
      //    return false
      // }
      return true;
    },
    statusBar: function statusBar() {
      if (_System.System) {
        _System.System.setStatusBarStyle(this.statusBarLight);
      }
    }
  },
  methods: {
    leftButtonClicked: function leftButtonClicked() {
      _Page.Page.finish();
      this.$emit("finish", {});
    },
    rightButtonClicked: function rightButtonClicked() {
      if (this.rightButtonImage || this.$slots && this.$slots.right) {
        this.$emit("rightClicked", {});
      }
    }
  },
  created: function created() {
    var _this = this;

    if (_System.System) {
      _System.System.isVivoOrOppoV5(function (isOppoOrVivoV5) {
        _this.isOppoOrVivoV5 = isOppoOrVivoV5;
      });
      _System.System.setStatusBarStyle(this.statusBarLight);
    }
  },
  data: function data() {
    return {
      isOppoOrVivoV5: false
    };
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 15:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var system = weex.requireModule("system");

var System = exports.System = {
    setStatusBarStyle: function setStatusBarStyle(light) {
        if (system) {
            system.setStatusBarStyle(light);
        }
    },
    isVivoOrOppoV5: function isVivoOrOppoV5(callback) {
        if (!callback) {
            return;
        }
        if (system) {
            var platform = weex.config.env.platform;

            if (platform.toLowerCase() === 'android') {
                system.isVivoOrOppoV5(callback);
            } else {
                callback(false);
            }
        } else {
            callback(false);
        }
    }
};

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["bar"],
    style: {
      backgroundColor: _vm.backgroundColor
    }
  }, [(_vm.showStatusBar) ? _c('div', {
    staticClass: ["status-bar"],
    style: _vm.statusBarStyle
  }) : _vm._e(), _c('div', {
    staticClass: ["title-bar"],
    style: _vm.navBarStyle
  }, [_c('div', {
    staticClass: ["left"],
    style: {
      height: _vm.navHeight
    },
    on: {
      "click": _vm.leftButtonClicked
    }
  }, [_c('image', {
    staticClass: ["left-button"],
    attrs: {
      "src": "res://weex_return",
      "resize": "cover"
    }
  })]), _c('text', {
    staticClass: ["middle-title"]
  }, [_vm._v(_vm._s(_vm.title))]), _c('div', {
    staticClass: ["right"],
    style: {
      height: _vm.navHeight
    },
    on: {
      "click": _vm.rightButtonClicked
    }
  }, [_vm._t("right", [(_vm.rightButtonImage) ? _c('image', {
    style: _vm.rightButtonStyle,
    attrs: {
      "src": _vm.rightButtonImage
    }
  }) : _vm._e()])], 2)])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 214:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _HotProductListPage = __webpack_require__(215);

var _HotProductListPage2 = _interopRequireDefault(_HotProductListPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_HotProductListPage2.default.el = '#root';
new Vue(_HotProductListPage2.default);

/***/ }),

/***/ 215:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(216)
)

/* script */
__vue_exports__ = __webpack_require__(217)

/* template */
var __vue_template__ = __webpack_require__(223)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hotproducts/HotProductListPage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-a3d2fb58"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 216:
/***/ (function(module, exports) {

module.exports = {
  "list": {
    "backgroundColor": "#ffffff",
    "flex": 1
  },
  "indicator-text": {
    "width": "750",
    "backgroundColor": "#FFFFFF",
    "color": "#999999",
    "fontSize": "24",
    "textAlign": "center",
    "paddingBottom": "32"
  },
  "nomore-text": {
    "width": "750",
    "backgroundColor": "#FFFFFF",
    "color": "#999999",
    "fontSize": "24",
    "textAlign": "center",
    "paddingBottom": "32"
  }
}

/***/ }),

/***/ 217:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _TitleBar = __webpack_require__(12);

var _TitleBar2 = _interopRequireDefault(_TitleBar);

var _HotProductItem = __webpack_require__(218);

var _HotProductItem2 = _interopRequireDefault(_HotProductItem);

var _HttpClient = __webpack_require__(6);

var _Share = __webpack_require__(27);

var _Page = __webpack_require__(3);

var _Toast = __webpack_require__(222);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  data: {
    refreshing: false,
    loadMore: false,
    noMore: false,
    typeId: "",
    categoryId: "",
    page: 1,
    pageSize: 20,
    title: "",
    productList: {}
  },
  components: {
    TitleBar: _TitleBar2.default,
    HotProductItem: _HotProductItem2.default
  },
  methods: {
    //刷新
    onrefresh: function onrefresh() {
      var app = this;
      app.refreshing = true;
      app.noMore = false;
      _Page.Page.showProcess();
      app.loadData(true);
    },

    //load data
    loadData: function loadData(refresh) {
      var _this = this;

      this.page = refresh ? 1 : ++this.page;
      var params = {
        typeId: this.typeId,
        categoryId: this.categoryId,
        page: this.page,
        pageSize: this.pageSize
      };
      _HttpClient.HttpClient.sendNoCache("/v4.7.0/product/hotItemForCategory", params, function (resp) {
        _Page.Page.hideProcess();
        if (refresh) {
          _this.refreshing = false;
        } else {
          // this.loadMore = false;
        }
        if (resp.state && resp.data) {
          _Page.Page.loadSuccess();
          _this.title = resp.data.title;
          _this.productList = resp.data.itemList;
          _this.noMore = true;
          // if (refresh) {
          //   this.productList = resp.data.itemList;
          // } else {
          //   this.productList = this.productList.concat(resp.data.itemList);
          //   this.noMore = !resp.data.itemList || resp.data.list.length < this.pageSize;
          // }
        } else {
          _Toast.toast.modal(resp.msg);
          _this.noMore = true;
          if (refresh) {
            _Page.Page.loadFail();
          }
        }
      });
    },

    //加载更多
    onLoadMore: function onLoadMore() {
      if (this.noMore) {
        return;
      }
      var app = this;
      app.loadMore = true;
      _Page.Page.showProcess();
      app.loadData(false);
    },

    //分享
    shareClick: function shareClick() {
      if (!this.productList) {
        return;
      }
      var shareParam = {
        data: this.productList[0]
      };
      _Share.Share.shareExtension("hotproductshare", shareParam);
    },

    //商品点击
    onProductClick: function onProductClick(product) {
      if (!product) {
        return;
      }
      //埋点
      var params = _Factory.Factory.getProductParams(product);
      params.Rank = "";
      params.Title = this.title + "-二级页面";
      params.Tag = "";
      _Track.Track.sendEvent("HotListClick", params);
      _Router.Router.uriRouterWithParams("zhier://productdetail", {
        id: product.id
      });
    }
  },
  created: function created() {
    this.typeId = weex.config.typeId;
    this.categoryId = weex.config.categoryId;
    this.loadData(true);
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 218:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(219)
)

/* script */
__vue_exports__ = __webpack_require__(220)

/* template */
var __vue_template__ = __webpack_require__(221)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hotproducts/modules/HotProductItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-102367bc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 219:
/***/ (function(module, exports) {

module.exports = {
  "content-wrap": {
    "backgroundColor": "#FFFFFF",
    "flexDirection": "row",
    "paddingLeft": "34",
    "paddingRight": "48"
  },
  "product-img": {
    "backgroundColor": "#FFFFFF",
    "width": "200",
    "height": "200"
  },
  "product-img-wrap": {
    "width": "240",
    "height": "240",
    "position": "relative",
    "paddingTop": "12",
    "paddingBottom": "28",
    "paddingLeft": "20",
    "paddingRight": "20"
  },
  "product-img-bg": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "range-tag-wrap": {
    "position": "absolute",
    "left": "14",
    "top": "22"
  },
  "range-tag-bg": {
    "width": "42",
    "height": "24"
  },
  "range-tag": {
    "position": "absolute",
    "width": "42",
    "height": "20",
    "lineHeight": "20",
    "textAlign": "center",
    "verticalAlign": "middle",
    "color": "#FFFFFF",
    "fontSize": "20",
    "fontStyle": "italic"
  },
  "product-info-wrap": {
    "flexDirection": "column",
    "marginLeft": "34",
    "marginTop": "20"
  },
  "product-brand": {
    "width": "428",
    "color": "#000000",
    "fontSize": "28",
    "fontWeight": "bold",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "product-name-wrap": {
    "width": "428",
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "12"
  },
  "product-degree-wrap": {
    "width": "52",
    "height": "28",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center",
    "borderWidth": "1",
    "borderRadius": "1",
    "borderStyle": "solid",
    "borderColor": "#ff5c00",
    "marginRight": "8"
  },
  "product-degree": {
    "color": "#ff5c00",
    "height": "28",
    "lineHeight": "28",
    "textAlign": "center",
    "verticalAlign": "middle",
    "fontSize": "20"
  },
  "product-name": {
    "width": "308",
    "color": "#999999",
    "fontSize": "24",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "product-name-width": {
    "width": "428"
  },
  "product-size": {
    "color": "#999999",
    "fontSize": "24"
  },
  "product-price-wrap": {
    "flexDirection": "row",
    "alignItems": "flex-end",
    "marginTop": "24"
  },
  "product-price": {
    "color": "#ff5c00",
    "fontSize": "32",
    "fontWeight": "bold"
  },
  "product-market-price": {
    "color": "#999999",
    "fontSize": "20",
    "marginLeft": "8",
    "textDecoration": "line-through",
    "marginBottom": "4"
  },
  "product-discount-tag": {
    "width": "92",
    "height": "28",
    "lineHeight": "28",
    "verticalAlign": "middle",
    "textAlign": "center",
    "color": "#FFFFFF",
    "fontSize": "20",
    "borderRadius": "2",
    "backgroundColor": "#ff5c00",
    "marginTop": "14"
  },
  "sold-wrap": {
    "position": "absolute",
    "top": "87",
    "right": "75",
    "display": "flex",
    "width": "90",
    "height": "50",
    "backgroundColor": "rgba(0,0,0,0.65)",
    "borderRadius": "4",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "sold-text": {
    "fontSize": "20",
    "color": "#FFFFFF"
  }
}

/***/ }),

/***/ 220:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    index: Number,
    product: Object
  },
  computed: {
    getRange: function getRange() {
      return this.index >= 0 && this.index < 9 ? "0" + (this.index + 1) : this.index + 1;
    }
  },
  methods: {
    onProductClick: function onProductClick() {
      this.$emit("onProductClick", this.product);
    }
  }
};

/***/ }),

/***/ 221:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["content-wrap"],
    on: {
      "click": _vm.onProductClick
    }
  }, [_c('div', {
    staticClass: ["product-img-wrap"]
  }, [_c('image', {
    staticClass: ["product-img-bg"],
    attrs: {
      "src": "res://weex_line_3_row_item_shadow"
    }
  }), _c('image', {
    staticClass: ["product-img"],
    attrs: {
      "src": _vm.product.image
    }
  }), (_vm.product.stock == 0) ? _c('div', {
    staticClass: ["sold-wrap"]
  }, [_c('text', {
    staticClass: ["sold-text"]
  }, [_vm._v("已售罄")])]) : _vm._e(), _c('div', {
    staticClass: ["range-tag-wrap"]
  }, [_c('image', {
    staticClass: ["range-tag-bg"],
    attrs: {
      "src": 0 == _vm.index ? 'res://hot_first_product_left_bg' : 'res://hot_product_left_bg'
    }
  }), _c('text', {
    staticClass: ["range-tag"]
  }, [_vm._v(_vm._s(_vm.getRange))])])]), _c('div', {
    staticClass: ["product-info-wrap"]
  }, [_c('text', {
    staticClass: ["product-brand"]
  }, [_vm._v(_vm._s(_vm.product.brand))]), _c('div', {
    staticClass: ["product-name-wrap"]
  }, [(1 == _vm.product.newSign) ? _c('div', {
    staticClass: ["product-degree-wrap"]
  }, [_c('text', {
    staticClass: ["product-degree"]
  }, [_vm._v("全新")])]) : _vm._e(), (_vm.product.convert_size) ? _c('text', {
    staticClass: ["product-size"]
  }, [_vm._v(_vm._s(_vm.product.convert_size) + " | ")]) : _vm._e(), _c('text', {
    staticClass: ["product-name"],
    class: [_vm.product.convert_size ? '' : 'product-name-width']
  }, [_vm._v(_vm._s(_vm.product.name))])]), (1 == _vm.product.onSale) ? _c('text', {
    staticClass: ["product-discount-tag"]
  }, [_vm._v("限时特价")]) : _vm._e(), _c('div', {
    staticClass: ["product-price-wrap"]
  }, [_c('text', {
    staticClass: ["product-price"]
  }, [_vm._v("¥" + _vm._s(_vm.product.price))]), _c('text', {
    staticClass: ["product-market-price"]
  }, [_vm._v("¥" + _vm._s(_vm.product.marketPrice))])])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 222:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-29
 * toast 模块
 */

var toastModule = weex.requireModule("toast");
var _modal = weex.requireModule("modal");
var toast = exports.toast = {

    /**
     * native toast
     * @param {*} msg 
     */
    toast: function toast(msg) {
        if (!msg || !toastModule) {
            return;
        }
        toastModule.toast(msg);
    },


    /**
     * weex toast
     * @param {*} msg 
     */
    modal: function modal(msg) {
        if (!msg || !_modal) {
            return;
        }
        _modal.toast({ message: msg });
    }
};

/***/ }),

/***/ 223:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["content-wrap"]
  }, [_c('title-bar', {
    attrs: {
      "title": _vm.title,
      "statusBarLight": true,
      "rightButtonImage": "res://weex_share",
      "rightWidth": "37",
      "rightHeight": "37"
    },
    on: {
      "rightClicked": _vm.shareClick
    }
  }), _c('list', {
    staticClass: ["list"],
    attrs: {
      "loadmoreoffset": "10"
    }
  }, [_vm._l((_vm.productList), function(product, index) {
    return _c('cell', {
      key: index,
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('HotProductItem', {
      attrs: {
        "index": index,
        "product": product
      },
      on: {
        "onProductClick": _vm.onProductClick
      }
    })], 1)
  }), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [(_vm.noMore) ? _c('text', {
    staticClass: ["nomore-text"]
  }, [_vm._v("到底了，没有更多了")]) : _vm._e()])], 2), (_vm.loadMore) ? _c('text', {
    staticClass: ["indicator-text"]
  }, [_vm._v("加载更多")]) : _vm._e()], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 27:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * 基础分享 模块
 */

var _share = weex.requireModule("share");

var Share = exports.Share = {

    /**
     * 基础分享方法
     * @param {*} params 类似于之前的h5 Bridge分享参数
     * @param {*} callback 回调
     */
    share: function share(params, callback) {
        if (!_share || !params) {
            return;
        }
        _share.share(params, callback);
    },


    /**
     * 分享扩展，业务相关
     * @param {*} bizType 业务类型
     * @param {*} params  业务参数
     * @param {*} callback 回调
     */
    shareExtension: function shareExtension(bizType, params, callback) {
        if (!bizType || !params || !_share) {
            return;
        }
        _share.shareExtension(bizType, params, callback);
    }
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Page = undefined;

var _env = __webpack_require__(1);

/**
 * created by xupx
 * on 2019-04-25
 */
var page = weex.requireModule("page");
var Page = exports.Page = {
    reload: function reload() {
        if (page) {
            page.reload();
        }
    },
    loadEmpty: function loadEmpty() {
        if (page != null) {
            page.loadEmpty();
        }
    },
    loadSuccess: function loadSuccess() {
        if (page) {
            page.loadSuccess();
        }
    },
    loadFail: function loadFail() {
        if (page) {
            page.loadFail();
        }
    },
    showProcess: function showProcess() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        if (page) {
            page.showProcess(mode);
        }
    },
    hideProcess: function hideProcess() {
        if (page) {
            page.hideProcess();
        }
    },
    toast: function toast(msg) {
        if (page) {
            page.toast(msg);
        }
    },
    disablePop: function disablePop(disabled) {
        if (_env.Env.isAndroid()) {
            return;
        }
        if (page) {
            page.disablePop(disabled);
        }
    },
    finish: function finish(result) {
        if (page) {
            page.finish(result);
        }
    },
    showLoading: function showLoading() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
        var needShow = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        if (!page) {
            return;
        }
        if (_env.Env.isIOS() || needShow) {
            page.showProcess(mode);
        }
    },

    /**
     * 原生页面，生命周期回调
     * 页面可见 resume
     * 页面不可 pause
     */
    lifecycle: function lifecycle(callback) {
        if (page) {
            page.lifecycle(callback);
        }
    }
};

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * created by Justin.Wang
 */
var trackModule = weex.requireModule("track");
var Track = exports.Track = {
  /**
   * track event
   * @param {*} eventId 
   * @param {*} params 
   */
  sendEvent: function sendEvent(eventId) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!eventId) {
      return;
    }
    trackModule.sendEvent(eventId, params);
  },


  /**
   * track page
   * @param {*} name 
   * @param {*} params 
   */
  sendPage: function sendPage(name) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!name) {
      return;
    }
    trackModule.sendPage(name, params);
  }
};

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.HttpClient = undefined;

var _AppConfig = __webpack_require__(9);

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 */

var http = weex.requireModule("http");
var HttpClient = exports.HttpClient = {

    /**
     * 发送网络请求
     * @param {*} path 
     * @param {*} params 
     * @param {*} method 
     * @param {*} cache , {type: 'hours', time: 3}
     * @param {*} callback 
     */
    send: function send(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "POST";
        var cache = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
        var callback = arguments[4];

        if (!http) {
            return;
        }
        // const url = NetConfig.host + path;
        params = params || {};
        params.weexVer = _AppConfig.CommonBase.weexVer;

        this.getApi(path, function (url) {
            var mtd = !method ? _AppConfig.NetConfig.method : method;
            // 执行网络请求 
            http.send(url, params, mtd, cache, function (responseData) {
                var response = {
                    state: responseData.code == _AppConfig.NetConfig.successCode,
                    code: responseData.code,
                    data: responseData.data,
                    msg: responseData.msg
                };
                // 回调
                if (callback) {
                    callback(response);
                }
            });
        });
    },


    /**
     * 发送网路请求，带缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} cache 
     * @param {*} callback 
     */
    sendHasCache: function sendHasCache(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var cache = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        this.send(path, params, "", cache, callback);
    },


    /**
     * 发送网路请求, 无缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} callback 
     */
    sendNoCache: function sendNoCache(path, params, callback) {
        this.send(path, params, "", {}, callback);
    },


    /**
     * 无参数网络请求
     * @param {*} path 
     * @param {*} callback 
     */
    sendSimple: function sendSimple(path, callback) {
        this.send(path, {}, "", {}, callback);
    },


    /**
     * 上传文件
     * @param {*} path 
     * @param {*} localFile 
     * @param {*} params 
     * @param {*} callback 
     */
    sendFile: function sendFile(path, localFile) {
        var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        var url = _AppConfig.NetConfig.host + path;
        // 执行网络请求 
        http.sendFile(url, params, localFile, function (responseData) {
            var response = {
                state: responseData.code == _AppConfig.NetConfig.successCode,
                code: responseData.code,
                data: responseData.data,
                msg: responseData.msg
            };
            // 回调
            if (callback && typeof callback == 'function') {
                callback(response);
            }
        });
    },


    /**
     * 获取api
     * @param {*} path 
     * @param {*} callback 
     */
    getApi: function getApi(path, callback) {
        if (!path || !callback) {
            return;
        }
        var isSearch = _StringUtil.StringUtils.startWith(path, "/v4.7.0");
        if (!isSearch) {
            callback(_AppConfig.NetConfig.host + path);
        } else {
            this.getSearchHost(function (host) {
                callback(host + path);
            });
        }
    },


    /**
     * 获取 search 域名
     */
    getSearchHost: function getSearchHost(callback) {
        http.getSearchHost(callback);
    },


    /**
     * 请求 方法
     */
    method: {
        post: "POST",
        get: "GET"
    },

    /**
     * 缓存类型
     */
    cacheType: {
        seconds: "seconds",
        minutes: "minutes",
        hours: "hours",
        days: "days"
    }

};

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by Justin.Wang
 */
var Factory = exports.Factory = {
    getProductParams: function getProductParams(pro) {
        var params = {};
        if (pro) {
            params.CommodityID = pro.id;
            params.CommoditySku = pro.sku;
            params.CommodityName = pro.name;
            if (pro.brandType) {
                params.BrandType = pro.brandType;
            } else if (pro.bandType) {
                params.BrandType = pro.bandType;
            }
            params.Brand = pro.brand;
            params.TopCategory = pro.categoryOne;
            params.SecondCategory = pro.categoryTwo;
            params.ThirdCategory = pro.categoryThree;
            if (typeof pro.modifyType == "number" || typeof pro.modifyType == "string") {
                if (pro.modifyType == -1) {
                    params.Type = "非平台定价";
                } else if (pro.modifyType == 0) {
                    params.Type = "系统平台定价";
                } else if (pro.modifyType == 1) {
                    params.Type = "人工平台定价";
                }
            }
            if (typeof pro.coefficient == "number") {
                params.Coefficient = pro.coefficient.toFixed(2) + '';
            }
            if (typeof pro.ifReasonable == "number" || typeof pro.ifReasonable == "string") {
                params.IfReasonable = pro.ifReasonable == 1 ? "是" : "否";
            }
            if (typeof pro.ifAllowance == "number" || typeof pro.ifAllowance == "string") {
                params.IfAllowance = pro.ifAllowance == 1 ? "是" : "否";
            }
            if (typeof pro.modifyBasePrice == "number") {
                params.BasePrice = pro.modifyBasePrice.toFixed(2) + '';
            }
        }
        return params;
    }
};

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * 配置 js
 */

// 基础公共配置
var CommonBase = {
    debug: weex.config.env.isDebug,
    weexVer: '0.1.6'

    // host配置
};var NetConfig = {
    host: weex.config.env.host,
    method: 'POST',
    successCode: 100000

    // 分页配置
};var PageSize = {
    startIndex: 0,
    size: 20
};

exports.CommonBase = CommonBase;
exports.NetConfig = NetConfig;
exports.PageSize = PageSize;

/***/ })

/******/ });