// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 224);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Router = undefined;

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 * 路由模块
 */

var approuter = weex.requireModule("router");
var routerScheme = 'zhier';
var routerWexxHost = "jspage";


function combinePrams(uri, params) {
    if (!params) {
        return uri;
    }
    var url = uri;
    // 参数拼接
    var parasmsStr = '';
    for (var key in params) {
        parasmsStr = key + '=' + params[key] + (parasmsStr ? '&' + parasmsStr : parasmsStr);
    }
    url = _StringUtil.StringUtils.contains(url, '?') ? url + '&' + parasmsStr : url + '?' + parasmsStr;
    return url;
}

var Router = exports.Router = {

    /**
     * uri 路由
     * @param {*} uri 
     */
    uriRouter: function uriRouter(uri, params) {
        if (!uri || !approuter) {
            return;
        }
        var newUri = !params ? uri : combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * uri 路由，附带参数
     * @param {*} uri 
     * @param {*} params 
     */
    uriRouterWithParams: function uriRouterWithParams(uri, params) {
        if (!uri) {
            return;
        }
        var newUri = combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * name 路由
     * @param {*} host 
     * @param {*} params
     */
    hostRouter: function hostRouter(host, params) {
        if (!host) {
            return;
        }
        var uri = routerScheme + "://" + host;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    },

    /**
     * 跳转到 weex 页面
     * @param {t} params 
     */
    weexRouter: function weexRouter(params) {
        var uri = routerScheme + "://" + routerWexxHost;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    }
};

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/*
    created by Justin.Wang
 */
var Env = exports.Env = {
    isWeb: function isWeb() {
        var platform = weex.config.env.platform;

        return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
        var deviceHeight = weex.config.env.deviceHeight;

        if (Utils.env.isWeb()) {
            return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) !== undefined && window.screen && window.screen.width && window.screen.height && (parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812 || parseInt(window.screen.width, 10) === 414 && parseInt(window.screen.height, 10) === 896);
        }
        return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight == 1792);
    },
    isAndroid: function isAndroid() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'android';
    },


    /**
     * 当currVer小于promoteVer,返回true, 否则为false
     * @returns {boolean}
     */
    compareVersion: function compareVersion() {
        var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
        var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

        if (currVer === promoteVer) return true;
        var currVerArr = currVer.split('.');
        var promoteVerArr = promoteVer.split('.');
        var len = Math.max(currVerArr.length, promoteVerArr.length);
        for (var i = 0; i < len; i++) {
            var proVal = ~~promoteVerArr[i];
            var curVal = ~~currVerArr[i];
            if (proVal < curVal) {
                return false;
            } else if (proVal > curVal) {
                return true;
            }
        }
        return false;
    },
    isAppVersionGreaterAndEqualThan: function isAppVersionGreaterAndEqualThan(version) {
        var appVersion = weex.config.env.appVersion;

        var isGreaterAndEqual = this.compareVersion(version, appVersion);
        return isGreaterAndEqual;
    }
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(10)

/* template */
var __vue_template__ = __webpack_require__(11)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/LazyImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Page = undefined;

var _env = __webpack_require__(1);

/**
 * created by xupx
 * on 2019-04-25
 */
var page = weex.requireModule("page");
var Page = exports.Page = {
    reload: function reload() {
        if (page) {
            page.reload();
        }
    },
    loadEmpty: function loadEmpty() {
        if (page != null) {
            page.loadEmpty();
        }
    },
    loadSuccess: function loadSuccess() {
        if (page) {
            page.loadSuccess();
        }
    },
    loadFail: function loadFail() {
        if (page) {
            page.loadFail();
        }
    },
    showProcess: function showProcess() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        if (page) {
            page.showProcess(mode);
        }
    },
    hideProcess: function hideProcess() {
        if (page) {
            page.hideProcess();
        }
    },
    toast: function toast(msg) {
        if (page) {
            page.toast(msg);
        }
    },
    disablePop: function disablePop(disabled) {
        if (_env.Env.isAndroid()) {
            return;
        }
        if (page) {
            page.disablePop(disabled);
        }
    },
    finish: function finish(result) {
        if (page) {
            page.finish(result);
        }
    },
    showLoading: function showLoading() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
        var needShow = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        if (!page) {
            return;
        }
        if (_env.Env.isIOS() || needShow) {
            page.showProcess(mode);
        }
    },

    /**
     * 原生页面，生命周期回调
     * 页面可见 resume
     * 页面不可 pause
     */
    lifecycle: function lifecycle(callback) {
        if (page) {
            page.lifecycle(callback);
        }
    }
};

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * created by Justin.Wang
 */
var trackModule = weex.requireModule("track");
var Track = exports.Track = {
  /**
   * track event
   * @param {*} eventId 
   * @param {*} params 
   */
  sendEvent: function sendEvent(eventId) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!eventId) {
      return;
    }
    trackModule.sendEvent(eventId, params);
  },


  /**
   * track page
   * @param {*} name 
   * @param {*} params 
   */
  sendPage: function sendPage(name) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!name) {
      return;
    }
    trackModule.sendPage(name, params);
  }
};

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.HttpClient = undefined;

var _AppConfig = __webpack_require__(9);

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 */

var http = weex.requireModule("http");
var HttpClient = exports.HttpClient = {

    /**
     * 发送网络请求
     * @param {*} path 
     * @param {*} params 
     * @param {*} method 
     * @param {*} cache , {type: 'hours', time: 3}
     * @param {*} callback 
     */
    send: function send(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "POST";
        var cache = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
        var callback = arguments[4];

        if (!http) {
            return;
        }
        // const url = NetConfig.host + path;
        params = params || {};
        params.weexVer = _AppConfig.CommonBase.weexVer;

        this.getApi(path, function (url) {
            var mtd = !method ? _AppConfig.NetConfig.method : method;
            // 执行网络请求 
            http.send(url, params, mtd, cache, function (responseData) {
                var response = {
                    state: responseData.code == _AppConfig.NetConfig.successCode,
                    code: responseData.code,
                    data: responseData.data,
                    msg: responseData.msg
                };
                // 回调
                if (callback) {
                    callback(response);
                }
            });
        });
    },


    /**
     * 发送网路请求，带缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} cache 
     * @param {*} callback 
     */
    sendHasCache: function sendHasCache(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var cache = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        this.send(path, params, "", cache, callback);
    },


    /**
     * 发送网路请求, 无缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} callback 
     */
    sendNoCache: function sendNoCache(path, params, callback) {
        this.send(path, params, "", {}, callback);
    },


    /**
     * 无参数网络请求
     * @param {*} path 
     * @param {*} callback 
     */
    sendSimple: function sendSimple(path, callback) {
        this.send(path, {}, "", {}, callback);
    },


    /**
     * 上传文件
     * @param {*} path 
     * @param {*} localFile 
     * @param {*} params 
     * @param {*} callback 
     */
    sendFile: function sendFile(path, localFile) {
        var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        var url = _AppConfig.NetConfig.host + path;
        // 执行网络请求 
        http.sendFile(url, params, localFile, function (responseData) {
            var response = {
                state: responseData.code == _AppConfig.NetConfig.successCode,
                code: responseData.code,
                data: responseData.data,
                msg: responseData.msg
            };
            // 回调
            if (callback && typeof callback == 'function') {
                callback(response);
            }
        });
    },


    /**
     * 获取api
     * @param {*} path 
     * @param {*} callback 
     */
    getApi: function getApi(path, callback) {
        if (!path || !callback) {
            return;
        }
        var isSearch = _StringUtil.StringUtils.startWith(path, "/v4.7.0");
        if (!isSearch) {
            callback(_AppConfig.NetConfig.host + path);
        } else {
            this.getSearchHost(function (host) {
                callback(host + path);
            });
        }
    },


    /**
     * 获取 search 域名
     */
    getSearchHost: function getSearchHost(callback) {
        http.getSearchHost(callback);
    },


    /**
     * 请求 方法
     */
    method: {
        post: "POST",
        get: "GET"
    },

    /**
     * 缓存类型
     */
    cacheType: {
        seconds: "seconds",
        minutes: "minutes",
        hours: "hours",
        days: "days"
    }

};

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by Justin.Wang
 */
var Factory = exports.Factory = {
    getProductParams: function getProductParams(pro) {
        var params = {};
        if (pro) {
            params.CommodityID = pro.id;
            params.CommoditySku = pro.sku;
            params.CommodityName = pro.name;
            if (pro.brandType) {
                params.BrandType = pro.brandType;
            } else if (pro.bandType) {
                params.BrandType = pro.bandType;
            }
            params.Brand = pro.brand;
            params.TopCategory = pro.categoryOne;
            params.SecondCategory = pro.categoryTwo;
            params.ThirdCategory = pro.categoryThree;
            if (typeof pro.modifyType == "number" || typeof pro.modifyType == "string") {
                if (pro.modifyType == -1) {
                    params.Type = "非平台定价";
                } else if (pro.modifyType == 0) {
                    params.Type = "系统平台定价";
                } else if (pro.modifyType == 1) {
                    params.Type = "人工平台定价";
                }
            }
            if (typeof pro.coefficient == "number") {
                params.Coefficient = pro.coefficient.toFixed(2) + '';
            }
            if (typeof pro.ifReasonable == "number" || typeof pro.ifReasonable == "string") {
                params.IfReasonable = pro.ifReasonable == 1 ? "是" : "否";
            }
            if (typeof pro.ifAllowance == "number" || typeof pro.ifAllowance == "string") {
                params.IfAllowance = pro.ifAllowance == 1 ? "是" : "否";
            }
            if (typeof pro.modifyBasePrice == "number") {
                params.BasePrice = pro.modifyBasePrice.toFixed(2) + '';
            }
        }
        return params;
    }
};

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * 配置 js
 */

// 基础公共配置
var CommonBase = {
    debug: weex.config.env.isDebug,
    weexVer: '0.1.6'

    // host配置
};var NetConfig = {
    host: weex.config.env.host,
    method: 'POST',
    successCode: 100000

    // 分页配置
};var PageSize = {
    startIndex: 0,
    size: 20
};

exports.CommonBase = CommonBase;
exports.NetConfig = NetConfig;
exports.PageSize = PageSize;

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _stringutil = __webpack_require__(8);

exports.default = {
   props: {
      src: {
         type: String,
         default: ""
      },
      sizeType: { // 小图片：s 中图片：m 大图片 l
         type: String,
         default: "s"
      },
      width: {
         type: [String, Number],
         default: 0
      },
      height: {
         type: [String, Number],
         default: 0
      },
      resize: {
         type: String,
         default: 'cover'
      },
      placeholder: {
         type: String,
         default: ''
      },
      lazyLoad: { //是否开启懒加载
         type: Boolean,
         default: false
      }
   },

   data: function data() {
      return {
         show: false,
         loadSuccess: false,
         timer: null,
         random: 0
      };
   },

   computed: {
      url: function url() {
         if (this.lazyLoad && !this.show) {
            return "";
         }
         if (_stringutil.StringUtils.isEmpty(this.src)) {
            return "";
         }
         if (this.src.includes("?size") || this.src.includes("://")) {
            return this.src;
         }
         var url = this.src + "?size=" + this.sizeType;
         if (this.random > 0) {
            url = url + "&random=" + this.random;
         }
         return url;
      }
   },
   watch: {
      src: function src(newValue, oldValue) {
         this.loadSuccess = false;
         this.random = 0;
         if (newValue != oldValue) {
            this.clearTimer();
         }
      }
   },
   destroyed: function destroyed() {
      this.clearTimer();
   },

   methods: {
      onImageLoad: function onImageLoad(event) {
         var _this = this;

         this.clearTimer();
         if (event && event.success) {
            this.loadSuccess = true;
         } else {
            if (this.random > 3) {
               return;
            }
            this.timer = setTimeout(function () {
               _this.random++;
            }, 3000 * (this.random + 1));
         }
      },
      appear: function appear(e) {
         if (this.loadSuccess) {
            return;
         }
         this.show = true;
      },
      clearTimer: function clearTimer() {
         if (this.timer) {
            clearTimeout(this.timer);
         }
      }
   }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('image', {
    ref: "image",
    staticClass: ["lazy-image"],
    style: {
      width: _vm.width,
      height: _vm.height
    },
    attrs: {
      "src": _vm.url,
      "placeholder": _vm.placeholder,
      "resize": _vm.resize
    },
    on: {
      "load": _vm.onImageLoad,
      "appear": _vm.appear
    }
  })
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(13)
)

/* script */
__vue_exports__ = __webpack_require__(14)

/* template */
var __vue_template__ = __webpack_require__(16)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/TitleBar.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3f68fd4b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 13 */
/***/ (function(module, exports) {

module.exports = {
  "bar": {
    "backgroundColor": "#FFFFFF"
  },
  "title-bar": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center"
  },
  "left": {
    "width": "180",
    "paddingLeft": "32",
    "justifyContent": "center"
  },
  "left-button": {
    "width": "40",
    "height": "40"
  },
  "middle-title": {
    "fontSize": "36",
    "color": "#000000",
    "height": "36",
    "lineHeight": "34"
  },
  "right": {
    "width": "180",
    "paddingRight": "32",
    "alignItems": "flex-end",
    "justifyContent": "center"
  }
}

/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Page = __webpack_require__(3);

var _env = __webpack_require__(1);

var _System = __webpack_require__(15);

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    title: {
      type: String,
      default: ''
    },
    rightButtonImage: {
      type: String
    },
    rightHeight: {
      type: Number
    },
    rightWidth: {
      type: Number
    },
    needStatusBar: { //适配android
      type: Boolean,
      default: false
    },
    backgroundColor: {
      type: String,
      default: 'white'
    },
    statusBarLight: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    statusBarStyle: function statusBarStyle() {
      return {
        height: weex.config.env.statusHeight + 'px',
        backgroundColor: !this.isOppoOrVivoV5 ? this.backgroundColor : '#000000'
      };
    },
    navHeight: function navHeight() {
      return weex.config.env.navHeight + 'px';
    },
    navBarStyle: function navBarStyle() {
      return {
        height: weex.config.env.navHeight + 'px'
      };
    },
    rightButtonStyle: function rightButtonStyle() {
      return {
        width: this.rightWidth + 'px',
        height: this.rightHeight + 'px'
      };
    },
    showStatusBar: function showStatusBar() {
      // if (Env.isAndroid() && !this.needStatusBar) {
      //    return false
      // }
      return true;
    },
    statusBar: function statusBar() {
      if (_System.System) {
        _System.System.setStatusBarStyle(this.statusBarLight);
      }
    }
  },
  methods: {
    leftButtonClicked: function leftButtonClicked() {
      _Page.Page.finish();
      this.$emit("finish", {});
    },
    rightButtonClicked: function rightButtonClicked() {
      if (this.rightButtonImage || this.$slots && this.$slots.right) {
        this.$emit("rightClicked", {});
      }
    }
  },
  created: function created() {
    var _this = this;

    if (_System.System) {
      _System.System.isVivoOrOppoV5(function (isOppoOrVivoV5) {
        _this.isOppoOrVivoV5 = isOppoOrVivoV5;
      });
      _System.System.setStatusBarStyle(this.statusBarLight);
    }
  },
  data: function data() {
    return {
      isOppoOrVivoV5: false
    };
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var system = weex.requireModule("system");

var System = exports.System = {
    setStatusBarStyle: function setStatusBarStyle(light) {
        if (system) {
            system.setStatusBarStyle(light);
        }
    },
    isVivoOrOppoV5: function isVivoOrOppoV5(callback) {
        if (!callback) {
            return;
        }
        if (system) {
            var platform = weex.config.env.platform;

            if (platform.toLowerCase() === 'android') {
                system.isVivoOrOppoV5(callback);
            } else {
                callback(false);
            }
        } else {
            callback(false);
        }
    }
};

/***/ }),
/* 16 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["bar"],
    style: {
      backgroundColor: _vm.backgroundColor
    }
  }, [(_vm.showStatusBar) ? _c('div', {
    staticClass: ["status-bar"],
    style: _vm.statusBarStyle
  }) : _vm._e(), _c('div', {
    staticClass: ["title-bar"],
    style: _vm.navBarStyle
  }, [_c('div', {
    staticClass: ["left"],
    style: {
      height: _vm.navHeight
    },
    on: {
      "click": _vm.leftButtonClicked
    }
  }, [_c('image', {
    staticClass: ["left-button"],
    attrs: {
      "src": "res://weex_return",
      "resize": "cover"
    }
  })]), _c('text', {
    staticClass: ["middle-title"]
  }, [_vm._v(_vm._s(_vm.title))]), _c('div', {
    staticClass: ["right"],
    style: {
      height: _vm.navHeight
    },
    on: {
      "click": _vm.rightButtonClicked
    }
  }, [_vm._t("right", [(_vm.rightButtonImage) ? _c('image', {
    style: _vm.rightButtonStyle,
    attrs: {
      "src": _vm.rightButtonImage
    }
  }) : _vm._e()])], 2)])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 17 */,
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(20)
)

/* script */
__vue_exports__ = __webpack_require__(21)

/* template */
var __vue_template__ = __webpack_require__(22)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/SplitWords.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-34b19a5f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 19 */,
/* 20 */
/***/ (function(module, exports) {

module.exports = {
  "words": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "word": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "line": {
    "fontWeight": "400",
    "transform": "rotate(30deg)"
  },
  "w": {
    "fontWeight": "800"
  }
}

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String,
        linecolor: {
            type: String,
            default: '#A1887F'
        },
        color: {
            type: String,
            default: '#333'
        },
        textSize: {
            type: Number,
            default: 28
        },
        lineLength: {
            type: Number,
            default: 24
        },
        lineMargin: {
            type: Number,
            default: 7
        },
        maxWords: {
            type: Number,
            default: 0
        },
        lineOpacity: {
            type: Number,
            default: 1
        }
    },
    methods: {
        splitWorlds: function splitWorlds(this_) {
            var that = this_ || this;
            if (!that.text) {
                return;
            }
            var words = that.text.split('');
            if (that.maxWords <= 0 || words.length <= that.maxWords) {
                that.words = words;
            } else {
                that.words = words.slice(0, that.maxWords);
            }
        }
    },
    data: function data() {
        return {
            words: []
        };
    },
    created: function created() {
        this.$options.methods.splitWorlds(this);
    },

    watch: {
        text: function text(newValue, oldValue) {
            this.$options.methods.splitWorlds(this);
        }
    }
};

/***/ }),
/* 22 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["words"]
  }, _vm._l((_vm.words), function(w, index) {
    return _c('div', {
      key: index,
      staticClass: ["word"]
    }, [(index != 0) ? _c('text', {
      staticClass: ["line"],
      style: {
        'color': _vm.linecolor,
        'font-size': _vm.lineLength,
        'margin': _vm.lineMargin,
        'opacity': _vm.lineOpacity
      }
    }, [_vm._v("|")]) : _vm._e(), _c('text', {
      staticClass: ["w"],
      style: {
        'color': _vm.color,
        'font-size': _vm.textSize
      }
    }, [_vm._v(_vm._s(w))])])
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(24)
)

/* script */
__vue_exports__ = __webpack_require__(25)

/* template */
var __vue_template__ = __webpack_require__(26)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/TabLayout.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5ca5339f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 24 */
/***/ (function(module, exports) {

module.exports = {
  "scoller": {
    "flexDirection": "row",
    "backgroundColor": "#FFFFFF"
  },
  "scroller-item": {
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "scoller-item-underline": {
    "backgroundColor": "#f37e52",
    "width": "56",
    "height": "4"
  }
}

/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _env = __webpack_require__(1);

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule("dom") || {};
exports.default = {
  props: {
    items: {
      type: Array,
      default: []
    },
    currentIndex: {
      type: Number,
      default: 0
    },
    haveUnderline: {
      type: Boolean,
      default: false
    },
    selectedTitleColor: {
      type: String,
      default: "#333333"
    },
    unselectedTitleColor: {
      type: String,
      default: "#999999"
    },
    selectedTitleFontSize: {
      type: Number,
      default: 36
    },
    unselectedTitleFontSize: {
      type: Number,
      default: 30
    },
    selectedFontWeight: {
      type: String,
      default: "bold"
    },
    unselectedFontWeight: {
      type: String,
      default: "Medium"
    },
    selectedFontFamily: {
      type: String,
      default: ""
    },
    unselectedFontFamily: {
      type: String,
      default: ""
    },
    itemSpace: {
      type: Number,
      default: 48
    },
    insetLeft: {
      type: Number,
      default: 48
    },
    insetRight: {
      type: Number,
      default: 48
    },
    height: {
      type: Number,
      default: 112
    },
    backgroundColor: {
      type: String,
      default: "white"
    }
  },
  data: function data() {
    return {
      timer: null,
      isMultiPage: true
    };
  },
  mounted: function mounted() {
    var _this = this;

    setTimeout(function () {
      dom.getComponentRect(_this.$refs[_this.itemPreRef() + (_this.items.length - 1)][0], function (res) {
        if (res.result) {
          _this.isMultiPage = res.size.right > 750;
        }
      });
    }, 2000);
  },

  methods: {
    itemClicked: function itemClicked(index) {
      this.$emit("itemClick", { currentIndex: index });
      if (this.currentIndex == index) {
        return;
      }
      this.scrollToIndex(index);
    },
    setIndex: function setIndex(index) {
      if (this.currentIndex == index) {
        return;
      }
      this.updateIndex(index);
    },
    updateIndex: function updateIndex(index) {
      var _this2 = this;

      if (_env.Env.isAndroid()) {
        clearTimeout(this.timer);
        this.timer = setTimeout(function () {
          _this2.scrollToIndex(index);
        }, 500);
      } else {
        this.scrollToIndex(index);
      }
    },
    scrollToIndex: function scrollToIndex(index) {
      this.currentIndex = index;
      if (!this.isMultiPage) {
        return;
      }
      var toIndex = 0;
      if (index > 2) {
        toIndex = index - 2;
      }
      dom.scrollToElement(this.$refs[this.itemPreRef() + toIndex][0], {
        offset: 0,
        animated: true
      });
    },
    itemStyleObject: function itemStyleObject(index) {
      return {
        paddingRight: (index != this.items.length - 1 ? this.itemSpace : this.insetRight) + "px",
        paddingLeft: (index == 0 ? this.insetLeft : 0) + "px"
      };
    },
    itemTextStyleObject: function itemTextStyleObject(index) {
      var isCurrent = index == this.currentIndex;
      return {
        fontSize: (isCurrent ? this.selectedTitleFontSize : this.unselectedTitleFontSize) + "px",
        color: isCurrent ? this.selectedTitleColor : this.unselectedTitleColor,
        fontWeight: isCurrent ? this.selectedFontWeight : this.unselectedFontWeight,
        fontFamily: isCurrent ? this.selectedFontFamily : this.unselectedFontFamily
      };
    },
    itemPreRef: function itemPreRef() {
      return "tab-layout-item";
    }
  }
};

/***/ }),
/* 26 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.items && _vm.items.length > 0) ? _c('div', {
    staticClass: ["scoller-container"],
    style: {
      height: _vm.height + 'px'
    }
  }, [_c('scroller', {
    staticClass: ["scoller"],
    style: {
      backgroundColor: _vm.backgroundColor
    },
    attrs: {
      "scrollDirection": "horizontal",
      "showScrollbar": "false"
    }
  }, _vm._l((_vm.items), function(name, index) {
    return _c('div', {
      key: index,
      ref: _vm.itemPreRef() + index,
      refInFor: true,
      staticClass: ["scroller-item"],
      style: _vm.itemStyleObject(index),
      on: {
        "click": function($event) {
          _vm.itemClicked(index)
        },
        "appear": _vm.lastItemAppear
      }
    }, [_c('text', {
      style: _vm.itemTextStyleObject(index)
    }, [_vm._v(_vm._s(name))]), (_vm.haveUnderline) ? _c('div', {
      staticClass: ["scoller-item-underline"],
      style: {
        visibility: (_vm.currentIndex == index) ? 'visible' : 'hidden'
      }
    }) : _vm._e()])
  }))]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * 基础分享 模块
 */

var _share = weex.requireModule("share");

var Share = exports.Share = {

    /**
     * 基础分享方法
     * @param {*} params 类似于之前的h5 Bridge分享参数
     * @param {*} callback 回调
     */
    share: function share(params, callback) {
        if (!_share || !params) {
            return;
        }
        _share.share(params, callback);
    },


    /**
     * 分享扩展，业务相关
     * @param {*} bizType 业务类型
     * @param {*} params  业务参数
     * @param {*} callback 回调
     */
    shareExtension: function shareExtension(bizType, params, callback) {
        if (!bizType || !params || !_share) {
            return;
        }
        _share.shareExtension(bizType, params, callback);
    }
};

/***/ }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(29)
)

/* template */
var __vue_template__ = __webpack_require__(30)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/HLine.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7546fe7c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 29 */
/***/ (function(module, exports) {

module.exports = {
  "line": {
    "width": "750",
    "height": "2",
    "backgroundColor": "#F4F4F4"
  }
}

/***/ }),
/* 30 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["line"]
  })
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 31 */,
/* 32 */,
/* 33 */,
/* 34 */,
/* 35 */,
/* 36 */,
/* 37 */,
/* 38 */,
/* 39 */,
/* 40 */,
/* 41 */,
/* 42 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(43)
)

/* script */
__vue_exports__ = __webpack_require__(44)

/* template */
var __vue_template__ = __webpack_require__(45)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/HotItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0367dd2d"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 43 */
/***/ (function(module, exports) {

module.exports = {
  "item-wrap": {
    "position": "relative",
    "paddingLeft": "24",
    "paddingRight": "24",
    "paddingTop": "8",
    "paddingBottom": "24"
  },
  "item-shadow": {
    "position": "absolute",
    "top": 0,
    "bottom": 0,
    "left": "0",
    "right": "0"
  },
  "item": {
    "width": "196",
    "height": "400",
    "display": "flex",
    "alignItems": "center",
    "justifyContent": "center",
    "backgroundColor": "#FFFFFF"
  },
  "img": {
    "width": "110",
    "height": "16",
    "marginTop": "12",
    "marginBottom": "12"
  },
  "hot-img-ranking-list": {
    "width": "110",
    "height": "20",
    "marginBottom": "24",
    "marginTop": "6"
  },
  "hot-img": {
    "width": "170",
    "height": "170"
  },
  "hot-brand": {
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "marginTop": "32",
    "fontSize": "24",
    "color": "#333333",
    "paddingLeft": "12",
    "paddingRight": "12",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "hot-price": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-end",
    "marginTop": "7"
  },
  "hot-price-before": {
    "fontFamily": "PingFangSC-Regular",
    "fontWeight": "400",
    "fontSize": "20",
    "color": "#333333",
    "marginTop": "6"
  },
  "hot-price-price": {
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "fontSize": "32",
    "color": "#FF5C00",
    "marginLeft": "4"
  }
}

/***/ }),
/* 44 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _SplitWords = __webpack_require__(18);

var _SplitWords2 = _interopRequireDefault(_SplitWords);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        hotItem: Object,
        shadowOpacity: {
            type: Number,
            default: 1
        }
    },
    components: {
        SplitWords: _SplitWords2.default,
        LazyImage: _LazyImage2.default
    },
    methods: {
        itemClick: function itemClick() {
            this.$emit('itemClick', this.hotItem);
        }
    }
};

/***/ }),
/* 45 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["item-wrap"],
    on: {
      "click": _vm.itemClick
    }
  }, [_c('image', {
    staticClass: ["item-shadow"],
    style: {
      'opacity': _vm.shadowOpacity
    },
    attrs: {
      "src": "res://weex_hot_single_product_shadow"
    }
  }), _c('div', {
    staticClass: ["item"]
  }, [_c('split-words', {
    attrs: {
      "text": _vm.hotItem.categoryTwo,
      "maxWords": 4,
      "lineOpacity": "0.3"
    }
  }), _c('image', {
    staticClass: ["hot-img-ranking-list"],
    attrs: {
      "src": "res://weex_ranking_list",
      "resize": "cover"
    }
  }), _c('lazy-image', {
    staticClass: ["hot-img"],
    attrs: {
      "src": _vm.hotItem.image,
      "resize": "cover",
      "width": "170",
      "height": "170",
      "sizeType": "m",
      "lazyLoad": true
    }
  }), _c('text', {
    staticClass: ["hot-brand"]
  }, [_vm._v(_vm._s(_vm.hotItem.brand))]), _c('div', {
    staticClass: ["hot-price"]
  }, [_c('text', {
    staticClass: ["hot-price-before"]
  }, [_vm._v("仅")]), _c('text', {
    staticClass: ["hot-price-price"]
  }, [_vm._v(_vm._s("¥" + _vm.hotItem.price))])])], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 46 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(47)
)

/* script */
__vue_exports__ = __webpack_require__(48)

/* template */
var __vue_template__ = __webpack_require__(49)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/Tag.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-bb7ceecc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 47 */
/***/ (function(module, exports) {

module.exports = {
  "tag": {
    "fontFamily": "PingFangSC-Regular",
    "lineHeight": "24",
    "fontSize": "20",
    "borderStyle": "solid",
    "borderWidth": "1",
    "borderRadius": "2",
    "paddingLeft": "4",
    "paddingRight": "4"
  }
}

/***/ }),
/* 48 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String,
        color: {
            type: String,
            default: '#FF5C00'
        }
    }
};

/***/ }),
/* 49 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('text', {
    staticClass: ["tag"],
    style: {
      'color': _vm.color,
      'border-color': _vm.color
    }
  }, [_vm._v(_vm._s(_vm.text))])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 50 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(51)
)

/* script */
__vue_exports__ = __webpack_require__(52)

/* template */
var __vue_template__ = __webpack_require__(53)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/BlackButton.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7a2194de"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 51 */
/***/ (function(module, exports) {

module.exports = {
  "button": {
    "justifyContent": "center",
    "alignItems": "center"
  },
  "button-wrap": {
    "width": "192",
    "height": "64",
    "backgroundColor": "#333333",
    "borderRadius": 50,
    "justifyContent": "center",
    "alignItems": "center"
  },
  "button-text": {
    "fontSize": "24",
    "color": "#FFFFFF",
    "lines": 1,
    "textOverflow": "ellipsis"
  }
}

/***/ }),
/* 52 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String,
        bWidth: {
            type: String,
            default: '192px'
        }
    },
    methods: {
        btnClick: function btnClick() {
            this.$emit('btnClick');
        }
    }
};

/***/ }),
/* 53 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["button"]
  }, [_c('div', {
    staticClass: ["button-wrap"],
    style: {
      'width': _vm.bWidth
    },
    on: {
      "click": _vm.btnClick
    }
  }, [_c('text', {
    staticClass: ["button-text"]
  }, [_vm._v(_vm._s(_vm.text))])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 54 */,
/* 55 */,
/* 56 */,
/* 57 */,
/* 58 */,
/* 59 */,
/* 60 */,
/* 61 */,
/* 62 */,
/* 63 */,
/* 64 */,
/* 65 */,
/* 66 */,
/* 67 */,
/* 68 */,
/* 69 */,
/* 70 */,
/* 71 */,
/* 72 */,
/* 73 */,
/* 74 */,
/* 75 */,
/* 76 */,
/* 77 */,
/* 78 */,
/* 79 */,
/* 80 */,
/* 81 */,
/* 82 */,
/* 83 */,
/* 84 */,
/* 85 */,
/* 86 */,
/* 87 */,
/* 88 */,
/* 89 */,
/* 90 */,
/* 91 */,
/* 92 */,
/* 93 */,
/* 94 */,
/* 95 */,
/* 96 */,
/* 97 */,
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */,
/* 102 */,
/* 103 */,
/* 104 */,
/* 105 */,
/* 106 */,
/* 107 */,
/* 108 */,
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */,
/* 117 */,
/* 118 */,
/* 119 */,
/* 120 */,
/* 121 */,
/* 122 */,
/* 123 */,
/* 124 */,
/* 125 */,
/* 126 */,
/* 127 */,
/* 128 */,
/* 129 */,
/* 130 */,
/* 131 */,
/* 132 */,
/* 133 */,
/* 134 */,
/* 135 */,
/* 136 */,
/* 137 */,
/* 138 */,
/* 139 */,
/* 140 */,
/* 141 */,
/* 142 */,
/* 143 */,
/* 144 */,
/* 145 */,
/* 146 */,
/* 147 */,
/* 148 */,
/* 149 */,
/* 150 */,
/* 151 */,
/* 152 */,
/* 153 */,
/* 154 */,
/* 155 */,
/* 156 */,
/* 157 */,
/* 158 */,
/* 159 */,
/* 160 */,
/* 161 */,
/* 162 */,
/* 163 */,
/* 164 */,
/* 165 */,
/* 166 */,
/* 167 */,
/* 168 */,
/* 169 */,
/* 170 */,
/* 171 */,
/* 172 */,
/* 173 */,
/* 174 */,
/* 175 */,
/* 176 */,
/* 177 */,
/* 178 */,
/* 179 */,
/* 180 */,
/* 181 */,
/* 182 */,
/* 183 */,
/* 184 */,
/* 185 */,
/* 186 */,
/* 187 */,
/* 188 */,
/* 189 */,
/* 190 */,
/* 191 */,
/* 192 */,
/* 193 */,
/* 194 */,
/* 195 */,
/* 196 */,
/* 197 */,
/* 198 */,
/* 199 */,
/* 200 */,
/* 201 */,
/* 202 */,
/* 203 */,
/* 204 */,
/* 205 */,
/* 206 */,
/* 207 */,
/* 208 */,
/* 209 */,
/* 210 */,
/* 211 */,
/* 212 */,
/* 213 */,
/* 214 */,
/* 215 */,
/* 216 */,
/* 217 */,
/* 218 */,
/* 219 */,
/* 220 */,
/* 221 */,
/* 222 */,
/* 223 */,
/* 224 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _HotProductsPage = __webpack_require__(225);

var _HotProductsPage2 = _interopRequireDefault(_HotProductsPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_HotProductsPage2.default.el = '#root';
new Vue(_HotProductsPage2.default);

/***/ }),
/* 225 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(226)
)

/* script */
__vue_exports__ = __webpack_require__(227)

/* template */
var __vue_template__ = __webpack_require__(244)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hotproducts/HotProductsPage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-13cdffcb"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 226 */
/***/ (function(module, exports) {

module.exports = {
  "page-wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "scroller": {
    "flexDirection": "column"
  },
  "update-desc-wrap": {
    "alignItems": "center",
    "justifyContent": "center",
    "marginBottom": "52"
  },
  "update-desc": {
    "lineHeight": "32",
    "paddingLeft": "14",
    "paddingRight": "14",
    "borderRadius": "16",
    "backgroundColor": "#FFF1EB",
    "fontSize": "24",
    "color": "#999999"
  },
  "list-footer": {
    "fontSize": "24",
    "color": "#999999",
    "textAlign": "center",
    "paddingTop": "32",
    "paddingBottom": "32"
  }
}

/***/ }),
/* 227 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _TitleBar = __webpack_require__(12);

var _TitleBar2 = _interopRequireDefault(_TitleBar);

var _RecommendOrder = __webpack_require__(228);

var _RecommendOrder2 = _interopRequireDefault(_RecommendOrder);

var _TabLayout = __webpack_require__(23);

var _TabLayout2 = _interopRequireDefault(_TabLayout);

var _CategoryItem = __webpack_require__(232);

var _CategoryItem2 = _interopRequireDefault(_CategoryItem);

var _HLine = __webpack_require__(28);

var _HLine2 = _interopRequireDefault(_HLine);

var _Share = __webpack_require__(27);

var _HttpClient = __webpack_require__(6);

var _Page = __webpack_require__(3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    data: {
        hotHeader: null,
        tabs: [],
        selectGroup: null,
        selectTab: null,

        page: 1,
        pageSize: 10,
        hasMore: true
    },
    components: {
        TitleBar: _TitleBar2.default,
        RecommendOrder: _RecommendOrder2.default,
        TabLayout: _TabLayout2.default,
        CategoryItem: _CategoryItem2.default,
        HLine: _HLine2.default
    },
    methods: {
        rightClicked: function rightClicked() {
            if (!this.hotHeader.recommendList || this.hotHeader.recommendList.length <= 0) {
                return;
            }
            // 调用分享方法
            _Share.Share.shareExtension("hotproductshare", {
                data: this.hotHeader.recommendList[0]
            }, function () {});
        },
        tabClick: function tabClick(e) {
            // = e.currentIndex;
            this.selectTab = this.hotHeader.menuList[e.currentIndex];
            this.page = 1;
            this.hasMore = true;
            this.loadData(this.page);
        },
        loadMore: function loadMore() {
            if (!this.hasMore) {
                return;
            }
            var page = this.page + 1;
            this.loadData(page);
        },
        loadHotHeader: function loadHotHeader() {
            var _this = this;

            _Page.Page.showLoading();
            _HttpClient.HttpClient.sendSimple('/v4.7.0/product/hotItemTop', function (resp) {
                _Page.Page.hideProcess();
                if (resp.state) {
                    _Page.Page.loadSuccess();
                    var tabs = [];
                    resp.data.menuList.forEach(function (tab) {
                        tabs.push(tab.name);
                    });

                    _this.tabs = tabs;
                    _this.hotHeader = resp.data;
                    // 默认选中的tab, 0位置
                    _this.selectGroup = _this.hotHeader.itemList;
                    _this.selectTab = _this.hotHeader.menuList[0];
                    _this.hasMore = _this.hotHeader.itemList && _this.hotHeader.itemList.length >= _this.pageSize;
                } else {
                    _Page.Page.loadFail();
                    _Page.Page.toast(resp.msg);
                }
            });
        },
        loadData: function loadData(page) {
            var _this2 = this;

            _Page.Page.showProcess(true);
            _HttpClient.HttpClient.sendNoCache('/v4.7.0/product/hotItemList', {
                page: page,
                pageSize: this.pageSize,
                type: this.selectTab.id
            }, function (resp) {
                _Page.Page.hideProcess();
                if (resp.state) {
                    _Page.Page.loadSuccess();
                    if (page == 1) {
                        // 刷新
                        _this2.selectGroup = resp.data.list;
                    } else {
                        // 加载更多
                        _this2.selectGroup = _this2.selectGroup.concat(resp.data.list);
                    }
                    _this2.page = page;
                    _this2.hasMore = resp.data && resp.data.list.length >= _this2.pageSize;
                } else {
                    _Page.Page.loadFail();
                    _Page.Page.toast(resp.msg);
                }
            });
        }
    },
    created: function created() {
        // 加载 header 数据
        this.loadHotHeader();
    }
};

/***/ }),
/* 228 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(229)
)

/* script */
__vue_exports__ = __webpack_require__(230)

/* template */
var __vue_template__ = __webpack_require__(231)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hotproducts/modules/RecommendOrder.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-1f629902"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 229 */
/***/ (function(module, exports) {

module.exports = {
  "order-wrap": {
    "position": "relative"
  },
  "order-bg": {
    "width": "750",
    "height": "610",
    "position": "relative",
    "top": 0,
    "bottom": 0,
    "left": 0,
    "right": 0
  },
  "order-info": {
    "position": "absolute",
    "marginTop": "64"
  },
  "order-title": {
    "marginLeft": "48",
    "lineHeight": "40",
    "fontSize": "40",
    "color": "#333333",
    "fontFamily": "PingFangSC-Medium",
    "fontWeight": "600"
  },
  "order-products": {
    "marginLeft": "30",
    "marginTop": "40",
    "display": "flex",
    "justifyContent": "space-between",
    "flexDirection": "row"
  }
}

/***/ }),
/* 230 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _HotItem = __webpack_require__(42);

var _HotItem2 = _interopRequireDefault(_HotItem);

var _Router = __webpack_require__(0);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        recommendList: {
            type: Object
        }
    },
    components: {
        LazyImage: _LazyImage2.default,
        HotItem: _HotItem2.default
    },
    methods: {
        gotoProduct: function gotoProduct(item) {
            if (!item) {
                return;
            }
            // hot单品榜，二级页面
            _Router.Router.uriRouter('zhier://jspage', {
                jsbundle: 'app/hotproducts/HotProductListPage.js',
                categoryId: item.categoryId
            });
            // Router.uriRouter('zhier://productdetail', {
            //     id: item.id
            // });
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 231 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["order-wrap"]
  }, [_c('lazy-image', {
    staticClass: ["order-bg"],
    attrs: {
      "src": "res://weex_hot_order_bg",
      "resize": "cover",
      "width": "750",
      "height": "610",
      "sizeType": "m"
    }
  }), _c('div', {
    staticClass: ["order-info"]
  }, [_c('text', {
    staticClass: ["order-title"]
  }, [_vm._v("为您推荐的榜单")]), _c('div', {
    staticClass: ["order-products"]
  }, _vm._l((_vm.recommendList), function(item, i) {
    return _c('hot-item', {
      key: i,
      style: {
        'position': 'relative',
        'left': i > 0 ? -20 * i : 0
      },
      attrs: {
        "hotItem": item
      },
      on: {
        "itemClick": function($event) {
          _vm.gotoProduct(item)
        }
      }
    })
  }))])], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 232 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(233)
)

/* script */
__vue_exports__ = __webpack_require__(234)

/* template */
var __vue_template__ = __webpack_require__(243)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hotproducts/modules/CategoryItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-68ec567e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 233 */
/***/ (function(module, exports) {

module.exports = {
  "item-name": {
    "fontFamily": "PingFangSC-Medium",
    "lineHeight": "40",
    "fontSize": "40",
    "color": "#333333",
    "marginLeft": "48",
    "marginRight": "48",
    "fontWeight": "bold",
    "marginTop": "64",
    "marginBottom": "40"
  },
  "item-first-product": {
    "marginLeft": "32"
  },
  "products": {
    "marginLeft": "32",
    "position": "relative",
    "display": "flex",
    "flexDirection": "row",
    "flexWrap": "wrap"
  },
  "product": {
    "position": "relative"
  },
  "item-more": {
    "alignItems": "center",
    "justifyContent": "center",
    "marginTop": "40",
    "paddingBottom": "32"
  }
}

/***/ }),
/* 234 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _FirstProductItem = __webpack_require__(235);

var _FirstProductItem2 = _interopRequireDefault(_FirstProductItem);

var _NormalProductItem = __webpack_require__(239);

var _NormalProductItem2 = _interopRequireDefault(_NormalProductItem);

var _BlackButton = __webpack_require__(50);

var _BlackButton2 = _interopRequireDefault(_BlackButton);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        item: {
            type: Object
        },
        typeId: {
            type: Number
        },
        isLast: {
            type: Boolean,
            default: false
        },
        tabName: {
            type: String,
            default: ''
        }
    },
    data: {
        lazyLoad: true
    },
    components: {
        FirstProductItem: _FirstProductItem2.default,
        NormalProductItem: _NormalProductItem2.default,
        BlackButton: _BlackButton2.default
    },
    methods: {
        productClick: function productClick(index, product) {
            if (!product) {
                return;
            }
            _Router.Router.uriRouter('zhier://productdetail', {
                id: product.id
            });
            //埋点
            var params = _Factory.Factory.getProductParams(product);
            params.Rank = index;
            params.Title = this.title;
            params.Tag = this.tabName;
            _Track.Track.sendEvent("HotListClick", params);
        },
        btnClick: function btnClick() {
            if (!this.item) {
                return;
            }
            // hot单品榜，二级页面
            _Router.Router.uriRouter('zhier://jspage', {
                jsbundle: 'app/hotproducts/HotProductListPage.js',
                typeId: this.typeId,
                categoryId: this.item.categoryId
            });
        }
    }

};

/***/ }),
/* 235 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(236)
)

/* script */
__vue_exports__ = __webpack_require__(237)

/* template */
var __vue_template__ = __webpack_require__(238)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hotproducts/components/FirstProductItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4b49ee94"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 236 */
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "position": "relative",
    "width": "688",
    "height": "272"
  },
  "product-bg-shadow": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "product-info-wrap": {
    "marginLeft": "20",
    "marginRight": "20",
    "marginBottom": "28",
    "marginTop": "12",
    "backgroundColor": "#FFFFFF",
    "width": "648",
    "height": "234",
    "flexDirection": "row",
    "alignContent": "center"
  },
  "product-img": {
    "width": "234",
    "height": "234"
  },
  "product-info": {
    "marginTop": "32"
  },
  "product-brand": {
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "fontSize": "28",
    "lineHeight": "29",
    "marginRight": "40",
    "textOverflow": "ellipsis",
    "color": "#333333",
    "width": "400",
    "lines": 1
  },
  "product-name": {
    "marginTop": "16",
    "width": "400",
    "marginBottom": "16",
    "lines": 1,
    "textOverflow": "ellipsis",
    "flexDirection": "row"
  },
  "product-new": {
    "marginRight": "8"
  },
  "product-name-text": {
    "lineHeight": "24",
    "fontSize": "24",
    "color": "#999999",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "product-tags": {
    "flexDirection": "row"
  },
  "product-tag": {
    "marginRight": "12",
    "backgroundColor": "#ff5c00",
    "color": "#FFFFFF",
    "lineHeight": "26",
    "fontSize": "20",
    "paddingLeft": "4",
    "paddingRight": "4"
  },
  "product-prices": {
    "flexDirection": "row",
    "alignItems": "flex-end",
    "marginTop": "30"
  },
  "product-prict-price": {
    "fontFamily": "PingFangSC-Semibold",
    "lineHeight": "32",
    "fontSize": "32",
    "color": "#ff5c00",
    "fontWeight": "600"
  },
  "product-prict-market": {
    "fontFamily": "PingFangSC-Semibold",
    "lineHeight": "20",
    "fontSize": "20",
    "color": "#999999",
    "marginBottom": "2.5",
    "marginLeft": "4",
    "fontWeight": "600",
    "textDecoration": "line-through"
  },
  "product-no-wrap": {
    "position": "absolute",
    "left": "12",
    "top": "24",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "product-no": {
    "width": "50",
    "height": "32"
  },
  "product-no-text": {
    "position": "absolute",
    "textAlign": "center",
    "width": "50",
    "fontFamily": "Didot Italic",
    "fontStyle": "italic",
    "lineHeight": "26",
    "fontSize": "26",
    "color": "#FFFFFF",
    "marginBottom": "3"
  },
  "sold-wrap": {
    "position": "absolute",
    "top": "87",
    "left": "57",
    "display": "flex",
    "width": "120",
    "height": "60",
    "backgroundColor": "rgba(0,0,0,0.65)",
    "borderRadius": "4",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "sold-text": {
    "fontSize": "24",
    "color": "#FFFFFF"
  }
}

/***/ }),
/* 237 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Tag = __webpack_require__(46);

var _Tag2 = _interopRequireDefault(_Tag);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    product: Object
  },
  components: {
    Tag: _Tag2.default,
    LazyImage: _LazyImage2.default
  }
};

/***/ }),
/* 238 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('image', {
    staticClass: ["product-bg-shadow"],
    attrs: {
      "src": "res://weex_hot_first_product_bg"
    }
  }), _c('div', {
    staticClass: ["product-info-wrap"]
  }, [_c('lazy-image', {
    staticClass: ["product-img"],
    attrs: {
      "src": _vm.product.image,
      "resize": "cover",
      "width": "234",
      "height": "234",
      "sizeType": "s",
      "lazyLoad": true
    }
  }), (_vm.product.stock == 0) ? _c('div', {
    staticClass: ["sold-wrap"]
  }, [_c('text', {
    staticClass: ["sold-text"]
  }, [_vm._v("已售罄")])]) : _vm._e(), _c('div', {
    staticClass: ["product-info"]
  }, [_c('text', {
    staticClass: ["product-brand"]
  }, [_vm._v(_vm._s(_vm.product.brand))]), _c('div', {
    staticClass: ["product-name"]
  }, [(_vm.product.newSign == 1) ? _c('tag', {
    staticClass: ["product-new"],
    attrs: {
      "text": "全新"
    }
  }) : _vm._e(), _c('text', {
    staticClass: ["product-name-text"],
    style: {
      width: _vm.product.newSign == 1 ? '330' : '388'
    }
  }, [_vm._v(_vm._s(_vm.product.name))])], 1), _c('div', {
    staticClass: ["product-tags"]
  }, [(_vm.product.onSale == 1) ? _c('text', {
    staticClass: ["product-tag"]
  }, [_vm._v("限时特价")]) : _vm._e(), (_vm.product.haveRedPacket) ? _c('text', {
    staticClass: ["product-tag"]
  }, [_vm._v("满减")]) : _vm._e()]), _c('div', {
    staticClass: ["product-prices"]
  }, [_c('text', {
    staticClass: ["product-prict-price"]
  }, [_vm._v(_vm._s('¥' + _vm.product.price))]), _c('text', {
    staticClass: ["product-prict-market"]
  }, [_vm._v(_vm._s('¥' + _vm.product.marketPrice))])])])], 1), _vm._m(0)])
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["product-no-wrap"]
  }, [_c('image', {
    staticClass: ["product-no"],
    attrs: {
      "src": "res://hot_first_product_left_bg",
      "resize": "cover"
    }
  }), _c('text', {
    staticClass: ["product-no-text"]
  }, [_vm._v("01")])])
}]}
module.exports.render._withStripped = true

/***/ }),
/* 239 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(240)
)

/* script */
__vue_exports__ = __webpack_require__(241)

/* template */
var __vue_template__ = __webpack_require__(242)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hotproducts/components/NormalProductItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-e44286f2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 240 */
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "width": "226",
    "height": "328",
    "position": "relative",
    "marginTop": "8",
    "marginRight": "3"
  },
  "item-info": {
    "alignItems": "center",
    "justifyItems": "center"
  },
  "item-img-wrap": {
    "position": "relative",
    "paddingTop": "12",
    "paddingBottom": "28",
    "paddingLeft": "20",
    "paddingRight": "20"
  },
  "item-img-bg": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "item-img": {
    "backgroundColor": "#FFFFFF",
    "width": "186",
    "height": "186"
  },
  "item-brand": {
    "marginTop": "2",
    "width": "186",
    "lineHeight": "25",
    "fontSize": "24",
    "color": "#333333",
    "textAlign": "center",
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-price-price": {
    "marginTop": "10",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "item-price": {
    "lineHeight": "24",
    "fontSize": "24",
    "color": "#FF5C00",
    "fontFamily": "PingFangSC-Semibold",
    "fontWeight": "600"
  },
  "item-price-market": {
    "fontFamily": "PingFangSC-Semibold",
    "fontWeight": "600",
    "lineHeight": "20",
    "fontSize": "20",
    "color": "#999999",
    "marginLeft": "8",
    "textDecoration": "line-through"
  },
  "item-no-wrap": {
    "position": "absolute",
    "width": "42",
    "height": "26",
    "top": "24",
    "left": "12",
    "alignItems": "center"
  },
  "item-no": {
    "width": "42",
    "height": "26"
  },
  "item-no-num": {
    "position": "absolute",
    "lineHeight": "20",
    "fontFamily": "Didot Italic",
    "fontStyle": "italic",
    "fontSize": "20",
    "color": "#FFFFFF"
  },
  "sold-wrap": {
    "position": "absolute",
    "top": "80",
    "right": "68",
    "display": "flex",
    "width": "90",
    "height": "50",
    "backgroundColor": "rgba(0,0,0,0.65)",
    "borderRadius": "4",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "sold-text": {
    "fontSize": "20",
    "color": "#FFFFFF"
  }
}

/***/ }),
/* 241 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        product: Object,
        num: String
    },
    components: {
        LazyImage: _LazyImage2.default
    },
    methods: {}
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 242 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('div', {
    staticClass: ["item-info"]
  }, [_c('div', {
    staticClass: ["item-img-wrap"]
  }, [_c('image', {
    staticClass: ["item-img-bg"],
    attrs: {
      "src": "res://weex_line_3_row_item_shadow"
    }
  }), _c('lazy-image', {
    staticClass: ["item-img"],
    attrs: {
      "src": _vm.product.image,
      "width": "186",
      "height": "186",
      "sizeType": "s",
      "lazyLoad": _vm.lazyLoad
    }
  }), (_vm.product.stock == 0) ? _c('div', {
    staticClass: ["sold-wrap"]
  }, [_c('text', {
    staticClass: ["sold-text"]
  }, [_vm._v("已售罄")])]) : _vm._e()], 1), _c('text', {
    staticClass: ["item-brand"]
  }, [_vm._v(_vm._s(_vm.product.brand))]), _c('div', {
    staticClass: ["item-price-price"]
  }, [_c('text', {
    staticClass: ["item-price"]
  }, [_vm._v(_vm._s('¥' + _vm.product.price))]), _c('text', {
    staticClass: ["item-price-market"]
  }, [_vm._v(_vm._s('¥' + _vm.product.marketPrice))])])]), _c('div', {
    staticClass: ["item-no-wrap"]
  }, [_c('image', {
    staticClass: ["item-no"],
    attrs: {
      "src": "res://hot_product_left_bg"
    }
  }), _c('text', {
    staticClass: ["item-no-num"]
  }, [_vm._v(_vm._s(_vm.num))])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 243 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["item-wrap"]
  }, [_c('text', {
    staticClass: ["item-name"]
  }, [_vm._v(_vm._s(_vm.item.title))]), _c('div', {
    staticClass: ["item-first-product"],
    on: {
      "click": function($event) {
        _vm.productClick(0, _vm.item.itemList[0])
      }
    }
  }, [_c('first-product-item', {
    attrs: {
      "product": _vm.item.itemList[0]
    }
  })], 1), _c('div', {
    staticClass: ["products"]
  }, _vm._l((_vm.item.itemList), function(product, i) {
    return _c('div', {
      key: i,
      on: {
        "click": function($event) {
          _vm.productClick(i + 1, product)
        }
      }
    }, [(i > 0) ? _c('normal-product-item', {
      staticClass: ["product"],
      attrs: {
        "product": product,
        "num": '0' + (i + 1),
        "lazyLoad": _vm.lazyLoad
      }
    }) : _vm._e()], 1)
  })), _c('div', {
    staticClass: ["item-more"],
    style: {
      'margin-bottom': (!_vm.isLast ? 0 : 60)
    }
  }, [_c('black-button', {
    attrs: {
      "bWidth": "310px",
      "text": '查看 TOP20 ' + this.item.categoryName
    },
    on: {
      "btnClick": _vm.btnClick
    }
  })], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 244 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["page-wrap"]
  }, [_c('title-bar', {
    attrs: {
      "title": _vm.hotHeader.title,
      "rightButtonImage": "res://weex_share",
      "rightWidth": "37",
      "rightHeight": "37",
      "statusBarLight": true
    },
    on: {
      "rightClicked": _vm.rightClicked
    }
  }), _c('list', {
    staticClass: ["scroller"],
    attrs: {
      "loadmoreoffset": 100
    }
  }, [_c('cell', {
    appendAsTree: true,
    attrs: {
      "recycle": false,
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["update-desc-wrap"]
  }, [_c('text', {
    staticClass: ["update-desc"]
  }, [_vm._v(_vm._s(_vm.hotHeader.desc))])]), _c('recommend-order', {
    attrs: {
      "recommendList": _vm.hotHeader.recommendList
    }
  })], 1), _c('header', {
    appendAsTree: true,
    attrs: {
      "recycle": false,
      "append": "tree"
    }
  }, [_c('tab-layout', {
    ref: "tabLayout",
    attrs: {
      "items": _vm.tabs,
      "haveUnderline": false,
      "itemSpace": 70
    },
    on: {
      "itemClick": _vm.tabClick
    }
  }), _c('HLine')], 1), _vm._l((_vm.selectGroup), function(item, i) {
    return _c('cell', {
      key: i,
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('category-item', {
      attrs: {
        "item": item,
        "typeId": _vm.selectTab.id,
        "isLast": i == _vm.selectGroup.length - 1,
        "tabName": _vm.selectTab.name
      }
    })], 1)
  }), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    },
    on: {
      "appear": _vm.loadMore
    }
  }, [(!_vm.hasMore) ? _c('text', {
    staticClass: ["list-footer"]
  }, [_vm._v("到底了，没有更多了")]) : _vm._e()])], 2)], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })
/******/ ]);