// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 245);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Router = undefined;

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 * 路由模块
 */

var approuter = weex.requireModule("router");
var routerScheme = 'zhier';
var routerWexxHost = "jspage";


function combinePrams(uri, params) {
    if (!params) {
        return uri;
    }
    var url = uri;
    // 参数拼接
    var parasmsStr = '';
    for (var key in params) {
        parasmsStr = key + '=' + params[key] + (parasmsStr ? '&' + parasmsStr : parasmsStr);
    }
    url = _StringUtil.StringUtils.contains(url, '?') ? url + '&' + parasmsStr : url + '?' + parasmsStr;
    return url;
}

var Router = exports.Router = {

    /**
     * uri 路由
     * @param {*} uri 
     */
    uriRouter: function uriRouter(uri, params) {
        if (!uri || !approuter) {
            return;
        }
        var newUri = !params ? uri : combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * uri 路由，附带参数
     * @param {*} uri 
     * @param {*} params 
     */
    uriRouterWithParams: function uriRouterWithParams(uri, params) {
        if (!uri) {
            return;
        }
        var newUri = combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * name 路由
     * @param {*} host 
     * @param {*} params
     */
    hostRouter: function hostRouter(host, params) {
        if (!host) {
            return;
        }
        var uri = routerScheme + "://" + host;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    },

    /**
     * 跳转到 weex 页面
     * @param {t} params 
     */
    weexRouter: function weexRouter(params) {
        var uri = routerScheme + "://" + routerWexxHost;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    }
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/*
    created by Justin.Wang
 */
var Env = exports.Env = {
    isWeb: function isWeb() {
        var platform = weex.config.env.platform;

        return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
        var deviceHeight = weex.config.env.deviceHeight;

        if (Utils.env.isWeb()) {
            return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) !== undefined && window.screen && window.screen.width && window.screen.height && (parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812 || parseInt(window.screen.width, 10) === 414 && parseInt(window.screen.height, 10) === 896);
        }
        return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight == 1792);
    },
    isAndroid: function isAndroid() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'android';
    },


    /**
     * 当currVer小于promoteVer,返回true, 否则为false
     * @returns {boolean}
     */
    compareVersion: function compareVersion() {
        var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
        var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

        if (currVer === promoteVer) return true;
        var currVerArr = currVer.split('.');
        var promoteVerArr = promoteVer.split('.');
        var len = Math.max(currVerArr.length, promoteVerArr.length);
        for (var i = 0; i < len; i++) {
            var proVal = ~~promoteVerArr[i];
            var curVal = ~~currVerArr[i];
            if (proVal < curVal) {
                return false;
            } else if (proVal > curVal) {
                return true;
            }
        }
        return false;
    },
    isAppVersionGreaterAndEqualThan: function isAppVersionGreaterAndEqualThan(version) {
        var appVersion = weex.config.env.appVersion;

        var isGreaterAndEqual = this.compareVersion(version, appVersion);
        return isGreaterAndEqual;
    }
};

/***/ }),

/***/ 10:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _stringutil = __webpack_require__(8);

exports.default = {
   props: {
      src: {
         type: String,
         default: ""
      },
      sizeType: { // 小图片：s 中图片：m 大图片 l
         type: String,
         default: "s"
      },
      width: {
         type: [String, Number],
         default: 0
      },
      height: {
         type: [String, Number],
         default: 0
      },
      resize: {
         type: String,
         default: 'cover'
      },
      placeholder: {
         type: String,
         default: ''
      },
      lazyLoad: { //是否开启懒加载
         type: Boolean,
         default: false
      }
   },

   data: function data() {
      return {
         show: false,
         loadSuccess: false,
         timer: null,
         random: 0
      };
   },

   computed: {
      url: function url() {
         if (this.lazyLoad && !this.show) {
            return "";
         }
         if (_stringutil.StringUtils.isEmpty(this.src)) {
            return "";
         }
         if (this.src.includes("?size") || this.src.includes("://")) {
            return this.src;
         }
         var url = this.src + "?size=" + this.sizeType;
         if (this.random > 0) {
            url = url + "&random=" + this.random;
         }
         return url;
      }
   },
   watch: {
      src: function src(newValue, oldValue) {
         this.loadSuccess = false;
         this.random = 0;
         if (newValue != oldValue) {
            this.clearTimer();
         }
      }
   },
   destroyed: function destroyed() {
      this.clearTimer();
   },

   methods: {
      onImageLoad: function onImageLoad(event) {
         var _this = this;

         this.clearTimer();
         if (event && event.success) {
            this.loadSuccess = true;
         } else {
            if (this.random > 3) {
               return;
            }
            this.timer = setTimeout(function () {
               _this.random++;
            }, 3000 * (this.random + 1));
         }
      },
      appear: function appear(e) {
         if (this.loadSuccess) {
            return;
         }
         this.show = true;
      },
      clearTimer: function clearTimer() {
         if (this.timer) {
            clearTimeout(this.timer);
         }
      }
   }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('image', {
    ref: "image",
    staticClass: ["lazy-image"],
    style: {
      width: _vm.width,
      height: _vm.height
    },
    attrs: {
      "src": _vm.url,
      "placeholder": _vm.placeholder,
      "resize": _vm.resize
    },
    on: {
      "load": _vm.onImageLoad,
      "appear": _vm.appear
    }
  })
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 17:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(32)
)

/* script */
__vue_exports__ = __webpack_require__(33)

/* template */
var __vue_template__ = __webpack_require__(34)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/LabelHeader.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-2dc103ce"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(10)

/* template */
var __vue_template__ = __webpack_require__(11)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/LazyImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 245:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _HundredProductPage = __webpack_require__(246);

var _HundredProductPage2 = _interopRequireDefault(_HundredProductPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_HundredProductPage2.default.el = '#root';
new Vue(_HundredProductPage2.default);

/***/ }),

/***/ 246:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(247)
)

/* script */
__vue_exports__ = __webpack_require__(248)

/* template */
var __vue_template__ = __webpack_require__(264)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hundredProduct/HundredProductPage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-52019ab2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 247:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "scroller": {
    "backgroundColor": "#FFFFFF",
    "flexDirection": "column"
  },
  "bottom-bg": {
    "height": "160"
  },
  "products-cell": {
    "backgroundColor": "#FFFFFF"
  },
  "loading-view": {
    "flexDirection": "row",
    "justifyContent": "center",
    "width": "750",
    "height": "160"
  },
  "loading": {
    "height": "40",
    "width": "40"
  },
  "load-title": {
    "height": "40",
    "fontSize": "24",
    "color": "#999999",
    "marginBottom": "40",
    "textAlign": "center"
  },
  "special-bg": {
    "backgroundColor": "#FFFFFF"
  },
  "bottom-view": {
    "height": "160",
    "justifyContent": "center"
  },
  "bottom-title": {
    "marginBottom": "40",
    "width": "750",
    "textAlign": "center",
    "fontSize": "24",
    "color": "#999999"
  }
}

/***/ }),

/***/ 248:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _HotHundredProducts = __webpack_require__(249);

var _HotHundredProducts2 = _interopRequireDefault(_HotHundredProducts);

var _SpecialCombines = __webpack_require__(256);

var _SpecialCombines2 = _interopRequireDefault(_SpecialCombines);

var _HundredGoods = __webpack_require__(65);

var _Page = __webpack_require__(3);

var _HttpClient = __webpack_require__(6);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    hotList: Object
  },
  data: {
    page: 1,
    pageSize: 1,
    hasMore: true,
    combines: null
  },
  components: {
    HotHundredProducts: _HotHundredProducts2.default,
    SpecialCombines: _SpecialCombines2.default
  },
  methods: {
    loadMore: function loadMore() {
      if (!this.hasMore) {
        return;
      }
      this.page = this.page + 1;
      this.loadData(this, this.page);
    },
    loadData: function loadData(_this, page) {
      var that = _this || this;
      _Page.Page.showLoading(false, that.combines);
      _HttpClient.HttpClient.sendNoCache("/topic/hundredGoods", {
        page: page,
        pageSize: 10
      }, function (resp) {
        _Page.Page.hideProcess();
        if (resp.state) {
          _Page.Page.loadSuccess();
          if (resp.data.list !== undefined && resp.data.list.length > 0) {
            _Page.Page.hideProcess();
            if (page == 1) {
              that.combines = resp.data.list;
            } else {
              that.combines = that.combines.concat(resp.data.list);
            }
            that;
          } else {
            that.page = page;
            that.hasMore = resp.data.list && resp.data.list.length >= that.pageSize;
            _Page.Page.hideProcess();
          }
        } else {
          // 加载失败
          _Page.Page.loadFail();
          _Page.Page.toast(resp.msg);
        }
      });
    }
  },
  created: function created() {
    var _this2 = this;

    _HundredGoods.hundredGoods.getHundredHotProducts(function (hotList) {
      var tempHotList = hotList;
      var productList = hotList.productList;
      var randDic = {};
      randDic[hotList.rand] = productList[hotList.rand];
      var newArray = [];
      newArray = newArray.concat(randDic);
      delete productList[hotList.rand];
      for (var key in productList) {
        var tempDic = {};
        tempDic[key] = productList[key];
        newArray = newArray.concat(tempDic);
      }
      tempHotList.productList = newArray;
      _this2.hotList = tempHotList;
    });
    this.page = 1;
    this.loadData(this, this.page);
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 249:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(250)
)

/* script */
__vue_exports__ = __webpack_require__(251)

/* template */
var __vue_template__ = __webpack_require__(255)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hundredProduct/modules/HotHundredProducts.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-61ca8d44"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 250:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "top-line": {
    "marginTop": "0",
    "marginLeft": "0",
    "marginRight": "0",
    "height": "1",
    "width": "750",
    "backgroundColor": "#e9e9e9"
  },
  "header": {
    "marginTop": "68",
    "marginLeft": "48",
    "marginRight": "48",
    "height": "48"
  },
  "slider": {
    "display": "flex",
    "flexDirection": "row",
    "backgroundColor": "#FFFFFF",
    "justifyContent": "center"
  },
  "products": {
    "paddingBottom": "28",
    "width": "750",
    "height": "994"
  },
  "products-bg": {
    "paddingLeft": "36",
    "paddingRight": "36",
    "flexWrap": "wrap",
    "flexDirection": "row",
    "justifyContent": "space-between"
  }
}

/***/ }),

/***/ 251:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LabelHeaderRefresh = __webpack_require__(54);

var _LabelHeaderRefresh2 = _interopRequireDefault(_LabelHeaderRefresh);

var _HotHundredItem = __webpack_require__(64);

var _HotHundredItem2 = _interopRequireDefault(_HotHundredItem);

var _SellerProducts = __webpack_require__(38);

var _SellerProducts2 = _interopRequireDefault(_SellerProducts);

var _HundredGoods = __webpack_require__(65);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    hotItem: Object,
    selectIndex: 0
  },
  components: {
    LabelHeaderRefresh: _LabelHeaderRefresh2.default,
    HotHundredItem: _HotHundredItem2.default,
    SellerProducts: _SellerProducts2.default
  },
  data: function data() {
    return {
      autoPlay: false
    };
  },

  methods: {
    getProducts: function getProducts(products) {
      var array = [];
      for (var key in products) {
        array = products[key];
      }
      return array;
    },
    onRefresh: function onRefresh(e) {
      var selectIndex = this.selectIndex + 1;
      if (selectIndex >= this.hotItem.productList.length) {
        selectIndex = 0;
      }
      // 切换数据
      this.selectIndex = selectIndex;
      var selectDic = this.hotItem.productList[selectIndex];
      for (var key in selectDic) {
        this.rand = key;
      }
      _HundredGoods.hundredGoods.setChangeProducts(this.rand);
      this.autoPlay = true;
    },
    change: function change() {
      this.autoPlay = false;
    },
    productClick: function productClick(title, product) {
      if (!product) {
        return;
      }
      var params = _Factory.Factory.getProductParams(product);
      params.Module = title;
      _Track.Track.sendEvent("HundredCommodityClick", params);

      _Router.Router.uriRouterWithParams("zhier://productdetail", {
        id: product.id
      });
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 252:
/***/ (function(module, exports) {

module.exports = {
  "product": {
    "width": "218",
    "height": "294",
    "marginTop": "36",
    "alignItems": "center",
    "position": "relative",
    "backgroundColor": "#FFFFFF"
  },
  "item-info": {
    "alignItems": "center",
    "justifyItems": "center"
  },
  "item-img-wrap": {
    "width": "226",
    "height": "226",
    "position": "relative",
    "marginTop": "0",
    "paddingTop": "12",
    "paddingBottom": "28",
    "paddingLeft": "20",
    "paddingRight": "20"
  },
  "item-img-bg": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "item-img": {
    "backgroundColor": "#FFFFFF",
    "width": "186",
    "height": "186"
  },
  "item-brand": {
    "width": "186",
    "fontSize": "24",
    "color": "#333333",
    "fontWeight": "bold",
    "textAlign": "center",
    "marginTop": "4",
    "lines": 1,
    "textOverflow": "ellipsis",
    "fontFamily": "DINAlternate-Bold"
  },
  "item-price": {
    "marginTop": "10",
    "flexDirection": "row",
    "alignItems": "flex-end"
  },
  "item-price-price": {
    "fontSize": "28",
    "color": "#FF5C00",
    "fontFamily": "DINAlternate-Bold"
  },
  "item-market-price": {
    "fontSize": "20",
    "color": "#999999",
    "marginLeft": "8",
    "marginBottom": "2",
    "textDecoration": "line-through",
    "fontFamily": "DINAlternate-Bold"
  }
}

/***/ }),

/***/ 253:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        hotItem: Object
    },
    components: {},
    data: function data() {
        return {};
    },

    methods: {
        productClick: function productClick() {
            this.$emit('productClick', this.hotItem);
        }
    }
};

/***/ }),

/***/ 254:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["product"],
    on: {
      "click": _vm.productClick
    }
  }, [_c('div', {
    staticClass: ["item-info"]
  }, [_c('div', {
    staticClass: ["item-img-wrap"]
  }, [_c('image', {
    staticClass: ["item-img-bg"],
    attrs: {
      "src": "res://weex_line_3_row_item_shadow"
    }
  }), _c('image', {
    staticClass: ["item-img"],
    attrs: {
      "src": _vm.hotItem.image
    }
  })]), _c('text', {
    staticClass: ["item-brand"]
  }, [_vm._v(_vm._s(_vm.hotItem.brand))]), _c('div', {
    staticClass: ["item-price"]
  }, [_c('text', {
    staticClass: ["item-price-price"]
  }, [_vm._v(_vm._s('¥' + _vm.hotItem.price))]), _c('text', {
    staticClass: ["item-market-price"]
  }, [_vm._v(_vm._s('¥' + _vm.hotItem.marketPrice))])])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 255:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('div', {
    staticClass: ["top-line"]
  }), _c('label-header-refresh', {
    staticClass: ["header"],
    attrs: {
      "title": _vm.hotItem.title,
      "more": "换一批",
      "titleFont": "40"
    },
    on: {
      "onRefresh": _vm.onRefresh
    }
  }), _c('pager', {
    staticClass: ["slider"],
    attrs: {
      "scrollable": "false",
      "infinite": "true",
      "itemWidth": "750",
      "itemHeight": "994",
      "itemSpace": "0",
      "insetLeft": "0",
      "interval": "250",
      "autoPlay": _vm.autoPlay
    },
    on: {
      "change": _vm.change
    }
  }, _vm._l((_vm.hotItem.productList), function(products, i) {
    return _c('div', {
      key: i,
      staticClass: ["products"]
    }, [_c('div', {
      staticClass: ["products-bg"]
    }, _vm._l((_vm.getProducts(products)), function(item, index) {
      return _c('HotHundredItem', {
        key: index,
        attrs: {
          "hotItem": item
        },
        on: {
          "productClick": function($event) {
            _vm.productClick(_vm.hotItem.title, item)
          }
        }
      })
    }))])
  }))], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 256:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(257)
)

/* script */
__vue_exports__ = __webpack_require__(258)

/* template */
var __vue_template__ = __webpack_require__(263)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hundredProduct/modules/SpecialCombines.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-bdfaa644"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 257:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "special-item": {
    "marginTop": "86",
    "paddingBottom": "0"
  },
  "pagers": {
    "display": "flex",
    "marginTop": "20",
    "flexDirection": "row"
  },
  "hundred-item": {
    "marginTop": "20",
    "marginBottom": "20"
  }
}

/***/ }),

/***/ 258:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _SpecialCombineItem = __webpack_require__(259);

var _SpecialCombineItem2 = _interopRequireDefault(_SpecialCombineItem);

var _HotHundredItem = __webpack_require__(64);

var _HotHundredItem2 = _interopRequireDefault(_HotHundredItem);

var _Page = __webpack_require__(3);

var _HttpClient = __webpack_require__(6);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    combine: Object
  },
  components: {
    SpecialCombineItem: _SpecialCombineItem2.default,
    HotHundredItem: _HotHundredItem2.default
  },
  methods: {
    combineClick: function combineClick(combine) {
      if (!combine) {
        return;
      }
      if (combine.url) {
        _Router.Router.uriRouterWithParams("zhier://opennewweb", {
          url: combine.url
        });
      } else {
        _Router.Router.uriRouterWithParams("zhier://hundredgoodgoodscollection", {
          id: combine.topicId,
          name: combine.title,
          entrance: encodeURIComponent("百元好物")
        });
      }
    },
    footerRefresh: function footerRefresh(combine) {
      this.combineClick(combine);
    },
    productClick: function productClick(combine, product) {
      if (!product) {
        return;
      }
      var params = _Factory.Factory.getProductParams(product);
      params.Module = combine.title;
      _Track.Track.sendEvent("HundredCommodityClick", params);
      _Router.Router.uriRouterWithParams("zhier://productdetail", {
        id: product.id
      });
    }
  },
  created: function created() {}
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 259:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(260)
)

/* script */
__vue_exports__ = __webpack_require__(261)

/* template */
var __vue_template__ = __webpack_require__(262)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hundredProduct/components/SpecialCombineItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-46c66b8b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 260:
/***/ (function(module, exports) {

module.exports = {
  "products": {
    "marginLeft": "0",
    "marginRight": "0"
  },
  "header": {
    "marginLeft": "48",
    "marginRight": "80",
    "height": "48",
    "paddingTop": "14"
  },
  "item-img": {
    "marginTop": "40",
    "marginLeft": "48",
    "width": "702",
    "height": "352",
    "marginBottom": "0"
  }
}

/***/ }),

/***/ 261:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    components: {
        LabelHeader: _LabelHeader2.default
    },
    props: {
        combinet: Object
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 262:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["products"]
  }, [_c('LabelHeader', {
    staticClass: ["header"],
    attrs: {
      "title": _vm.combinet.title,
      "titleFont": 40
    }
  }), _c('image', {
    staticClass: ["item-img"],
    attrs: {
      "resize": "cover",
      "src": _vm.combinet.image
    }
  })], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 263:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"],
    on: {
      "click": function($event) {
        _vm.combineClick(_vm.combine)
      }
    }
  }, [_c('SpecialCombineItem', {
    staticClass: ["special-item"],
    attrs: {
      "combinet": _vm.combine
    }
  }), _c('pager', {
    staticClass: ["pagers"],
    attrs: {
      "infinite": "false",
      "itemSpace": "0",
      "itemWidth": "218",
      "itemHeight": "294",
      "moreTop": "1",
      "moreHeight": "218",
      "insetLeft": 32,
      "initNum": "3"
    },
    on: {
      "footerRefresh": function($event) {
        _vm.footerRefresh(_vm.combine)
      }
    }
  }, _vm._l((_vm.combine.product), function(detailItem, detailIndex) {
    return _c('HotHundredItem', {
      key: detailIndex,
      staticClass: ["hundred-item"],
      attrs: {
        "hotItem": detailItem
      },
      on: {
        "productClick": function($event) {
          _vm.productClick(_vm.combine, detailItem)
        }
      }
    })
  }))], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 264:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('list', {
    staticClass: ["scroller"],
    attrs: {
      "loadmoreoffset": "100"
    },
    on: {
      "loadmore": _vm.loadMore
    }
  }, [_c('cell', {
    staticClass: ["products-cell"],
    appendAsTree: true,
    attrs: {
      "recycle": false,
      "append": "tree"
    }
  }, [_c('hot-hundred-products', {
    attrs: {
      "hotItem": _vm.hotList,
      "selectIndex": 0
    }
  })], 1), _vm._l((_vm.combines), function(item, index) {
    return _c('cell', {
      key: index,
      staticClass: ["special-bg"],
      appendAsTree: true,
      attrs: {
        "recycle": false,
        "append": "tree"
      }
    }, [_c('special-combines', {
      staticClass: ["special-combines"],
      attrs: {
        "combine": item
      }
    })], 1)
  }), _c('cell', {
    staticClass: ["bottom-bg"],
    appendAsTree: true,
    attrs: {
      "recycle": false,
      "append": "tree"
    }
  }, [(_vm.hasMore ? 0 : 1) ? _c('div', {
    staticClass: ["bottom-view"]
  }, [_c('text', {
    staticClass: ["bottom-title"]
  }, [_vm._v("到底了，没有更多了")])]) : _vm._e(), (_vm.hasMore) ? _c('div', {
    staticClass: ["loading-view"]
  }, [_c('image', {
    staticClass: ["loading"],
    attrs: {
      "src": "https://img.alicdn.com/tfs/TB1CWnby7yWBuNjy0FpXXassXXa-32-32.gif"
    }
  }), _c('text', {
    staticClass: ["load-title"]
  }, [_vm._v("正在加载")])]) : _vm._e()])], 2)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Page = undefined;

var _env = __webpack_require__(1);

/**
 * created by xupx
 * on 2019-04-25
 */
var page = weex.requireModule("page");
var Page = exports.Page = {
    reload: function reload() {
        if (page) {
            page.reload();
        }
    },
    loadEmpty: function loadEmpty() {
        if (page != null) {
            page.loadEmpty();
        }
    },
    loadSuccess: function loadSuccess() {
        if (page) {
            page.loadSuccess();
        }
    },
    loadFail: function loadFail() {
        if (page) {
            page.loadFail();
        }
    },
    showProcess: function showProcess() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        if (page) {
            page.showProcess(mode);
        }
    },
    hideProcess: function hideProcess() {
        if (page) {
            page.hideProcess();
        }
    },
    toast: function toast(msg) {
        if (page) {
            page.toast(msg);
        }
    },
    disablePop: function disablePop(disabled) {
        if (_env.Env.isAndroid()) {
            return;
        }
        if (page) {
            page.disablePop(disabled);
        }
    },
    finish: function finish(result) {
        if (page) {
            page.finish(result);
        }
    },
    showLoading: function showLoading() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
        var needShow = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        if (!page) {
            return;
        }
        if (_env.Env.isIOS() || needShow) {
            page.showProcess(mode);
        }
    },

    /**
     * 原生页面，生命周期回调
     * 页面可见 resume
     * 页面不可 pause
     */
    lifecycle: function lifecycle(callback) {
        if (page) {
            page.lifecycle(callback);
        }
    }
};

/***/ }),

/***/ 32:
/***/ (function(module, exports) {

module.exports = {
  "m-header": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "text-wrapper": {
    "display": "flex",
    "flex": 1,
    "flexDirection": "row",
    "alignItems": "center"
  },
  "title-text": {
    "fontSize": "48",
    "fontWeight": "600",
    "color": "#333333",
    "lineHeight": "72"
  },
  "more-wrap": {
    "paddingLeft": "30",
    "paddingTop": "20",
    "paddingBottom": "20"
  },
  "more": {
    "flexDirection": "row",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#333333",
    "alignItems": "center"
  },
  "more-text": {
    "fontSize": "24",
    "fontWeight": "600",
    "color": "#333333"
  },
  "more-icon": {
    "width": "10",
    "height": "16",
    "marginLeft": "6"
  }
}

/***/ }),

/***/ 33:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        title: {
            type: String,
            default: ''
        },
        more: {
            type: String,
            default: ''
        },
        titleFont: {
            type: Number,
            default: 48
        },
        icon: {
            type: String,
            default: 'res://weex_go_o'
        },
        paddingBottom: {
            type: Number,
            default: 24
        }
    },
    methods: {
        onMore: function onMore() {
            this.$emit("onMore");
        }
    }
};

/***/ }),

/***/ 34:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    ref: "header",
    staticClass: ["m-header"],
    style: {
      paddingBottom: _vm.paddingBottom + 'px'
    }
  }, [_c('div', {
    ref: "left",
    staticClass: ["text-wrapper"]
  }, [_c('text', {
    staticClass: ["title-text"],
    style: {
      fontSize: _vm.titleFont + 'px'
    }
  }, [_vm._v(_vm._s(_vm.title))]), _vm._t("default")], 2), (_vm.more) ? _c('div', {
    staticClass: ["more-wrap"],
    on: {
      "click": _vm.onMore
    }
  }, [_c('div', {
    staticClass: ["more"]
  }, [_c('text', {
    staticClass: ["more-text"]
  }, [_vm._v(_vm._s(_vm.more))]), _c('image', {
    staticClass: ["more-icon"],
    attrs: {
      "src": _vm.icon,
      "resize": "contain"
    }
  })])]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(39)
)

/* script */
__vue_exports__ = __webpack_require__(40)

/* template */
var __vue_template__ = __webpack_require__(41)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/SellerProducts.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-bf5e1034"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 39:
/***/ (function(module, exports) {

module.exports = {
  "products": {
    "display": "flex",
    "flexDirection": "row",
    "paddingLeft": "40",
    "paddingRight": "40",
    "justifyContent": "space-between"
  },
  "item-name": {
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "fontSize": "24",
    "color": "#333333",
    "width": "170",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-img": {
    "width": "170",
    "height": "170",
    "borderWidth": "2",
    "borderColor": "#F4F4F4",
    "borderStyle": "solid",
    "marginTop": "24",
    "marginBottom": "24"
  },
  "item-price": {
    "marginTop": "4",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "flex-end"
  },
  "item-price-price": {
    "fontWeight": "bold",
    "fontFamily": "DINAlternate-Bold",
    "fontSize": "28",
    "color": "#FF5C00"
  },
  "item-market-price": {
    "fontWeight": "bold",
    "fontFamily": "DINAlternate-Bold",
    "fontSize": "20",
    "color": "#999999",
    "marginLeft": "8",
    "marginBottom": "2",
    "textDecoration": "line-through"
  }
}

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),

/***/ 40:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        seller: Object
    },
    components: {
        LazyImage: _LazyImage2.default
    },
    methods: {
        productClick: function productClick(product) {
            this.$emit('productClick', product);
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 41:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["products"]
  }, _vm._l((_vm.seller.procDetail), function(product, index) {
    return _c('div', {
      key: index,
      staticClass: ["item"],
      on: {
        "click": function($event) {
          _vm.productClick(product)
        }
      }
    }, [_c('lazy-image', {
      staticClass: ["item-img"],
      attrs: {
        "src": product.ico,
        "resize": "cover",
        "width": "170",
        "height": "170",
        "sizeType": "s"
      }
    }), _c('text', {
      staticClass: ["item-name"]
    }, [_vm._v(_vm._s(product.brand))]), _c('div', {
      staticClass: ["item-price"]
    }, [_c('text', {
      staticClass: ["item-price-price"]
    }, [_vm._v(_vm._s("¥" + product.price))]), _c('text', {
      staticClass: ["item-market-price"]
    }, [_vm._v(_vm._s("¥" + product.delPrice))])])], 1)
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * created by Justin.Wang
 */
var trackModule = weex.requireModule("track");
var Track = exports.Track = {
  /**
   * track event
   * @param {*} eventId 
   * @param {*} params 
   */
  sendEvent: function sendEvent(eventId) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!eventId) {
      return;
    }
    trackModule.sendEvent(eventId, params);
  },


  /**
   * track page
   * @param {*} name 
   * @param {*} params 
   */
  sendPage: function sendPage(name) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!name) {
      return;
    }
    trackModule.sendPage(name, params);
  }
};

/***/ }),

/***/ 54:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(55)
)

/* script */
__vue_exports__ = __webpack_require__(56)

/* template */
var __vue_template__ = __webpack_require__(57)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/components/LabelHeaderRefresh.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-436d22c7"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 55:
/***/ (function(module, exports) {

module.exports = {
  "m-header": {
    "paddingBottom": "12",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "title-text": {
    "display": "flex",
    "flex": 1,
    "fontSize": "48",
    "fontWeight": "600",
    "color": "#333333"
  },
  "more": {
    "flexDirection": "row",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#333333",
    "alignItems": "center"
  },
  "more-text": {
    "fontSize": "24",
    "fontWeight": "600",
    "color": "#333333"
  },
  "more-icon": {
    "width": "24",
    "height": "24",
    "marginLeft": "12"
  }
}

/***/ }),

/***/ 56:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
    props: {
        title: {
            type: String,
            default: ''
        },
        more: {
            type: String,
            default: ''
        },
        titleFont: {
            type: Number,
            default: 48
        }
    },
    methods: {
        onRefresh: function onRefresh() {
            var circleImg = this.$refs.circleImg;
            // 触发回调
            this.$emit("onRefresh");
            animation.transition(circleImg, {
                styles: {
                    transform: 'rotate(360deg)',
                    transformOrigin: 'center center'
                },
                duration: 400
            }, function () {
                // 恢复旋转
                animation.transition(circleImg, {
                    styles: {
                        transform: 'rotate(0deg)',
                        transformOrigin: 'center center'
                    },
                    duration: 0
                });
            });
        }
    }
};

/***/ }),

/***/ 57:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["m-header"]
  }, [_c('text', {
    staticClass: ["title-text"],
    style: {
      fontSize: _vm.titleFont + 'px'
    }
  }, [_vm._v(_vm._s(_vm.title))]), (_vm.onRefresh) ? _c('div', {
    staticClass: ["more"],
    on: {
      "click": _vm.onRefresh
    }
  }, [_c('text', {
    staticClass: ["more-text"]
  }, [_vm._v(_vm._s(_vm.more))]), _c('image', {
    ref: "circleImg",
    staticClass: ["more-icon"],
    attrs: {
      "src": "res://weex_circle_refresh",
      "resize": "contain"
    }
  })]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.HttpClient = undefined;

var _AppConfig = __webpack_require__(9);

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 */

var http = weex.requireModule("http");
var HttpClient = exports.HttpClient = {

    /**
     * 发送网络请求
     * @param {*} path 
     * @param {*} params 
     * @param {*} method 
     * @param {*} cache , {type: 'hours', time: 3}
     * @param {*} callback 
     */
    send: function send(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "POST";
        var cache = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
        var callback = arguments[4];

        if (!http) {
            return;
        }
        // const url = NetConfig.host + path;
        params = params || {};
        params.weexVer = _AppConfig.CommonBase.weexVer;

        this.getApi(path, function (url) {
            var mtd = !method ? _AppConfig.NetConfig.method : method;
            // 执行网络请求 
            http.send(url, params, mtd, cache, function (responseData) {
                var response = {
                    state: responseData.code == _AppConfig.NetConfig.successCode,
                    code: responseData.code,
                    data: responseData.data,
                    msg: responseData.msg
                };
                // 回调
                if (callback) {
                    callback(response);
                }
            });
        });
    },


    /**
     * 发送网路请求，带缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} cache 
     * @param {*} callback 
     */
    sendHasCache: function sendHasCache(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var cache = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        this.send(path, params, "", cache, callback);
    },


    /**
     * 发送网路请求, 无缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} callback 
     */
    sendNoCache: function sendNoCache(path, params, callback) {
        this.send(path, params, "", {}, callback);
    },


    /**
     * 无参数网络请求
     * @param {*} path 
     * @param {*} callback 
     */
    sendSimple: function sendSimple(path, callback) {
        this.send(path, {}, "", {}, callback);
    },


    /**
     * 上传文件
     * @param {*} path 
     * @param {*} localFile 
     * @param {*} params 
     * @param {*} callback 
     */
    sendFile: function sendFile(path, localFile) {
        var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        var url = _AppConfig.NetConfig.host + path;
        // 执行网络请求 
        http.sendFile(url, params, localFile, function (responseData) {
            var response = {
                state: responseData.code == _AppConfig.NetConfig.successCode,
                code: responseData.code,
                data: responseData.data,
                msg: responseData.msg
            };
            // 回调
            if (callback && typeof callback == 'function') {
                callback(response);
            }
        });
    },


    /**
     * 获取api
     * @param {*} path 
     * @param {*} callback 
     */
    getApi: function getApi(path, callback) {
        if (!path || !callback) {
            return;
        }
        var isSearch = _StringUtil.StringUtils.startWith(path, "/v4.7.0");
        if (!isSearch) {
            callback(_AppConfig.NetConfig.host + path);
        } else {
            this.getSearchHost(function (host) {
                callback(host + path);
            });
        }
    },


    /**
     * 获取 search 域名
     */
    getSearchHost: function getSearchHost(callback) {
        http.getSearchHost(callback);
    },


    /**
     * 请求 方法
     */
    method: {
        post: "POST",
        get: "GET"
    },

    /**
     * 缓存类型
     */
    cacheType: {
        seconds: "seconds",
        minutes: "minutes",
        hours: "hours",
        days: "days"
    }

};

/***/ }),

/***/ 64:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(252)
)

/* script */
__vue_exports__ = __webpack_require__(253)

/* template */
var __vue_template__ = __webpack_require__(254)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/hundredProduct/components/HotHundredItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-471f8866"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 65:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * 百元好物module
 */
var hundredGoodsModule = weex.requireModule("hundredGoods");
var hundredGoods = exports.hundredGoods = {
  /**
   * 获取百元好物商品list
   * @param {*} callback
   */
  getHundredHotProducts: function getHundredHotProducts(callback) {
    if (null == hundredGoodsModule) {
      return;
    }
    hundredGoodsModule.getHundredHotProducts(callback);
  },


  /**
   * 换一换商品
   * @param {*} rand
   */
  setChangeProducts: function setChangeProducts(rand) {
    if (null == hundredGoodsModule) {
      return;
    }
    hundredGoodsModule.setChangeProducts(rand);
  }
};

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by Justin.Wang
 */
var Factory = exports.Factory = {
    getProductParams: function getProductParams(pro) {
        var params = {};
        if (pro) {
            params.CommodityID = pro.id;
            params.CommoditySku = pro.sku;
            params.CommodityName = pro.name;
            if (pro.brandType) {
                params.BrandType = pro.brandType;
            } else if (pro.bandType) {
                params.BrandType = pro.bandType;
            }
            params.Brand = pro.brand;
            params.TopCategory = pro.categoryOne;
            params.SecondCategory = pro.categoryTwo;
            params.ThirdCategory = pro.categoryThree;
            if (typeof pro.modifyType == "number" || typeof pro.modifyType == "string") {
                if (pro.modifyType == -1) {
                    params.Type = "非平台定价";
                } else if (pro.modifyType == 0) {
                    params.Type = "系统平台定价";
                } else if (pro.modifyType == 1) {
                    params.Type = "人工平台定价";
                }
            }
            if (typeof pro.coefficient == "number") {
                params.Coefficient = pro.coefficient.toFixed(2) + '';
            }
            if (typeof pro.ifReasonable == "number" || typeof pro.ifReasonable == "string") {
                params.IfReasonable = pro.ifReasonable == 1 ? "是" : "否";
            }
            if (typeof pro.ifAllowance == "number" || typeof pro.ifAllowance == "string") {
                params.IfAllowance = pro.ifAllowance == 1 ? "是" : "否";
            }
            if (typeof pro.modifyBasePrice == "number") {
                params.BasePrice = pro.modifyBasePrice.toFixed(2) + '';
            }
        }
        return params;
    }
};

/***/ }),

/***/ 8:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * 配置 js
 */

// 基础公共配置
var CommonBase = {
    debug: weex.config.env.isDebug,
    weexVer: '0.1.6'

    // host配置
};var NetConfig = {
    host: weex.config.env.host,
    method: 'POST',
    successCode: 100000

    // 分页配置
};var PageSize = {
    startIndex: 0,
    size: 20
};

exports.CommonBase = CommonBase;
exports.NetConfig = NetConfig;
exports.PageSize = PageSize;

/***/ })

/******/ });