// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 265);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Router = undefined;

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 * 路由模块
 */

var approuter = weex.requireModule("router");
var routerScheme = 'zhier';
var routerWexxHost = "jspage";


function combinePrams(uri, params) {
    if (!params) {
        return uri;
    }
    var url = uri;
    // 参数拼接
    var parasmsStr = '';
    for (var key in params) {
        parasmsStr = key + '=' + params[key] + (parasmsStr ? '&' + parasmsStr : parasmsStr);
    }
    url = _StringUtil.StringUtils.contains(url, '?') ? url + '&' + parasmsStr : url + '?' + parasmsStr;
    return url;
}

var Router = exports.Router = {

    /**
     * uri 路由
     * @param {*} uri 
     */
    uriRouter: function uriRouter(uri, params) {
        if (!uri || !approuter) {
            return;
        }
        var newUri = !params ? uri : combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * uri 路由，附带参数
     * @param {*} uri 
     * @param {*} params 
     */
    uriRouterWithParams: function uriRouterWithParams(uri, params) {
        if (!uri) {
            return;
        }
        var newUri = combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * name 路由
     * @param {*} host 
     * @param {*} params
     */
    hostRouter: function hostRouter(host, params) {
        if (!host) {
            return;
        }
        var uri = routerScheme + "://" + host;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    },

    /**
     * 跳转到 weex 页面
     * @param {t} params 
     */
    weexRouter: function weexRouter(params) {
        var uri = routerScheme + "://" + routerWexxHost;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    }
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/*
    created by Justin.Wang
 */
var Env = exports.Env = {
    isWeb: function isWeb() {
        var platform = weex.config.env.platform;

        return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
        var deviceHeight = weex.config.env.deviceHeight;

        if (Utils.env.isWeb()) {
            return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) !== undefined && window.screen && window.screen.width && window.screen.height && (parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812 || parseInt(window.screen.width, 10) === 414 && parseInt(window.screen.height, 10) === 896);
        }
        return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight == 1792);
    },
    isAndroid: function isAndroid() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'android';
    },


    /**
     * 当currVer小于promoteVer,返回true, 否则为false
     * @returns {boolean}
     */
    compareVersion: function compareVersion() {
        var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
        var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

        if (currVer === promoteVer) return true;
        var currVerArr = currVer.split('.');
        var promoteVerArr = promoteVer.split('.');
        var len = Math.max(currVerArr.length, promoteVerArr.length);
        for (var i = 0; i < len; i++) {
            var proVal = ~~promoteVerArr[i];
            var curVal = ~~currVerArr[i];
            if (proVal < curVal) {
                return false;
            } else if (proVal > curVal) {
                return true;
            }
        }
        return false;
    },
    isAppVersionGreaterAndEqualThan: function isAppVersionGreaterAndEqualThan(version) {
        var appVersion = weex.config.env.appVersion;

        var isGreaterAndEqual = this.compareVersion(version, appVersion);
        return isGreaterAndEqual;
    }
};

/***/ }),

/***/ 10:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _stringutil = __webpack_require__(8);

exports.default = {
   props: {
      src: {
         type: String,
         default: ""
      },
      sizeType: { // 小图片：s 中图片：m 大图片 l
         type: String,
         default: "s"
      },
      width: {
         type: [String, Number],
         default: 0
      },
      height: {
         type: [String, Number],
         default: 0
      },
      resize: {
         type: String,
         default: 'cover'
      },
      placeholder: {
         type: String,
         default: ''
      },
      lazyLoad: { //是否开启懒加载
         type: Boolean,
         default: false
      }
   },

   data: function data() {
      return {
         show: false,
         loadSuccess: false,
         timer: null,
         random: 0
      };
   },

   computed: {
      url: function url() {
         if (this.lazyLoad && !this.show) {
            return "";
         }
         if (_stringutil.StringUtils.isEmpty(this.src)) {
            return "";
         }
         if (this.src.includes("?size") || this.src.includes("://")) {
            return this.src;
         }
         var url = this.src + "?size=" + this.sizeType;
         if (this.random > 0) {
            url = url + "&random=" + this.random;
         }
         return url;
      }
   },
   watch: {
      src: function src(newValue, oldValue) {
         this.loadSuccess = false;
         this.random = 0;
         if (newValue != oldValue) {
            this.clearTimer();
         }
      }
   },
   destroyed: function destroyed() {
      this.clearTimer();
   },

   methods: {
      onImageLoad: function onImageLoad(event) {
         var _this = this;

         this.clearTimer();
         if (event && event.success) {
            this.loadSuccess = true;
         } else {
            if (this.random > 3) {
               return;
            }
            this.timer = setTimeout(function () {
               _this.random++;
            }, 3000 * (this.random + 1));
         }
      },
      appear: function appear(e) {
         if (this.loadSuccess) {
            return;
         }
         this.show = true;
      },
      clearTimer: function clearTimer() {
         if (this.timer) {
            clearTimeout(this.timer);
         }
      }
   }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('image', {
    ref: "image",
    staticClass: ["lazy-image"],
    style: {
      width: _vm.width,
      height: _vm.height
    },
    attrs: {
      "src": _vm.url,
      "placeholder": _vm.placeholder,
      "resize": _vm.resize
    },
    on: {
      "load": _vm.onImageLoad,
      "appear": _vm.appear
    }
  })
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(13)
)

/* script */
__vue_exports__ = __webpack_require__(14)

/* template */
var __vue_template__ = __webpack_require__(16)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/TitleBar.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3f68fd4b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = {
  "bar": {
    "backgroundColor": "#FFFFFF"
  },
  "title-bar": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center"
  },
  "left": {
    "width": "180",
    "paddingLeft": "32",
    "justifyContent": "center"
  },
  "left-button": {
    "width": "40",
    "height": "40"
  },
  "middle-title": {
    "fontSize": "36",
    "color": "#000000",
    "height": "36",
    "lineHeight": "34"
  },
  "right": {
    "width": "180",
    "paddingRight": "32",
    "alignItems": "flex-end",
    "justifyContent": "center"
  }
}

/***/ }),

/***/ 14:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Page = __webpack_require__(3);

var _env = __webpack_require__(1);

var _System = __webpack_require__(15);

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    title: {
      type: String,
      default: ''
    },
    rightButtonImage: {
      type: String
    },
    rightHeight: {
      type: Number
    },
    rightWidth: {
      type: Number
    },
    needStatusBar: { //适配android
      type: Boolean,
      default: false
    },
    backgroundColor: {
      type: String,
      default: 'white'
    },
    statusBarLight: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    statusBarStyle: function statusBarStyle() {
      return {
        height: weex.config.env.statusHeight + 'px',
        backgroundColor: !this.isOppoOrVivoV5 ? this.backgroundColor : '#000000'
      };
    },
    navHeight: function navHeight() {
      return weex.config.env.navHeight + 'px';
    },
    navBarStyle: function navBarStyle() {
      return {
        height: weex.config.env.navHeight + 'px'
      };
    },
    rightButtonStyle: function rightButtonStyle() {
      return {
        width: this.rightWidth + 'px',
        height: this.rightHeight + 'px'
      };
    },
    showStatusBar: function showStatusBar() {
      // if (Env.isAndroid() && !this.needStatusBar) {
      //    return false
      // }
      return true;
    },
    statusBar: function statusBar() {
      if (_System.System) {
        _System.System.setStatusBarStyle(this.statusBarLight);
      }
    }
  },
  methods: {
    leftButtonClicked: function leftButtonClicked() {
      _Page.Page.finish();
      this.$emit("finish", {});
    },
    rightButtonClicked: function rightButtonClicked() {
      if (this.rightButtonImage || this.$slots && this.$slots.right) {
        this.$emit("rightClicked", {});
      }
    }
  },
  created: function created() {
    var _this = this;

    if (_System.System) {
      _System.System.isVivoOrOppoV5(function (isOppoOrVivoV5) {
        _this.isOppoOrVivoV5 = isOppoOrVivoV5;
      });
      _System.System.setStatusBarStyle(this.statusBarLight);
    }
  },
  data: function data() {
    return {
      isOppoOrVivoV5: false
    };
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 15:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var system = weex.requireModule("system");

var System = exports.System = {
    setStatusBarStyle: function setStatusBarStyle(light) {
        if (system) {
            system.setStatusBarStyle(light);
        }
    },
    isVivoOrOppoV5: function isVivoOrOppoV5(callback) {
        if (!callback) {
            return;
        }
        if (system) {
            var platform = weex.config.env.platform;

            if (platform.toLowerCase() === 'android') {
                system.isVivoOrOppoV5(callback);
            } else {
                callback(false);
            }
        } else {
            callback(false);
        }
    }
};

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["bar"],
    style: {
      backgroundColor: _vm.backgroundColor
    }
  }, [(_vm.showStatusBar) ? _c('div', {
    staticClass: ["status-bar"],
    style: _vm.statusBarStyle
  }) : _vm._e(), _c('div', {
    staticClass: ["title-bar"],
    style: _vm.navBarStyle
  }, [_c('div', {
    staticClass: ["left"],
    style: {
      height: _vm.navHeight
    },
    on: {
      "click": _vm.leftButtonClicked
    }
  }, [_c('image', {
    staticClass: ["left-button"],
    attrs: {
      "src": "res://weex_return",
      "resize": "cover"
    }
  })]), _c('text', {
    staticClass: ["middle-title"]
  }, [_vm._v(_vm._s(_vm.title))]), _c('div', {
    staticClass: ["right"],
    style: {
      height: _vm.navHeight
    },
    on: {
      "click": _vm.rightButtonClicked
    }
  }, [_vm._t("right", [(_vm.rightButtonImage) ? _c('image', {
    style: _vm.rightButtonStyle,
    attrs: {
      "src": _vm.rightButtonImage
    }
  }) : _vm._e()])], 2)])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(10)

/* template */
var __vue_template__ = __webpack_require__(11)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/LazyImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 265:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _MoreBrandPage = __webpack_require__(266);

var _MoreBrandPage2 = _interopRequireDefault(_MoreBrandPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_MoreBrandPage2.default.el = '#root';
new Vue(_MoreBrandPage2.default);

/***/ }),

/***/ 266:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(267)
)

/* script */
__vue_exports__ = __webpack_require__(268)

/* template */
var __vue_template__ = __webpack_require__(281)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/moreBrand/MoreBrandPage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7546ae6d"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 267:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#FFFFFF",
    "flex": 1
  },
  "content": {
    "display": "flex",
    "flex": 1,
    "flexDirection": "row",
    "marginTop": "32"
  },
  "tab-layout": {
    "width": "230"
  },
  "right-wrap": {
    "flex": 1,
    "position": "relative"
  },
  "item-wrap": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  }
}

/***/ }),

/***/ 268:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _TitleBar = __webpack_require__(12);

var _TitleBar2 = _interopRequireDefault(_TitleBar);

var _VerticalTabLayout = __webpack_require__(269);

var _VerticalTabLayout2 = _interopRequireDefault(_VerticalTabLayout);

var _Category = __webpack_require__(273);

var _Category2 = _interopRequireDefault(_Category);

var _Brand = __webpack_require__(277);

var _Brand2 = _interopRequireDefault(_Brand);

var _HttpClient = __webpack_require__(6);

var _Page = __webpack_require__(3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {},
  data: function data() {
    return {
      list: null,
      items: null,
      currentIndex: 0,
      haveShows: []
    };
  },

  components: {
    TitleBar: _TitleBar2.default,
    VerticalTabLayout: _VerticalTabLayout2.default,
    Category: _Category2.default,
    Brand: _Brand2.default
  },
  computed: {},
  methods: {
    loadData: function loadData() {
      var _this = this;

      _Page.Page.loadSuccess();
      _Page.Page.showProcess();
      _HttpClient.HttpClient.sendSimple("/brand/moreBrandTab", function (resp) {
        _Page.Page.hideProcess();
        if (resp.state) {
          _Page.Page.loadSuccess();
          _this.list = resp.data.list;
          _this.initData();
        } else {
          _Page.Page.loadFail();
          _Page.Page.toast(resp.msg);
        }
      });
    },
    initData: function initData() {
      var items = [];
      var currentIndex = 0;
      for (var i = 0; i < this.list.length; i++) {
        var item = this.list[i];
        if (item.select) {
          currentIndex = i;
        }
        items.push(this.list[i].name);
      }
      if (!this.haveShows.includes(currentIndex)) {
        this.haveShows.push(currentIndex);
      }
      this.currentIndex = currentIndex;
      this.items = items;
    },
    tabClick: function tabClick(e) {
      if (!this.haveShows.includes(e.currentIndex)) {
        this.haveShows.push(e.currentIndex);
      }
      this.currentIndex = e.currentIndex;
    },
    getShow: function getShow(index) {
      if (this.haveShows.includes(index)) {
        return true;
      }
      return false;
    }
  },
  created: function created() {
    this.loadData();
  }
};

/***/ }),

/***/ 269:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(270)
)

/* script */
__vue_exports__ = __webpack_require__(271)

/* template */
var __vue_template__ = __webpack_require__(272)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/VerticalTabLayout.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-a3cb386e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 270:
/***/ (function(module, exports) {

module.exports = {
  "text": {
    "textAlign": "left",
    "paddingLeft": "32"
  }
}

/***/ }),

/***/ 271:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule("dom") || {};

exports.default = {
  props: {
    items: {
      type: Array,
      default: []
    },
    currentIndex: {
      type: Number,
      default: 0
    },
    selectedTitleColor: {
      type: String,
      default: "#333333"
    },
    unselectedTitleColor: {
      type: String,
      default: "#999999"
    },
    selectedTitleFontSize: {
      type: Number,
      default: 40
    },
    unselectedTitleFontSize: {
      type: Number,
      default: 32
    },
    selectedFontWeight: {
      type: String,
      default: "bold"
    },
    unselectedFontWeight: {
      type: String,
      default: "Medium"
    },
    backgroundColor: {
      type: String,
      default: "white"
    },
    itemSpace: {
      type: Number,
      default: 64
    },
    insetLeft: {
      type: Number,
      default: 10
    },
    insetRight: {
      type: Number,
      default: 48
    }
  },
  data: function data() {
    return {};
  },

  methods: {
    itemClicked: function itemClicked(index) {
      if (this.currentIndex == index) {
        return;
      }
      this.$emit("itemClick", { currentIndex: index });
      this.scrollToIndex(index);
    },
    setIndex: function setIndex(index) {
      if (this.currentIndex == index) {
        return;
      }
      this.updateIndex(index);
    },
    updateIndex: function updateIndex(index) {
      var _this = this;

      if (Env.isAndroid()) {
        clearTimeout(this.timer);
        this.timer = setTimeout(function () {
          _this.scrollToIndex(index);
        }, 500);
      } else {
        this.scrollToIndex(index);
      }
    },
    scrollToIndex: function scrollToIndex(index) {
      this.currentIndex = index;
      if (!this.isMultiPage) {
        return;
      }
      var toIndex = 0;
      if (index > 2) {
        toIndex = index - 2;
      }
      dom.scrollToElement(this.$refs[this.itemPreRef() + toIndex][0], {
        offset: 0,
        animated: true
      });
    },
    itemStyleObject: function itemStyleObject(index) {
      return {
        paddingBottom: (index != this.items.length - 1 ? this.itemSpace : this.insetRight) + "px",
        paddingTop: (index == 0 ? this.insetLeft : 0) + "px"
      };
    },
    itemTextStyleObject: function itemTextStyleObject(index) {
      var isCurrent = index == this.currentIndex;
      return {
        fontSize: (isCurrent ? this.selectedTitleFontSize : this.unselectedTitleFontSize) + "px",
        color: isCurrent ? this.selectedTitleColor : this.unselectedTitleColor,
        fontWeight: isCurrent ? this.selectedFontWeight : this.unselectedFontWeight
      };
    },
    itemPreRef: function itemPreRef() {
      return "tab-layout-item";
    }
  }
};

/***/ }),

/***/ 272:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.items && _vm.items.length > 0) ? _c('list', {
    ref: "tabList",
    style: {
      backgroundColor: _vm.backgroundColor
    },
    attrs: {
      "showScrollbar": "false"
    }
  }, _vm._l((_vm.items), function(name, index) {
    return _c('cell', {
      ref: _vm.itemPreRef() + index,
      refInFor: true,
      style: _vm.itemStyleObject(index),
      appendAsTree: true,
      attrs: {
        "append": "tree"
      },
      on: {
        "click": function($event) {
          _vm.itemClicked(index)
        }
      }
    }, [_c('text', {
      staticClass: ["text"],
      style: _vm.itemTextStyleObject(index)
    }, [_vm._v(_vm._s(name))])])
  })) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 273:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(274)
)

/* script */
__vue_exports__ = __webpack_require__(275)

/* template */
var __vue_template__ = __webpack_require__(276)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/moreBrand/modules/Category.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-fc017fac"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 274:
/***/ (function(module, exports) {

module.exports = {
  "title": {
    "color": "#333333",
    "fontSize": "32",
    "fontWeight": "700",
    "paddingBottom": "32"
  },
  "brand-image": {
    "backgroundColor": "rgb(250,250,250)"
  },
  "brand-image-wrap": {
    "display": "flex",
    "flexDirection": "row",
    "flexWrap": "wrap",
    "marginBottom": "48"
  }
}

/***/ }),

/***/ 275:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Page = __webpack_require__(3);

var _HttpClient = __webpack_require__(6);

var _Router = __webpack_require__(0);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    params: {
      type: Object
    }
  },
  data: function data() {
    return {
      refreshing: false,
      list: []
    };
  },

  components: {
    LazyImage: _LazyImage2.default
  },
  created: function created() {
    this.loadData();
  },

  methods: {
    loadData: function loadData() {
      var _this = this;

      _Page.Page.loadSuccess();
      _Page.Page.showProcess();
      _HttpClient.HttpClient.sendNoCache("/brand/moreBrandTabDetail", this.params, function (resp) {
        _Page.Page.hideProcess();
        if (resp.state) {
          _Page.Page.loadSuccess();
          _this.list = resp.data || [];
        } else {
          _Page.Page.loadFail();
          _Page.Page.toast(resp.msg);
        }
      });
    },
    itemStyleObject: function itemStyleObject(index) {
      return {
        marginRight: (index + 1) % 3 != 0 ? 21.5 : 0,
        marginBottom: index / 3 == 0 ? 0 : 21.5
      };
    },
    itemClick: function itemClick(brand) {
      _Router.Router.uriRouter("zhier://brandaggregateregion", { id: brand.id, name: encodeURIComponent(brand.name) });
    }
  }
};

/***/ }),

/***/ 276:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('list', {
    staticClass: ["category-list"]
  }, _vm._l((_vm.list), function(item, index) {
    return _c('cell', {
      staticClass: ["cell"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('text', {
      staticClass: ["title"]
    }, [_vm._v(_vm._s(item.title))]), _c('div', {
      staticClass: ["brand-image-wrap"]
    }, _vm._l((item.list), function(brand, index) {
      return _c('div', {
        key: index,
        style: _vm.itemStyleObject(index),
        on: {
          "click": function($event) {
            _vm.itemClick(brand)
          }
        }
      }, [_c('lazy-image', {
        staticClass: ["brand-image"],
        attrs: {
          "src": brand.logo,
          "width": "148",
          "height": "148"
        }
      })], 1)
    }))])
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 277:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(278)
)

/* script */
__vue_exports__ = __webpack_require__(279)

/* template */
var __vue_template__ = __webpack_require__(280)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/moreBrand/modules/Brand.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-06e0a8ea"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 278:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "position": "relative"
  },
  "section": {
    "marginRight": "32"
  },
  "header": {
    "backgroundColor": "rgb(245,245,245)"
  },
  "header-title": {
    "color": "#333333",
    "fontSize": "32",
    "fontWeight": "400",
    "paddingTop": "10",
    "paddingBottom": "10",
    "paddingLeft": "16"
  },
  "title": {
    "color": "#333333",
    "fontSize": "28",
    "fontWeight": "400",
    "paddingTop": "34",
    "paddingBottom": "34"
  },
  "cell": {
    "borderBottomWidth": "1",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#e9e9e9"
  },
  "letter-list-wrap": {
    "position": "absolute",
    "right": "0",
    "top": "0",
    "bottom": "0",
    "display": "flex",
    "alignItems": "center"
  },
  "letter-item": {
    "display": "flex",
    "justifyContent": "center",
    "textAlign": "center"
  },
  "letter": {
    "paddingLeft": "60",
    "paddingRight": "10",
    "textAlign": "center",
    "color": "#999999",
    "fontSize": "24",
    "fontWeight": "500"
  },
  "water-drop-wrap": {
    "position": "absolute",
    "right": "120",
    "width": "72",
    "height": "72"
  },
  "water-drop-image": {
    "width": "72",
    "height": "52"
  },
  "water-drop-text": {
    "position": "absolute",
    "top": "5",
    "right": "36",
    "fontSize": "32",
    "lineHeight": "32",
    "color": "#999999"
  }
}

/***/ }),

/***/ 279:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Page = __webpack_require__(3);

var _HttpClient = __webpack_require__(6);

var _env = __webpack_require__(1);

var _Router = __webpack_require__(0);

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule("dom");
var lineHeight = 30;

exports.default = {
  props: {},
  data: function data() {
    return {
      waterTop: 100,
      currentIndex: 0,
      showWater: false,
      groups: null,
      letters: null,
      letterHaveAppeared: false,
      allRender: false
    };
  },

  computed: {
    getScrollHeight: function getScrollHeight() {
      return weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750 - weex.config.env.navHeight - weex.config.env.statusHeight;
    },
    getLetterListHeight: function getLetterListHeight() {
      return this.letters.length * lineHeight + lineHeight;
    },
    letterHeight: function letterHeight() {
      return lineHeight;
    },
    letterListTop: function letterListTop() {
      var top = Math.floor((this.getScrollHeight - this.getLetterListHeight) / 2);
      return top;
    }
  },
  created: function created() {
    var _this = this;

    _Page.Page.loadSuccess();
    _Page.Page.showProcess();
    _HttpClient.HttpClient.sendHasCache("/site/currentBrand", {}, { type: _HttpClient.HttpClient.cacheType.minutes, time: "30" }, function (resp) {
      if (resp.state) {
        _Page.Page.loadSuccess();
        _this.translate(resp.data.list);
      } else {
        _Page.Page.loadFail();
        _Page.Page.toast(resp.msg);
      }
    });
  },

  methods: {
    touchmove: function touchmove(e) {
      if (e.changedTouches && e.changedTouches.length > 0) {
        var touch = e.changedTouches[e.changedTouches.length - 1];
        var centerOffset = (this.getScrollHeight - this.getLetterListHeight) / 2;
        var offset = touch.pageY - weex.config.env.statusHeight - (_env.Env.isAndroid() ? 0 : weex.config.env.navHeight) - centerOffset - lineHeight;
        var index = Math.floor(offset / lineHeight);
        if (index >= this.groups.length || index < 0) {
          this.showWater = false;
          return;
        }
        if (this.currentIndex == index) {
          return;
        }
        this.showWater = true;
        this.waterTop = offset + centerOffset - 10;
        this.currentIndex = index;
        dom.scrollToElement(this.$refs['section' + index][0], {
          offset: 0,
          animated: false
        });
      }
    },
    touchend: function touchend(e) {
      this.showWater = false;
    },
    onLetterAppear: function onLetterAppear(e) {
      if (this.letterHaveAppeared) {
        return;
      }
      _Page.Page.hideProcess();
      this.letterHaveAppeared = true;
      this.allRender = true;
    },
    clickLettterItem: function clickLettterItem(index) {
      dom.scrollToElement(this.$refs['section' + index][0], {
        offset: 0,
        animated: false
      });
    },
    brandClick: function brandClick(brand) {
      _Router.Router.uriRouter("zhier://brandaggregateregion", { id: brand.id, name: encodeURIComponent(brand.name) });
    },
    translate: function translate(brandList) {
      var datas = [];
      var keys = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '#'];
      keys.forEach(function (key) {
        datas[key] = [];
      });
      var haveEnglish = new RegExp(/[a-z]/i);
      var _iteratorNormalCompletion = true;
      var _didIteratorError = false;
      var _iteratorError = undefined;

      try {
        for (var _iterator = brandList[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
          var data = _step.value;

          if (data.pinyin) {
            var firstChar = data.pinyin.charAt(0);
            var UpFirstChar = firstChar.toUpperCase();
            datas[UpFirstChar].push(data);
          } else {
            var _firstChar = data.name.charAt(0);
            if (haveEnglish.test(_firstChar)) {
              var _UpFirstChar = _firstChar.toUpperCase();
              datas[_UpFirstChar].push(data);
            } else {
              datas['#'].push(data);
            }
          }
        }
      } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion && _iterator.return) {
            _iterator.return();
          }
        } finally {
          if (_didIteratorError) {
            throw _iteratorError;
          }
        }
      }

      var groups = [];
      var letters = [];
      for (var i in datas) {
        if (datas[i].length > 0) {
          var obj = {
            title: i,
            list: datas[i]
          };
          groups.push(obj);
          letters.push(i);
        }
      }
      this.letters = letters;
      this.groups = groups;
    }
  }

};

/***/ }),

/***/ 280:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.groups) ? _c('div', {
    staticClass: ["container"]
  }, [_c('list', {
    staticClass: ["brand-list"],
    style: {
      height: _vm.getScrollHeight,
      visibility: _vm.letterHaveAppeared ? 'visible' : 'hidden'
    },
    attrs: {
      "showScrollbar": "false"
    }
  }, _vm._l((_vm.groups), function(items, index) {
    return (index < (_vm.currentIndex + 12) || _vm.allRender) ? _c('cell', {
      ref: 'section' + index,
      refInFor: true,
      staticClass: ["section"],
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["header"]
    }, [_c('text', {
      staticClass: ["header-title"]
    }, [_vm._v(_vm._s(items.title))])]), _vm._l((items.list), function(item, index) {
      return _c('div', {
        key: index,
        staticClass: ["cell"],
        on: {
          "click": function($event) {
            _vm.brandClick(item)
          }
        }
      }, [_c('text', {
        staticClass: ["title"]
      }, [_vm._v(_vm._s(item.name))])])
    })], 2) : _vm._e()
  })), _c('div', {
    staticClass: ["letter-list-wrap"],
    style: {
      height: _vm.getScrollHeight
    },
    on: {
      "panmove": _vm.touchmove,
      "panend": _vm.touchend
    }
  }, [_c('list', {
    staticClass: ["letter-list"],
    style: {
      height: _vm.getLetterListHeight,
      marginTop: _vm.letterListTop
    },
    attrs: {
      "scrollable": "false"
    }
  }, _vm._l((_vm.letters), function(letter, index) {
    return _c('cell', {
      staticClass: ["letter-item"],
      style: {
        height: _vm.letterHeight
      },
      appendAsTree: true,
      attrs: {
        "recycle": "true",
        "append": "tree"
      },
      on: {
        "appear": _vm.onLetterAppear,
        "click": function($event) {
          _vm.clickLettterItem(index)
        }
      }
    }, [_c('text', {
      staticClass: ["letter"],
      style: {
        lineHeight: _vm.letterHeight
      }
    }, [_vm._v(_vm._s(letter))])])
  }))]), _c('div', {
    staticClass: ["water-drop-wrap"],
    style: {
      top: _vm.waterTop,
      visibility: _vm.showWater ? 'visible' : 'hidden'
    }
  }, [_c('image', {
    staticClass: ["water-drop-image"],
    attrs: {
      "src": "res://weex_water_drop"
    }
  }), _c('text', {
    staticClass: ["water-drop-text"]
  }, [_vm._v(_vm._s(_vm.letters[_vm.currentIndex]))])])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 281:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["container"]
  }, [_c('title-bar', {
    attrs: {
      "title": "更多品牌"
    }
  }), (_vm.list && _vm.list.length > 0) ? _c('div', {
    staticClass: ["content"]
  }, [_c('div', {
    staticClass: ["tab-layout"]
  }, [_c('VerticalTabLayout', {
    attrs: {
      "items": _vm.items,
      "currentIndex": _vm.currentIndex
    },
    on: {
      "itemClick": _vm.tabClick
    }
  })], 1), _c('div', {
    staticClass: ["right-wrap"]
  }, _vm._l((_vm.list), function(item, index) {
    return (_vm.getShow(index)) ? _c('div', {
      staticClass: ["item-wrap"],
      style: {
        visibility: (_vm.currentIndex == index) ? 'visible' : 'hidden'
      }
    }, [(item.type == 1) ? _c('Category', {
      attrs: {
        "params": item.params
      }
    }) : _vm._e(), (item.type == 2) ? _c('Brand') : _vm._e()], 1) : _vm._e()
  }))]) : _vm._e()], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Page = undefined;

var _env = __webpack_require__(1);

/**
 * created by xupx
 * on 2019-04-25
 */
var page = weex.requireModule("page");
var Page = exports.Page = {
    reload: function reload() {
        if (page) {
            page.reload();
        }
    },
    loadEmpty: function loadEmpty() {
        if (page != null) {
            page.loadEmpty();
        }
    },
    loadSuccess: function loadSuccess() {
        if (page) {
            page.loadSuccess();
        }
    },
    loadFail: function loadFail() {
        if (page) {
            page.loadFail();
        }
    },
    showProcess: function showProcess() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        if (page) {
            page.showProcess(mode);
        }
    },
    hideProcess: function hideProcess() {
        if (page) {
            page.hideProcess();
        }
    },
    toast: function toast(msg) {
        if (page) {
            page.toast(msg);
        }
    },
    disablePop: function disablePop(disabled) {
        if (_env.Env.isAndroid()) {
            return;
        }
        if (page) {
            page.disablePop(disabled);
        }
    },
    finish: function finish(result) {
        if (page) {
            page.finish(result);
        }
    },
    showLoading: function showLoading() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
        var needShow = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        if (!page) {
            return;
        }
        if (_env.Env.isIOS() || needShow) {
            page.showProcess(mode);
        }
    },

    /**
     * 原生页面，生命周期回调
     * 页面可见 resume
     * 页面不可 pause
     */
    lifecycle: function lifecycle(callback) {
        if (page) {
            page.lifecycle(callback);
        }
    }
};

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.HttpClient = undefined;

var _AppConfig = __webpack_require__(9);

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 */

var http = weex.requireModule("http");
var HttpClient = exports.HttpClient = {

    /**
     * 发送网络请求
     * @param {*} path 
     * @param {*} params 
     * @param {*} method 
     * @param {*} cache , {type: 'hours', time: 3}
     * @param {*} callback 
     */
    send: function send(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "POST";
        var cache = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
        var callback = arguments[4];

        if (!http) {
            return;
        }
        // const url = NetConfig.host + path;
        params = params || {};
        params.weexVer = _AppConfig.CommonBase.weexVer;

        this.getApi(path, function (url) {
            var mtd = !method ? _AppConfig.NetConfig.method : method;
            // 执行网络请求 
            http.send(url, params, mtd, cache, function (responseData) {
                var response = {
                    state: responseData.code == _AppConfig.NetConfig.successCode,
                    code: responseData.code,
                    data: responseData.data,
                    msg: responseData.msg
                };
                // 回调
                if (callback) {
                    callback(response);
                }
            });
        });
    },


    /**
     * 发送网路请求，带缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} cache 
     * @param {*} callback 
     */
    sendHasCache: function sendHasCache(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var cache = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        this.send(path, params, "", cache, callback);
    },


    /**
     * 发送网路请求, 无缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} callback 
     */
    sendNoCache: function sendNoCache(path, params, callback) {
        this.send(path, params, "", {}, callback);
    },


    /**
     * 无参数网络请求
     * @param {*} path 
     * @param {*} callback 
     */
    sendSimple: function sendSimple(path, callback) {
        this.send(path, {}, "", {}, callback);
    },


    /**
     * 上传文件
     * @param {*} path 
     * @param {*} localFile 
     * @param {*} params 
     * @param {*} callback 
     */
    sendFile: function sendFile(path, localFile) {
        var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        var url = _AppConfig.NetConfig.host + path;
        // 执行网络请求 
        http.sendFile(url, params, localFile, function (responseData) {
            var response = {
                state: responseData.code == _AppConfig.NetConfig.successCode,
                code: responseData.code,
                data: responseData.data,
                msg: responseData.msg
            };
            // 回调
            if (callback && typeof callback == 'function') {
                callback(response);
            }
        });
    },


    /**
     * 获取api
     * @param {*} path 
     * @param {*} callback 
     */
    getApi: function getApi(path, callback) {
        if (!path || !callback) {
            return;
        }
        var isSearch = _StringUtil.StringUtils.startWith(path, "/v4.7.0");
        if (!isSearch) {
            callback(_AppConfig.NetConfig.host + path);
        } else {
            this.getSearchHost(function (host) {
                callback(host + path);
            });
        }
    },


    /**
     * 获取 search 域名
     */
    getSearchHost: function getSearchHost(callback) {
        http.getSearchHost(callback);
    },


    /**
     * 请求 方法
     */
    method: {
        post: "POST",
        get: "GET"
    },

    /**
     * 缓存类型
     */
    cacheType: {
        seconds: "seconds",
        minutes: "minutes",
        hours: "hours",
        days: "days"
    }

};

/***/ }),

/***/ 8:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * 配置 js
 */

// 基础公共配置
var CommonBase = {
    debug: weex.config.env.isDebug,
    weexVer: '0.1.6'

    // host配置
};var NetConfig = {
    host: weex.config.env.host,
    method: 'POST',
    successCode: 100000

    // 分页配置
};var PageSize = {
    startIndex: 0,
    size: 20
};

exports.CommonBase = CommonBase;
exports.NetConfig = NetConfig;
exports.PageSize = PageSize;

/***/ })

/******/ });