// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 282);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Router = undefined;

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 * 路由模块
 */

var approuter = weex.requireModule("router");
var routerScheme = 'zhier';
var routerWexxHost = "jspage";


function combinePrams(uri, params) {
    if (!params) {
        return uri;
    }
    var url = uri;
    // 参数拼接
    var parasmsStr = '';
    for (var key in params) {
        parasmsStr = key + '=' + params[key] + (parasmsStr ? '&' + parasmsStr : parasmsStr);
    }
    url = _StringUtil.StringUtils.contains(url, '?') ? url + '&' + parasmsStr : url + '?' + parasmsStr;
    return url;
}

var Router = exports.Router = {

    /**
     * uri 路由
     * @param {*} uri 
     */
    uriRouter: function uriRouter(uri, params) {
        if (!uri || !approuter) {
            return;
        }
        var newUri = !params ? uri : combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * uri 路由，附带参数
     * @param {*} uri 
     * @param {*} params 
     */
    uriRouterWithParams: function uriRouterWithParams(uri, params) {
        if (!uri) {
            return;
        }
        var newUri = combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * name 路由
     * @param {*} host 
     * @param {*} params
     */
    hostRouter: function hostRouter(host, params) {
        if (!host) {
            return;
        }
        var uri = routerScheme + "://" + host;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    },

    /**
     * 跳转到 weex 页面
     * @param {t} params 
     */
    weexRouter: function weexRouter(params) {
        var uri = routerScheme + "://" + routerWexxHost;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    }
};

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/*
    created by Justin.Wang
 */
var Env = exports.Env = {
    isWeb: function isWeb() {
        var platform = weex.config.env.platform;

        return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
        var deviceHeight = weex.config.env.deviceHeight;

        if (Utils.env.isWeb()) {
            return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) !== undefined && window.screen && window.screen.width && window.screen.height && (parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812 || parseInt(window.screen.width, 10) === 414 && parseInt(window.screen.height, 10) === 896);
        }
        return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight == 1792);
    },
    isAndroid: function isAndroid() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'android';
    },


    /**
     * 当currVer小于promoteVer,返回true, 否则为false
     * @returns {boolean}
     */
    compareVersion: function compareVersion() {
        var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
        var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

        if (currVer === promoteVer) return true;
        var currVerArr = currVer.split('.');
        var promoteVerArr = promoteVer.split('.');
        var len = Math.max(currVerArr.length, promoteVerArr.length);
        for (var i = 0; i < len; i++) {
            var proVal = ~~promoteVerArr[i];
            var curVal = ~~currVerArr[i];
            if (proVal < curVal) {
                return false;
            } else if (proVal > curVal) {
                return true;
            }
        }
        return false;
    },
    isAppVersionGreaterAndEqualThan: function isAppVersionGreaterAndEqualThan(version) {
        var appVersion = weex.config.env.appVersion;

        var isGreaterAndEqual = this.compareVersion(version, appVersion);
        return isGreaterAndEqual;
    }
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(10)

/* template */
var __vue_template__ = __webpack_require__(11)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/LazyImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Page = undefined;

var _env = __webpack_require__(1);

/**
 * created by xupx
 * on 2019-04-25
 */
var page = weex.requireModule("page");
var Page = exports.Page = {
    reload: function reload() {
        if (page) {
            page.reload();
        }
    },
    loadEmpty: function loadEmpty() {
        if (page != null) {
            page.loadEmpty();
        }
    },
    loadSuccess: function loadSuccess() {
        if (page) {
            page.loadSuccess();
        }
    },
    loadFail: function loadFail() {
        if (page) {
            page.loadFail();
        }
    },
    showProcess: function showProcess() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        if (page) {
            page.showProcess(mode);
        }
    },
    hideProcess: function hideProcess() {
        if (page) {
            page.hideProcess();
        }
    },
    toast: function toast(msg) {
        if (page) {
            page.toast(msg);
        }
    },
    disablePop: function disablePop(disabled) {
        if (_env.Env.isAndroid()) {
            return;
        }
        if (page) {
            page.disablePop(disabled);
        }
    },
    finish: function finish(result) {
        if (page) {
            page.finish(result);
        }
    },
    showLoading: function showLoading() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
        var needShow = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        if (!page) {
            return;
        }
        if (_env.Env.isIOS() || needShow) {
            page.showProcess(mode);
        }
    },

    /**
     * 原生页面，生命周期回调
     * 页面可见 resume
     * 页面不可 pause
     */
    lifecycle: function lifecycle(callback) {
        if (page) {
            page.lifecycle(callback);
        }
    }
};

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * created by Justin.Wang
 */
var trackModule = weex.requireModule("track");
var Track = exports.Track = {
  /**
   * track event
   * @param {*} eventId 
   * @param {*} params 
   */
  sendEvent: function sendEvent(eventId) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!eventId) {
      return;
    }
    trackModule.sendEvent(eventId, params);
  },


  /**
   * track page
   * @param {*} name 
   * @param {*} params 
   */
  sendPage: function sendPage(name) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!name) {
      return;
    }
    trackModule.sendPage(name, params);
  }
};

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.HttpClient = undefined;

var _AppConfig = __webpack_require__(9);

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 */

var http = weex.requireModule("http");
var HttpClient = exports.HttpClient = {

    /**
     * 发送网络请求
     * @param {*} path 
     * @param {*} params 
     * @param {*} method 
     * @param {*} cache , {type: 'hours', time: 3}
     * @param {*} callback 
     */
    send: function send(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "POST";
        var cache = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
        var callback = arguments[4];

        if (!http) {
            return;
        }
        // const url = NetConfig.host + path;
        params = params || {};
        params.weexVer = _AppConfig.CommonBase.weexVer;

        this.getApi(path, function (url) {
            var mtd = !method ? _AppConfig.NetConfig.method : method;
            // 执行网络请求 
            http.send(url, params, mtd, cache, function (responseData) {
                var response = {
                    state: responseData.code == _AppConfig.NetConfig.successCode,
                    code: responseData.code,
                    data: responseData.data,
                    msg: responseData.msg
                };
                // 回调
                if (callback) {
                    callback(response);
                }
            });
        });
    },


    /**
     * 发送网路请求，带缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} cache 
     * @param {*} callback 
     */
    sendHasCache: function sendHasCache(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var cache = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        this.send(path, params, "", cache, callback);
    },


    /**
     * 发送网路请求, 无缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} callback 
     */
    sendNoCache: function sendNoCache(path, params, callback) {
        this.send(path, params, "", {}, callback);
    },


    /**
     * 无参数网络请求
     * @param {*} path 
     * @param {*} callback 
     */
    sendSimple: function sendSimple(path, callback) {
        this.send(path, {}, "", {}, callback);
    },


    /**
     * 上传文件
     * @param {*} path 
     * @param {*} localFile 
     * @param {*} params 
     * @param {*} callback 
     */
    sendFile: function sendFile(path, localFile) {
        var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        var url = _AppConfig.NetConfig.host + path;
        // 执行网络请求 
        http.sendFile(url, params, localFile, function (responseData) {
            var response = {
                state: responseData.code == _AppConfig.NetConfig.successCode,
                code: responseData.code,
                data: responseData.data,
                msg: responseData.msg
            };
            // 回调
            if (callback && typeof callback == 'function') {
                callback(response);
            }
        });
    },


    /**
     * 获取api
     * @param {*} path 
     * @param {*} callback 
     */
    getApi: function getApi(path, callback) {
        if (!path || !callback) {
            return;
        }
        var isSearch = _StringUtil.StringUtils.startWith(path, "/v4.7.0");
        if (!isSearch) {
            callback(_AppConfig.NetConfig.host + path);
        } else {
            this.getSearchHost(function (host) {
                callback(host + path);
            });
        }
    },


    /**
     * 获取 search 域名
     */
    getSearchHost: function getSearchHost(callback) {
        http.getSearchHost(callback);
    },


    /**
     * 请求 方法
     */
    method: {
        post: "POST",
        get: "GET"
    },

    /**
     * 缓存类型
     */
    cacheType: {
        seconds: "seconds",
        minutes: "minutes",
        hours: "hours",
        days: "days"
    }

};

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by Justin.Wang
 */
var Factory = exports.Factory = {
    getProductParams: function getProductParams(pro) {
        var params = {};
        if (pro) {
            params.CommodityID = pro.id;
            params.CommoditySku = pro.sku;
            params.CommodityName = pro.name;
            if (pro.brandType) {
                params.BrandType = pro.brandType;
            } else if (pro.bandType) {
                params.BrandType = pro.bandType;
            }
            params.Brand = pro.brand;
            params.TopCategory = pro.categoryOne;
            params.SecondCategory = pro.categoryTwo;
            params.ThirdCategory = pro.categoryThree;
            if (typeof pro.modifyType == "number" || typeof pro.modifyType == "string") {
                if (pro.modifyType == -1) {
                    params.Type = "非平台定价";
                } else if (pro.modifyType == 0) {
                    params.Type = "系统平台定价";
                } else if (pro.modifyType == 1) {
                    params.Type = "人工平台定价";
                }
            }
            if (typeof pro.coefficient == "number") {
                params.Coefficient = pro.coefficient.toFixed(2) + '';
            }
            if (typeof pro.ifReasonable == "number" || typeof pro.ifReasonable == "string") {
                params.IfReasonable = pro.ifReasonable == 1 ? "是" : "否";
            }
            if (typeof pro.ifAllowance == "number" || typeof pro.ifAllowance == "string") {
                params.IfAllowance = pro.ifAllowance == 1 ? "是" : "否";
            }
            if (typeof pro.modifyBasePrice == "number") {
                params.BasePrice = pro.modifyBasePrice.toFixed(2) + '';
            }
        }
        return params;
    }
};

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * 配置 js
 */

// 基础公共配置
var CommonBase = {
    debug: weex.config.env.isDebug,
    weexVer: '0.1.6'

    // host配置
};var NetConfig = {
    host: weex.config.env.host,
    method: 'POST',
    successCode: 100000

    // 分页配置
};var PageSize = {
    startIndex: 0,
    size: 20
};

exports.CommonBase = CommonBase;
exports.NetConfig = NetConfig;
exports.PageSize = PageSize;

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _stringutil = __webpack_require__(8);

exports.default = {
   props: {
      src: {
         type: String,
         default: ""
      },
      sizeType: { // 小图片：s 中图片：m 大图片 l
         type: String,
         default: "s"
      },
      width: {
         type: [String, Number],
         default: 0
      },
      height: {
         type: [String, Number],
         default: 0
      },
      resize: {
         type: String,
         default: 'cover'
      },
      placeholder: {
         type: String,
         default: ''
      },
      lazyLoad: { //是否开启懒加载
         type: Boolean,
         default: false
      }
   },

   data: function data() {
      return {
         show: false,
         loadSuccess: false,
         timer: null,
         random: 0
      };
   },

   computed: {
      url: function url() {
         if (this.lazyLoad && !this.show) {
            return "";
         }
         if (_stringutil.StringUtils.isEmpty(this.src)) {
            return "";
         }
         if (this.src.includes("?size") || this.src.includes("://")) {
            return this.src;
         }
         var url = this.src + "?size=" + this.sizeType;
         if (this.random > 0) {
            url = url + "&random=" + this.random;
         }
         return url;
      }
   },
   watch: {
      src: function src(newValue, oldValue) {
         this.loadSuccess = false;
         this.random = 0;
         if (newValue != oldValue) {
            this.clearTimer();
         }
      }
   },
   destroyed: function destroyed() {
      this.clearTimer();
   },

   methods: {
      onImageLoad: function onImageLoad(event) {
         var _this = this;

         this.clearTimer();
         if (event && event.success) {
            this.loadSuccess = true;
         } else {
            if (this.random > 3) {
               return;
            }
            this.timer = setTimeout(function () {
               _this.random++;
            }, 3000 * (this.random + 1));
         }
      },
      appear: function appear(e) {
         if (this.loadSuccess) {
            return;
         }
         this.show = true;
      },
      clearTimer: function clearTimer() {
         if (this.timer) {
            clearTimeout(this.timer);
         }
      }
   }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('image', {
    ref: "image",
    staticClass: ["lazy-image"],
    style: {
      width: _vm.width,
      height: _vm.height
    },
    attrs: {
      "src": _vm.url,
      "placeholder": _vm.placeholder,
      "resize": _vm.resize
    },
    on: {
      "load": _vm.onImageLoad,
      "appear": _vm.appear
    }
  })
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 12 */,
/* 13 */,
/* 14 */,
/* 15 */,
/* 16 */,
/* 17 */,
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(20)
)

/* script */
__vue_exports__ = __webpack_require__(21)

/* template */
var __vue_template__ = __webpack_require__(22)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/SplitWords.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-34b19a5f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(35)
)

/* script */
__vue_exports__ = __webpack_require__(36)

/* template */
var __vue_template__ = __webpack_require__(37)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/SwipterProgress.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-832d82fa"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 20 */
/***/ (function(module, exports) {

module.exports = {
  "words": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "word": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "line": {
    "fontWeight": "400",
    "transform": "rotate(30deg)"
  },
  "w": {
    "fontWeight": "800"
  }
}

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String,
        linecolor: {
            type: String,
            default: '#A1887F'
        },
        color: {
            type: String,
            default: '#333'
        },
        textSize: {
            type: Number,
            default: 28
        },
        lineLength: {
            type: Number,
            default: 24
        },
        lineMargin: {
            type: Number,
            default: 7
        },
        maxWords: {
            type: Number,
            default: 0
        },
        lineOpacity: {
            type: Number,
            default: 1
        }
    },
    methods: {
        splitWorlds: function splitWorlds(this_) {
            var that = this_ || this;
            if (!that.text) {
                return;
            }
            var words = that.text.split('');
            if (that.maxWords <= 0 || words.length <= that.maxWords) {
                that.words = words;
            } else {
                that.words = words.slice(0, that.maxWords);
            }
        }
    },
    data: function data() {
        return {
            words: []
        };
    },
    created: function created() {
        this.$options.methods.splitWorlds(this);
    },

    watch: {
        text: function text(newValue, oldValue) {
            this.$options.methods.splitWorlds(this);
        }
    }
};

/***/ }),
/* 22 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["words"]
  }, _vm._l((_vm.words), function(w, index) {
    return _c('div', {
      key: index,
      staticClass: ["word"]
    }, [(index != 0) ? _c('text', {
      staticClass: ["line"],
      style: {
        'color': _vm.linecolor,
        'font-size': _vm.lineLength,
        'margin': _vm.lineMargin,
        'opacity': _vm.lineOpacity
      }
    }, [_vm._v("|")]) : _vm._e(), _c('text', {
      staticClass: ["w"],
      style: {
        'color': _vm.color,
        'font-size': _vm.textSize
      }
    }, [_vm._v(_vm._s(w))])])
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(24)
)

/* script */
__vue_exports__ = __webpack_require__(25)

/* template */
var __vue_template__ = __webpack_require__(26)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/TabLayout.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5ca5339f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 24 */
/***/ (function(module, exports) {

module.exports = {
  "scoller": {
    "flexDirection": "row",
    "backgroundColor": "#FFFFFF"
  },
  "scroller-item": {
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "scoller-item-underline": {
    "backgroundColor": "#f37e52",
    "width": "56",
    "height": "4"
  }
}

/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _env = __webpack_require__(1);

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule("dom") || {};
exports.default = {
  props: {
    items: {
      type: Array,
      default: []
    },
    currentIndex: {
      type: Number,
      default: 0
    },
    haveUnderline: {
      type: Boolean,
      default: false
    },
    selectedTitleColor: {
      type: String,
      default: "#333333"
    },
    unselectedTitleColor: {
      type: String,
      default: "#999999"
    },
    selectedTitleFontSize: {
      type: Number,
      default: 36
    },
    unselectedTitleFontSize: {
      type: Number,
      default: 30
    },
    selectedFontWeight: {
      type: String,
      default: "bold"
    },
    unselectedFontWeight: {
      type: String,
      default: "Medium"
    },
    selectedFontFamily: {
      type: String,
      default: ""
    },
    unselectedFontFamily: {
      type: String,
      default: ""
    },
    itemSpace: {
      type: Number,
      default: 48
    },
    insetLeft: {
      type: Number,
      default: 48
    },
    insetRight: {
      type: Number,
      default: 48
    },
    height: {
      type: Number,
      default: 112
    },
    backgroundColor: {
      type: String,
      default: "white"
    }
  },
  data: function data() {
    return {
      timer: null,
      isMultiPage: true
    };
  },
  mounted: function mounted() {
    var _this = this;

    setTimeout(function () {
      dom.getComponentRect(_this.$refs[_this.itemPreRef() + (_this.items.length - 1)][0], function (res) {
        if (res.result) {
          _this.isMultiPage = res.size.right > 750;
        }
      });
    }, 2000);
  },

  methods: {
    itemClicked: function itemClicked(index) {
      this.$emit("itemClick", { currentIndex: index });
      if (this.currentIndex == index) {
        return;
      }
      this.scrollToIndex(index);
    },
    setIndex: function setIndex(index) {
      if (this.currentIndex == index) {
        return;
      }
      this.updateIndex(index);
    },
    updateIndex: function updateIndex(index) {
      var _this2 = this;

      if (_env.Env.isAndroid()) {
        clearTimeout(this.timer);
        this.timer = setTimeout(function () {
          _this2.scrollToIndex(index);
        }, 500);
      } else {
        this.scrollToIndex(index);
      }
    },
    scrollToIndex: function scrollToIndex(index) {
      this.currentIndex = index;
      if (!this.isMultiPage) {
        return;
      }
      var toIndex = 0;
      if (index > 2) {
        toIndex = index - 2;
      }
      dom.scrollToElement(this.$refs[this.itemPreRef() + toIndex][0], {
        offset: 0,
        animated: true
      });
    },
    itemStyleObject: function itemStyleObject(index) {
      return {
        paddingRight: (index != this.items.length - 1 ? this.itemSpace : this.insetRight) + "px",
        paddingLeft: (index == 0 ? this.insetLeft : 0) + "px"
      };
    },
    itemTextStyleObject: function itemTextStyleObject(index) {
      var isCurrent = index == this.currentIndex;
      return {
        fontSize: (isCurrent ? this.selectedTitleFontSize : this.unselectedTitleFontSize) + "px",
        color: isCurrent ? this.selectedTitleColor : this.unselectedTitleColor,
        fontWeight: isCurrent ? this.selectedFontWeight : this.unselectedFontWeight,
        fontFamily: isCurrent ? this.selectedFontFamily : this.unselectedFontFamily
      };
    },
    itemPreRef: function itemPreRef() {
      return "tab-layout-item";
    }
  }
};

/***/ }),
/* 26 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.items && _vm.items.length > 0) ? _c('div', {
    staticClass: ["scoller-container"],
    style: {
      height: _vm.height + 'px'
    }
  }, [_c('scroller', {
    staticClass: ["scoller"],
    style: {
      backgroundColor: _vm.backgroundColor
    },
    attrs: {
      "scrollDirection": "horizontal",
      "showScrollbar": "false"
    }
  }, _vm._l((_vm.items), function(name, index) {
    return _c('div', {
      key: index,
      ref: _vm.itemPreRef() + index,
      refInFor: true,
      staticClass: ["scroller-item"],
      style: _vm.itemStyleObject(index),
      on: {
        "click": function($event) {
          _vm.itemClicked(index)
        },
        "appear": _vm.lastItemAppear
      }
    }, [_c('text', {
      style: _vm.itemTextStyleObject(index)
    }, [_vm._v(_vm._s(name))]), (_vm.haveUnderline) ? _c('div', {
      staticClass: ["scoller-item-underline"],
      style: {
        visibility: (_vm.currentIndex == index) ? 'visible' : 'hidden'
      }
    }) : _vm._e()])
  }))]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 27 */,
/* 28 */,
/* 29 */,
/* 30 */,
/* 31 */,
/* 32 */,
/* 33 */,
/* 34 */,
/* 35 */
/***/ (function(module, exports) {

module.exports = {
  "progress": {
    "borderRadius": 50,
    "overflow": "hidden"
  },
  "indicator": {
    "borderRadius": 50
  }
}

/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
var animation = weex.requireModule('animation');
var modal = weex.requireModule('modal');
exports.default = {
    props: {
        i_bg_color: {
            type: String,
            default: '#dddddd'
        },
        i_color: {
            type: String,
            default: '#000000'
        },
        progress: {
            type: Number,
            default: 0
        },
        i_height: {
            type: Number,
            default: 6
        },
        firstProgress: {
            type: Boolean,
            default: false
        }
    },
    data: function data() {
        return {
            width: 0,
            totalWidth: 0,
            isFirst: true
        };
    },

    methods: {
        onProcessChanged: function onProcessChanged(_that) {
            var that = _that || this;
            if (that.totalWidth > 0) {
                that.$options.methods.setProgress(that);
            } else {
                that.$options.methods.cupTotalWidth(that, function () {
                    that.$options.methods.setProgress(that);
                });
            }
        },
        cupTotalWidth: function cupTotalWidth(_that, callback) {
            var that = _that || this;
            if (that.totalWidth > 0) {
                return;
            }
            // 计算进度条总长度
            var progress = that.$refs.progress;
            dom.getComponentRect(progress, function (options) {
                that.totalWidth = options.size.width;
                if (callback) {
                    callback();
                }
            });
        },
        setProgress: function setProgress(_that) {
            var that = _that || this;
            that.width = that.totalWidth * that.progress;
            if (that.width >= that.totalWidth) {
                that.width = that.totalWidth;
            }
            var indicator = that.$refs.indicator;
            animation.transition(indicator, {
                styles: {
                    width: that.width
                },
                duration: _that.isFirst && !_that.firstProgress ? 0 : 300
            }, function () {
                _that.isFirst = false;
            });
        }
    },
    watch: {
        progress: function progress(newValue, oldValue) {
            // 计算进度
            this.progress = newValue;
            this.$options.methods.onProcessChanged(this);
        }
    },
    created: function created() {
        this.progress = this.progress + 0.0000001;
        this.$options.methods.onProcessChanged(this);
    }
};

/***/ }),
/* 37 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    ref: "progress",
    staticClass: ["progress"],
    style: {
      'background-color': _vm.i_bg_color,
      'height': _vm.i_height
    }
  }, [_c('div', {
    ref: "indicator",
    staticClass: ["indicator"],
    style: {
      'background-color': _vm.i_color,
      'width': 0,
      'height': _vm.i_height
    }
  })])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 38 */,
/* 39 */,
/* 40 */,
/* 41 */,
/* 42 */,
/* 43 */,
/* 44 */,
/* 45 */,
/* 46 */,
/* 47 */,
/* 48 */,
/* 49 */,
/* 50 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(51)
)

/* script */
__vue_exports__ = __webpack_require__(52)

/* template */
var __vue_template__ = __webpack_require__(53)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/BlackButton.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7a2194de"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 51 */
/***/ (function(module, exports) {

module.exports = {
  "button": {
    "justifyContent": "center",
    "alignItems": "center"
  },
  "button-wrap": {
    "width": "192",
    "height": "64",
    "backgroundColor": "#333333",
    "borderRadius": 50,
    "justifyContent": "center",
    "alignItems": "center"
  },
  "button-text": {
    "fontSize": "24",
    "color": "#FFFFFF",
    "lines": 1,
    "textOverflow": "ellipsis"
  }
}

/***/ }),
/* 52 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String,
        bWidth: {
            type: String,
            default: '192px'
        }
    },
    methods: {
        btnClick: function btnClick() {
            this.$emit('btnClick');
        }
    }
};

/***/ }),
/* 53 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["button"]
  }, [_c('div', {
    staticClass: ["button-wrap"],
    style: {
      'width': _vm.bWidth
    },
    on: {
      "click": _vm.btnClick
    }
  }, [_c('text', {
    staticClass: ["button-text"]
  }, [_vm._v(_vm._s(_vm.text))])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 54 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(55)
)

/* script */
__vue_exports__ = __webpack_require__(56)

/* template */
var __vue_template__ = __webpack_require__(57)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/components/LabelHeaderRefresh.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-436d22c7"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 55 */
/***/ (function(module, exports) {

module.exports = {
  "m-header": {
    "paddingBottom": "12",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "title-text": {
    "display": "flex",
    "flex": 1,
    "fontSize": "48",
    "fontWeight": "600",
    "color": "#333333"
  },
  "more": {
    "flexDirection": "row",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#333333",
    "alignItems": "center"
  },
  "more-text": {
    "fontSize": "24",
    "fontWeight": "600",
    "color": "#333333"
  },
  "more-icon": {
    "width": "24",
    "height": "24",
    "marginLeft": "12"
  }
}

/***/ }),
/* 56 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
    props: {
        title: {
            type: String,
            default: ''
        },
        more: {
            type: String,
            default: ''
        },
        titleFont: {
            type: Number,
            default: 48
        }
    },
    methods: {
        onRefresh: function onRefresh() {
            var circleImg = this.$refs.circleImg;
            // 触发回调
            this.$emit("onRefresh");
            animation.transition(circleImg, {
                styles: {
                    transform: 'rotate(360deg)',
                    transformOrigin: 'center center'
                },
                duration: 400
            }, function () {
                // 恢复旋转
                animation.transition(circleImg, {
                    styles: {
                        transform: 'rotate(0deg)',
                        transformOrigin: 'center center'
                    },
                    duration: 0
                });
            });
        }
    }
};

/***/ }),
/* 57 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["m-header"]
  }, [_c('text', {
    staticClass: ["title-text"],
    style: {
      fontSize: _vm.titleFont + 'px'
    }
  }, [_vm._v(_vm._s(_vm.title))]), (_vm.onRefresh) ? _c('div', {
    staticClass: ["more"],
    on: {
      "click": _vm.onRefresh
    }
  }, [_c('text', {
    staticClass: ["more-text"]
  }, [_vm._v(_vm._s(_vm.more))]), _c('image', {
    ref: "circleImg",
    staticClass: ["more-icon"],
    attrs: {
      "src": "res://weex_circle_refresh",
      "resize": "contain"
    }
  })]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 58 */,
/* 59 */,
/* 60 */,
/* 61 */,
/* 62 */,
/* 63 */,
/* 64 */,
/* 65 */,
/* 66 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(308)
)

/* script */
__vue_exports__ = __webpack_require__(309)

/* template */
var __vue_template__ = __webpack_require__(314)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/Products.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-65549f94"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 67 */,
/* 68 */,
/* 69 */,
/* 70 */,
/* 71 */,
/* 72 */,
/* 73 */,
/* 74 */,
/* 75 */,
/* 76 */,
/* 77 */,
/* 78 */,
/* 79 */,
/* 80 */,
/* 81 */,
/* 82 */,
/* 83 */,
/* 84 */,
/* 85 */,
/* 86 */,
/* 87 */,
/* 88 */,
/* 89 */,
/* 90 */,
/* 91 */,
/* 92 */,
/* 93 */,
/* 94 */,
/* 95 */,
/* 96 */,
/* 97 */,
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */,
/* 102 */,
/* 103 */,
/* 104 */,
/* 105 */,
/* 106 */,
/* 107 */,
/* 108 */,
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */,
/* 117 */,
/* 118 */,
/* 119 */,
/* 120 */,
/* 121 */,
/* 122 */,
/* 123 */,
/* 124 */,
/* 125 */,
/* 126 */,
/* 127 */,
/* 128 */,
/* 129 */,
/* 130 */,
/* 131 */,
/* 132 */,
/* 133 */,
/* 134 */,
/* 135 */,
/* 136 */,
/* 137 */,
/* 138 */,
/* 139 */,
/* 140 */,
/* 141 */,
/* 142 */,
/* 143 */,
/* 144 */,
/* 145 */,
/* 146 */,
/* 147 */,
/* 148 */,
/* 149 */,
/* 150 */,
/* 151 */,
/* 152 */,
/* 153 */,
/* 154 */,
/* 155 */,
/* 156 */,
/* 157 */,
/* 158 */,
/* 159 */,
/* 160 */,
/* 161 */,
/* 162 */,
/* 163 */,
/* 164 */,
/* 165 */,
/* 166 */,
/* 167 */,
/* 168 */,
/* 169 */,
/* 170 */,
/* 171 */,
/* 172 */,
/* 173 */,
/* 174 */,
/* 175 */,
/* 176 */,
/* 177 */,
/* 178 */,
/* 179 */,
/* 180 */,
/* 181 */,
/* 182 */,
/* 183 */,
/* 184 */,
/* 185 */,
/* 186 */,
/* 187 */,
/* 188 */,
/* 189 */,
/* 190 */,
/* 191 */,
/* 192 */,
/* 193 */,
/* 194 */,
/* 195 */,
/* 196 */,
/* 197 */,
/* 198 */,
/* 199 */,
/* 200 */,
/* 201 */,
/* 202 */,
/* 203 */,
/* 204 */,
/* 205 */,
/* 206 */,
/* 207 */,
/* 208 */,
/* 209 */,
/* 210 */,
/* 211 */,
/* 212 */,
/* 213 */,
/* 214 */,
/* 215 */,
/* 216 */,
/* 217 */,
/* 218 */,
/* 219 */,
/* 220 */,
/* 221 */,
/* 222 */,
/* 223 */,
/* 224 */,
/* 225 */,
/* 226 */,
/* 227 */,
/* 228 */,
/* 229 */,
/* 230 */,
/* 231 */,
/* 232 */,
/* 233 */,
/* 234 */,
/* 235 */,
/* 236 */,
/* 237 */,
/* 238 */,
/* 239 */,
/* 240 */,
/* 241 */,
/* 242 */,
/* 243 */,
/* 244 */,
/* 245 */,
/* 246 */,
/* 247 */,
/* 248 */,
/* 249 */,
/* 250 */,
/* 251 */,
/* 252 */,
/* 253 */,
/* 254 */,
/* 255 */,
/* 256 */,
/* 257 */,
/* 258 */,
/* 259 */,
/* 260 */,
/* 261 */,
/* 262 */,
/* 263 */,
/* 264 */,
/* 265 */,
/* 266 */,
/* 267 */,
/* 268 */,
/* 269 */,
/* 270 */,
/* 271 */,
/* 272 */,
/* 273 */,
/* 274 */,
/* 275 */,
/* 276 */,
/* 277 */,
/* 278 */,
/* 279 */,
/* 280 */,
/* 281 */,
/* 282 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _NewRecommendPage = __webpack_require__(283);

var _NewRecommendPage2 = _interopRequireDefault(_NewRecommendPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_NewRecommendPage2.default.el = '#root';
new Vue(_NewRecommendPage2.default);

/***/ }),
/* 283 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(284)
)

/* script */
__vue_exports__ = __webpack_require__(285)

/* template */
var __vue_template__ = __webpack_require__(322)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/NewRecommendPage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4a35d332"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 284 */
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "tab-layout": {
    "backgroundColor": "#FFFFFF",
    "position": "sticky",
    "zIndex": 100
  },
  "scroller": {
    "position": "relative"
  }
}

/***/ }),
/* 285 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _props$data$component;

var _TabLayout = __webpack_require__(23);

var _TabLayout2 = _interopRequireDefault(_TabLayout);

var _ChoicenessFloor = __webpack_require__(286);

var _ChoicenessFloor2 = _interopRequireDefault(_ChoicenessFloor);

var _Category = __webpack_require__(317);

var _Category2 = _interopRequireDefault(_Category);

var _Page = __webpack_require__(3);

var _HttpClient = __webpack_require__(6);

var _NewChoice = __webpack_require__(321);

var _env = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; } //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
var modal = weex.requireModule('modal');

exports.default = (_props$data$component = {
    props: {
        pid: Number
    },
    data: function data() {
        return {
            recycle: _env.Env.isIOS() ? "true" : "false"
        };
    },

    components: {
        ChoicenessFloor: _ChoicenessFloor2.default,
        Category: _Category2.default,
        TabLayout: _TabLayout2.default
    },
    methods: {
        onDisappear: function onDisappear(e, i) {
            if (!this.scrollEnable) {
                return;
            }
            if (e.direction == 'up') {
                this.currentIndex = i + 1;
                this.$refs.tabLayout.setIndex(this.currentIndex);
            }
        },
        onAppear: function onAppear(e, i) {
            if (!this.scrollEnable) {
                return;
            }
            if (e.direction == 'down') {
                this.currentIndex = i;
                this.$refs.tabLayout.setIndex(this.currentIndex);
            }
        },
        tabClick: function tabClick(e) {
            var _this = this;

            // 先禁止 onDisappear or onAppear，300ms之后再启用
            this.scrollEnable = false;
            // 滚动到某个dom
            var index = e.currentIndex;
            var com = this.$refs['floor_' + index][0];
            dom.scrollToElement(com, {
                offset: index != 0 ? 16 : 0,
                animated: _env.Env.isIOS()
            });
            // animated: Env.isIOS()
            // 300ms之后再启用监听
            setTimeout(function () {
                _this.scrollEnable = true;
            }, _env.Env.isIOS() ? 300 : 50);
        }
    }
}, _defineProperty(_props$data$component, 'data', function data() {
    return {
        currentIndex: 0,
        scrollEnable: true,
        tabs: [],
        selectId: -1
    };
}), _defineProperty(_props$data$component, 'created', function created() {
    var _this2 = this;

    this.selectId = this.$getConfig()['id'];
    // 加载网络数据
    _Page.Page.showLoading(false);
    _HttpClient.HttpClient.sendNoCache("/product/brandNew", {
        pid: this.pid
    }, function (resp) {
        _Page.Page.hideProcess();
        if (resp.state) {
            _Page.Page.loadSuccess();
            // 渲染数据
            _this2.choiceness = resp.data;
            var tabsTemp = [];
            _this2.choiceness.floors.forEach(function (tab, i) {
                tabsTemp.push(tab.title);
            });
            _this2.tabs = tabsTemp;

            // 传递参数给原生
            if (_this2.choiceness.floors && _this2.choiceness.floors[0]) {
                var goodsList = _this2.choiceness.floors[0].goodsList;
                if (goodsList && goodsList[0]) _NewChoice.NewChoice.setFirstGoods(goodsList[0]);
            }
        } else {
            // 加载失败
            _Page.Page.loadFail();
            _Page.Page.toast(resp.msg);
        }
        _Page.Page.hideProcess();
    });
}), _props$data$component);

/***/ }),
/* 286 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(287)
)

/* script */
__vue_exports__ = __webpack_require__(288)

/* template */
var __vue_template__ = __webpack_require__(316)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/floors/ChoicenessFloor.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-35efc648"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 287 */
/***/ (function(module, exports) {

module.exports = {
  "new-big-brand": {
    "marginTop": "96",
    "marginBottom": "96",
    "paddingLeft": "48"
  }
}

/***/ }),
/* 288 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _Choiceness = __webpack_require__(289);

var _Choiceness2 = _interopRequireDefault(_Choiceness);

var _Topics = __webpack_require__(297);

var _Topics2 = _interopRequireDefault(_Topics);

var _NewBigBrand = __webpack_require__(305);

var _NewBigBrand2 = _interopRequireDefault(_NewBigBrand);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        choiceness: Object,
        selectId: {
            type: Number,
            default: -1
        }
    },
    components: {
        Choiceness: _Choiceness2.default,
        Topics: _Topics2.default,
        NewBigBrand: _NewBigBrand2.default
    },
    methods: {}
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 289 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(290)
)

/* script */
__vue_exports__ = __webpack_require__(291)

/* template */
var __vue_template__ = __webpack_require__(296)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/modules/Choiceness.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-c75bf388"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 290 */
/***/ (function(module, exports) {

module.exports = {
  "choiceness": {
    "paddingTop": "64",
    "paddingBottom": "64",
    "backgroundColor": "#F37E52"
  },
  "pagers": {
    "marginTop": "0",
    "marginBottom": "4",
    "display": "flex",
    "flexDirection": "row"
  },
  "item": {
    "display": "flex",
    "flexDirection": "row"
  },
  "progress": {
    "marginLeft": "48",
    "marginRight": "48"
  }
}

/***/ }),
/* 291 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _SplitWords = __webpack_require__(18);

var _SplitWords2 = _interopRequireDefault(_SplitWords);

var _ChoicenessProduct = __webpack_require__(292);

var _ChoicenessProduct2 = _interopRequireDefault(_ChoicenessProduct);

var _SwipterProgress = __webpack_require__(19);

var _SwipterProgress2 = _interopRequireDefault(_SwipterProgress);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        choiceness: Object,
        selectId: {
            type: Number,
            default: -1
        }
    },
    components: {
        SplitWords: _SplitWords2.default,
        ChoicenessProduct: _ChoicenessProduct2.default,
        Progress: _SwipterProgress2.default
    },
    data: function data() {
        return {
            progress: 1,
            selectIndex: 0
        };
    },

    methods: {
        progressChange: function progressChange(e) {
            this.progress = (e.index + 1) * 1.0 / this.choiceness.goodsList.length;
        },

        /**
         * 商品详情
         */
        productClick: function productClick(index, product) {
            if (!product) {
                return;
            }
            _Router.Router.uriRouterWithParams('zhier://productdetail', {
                id: product.id
            });
            var params = _Factory.Factory.getProductParams(product);
            params.Rank = index + "";
            _Track.Track.sendEvent("SelectedClick", params);
        }
    },
    created: function created() {
        var _this = this;

        this.progress = 1.0 / this.choiceness.goodsList.length;
        // 计算选中项
        var index = 0;
        this.choiceness.goodsList.forEach(function (product) {
            if (product.id == _this.selectId) {
                _this.selectIndex = index;
            }
            index++;
        });
    }
};

/***/ }),
/* 292 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(293)
)

/* script */
__vue_exports__ = __webpack_require__(294)

/* template */
var __vue_template__ = __webpack_require__(295)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/components/ChoicenessProduct.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-2d24929a"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 293 */
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "position": "relative",
    "paddingTop": "30",
    "paddingBottom": "44",
    "paddingLeft": "24",
    "paddingRight": "24"
  },
  "product-img-bg": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "product": {
    "width": "440",
    "height": "668"
  },
  "product-info": {
    "width": "440",
    "height": "668",
    "backgroundColor": "#FFFFFF",
    "borderRadius": "8",
    "display": "flex",
    "alignItems": "center"
  },
  "product-img": {
    "backgroundColor": "#FFFFFF",
    "borderRadius": "8",
    "width": "440",
    "height": "440"
  },
  "product-brand": {
    "lineHeight": "43",
    "paddingLeft": "24",
    "paddingRight": "24",
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "color": "#333333",
    "fontSize": "40",
    "marginTop": "48",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "product-price": {
    "lineHeight": "32",
    "fontFamily": "PingFangSC-Semibold",
    "fontWeight": "bold",
    "fontSize": "32",
    "color": "#333333",
    "marginTop": "24"
  },
  "product-market-price": {
    "marginTop": "8",
    "lineHeight": "24",
    "fontSize": "24",
    "fontWeight": "600",
    "color": "#999999",
    "textDecoration": "line-through",
    "fontFamily": "PingFangSC-Semibold"
  },
  "product-discount-wrap": {
    "position": "absolute",
    "top": "36",
    "left": "50",
    "width": "88",
    "height": "36",
    "display": "flex"
  },
  "product-discount-img": {
    "position": "absolute",
    "left": "0",
    "width": "88",
    "height": "36"
  },
  "proudct-discount-text": {
    "position": "absolute",
    "left": "-4",
    "width": "88",
    "fontSize": "28",
    "color": "#FFFFFF",
    "fontFamily": "Arial-BoldItalicMT",
    "fontStyle": "italic",
    "fontWeight": "normal",
    "marginTop": "2",
    "display": "flex",
    "textAlign": "center"
  },
  "sold-wrap": {
    "position": "absolute",
    "top": "190",
    "left": "160",
    "display": "flex",
    "width": "120",
    "height": "60",
    "backgroundColor": "rgba(0,0,0,0.65)",
    "borderRadius": "4",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "sold-text": {
    "fontSize": "24",
    "color": "#FFFFFF"
  }
}

/***/ }),
/* 294 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        product: {
            type: Object
        }
    },
    methods: {
        productClick: function productClick() {
            this.$emit("productClick", this.product);
        }
    }
};

/***/ }),
/* 295 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('image', {
    staticClass: ["product-img-bg"],
    attrs: {
      "src": "res://weex_new_banner_shadow"
    }
  }), _c('text', {
    style: {
      'height': 20
    }
  }, [_vm._v(_vm._s(" "))]), _c('div', {
    staticClass: ["product"]
  }, [_c('div', {
    staticClass: ["product-info"],
    on: {
      "click": _vm.productClick
    }
  }, [_c('div', {
    staticClass: ["product-img-wrap"]
  }, [_c('image', {
    staticClass: ["product-img"],
    attrs: {
      "src": _vm.product.image,
      "resize": "contain"
    }
  }), (_vm.product.stock == 0) ? _c('div', {
    staticClass: ["sold-wrap"]
  }, [_c('text', {
    staticClass: ["sold-text"]
  }, [_vm._v("已售罄")])]) : _vm._e()]), _c('text', {
    staticClass: ["product-brand"]
  }, [_vm._v(_vm._s(_vm.product.brand))]), _c('text', {
    staticClass: ["product-price"]
  }, [_vm._v(_vm._s('¥ ' + _vm.product.price))]), _c('text', {
    staticClass: ["product-market-price"]
  }, [_vm._v(_vm._s('¥ ' + _vm.product.marketPrice))])])]), (_vm.product.discount && _vm.product.discount < 10) ? _c('div', {
    staticClass: ["product-discount-wrap"]
  }, [_c('image', {
    staticClass: ["product-discount-img"],
    attrs: {
      "src": _vm.product.discount > 1 ? 'res://weex_img_discount_bg' : 'res://weex_img_discount_less_bg',
      "resize": "contain"
    }
  }), ((_vm.product.discount && _vm.product.discount > 1)) ? _c('text', {
    staticClass: ["proudct-discount-text"]
  }, [_vm._v(_vm._s(_vm.product.discount))]) : _vm._e()]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 296 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["choiceness"]
  }, [_c('split-words', {
    attrs: {
      "text": _vm.choiceness.floorName,
      "linecolor": "#FFF",
      "color": "#FFF",
      "textSize": "40",
      "lineLength": "30",
      "lineMargin": "12",
      "lineOpacity": "0.3"
    }
  }), _c('pager', {
    staticClass: ["pagers"],
    attrs: {
      "infinite": "true",
      "autoPlay": "true",
      "interval": "5000",
      "itemSpace": "0",
      "insetLeft": 48,
      "itemWidth": "488",
      "itemHeight": "768",
      "index": _vm.selectIndex
    },
    on: {
      "change": _vm.progressChange
    }
  }, _vm._l((_vm.choiceness.goodsList), function(product, i) {
    return _c('div', {
      key: i,
      staticClass: ["item"]
    }, [_c('choiceness-product', {
      style: {
        'position': 'relative',
        'left': -24
      },
      attrs: {
        "product": product
      },
      on: {
        "productClick": function (p) {
          _vm.productClick(i, p)
        }
      }
    })], 1)
  })), _c('div', {
    staticClass: ["progress"]
  }, [_c('progress', {
    attrs: {
      "progress": _vm.progress,
      "firstProgress": true,
      "i_bg_color": "#F48A62",
      "i_color": "#FFF"
    }
  })], 1)], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 297 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(298)
)

/* script */
__vue_exports__ = __webpack_require__(299)

/* template */
var __vue_template__ = __webpack_require__(304)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/modules/Topics.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-ad302030"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 298 */
/***/ (function(module, exports) {

module.exports = {
  "topics": {
    "paddingLeft": "48"
  },
  "item": {
    "marginTop": "64"
  }
}

/***/ }),
/* 299 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _TopicView = __webpack_require__(300);

var _TopicView2 = _interopRequireDefault(_TopicView);

var _Router = __webpack_require__(0);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        topicList: Array
    },
    components: {
        TopicView: _TopicView2.default
    },
    methods: {
        topicClick: function topicClick(e) {
            if (!e) {
                return;
            }
            if (e.url) {
                _Router.Router.uriRouterWithParams("zhier://opennewweb", {
                    url: e.url
                });
            } else {
                _Router.Router.uriRouterWithParams("zhier://topicdetail", {
                    id: e.topicId,
                    entrance: encodeURIComponent("全新优选")
                });
            }
        }
    }
};

/***/ }),
/* 300 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(301)
)

/* script */
__vue_exports__ = __webpack_require__(302)

/* template */
var __vue_template__ = __webpack_require__(303)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/TopicView.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3566ea74"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 301 */
/***/ (function(module, exports) {

module.exports = {
  "topic-img": {
    "width": "704",
    "height": "352"
  },
  "topic-title": {
    "fontFamily": "PingFangSC-Medium",
    "marginTop": "32",
    "width": "704",
    "fontSize": "40",
    "fontWeight": "600",
    "color": "#333333",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "topic-desc": {
    "fontFamily": "PingFangSC-Medium",
    "marginTop": "8",
    "width": "704",
    "fontSize": "32",
    "fontWeight": "600",
    "color": "#333333",
    "lines": 1,
    "textOverflow": "ellipsis"
  }
}

/***/ }),
/* 302 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        topic: {
            type: Object
        }
    },
    components: {
        LazyImage: _LazyImage2.default
    },
    methods: {
        topicClick: function topicClick() {
            if (!this.topic) {
                return;
            }
            this.$emit("topicClick", this.topic);
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 303 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["topic"],
    on: {
      "click": _vm.topicClick
    }
  }, [_c('lazy-image', {
    attrs: {
      "src": _vm.topic.image,
      "width": "704",
      "height": "352",
      "sizeType": "m"
    }
  }), _c('text', {
    staticClass: ["topic-title"]
  }, [_vm._v(_vm._s(_vm.topic.title))]), _c('text', {
    staticClass: ["topic-desc"]
  }, [_vm._v(_vm._s(_vm.topic.subTitle))])], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 304 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["topics"]
  }, _vm._l((_vm.topicList), function(topic, i) {
    return _c('div', {
      key: i,
      staticClass: ["item"]
    }, [_c('topic-view', {
      attrs: {
        "topic": topic
      },
      on: {
        "topicClick": _vm.topicClick
      }
    })], 1)
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 305 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(306)
)

/* script */
__vue_exports__ = __webpack_require__(307)

/* template */
var __vue_template__ = __webpack_require__(315)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/modules/NewBigBrand.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-40f3ceda"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 306 */
/***/ (function(module, exports) {

module.exports = {
  "label-header-refresh": {
    "paddingRight": "48"
  },
  "slider": {
    "display": "flex",
    "flexDirection": "row"
  },
  "products": {
    "width": "750"
  }
}

/***/ }),
/* 307 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LabelHeaderRefresh = __webpack_require__(54);

var _LabelHeaderRefresh2 = _interopRequireDefault(_LabelHeaderRefresh);

var _Products = __webpack_require__(66);

var _Products2 = _interopRequireDefault(_Products);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        brandNewBig: Object
    },
    components: {
        LabelHeaderRefresh: _LabelHeaderRefresh2.default,
        Products: _Products2.default
    },
    methods: {
        onRefresh: function onRefresh(e) {
            // this.getProducts(this);
            this.autoPlay = true;
        },
        change: function change() {
            this.autoPlay = false;
        },
        getProducts: function getProducts(_this) {
            var that = _this || this;
            var sIndex = that.selectIndex + 1;
            if (sIndex >= that.productGroup.length) {
                sIndex = 0;
            }
            // 切换数据
            that.selectIndex = sIndex;
            // that.selectPrducts = that.productGroup[sIndex];
        },
        pClick: function pClick(product) {
            if (!product) {
                return;
            }
            var params = _Factory.Factory.getProductParams(product);
            params.Module = '全新大牌';
            _Track.Track.sendEvent("BrandNewClick", params);
        }
    },
    data: function data() {
        return {
            autoPlay: false,
            productGroup: this.brandNewBig.list,
            // selectPrducts: this.brandNewBig.list[0],
            selectIndex: 0
        };
    }
};

/***/ }),
/* 308 */
/***/ (function(module, exports) {

module.exports = {
  "products": {
    "position": "relative",
    "left": "-10",
    "display": "flex",
    "flexDirection": "row",
    "flexWrap": "wrap"
  },
  "product": {
    "position": "relative"
  }
}

/***/ }),
/* 309 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ProductItem = __webpack_require__(310);

var _ProductItem2 = _interopRequireDefault(_ProductItem);

var _Router = __webpack_require__(0);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        products: Array,
        lazyLoad: {
            type: Boolean,
            default: true
        }
    },
    components: {
        ProductItem2: _ProductItem2.default
    },
    methods: {
        productClick: function productClick(product) {
            if (!product) {
                return;
            }
            _Router.Router.uriRouterWithParams('zhier://productdetail', {
                id: product.id
            });
            this.$emit('pClick', product);
        }
    }
};

/***/ }),
/* 310 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(311)
)

/* script */
__vue_exports__ = __webpack_require__(312)

/* template */
var __vue_template__ = __webpack_require__(313)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/ProductItem2.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-367bd800"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 311 */
/***/ (function(module, exports) {

module.exports = {
  "product": {
    "width": "226",
    "height": "328",
    "position": "relative",
    "marginTop": "36"
  },
  "item-info": {
    "alignItems": "center",
    "justifyItems": "center"
  },
  "item-img-wrap": {
    "position": "relative",
    "paddingTop": "12",
    "paddingBottom": "28",
    "paddingLeft": "20",
    "paddingRight": "20"
  },
  "item-img-bg": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "item-img": {
    "backgroundColor": "#FFFFFF",
    "width": "186",
    "height": "186"
  },
  "item-brand": {
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "lineHeight": "25",
    "width": "186",
    "fontSize": "24",
    "color": "#333333",
    "textAlign": "center",
    "marginTop": "8",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-price": {
    "fontFamily": "PingFangSC-Semibold",
    "fontWeight": "600",
    "lineHeight": "24",
    "marginTop": "16",
    "fontSize": "24",
    "color": "#333333"
  },
  "product-discount-wrap": {
    "position": "absolute",
    "top": "18",
    "left": "15",
    "width": "74",
    "height": "28",
    "display": "flex"
  },
  "product-discount-img": {
    "position": "absolute",
    "left": "0",
    "width": "74",
    "height": "26"
  },
  "proudct-discount-text": {
    "position": "absolute",
    "left": "-4",
    "width": "74",
    "marginRight": "1",
    "fontFamily": "Arial-BoldItalicMT",
    "fontWeight": "normal",
    "fontStyle": "italic",
    "fontSize": "22",
    "color": "#FFFFFF",
    "display": "flex",
    "textAlign": "center"
  },
  "sold-wrap": {
    "position": "absolute",
    "top": "80",
    "right": "68",
    "display": "flex",
    "width": "90",
    "height": "50",
    "backgroundColor": "rgba(0,0,0,0.65)",
    "borderRadius": "4",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "sold-text": {
    "fontSize": "20",
    "color": "#FFFFFF"
  }
}

/***/ }),
/* 312 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        product: Object,
        lazyLoad: {
            type: Boolean,
            default: true
        }
    },
    components: {
        LazyImage: _LazyImage2.default
    },
    methods: {
        productClick: function productClick() {
            this.$emit('productClick', this.product);
        }
    },
    data: function data() {
        return {
            apper: false
        };
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 313 */
/***/ (function(module, exports) {

module.exports={render:function (){
var this$1 = this;
var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["product"],
    on: {
      "click": _vm.productClick,
      "appear": function () {
        this$1.apper = true
      }
    }
  }, [(_vm.apper || !_vm.lazyLoad) ? _c('div', {
    staticClass: ["item-info"]
  }, [_c('text', {
    style: {
      'height': 20
    }
  }, [_vm._v(_vm._s(" "))]), _c('div', {
    staticClass: ["item-img-wrap"]
  }, [_c('image', {
    staticClass: ["item-img-bg"],
    attrs: {
      "src": "res://weex_line_3_row_item_shadow"
    }
  }), _c('lazy-image', {
    staticClass: ["item-img"],
    attrs: {
      "src": _vm.product.image,
      "width": "186",
      "height": "186",
      "sizeType": "s",
      "lazyLoad": _vm.lazyLoad
    }
  }), (_vm.product.stock == 0) ? _c('div', {
    staticClass: ["sold-wrap"]
  }, [_c('text', {
    staticClass: ["sold-text"]
  }, [_vm._v("已售罄")])]) : _vm._e()], 1), _c('text', {
    staticClass: ["item-brand"]
  }, [_vm._v(_vm._s(_vm.product.brand))]), _c('text', {
    staticClass: ["item-price"]
  }, [_vm._v(_vm._s('¥ ' + _vm.product.price))])]) : _vm._e(), ((_vm.product.discount && _vm.product.discount < 10) && (_vm.apper || !_vm.lazyLoad)) ? _c('div', {
    staticClass: ["product-discount-wrap"]
  }, [_c('image', {
    staticClass: ["product-discount-img"],
    attrs: {
      "src": _vm.product.discount > 1 ? 'res://weex_img_discount_bg' : 'res://weex_img_discount_less_bg',
      "resize": "contain"
    }
  }), ((_vm.product.discount && _vm.product.discount > 1)) ? _c('text', {
    staticClass: ["proudct-discount-text"]
  }, [_vm._v(_vm._s(_vm.product.discount))]) : _vm._e()]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 314 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["products"]
  }, _vm._l((_vm.products), function(product, i) {
    return _c('product-item2', {
      key: i,
      staticClass: ["product"],
      attrs: {
        "product": product,
        "lazyLoad": _vm.lazyLoad
      },
      on: {
        "productClick": _vm.productClick
      }
    })
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 315 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('label-header-refresh', {
    staticClass: ["label-header-refresh"],
    attrs: {
      "title": "全新大牌",
      "more": "换一批",
      "titleFont": "36"
    },
    on: {
      "onRefresh": _vm.onRefresh
    }
  }), _c('pager', {
    staticClass: ["slider"],
    attrs: {
      "interval": "250",
      "scrollable": "false",
      "infinite": "true",
      "insetLeft": "0",
      "itemWidth": "750",
      "itemHeight": "728",
      "autoPlay": _vm.autoPlay,
      "index": _vm.selectIndex
    },
    on: {
      "change": _vm.change
    }
  }, _vm._l((_vm.productGroup), function(products, i) {
    return _c('div', {
      key: i
    }, [_c('products', {
      staticClass: ["products"],
      attrs: {
        "lazyLoad": false,
        "products": products
      },
      on: {
        "pClick": _vm.pClick
      }
    })], 1)
  }))], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 316 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('div', {
    staticClass: ["choiceness"]
  }, [_c('choiceness', {
    attrs: {
      "choiceness": _vm.choiceness,
      "selectId": _vm.selectId
    }
  })], 1), _c('div', {
    staticClass: ["topics"]
  }, [_c('topics', {
    attrs: {
      "topicList": _vm.choiceness.topicList
    }
  })], 1), _c('div', {
    staticClass: ["new-big-brand"]
  }, [_c('new-big-brand', {
    attrs: {
      "brandNewBig": _vm.choiceness.brandNewBig
    }
  })], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 317 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(318)
)

/* script */
__vue_exports__ = __webpack_require__(319)

/* template */
var __vue_template__ = __webpack_require__(320)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/newrecommend/floors/Category.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-1be10dda"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 318 */
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  },
  "category-splite": {
    "backgroundColor": "#F5F5F5",
    "height": "16"
  },
  "category-header": {
    "marginTop": "64"
  },
  "category-products": {
    "marginLeft": "48"
  },
  "btn-more": {
    "marginTop": "64",
    "marginBottom": "96"
  }
}

/***/ }),
/* 319 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _SplitWords = __webpack_require__(18);

var _SplitWords2 = _interopRequireDefault(_SplitWords);

var _Products = __webpack_require__(66);

var _Products2 = _interopRequireDefault(_Products);

var _BlackButton = __webpack_require__(50);

var _BlackButton2 = _interopRequireDefault(_BlackButton);

var _Router = __webpack_require__(0);

var _Page = __webpack_require__(3);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

var _env = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        category: {
            type: Object
        }
    },
    components: {
        SplitWords: _SplitWords2.default,
        Products: _Products2.default,
        BlackButton: _BlackButton2.default
    },
    methods: {
        btnClick: function btnClick() {
            if (!this.category) {
                return;
            }
            // "zhier://allnewcategory"
            _Router.Router.uriRouterWithParams(this.category.route, {
                id: this.category.categoryId,
                name: this.category.floorName
            });
        },
        pClick: function pClick(product) {
            if (!product) {
                return;
            }
            var params = _Factory.Factory.getProductParams(product);
            params.Module = this.category.floorName;
            _Track.Track.sendEvent("BrandNewClick", params);
        },
        isIOS: function isIOS() {
            return _env.Env.isIOS();
        }
    },
    data: function data() {
        return {
            products: null
        };
    },
    created: function created() {
        this.products = this.category.product;
    }
};

/***/ }),
/* 320 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('div', {
    staticClass: ["category-splite"]
  }), _c('split-words', {
    staticClass: ["category-header"],
    attrs: {
      "text": _vm.category.floorName,
      "textSize": "40",
      "linecolor": "#666666",
      "lineLength": "32",
      "lineMargin": "12",
      "lineOpacity": "0.3"
    }
  }), _c('products', {
    staticClass: ["category-products"],
    attrs: {
      "products": _vm.products,
      "lazyLoad": !_vm.isIOS()
    },
    on: {
      "pClick": _vm.pClick
    }
  }), _c('black-button', {
    staticClass: ["btn-more"],
    attrs: {
      "text": "查看更多"
    },
    on: {
      "btnClick": _vm.btnClick
    }
  })], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 321 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * 全新优选module
 */
var newGoodsModule = weex.requireModule("newGoods");
var NewChoice = exports.NewChoice = {
    /**
     * 全新优选的首个商品
     * @param {*} firstGoodsJson 
     */
    setFirstGoods: function setFirstGoods(firstGoodsJson) {
        if (null == newGoodsModule) {
            return;
        }
        newGoodsModule.setFirstGoods(firstGoodsJson);
    }
};

/***/ }),
/* 322 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('tab-layout', {
    ref: "tabLayout",
    staticClass: ["tab-layout"],
    attrs: {
      "items": _vm.tabs,
      "statusBarLight": true,
      "selectedTitleFontSize": "32",
      "unselectedTitleFontSize": "32",
      "haveUnderline": "true"
    },
    on: {
      "itemClick": _vm.tabClick
    }
  }), _c('list', {
    staticClass: ["scroller"]
  }, _vm._l((_vm.choiceness.floors), function(floor, i) {
    return _c('cell', {
      key: i,
      ref: 'floor_' + i,
      refInFor: true,
      staticClass: ["category"],
      appendAsTree: true,
      attrs: {
        "recycle": _vm.recycle,
        "append": "tree"
      },
      on: {
        "appear": function (e) {
          _vm.onAppear(e, i)
        },
        "disappear": function (e) {
          _vm.onDisappear(e, i)
        }
      }
    }, [(floor.categoryId == -1) ? _c('choiceness-floor', {
      attrs: {
        "choiceness": floor,
        "selectId": _vm.selectId
      }
    }) : _c('category', {
      attrs: {
        "category": floor
      }
    })], 1)
  }))], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })
/******/ ]);