// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 121);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Router = undefined;

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 * 路由模块
 */

var approuter = weex.requireModule("router");
var routerScheme = 'zhier';
var routerWexxHost = "jspage";


function combinePrams(uri, params) {
    if (!params) {
        return uri;
    }
    var url = uri;
    // 参数拼接
    var parasmsStr = '';
    for (var key in params) {
        parasmsStr = key + '=' + params[key] + (parasmsStr ? '&' + parasmsStr : parasmsStr);
    }
    url = _StringUtil.StringUtils.contains(url, '?') ? url + '&' + parasmsStr : url + '?' + parasmsStr;
    return url;
}

var Router = exports.Router = {

    /**
     * uri 路由
     * @param {*} uri 
     */
    uriRouter: function uriRouter(uri, params) {
        if (!uri || !approuter) {
            return;
        }
        var newUri = !params ? uri : combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * uri 路由，附带参数
     * @param {*} uri 
     * @param {*} params 
     */
    uriRouterWithParams: function uriRouterWithParams(uri, params) {
        if (!uri) {
            return;
        }
        var newUri = combinePrams(uri, params);
        approuter.uriRouter(newUri);
    },


    /**
     * name 路由
     * @param {*} host 
     * @param {*} params
     */
    hostRouter: function hostRouter(host, params) {
        if (!host) {
            return;
        }
        var uri = routerScheme + "://" + host;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    },

    /**
     * 跳转到 weex 页面
     * @param {t} params 
     */
    weexRouter: function weexRouter(params) {
        var uri = routerScheme + "://" + routerWexxHost;
        uri = combinePrams(uri, params);
        this.uriRouter(uri);
    }
};

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/*
    created by Justin.Wang
 */
var Env = exports.Env = {
    isWeb: function isWeb() {
        var platform = weex.config.env.platform;

        return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
        var deviceHeight = weex.config.env.deviceHeight;

        if (Utils.env.isWeb()) {
            return (typeof window === 'undefined' ? 'undefined' : _typeof(window)) !== undefined && window.screen && window.screen.width && window.screen.height && (parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812 || parseInt(window.screen.width, 10) === 414 && parseInt(window.screen.height, 10) === 896);
        }
        return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight == 1792);
    },
    isAndroid: function isAndroid() {
        var platform = weex.config.env.platform;

        return platform.toLowerCase() === 'android';
    },


    /**
     * 当currVer小于promoteVer,返回true, 否则为false
     * @returns {boolean}
     */
    compareVersion: function compareVersion() {
        var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
        var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

        if (currVer === promoteVer) return true;
        var currVerArr = currVer.split('.');
        var promoteVerArr = promoteVer.split('.');
        var len = Math.max(currVerArr.length, promoteVerArr.length);
        for (var i = 0; i < len; i++) {
            var proVal = ~~promoteVerArr[i];
            var curVal = ~~currVerArr[i];
            if (proVal < curVal) {
                return false;
            } else if (proVal > curVal) {
                return true;
            }
        }
        return false;
    },
    isAppVersionGreaterAndEqualThan: function isAppVersionGreaterAndEqualThan(version) {
        var appVersion = weex.config.env.appVersion;

        var isGreaterAndEqual = this.compareVersion(version, appVersion);
        return isGreaterAndEqual;
    }
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(10)

/* template */
var __vue_template__ = __webpack_require__(11)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/LazyImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Page = undefined;

var _env = __webpack_require__(1);

/**
 * created by xupx
 * on 2019-04-25
 */
var page = weex.requireModule("page");
var Page = exports.Page = {
    reload: function reload() {
        if (page) {
            page.reload();
        }
    },
    loadEmpty: function loadEmpty() {
        if (page != null) {
            page.loadEmpty();
        }
    },
    loadSuccess: function loadSuccess() {
        if (page) {
            page.loadSuccess();
        }
    },
    loadFail: function loadFail() {
        if (page) {
            page.loadFail();
        }
    },
    showProcess: function showProcess() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        if (page) {
            page.showProcess(mode);
        }
    },
    hideProcess: function hideProcess() {
        if (page) {
            page.hideProcess();
        }
    },
    toast: function toast(msg) {
        if (page) {
            page.toast(msg);
        }
    },
    disablePop: function disablePop(disabled) {
        if (_env.Env.isAndroid()) {
            return;
        }
        if (page) {
            page.disablePop(disabled);
        }
    },
    finish: function finish(result) {
        if (page) {
            page.finish(result);
        }
    },
    showLoading: function showLoading() {
        var mode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
        var needShow = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        if (!page) {
            return;
        }
        if (_env.Env.isIOS() || needShow) {
            page.showProcess(mode);
        }
    },

    /**
     * 原生页面，生命周期回调
     * 页面可见 resume
     * 页面不可 pause
     */
    lifecycle: function lifecycle(callback) {
        if (page) {
            page.lifecycle(callback);
        }
    }
};

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * created by Justin.Wang
 */
var trackModule = weex.requireModule("track");
var Track = exports.Track = {
  /**
   * track event
   * @param {*} eventId 
   * @param {*} params 
   */
  sendEvent: function sendEvent(eventId) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!eventId) {
      return;
    }
    trackModule.sendEvent(eventId, params);
  },


  /**
   * track page
   * @param {*} name 
   * @param {*} params 
   */
  sendPage: function sendPage(name) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    if (!name) {
      return;
    }
    trackModule.sendPage(name, params);
  }
};

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.HttpClient = undefined;

var _AppConfig = __webpack_require__(9);

var _StringUtil = __webpack_require__(4);

/**
 * created by xupx
 * on 2019-03-28
 */

var http = weex.requireModule("http");
var HttpClient = exports.HttpClient = {

    /**
     * 发送网络请求
     * @param {*} path 
     * @param {*} params 
     * @param {*} method 
     * @param {*} cache , {type: 'hours', time: 3}
     * @param {*} callback 
     */
    send: function send(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "POST";
        var cache = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
        var callback = arguments[4];

        if (!http) {
            return;
        }
        // const url = NetConfig.host + path;
        params = params || {};
        params.weexVer = _AppConfig.CommonBase.weexVer;

        this.getApi(path, function (url) {
            var mtd = !method ? _AppConfig.NetConfig.method : method;
            // 执行网络请求 
            http.send(url, params, mtd, cache, function (responseData) {
                var response = {
                    state: responseData.code == _AppConfig.NetConfig.successCode,
                    code: responseData.code,
                    data: responseData.data,
                    msg: responseData.msg
                };
                // 回调
                if (callback) {
                    callback(response);
                }
            });
        });
    },


    /**
     * 发送网路请求，带缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} cache 
     * @param {*} callback 
     */
    sendHasCache: function sendHasCache(path) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var cache = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        this.send(path, params, "", cache, callback);
    },


    /**
     * 发送网路请求, 无缓存
     * @param {*} path 
     * @param {*} params 
     * @param {*} callback 
     */
    sendNoCache: function sendNoCache(path, params, callback) {
        this.send(path, params, "", {}, callback);
    },


    /**
     * 无参数网络请求
     * @param {*} path 
     * @param {*} callback 
     */
    sendSimple: function sendSimple(path, callback) {
        this.send(path, {}, "", {}, callback);
    },


    /**
     * 上传文件
     * @param {*} path 
     * @param {*} localFile 
     * @param {*} params 
     * @param {*} callback 
     */
    sendFile: function sendFile(path, localFile) {
        var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
        var callback = arguments[3];

        var url = _AppConfig.NetConfig.host + path;
        // 执行网络请求 
        http.sendFile(url, params, localFile, function (responseData) {
            var response = {
                state: responseData.code == _AppConfig.NetConfig.successCode,
                code: responseData.code,
                data: responseData.data,
                msg: responseData.msg
            };
            // 回调
            if (callback && typeof callback == 'function') {
                callback(response);
            }
        });
    },


    /**
     * 获取api
     * @param {*} path 
     * @param {*} callback 
     */
    getApi: function getApi(path, callback) {
        if (!path || !callback) {
            return;
        }
        var isSearch = _StringUtil.StringUtils.startWith(path, "/v4.7.0");
        if (!isSearch) {
            callback(_AppConfig.NetConfig.host + path);
        } else {
            this.getSearchHost(function (host) {
                callback(host + path);
            });
        }
    },


    /**
     * 获取 search 域名
     */
    getSearchHost: function getSearchHost(callback) {
        http.getSearchHost(callback);
    },


    /**
     * 请求 方法
     */
    method: {
        post: "POST",
        get: "GET"
    },

    /**
     * 缓存类型
     */
    cacheType: {
        seconds: "seconds",
        minutes: "minutes",
        hours: "hours",
        days: "days"
    }

};

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by Justin.Wang
 */
var Factory = exports.Factory = {
    getProductParams: function getProductParams(pro) {
        var params = {};
        if (pro) {
            params.CommodityID = pro.id;
            params.CommoditySku = pro.sku;
            params.CommodityName = pro.name;
            if (pro.brandType) {
                params.BrandType = pro.brandType;
            } else if (pro.bandType) {
                params.BrandType = pro.bandType;
            }
            params.Brand = pro.brand;
            params.TopCategory = pro.categoryOne;
            params.SecondCategory = pro.categoryTwo;
            params.ThirdCategory = pro.categoryThree;
            if (typeof pro.modifyType == "number" || typeof pro.modifyType == "string") {
                if (pro.modifyType == -1) {
                    params.Type = "非平台定价";
                } else if (pro.modifyType == 0) {
                    params.Type = "系统平台定价";
                } else if (pro.modifyType == 1) {
                    params.Type = "人工平台定价";
                }
            }
            if (typeof pro.coefficient == "number") {
                params.Coefficient = pro.coefficient.toFixed(2) + '';
            }
            if (typeof pro.ifReasonable == "number" || typeof pro.ifReasonable == "string") {
                params.IfReasonable = pro.ifReasonable == 1 ? "是" : "否";
            }
            if (typeof pro.ifAllowance == "number" || typeof pro.ifAllowance == "string") {
                params.IfAllowance = pro.ifAllowance == 1 ? "是" : "否";
            }
            if (typeof pro.modifyBasePrice == "number") {
                params.BasePrice = pro.modifyBasePrice.toFixed(2) + '';
            }
        }
        return params;
    }
};

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * String 工具类
 */
var StringUtils = exports.StringUtils = {
    endWith: function endWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substring(ostring.length - s.length) == s) return true;else return false;
    },
    startWith: function startWith(ostring, s) {
        if (s == null || s == "" || ostring.length == 0 || s.length > ostring.length) return false;
        if (ostring.substr(0, s.length) == s) return true;else return false;
    },
    isEmpty: function isEmpty(str) {
        if (str.replace(/(^s*)|(s*$)/g, "").length == 0 || null == str) {
            return true;
        }
        return false;
    },
    contains: function contains(str, s) {
        if (s == null || s == "" || str.length == 0 || s.length > str.length) {
            return false;
        }
        return str.indexOf(s) > -1;
    }
};

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx
 * on 2019-03-28
 * 配置 js
 */

// 基础公共配置
var CommonBase = {
    debug: weex.config.env.isDebug,
    weexVer: '0.1.6'

    // host配置
};var NetConfig = {
    host: weex.config.env.host,
    method: 'POST',
    successCode: 100000

    // 分页配置
};var PageSize = {
    startIndex: 0,
    size: 20
};

exports.CommonBase = CommonBase;
exports.NetConfig = NetConfig;
exports.PageSize = PageSize;

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _stringutil = __webpack_require__(8);

exports.default = {
   props: {
      src: {
         type: String,
         default: ""
      },
      sizeType: { // 小图片：s 中图片：m 大图片 l
         type: String,
         default: "s"
      },
      width: {
         type: [String, Number],
         default: 0
      },
      height: {
         type: [String, Number],
         default: 0
      },
      resize: {
         type: String,
         default: 'cover'
      },
      placeholder: {
         type: String,
         default: ''
      },
      lazyLoad: { //是否开启懒加载
         type: Boolean,
         default: false
      }
   },

   data: function data() {
      return {
         show: false,
         loadSuccess: false,
         timer: null,
         random: 0
      };
   },

   computed: {
      url: function url() {
         if (this.lazyLoad && !this.show) {
            return "";
         }
         if (_stringutil.StringUtils.isEmpty(this.src)) {
            return "";
         }
         if (this.src.includes("?size") || this.src.includes("://")) {
            return this.src;
         }
         var url = this.src + "?size=" + this.sizeType;
         if (this.random > 0) {
            url = url + "&random=" + this.random;
         }
         return url;
      }
   },
   watch: {
      src: function src(newValue, oldValue) {
         this.loadSuccess = false;
         this.random = 0;
         if (newValue != oldValue) {
            this.clearTimer();
         }
      }
   },
   destroyed: function destroyed() {
      this.clearTimer();
   },

   methods: {
      onImageLoad: function onImageLoad(event) {
         var _this = this;

         this.clearTimer();
         if (event && event.success) {
            this.loadSuccess = true;
         } else {
            if (this.random > 3) {
               return;
            }
            this.timer = setTimeout(function () {
               _this.random++;
            }, 3000 * (this.random + 1));
         }
      },
      appear: function appear(e) {
         if (this.loadSuccess) {
            return;
         }
         this.show = true;
      },
      clearTimer: function clearTimer() {
         if (this.timer) {
            clearTimeout(this.timer);
         }
      }
   }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('image', {
    ref: "image",
    staticClass: ["lazy-image"],
    style: {
      width: _vm.width,
      height: _vm.height
    },
    attrs: {
      "src": _vm.url,
      "placeholder": _vm.placeholder,
      "resize": _vm.resize
    },
    on: {
      "load": _vm.onImageLoad,
      "appear": _vm.appear
    }
  })
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 12 */,
/* 13 */,
/* 14 */,
/* 15 */,
/* 16 */,
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(32)
)

/* script */
__vue_exports__ = __webpack_require__(33)

/* template */
var __vue_template__ = __webpack_require__(34)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/LabelHeader.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-2dc103ce"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(20)
)

/* script */
__vue_exports__ = __webpack_require__(21)

/* template */
var __vue_template__ = __webpack_require__(22)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/SplitWords.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-34b19a5f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(35)
)

/* script */
__vue_exports__ = __webpack_require__(36)

/* template */
var __vue_template__ = __webpack_require__(37)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/SwipterProgress.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-832d82fa"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 20 */
/***/ (function(module, exports) {

module.exports = {
  "words": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "word": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "line": {
    "fontWeight": "400",
    "transform": "rotate(30deg)"
  },
  "w": {
    "fontWeight": "800"
  }
}

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String,
        linecolor: {
            type: String,
            default: '#A1887F'
        },
        color: {
            type: String,
            default: '#333'
        },
        textSize: {
            type: Number,
            default: 28
        },
        lineLength: {
            type: Number,
            default: 24
        },
        lineMargin: {
            type: Number,
            default: 7
        },
        maxWords: {
            type: Number,
            default: 0
        },
        lineOpacity: {
            type: Number,
            default: 1
        }
    },
    methods: {
        splitWorlds: function splitWorlds(this_) {
            var that = this_ || this;
            if (!that.text) {
                return;
            }
            var words = that.text.split('');
            if (that.maxWords <= 0 || words.length <= that.maxWords) {
                that.words = words;
            } else {
                that.words = words.slice(0, that.maxWords);
            }
        }
    },
    data: function data() {
        return {
            words: []
        };
    },
    created: function created() {
        this.$options.methods.splitWorlds(this);
    },

    watch: {
        text: function text(newValue, oldValue) {
            this.$options.methods.splitWorlds(this);
        }
    }
};

/***/ }),
/* 22 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["words"]
  }, _vm._l((_vm.words), function(w, index) {
    return _c('div', {
      key: index,
      staticClass: ["word"]
    }, [(index != 0) ? _c('text', {
      staticClass: ["line"],
      style: {
        'color': _vm.linecolor,
        'font-size': _vm.lineLength,
        'margin': _vm.lineMargin,
        'opacity': _vm.lineOpacity
      }
    }, [_vm._v("|")]) : _vm._e(), _c('text', {
      staticClass: ["w"],
      style: {
        'color': _vm.color,
        'font-size': _vm.textSize
      }
    }, [_vm._v(_vm._s(w))])])
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 23 */,
/* 24 */,
/* 25 */,
/* 26 */,
/* 27 */,
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(29)
)

/* template */
var __vue_template__ = __webpack_require__(30)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/HLine.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7546fe7c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 29 */
/***/ (function(module, exports) {

module.exports = {
  "line": {
    "width": "750",
    "height": "2",
    "backgroundColor": "#F4F4F4"
  }
}

/***/ }),
/* 30 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["line"]
  })
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 31 */,
/* 32 */
/***/ (function(module, exports) {

module.exports = {
  "m-header": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "text-wrapper": {
    "display": "flex",
    "flex": 1,
    "flexDirection": "row",
    "alignItems": "center"
  },
  "title-text": {
    "fontSize": "48",
    "fontWeight": "600",
    "color": "#333333",
    "lineHeight": "72"
  },
  "more-wrap": {
    "paddingLeft": "30",
    "paddingTop": "20",
    "paddingBottom": "20"
  },
  "more": {
    "flexDirection": "row",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#333333",
    "alignItems": "center"
  },
  "more-text": {
    "fontSize": "24",
    "fontWeight": "600",
    "color": "#333333"
  },
  "more-icon": {
    "width": "10",
    "height": "16",
    "marginLeft": "6"
  }
}

/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        title: {
            type: String,
            default: ''
        },
        more: {
            type: String,
            default: ''
        },
        titleFont: {
            type: Number,
            default: 48
        },
        icon: {
            type: String,
            default: 'res://weex_go_o'
        },
        paddingBottom: {
            type: Number,
            default: 24
        }
    },
    methods: {
        onMore: function onMore() {
            this.$emit("onMore");
        }
    }
};

/***/ }),
/* 34 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    ref: "header",
    staticClass: ["m-header"],
    style: {
      paddingBottom: _vm.paddingBottom + 'px'
    }
  }, [_c('div', {
    ref: "left",
    staticClass: ["text-wrapper"]
  }, [_c('text', {
    staticClass: ["title-text"],
    style: {
      fontSize: _vm.titleFont + 'px'
    }
  }, [_vm._v(_vm._s(_vm.title))]), _vm._t("default")], 2), (_vm.more) ? _c('div', {
    staticClass: ["more-wrap"],
    on: {
      "click": _vm.onMore
    }
  }, [_c('div', {
    staticClass: ["more"]
  }, [_c('text', {
    staticClass: ["more-text"]
  }, [_vm._v(_vm._s(_vm.more))]), _c('image', {
    staticClass: ["more-icon"],
    attrs: {
      "src": _vm.icon,
      "resize": "contain"
    }
  })])]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 35 */
/***/ (function(module, exports) {

module.exports = {
  "progress": {
    "borderRadius": 50,
    "overflow": "hidden"
  },
  "indicator": {
    "borderRadius": 50
  }
}

/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
var animation = weex.requireModule('animation');
var modal = weex.requireModule('modal');
exports.default = {
    props: {
        i_bg_color: {
            type: String,
            default: '#dddddd'
        },
        i_color: {
            type: String,
            default: '#000000'
        },
        progress: {
            type: Number,
            default: 0
        },
        i_height: {
            type: Number,
            default: 6
        },
        firstProgress: {
            type: Boolean,
            default: false
        }
    },
    data: function data() {
        return {
            width: 0,
            totalWidth: 0,
            isFirst: true
        };
    },

    methods: {
        onProcessChanged: function onProcessChanged(_that) {
            var that = _that || this;
            if (that.totalWidth > 0) {
                that.$options.methods.setProgress(that);
            } else {
                that.$options.methods.cupTotalWidth(that, function () {
                    that.$options.methods.setProgress(that);
                });
            }
        },
        cupTotalWidth: function cupTotalWidth(_that, callback) {
            var that = _that || this;
            if (that.totalWidth > 0) {
                return;
            }
            // 计算进度条总长度
            var progress = that.$refs.progress;
            dom.getComponentRect(progress, function (options) {
                that.totalWidth = options.size.width;
                if (callback) {
                    callback();
                }
            });
        },
        setProgress: function setProgress(_that) {
            var that = _that || this;
            that.width = that.totalWidth * that.progress;
            if (that.width >= that.totalWidth) {
                that.width = that.totalWidth;
            }
            var indicator = that.$refs.indicator;
            animation.transition(indicator, {
                styles: {
                    width: that.width
                },
                duration: _that.isFirst && !_that.firstProgress ? 0 : 300
            }, function () {
                _that.isFirst = false;
            });
        }
    },
    watch: {
        progress: function progress(newValue, oldValue) {
            // 计算进度
            this.progress = newValue;
            this.$options.methods.onProcessChanged(this);
        }
    },
    created: function created() {
        this.progress = this.progress + 0.0000001;
        this.$options.methods.onProcessChanged(this);
    }
};

/***/ }),
/* 37 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    ref: "progress",
    staticClass: ["progress"],
    style: {
      'background-color': _vm.i_bg_color,
      'height': _vm.i_height
    }
  }, [_c('div', {
    ref: "indicator",
    staticClass: ["indicator"],
    style: {
      'background-color': _vm.i_color,
      'width': 0,
      'height': _vm.i_height
    }
  })])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 38 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(39)
)

/* script */
__vue_exports__ = __webpack_require__(40)

/* template */
var __vue_template__ = __webpack_require__(41)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/SellerProducts.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-bf5e1034"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 39 */
/***/ (function(module, exports) {

module.exports = {
  "products": {
    "display": "flex",
    "flexDirection": "row",
    "paddingLeft": "40",
    "paddingRight": "40",
    "justifyContent": "space-between"
  },
  "item-name": {
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "fontSize": "24",
    "color": "#333333",
    "width": "170",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-img": {
    "width": "170",
    "height": "170",
    "borderWidth": "2",
    "borderColor": "#F4F4F4",
    "borderStyle": "solid",
    "marginTop": "24",
    "marginBottom": "24"
  },
  "item-price": {
    "marginTop": "4",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "flex-end"
  },
  "item-price-price": {
    "fontWeight": "bold",
    "fontFamily": "DINAlternate-Bold",
    "fontSize": "28",
    "color": "#FF5C00"
  },
  "item-market-price": {
    "fontWeight": "bold",
    "fontFamily": "DINAlternate-Bold",
    "fontSize": "20",
    "color": "#999999",
    "marginLeft": "8",
    "marginBottom": "2",
    "textDecoration": "line-through"
  }
}

/***/ }),
/* 40 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        seller: Object
    },
    components: {
        LazyImage: _LazyImage2.default
    },
    methods: {
        productClick: function productClick(product) {
            this.$emit('productClick', product);
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 41 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["products"]
  }, _vm._l((_vm.seller.procDetail), function(product, index) {
    return _c('div', {
      key: index,
      staticClass: ["item"],
      on: {
        "click": function($event) {
          _vm.productClick(product)
        }
      }
    }, [_c('lazy-image', {
      staticClass: ["item-img"],
      attrs: {
        "src": product.ico,
        "resize": "cover",
        "width": "170",
        "height": "170",
        "sizeType": "s"
      }
    }), _c('text', {
      staticClass: ["item-name"]
    }, [_vm._v(_vm._s(product.brand))]), _c('div', {
      staticClass: ["item-price"]
    }, [_c('text', {
      staticClass: ["item-price-price"]
    }, [_vm._v(_vm._s("¥" + product.price))]), _c('text', {
      staticClass: ["item-market-price"]
    }, [_vm._v(_vm._s("¥" + product.delPrice))])])], 1)
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 42 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(43)
)

/* script */
__vue_exports__ = __webpack_require__(44)

/* template */
var __vue_template__ = __webpack_require__(45)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/HotItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0367dd2d"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 43 */
/***/ (function(module, exports) {

module.exports = {
  "item-wrap": {
    "position": "relative",
    "paddingLeft": "24",
    "paddingRight": "24",
    "paddingTop": "8",
    "paddingBottom": "24"
  },
  "item-shadow": {
    "position": "absolute",
    "top": 0,
    "bottom": 0,
    "left": "0",
    "right": "0"
  },
  "item": {
    "width": "196",
    "height": "400",
    "display": "flex",
    "alignItems": "center",
    "justifyContent": "center",
    "backgroundColor": "#FFFFFF"
  },
  "img": {
    "width": "110",
    "height": "16",
    "marginTop": "12",
    "marginBottom": "12"
  },
  "hot-img-ranking-list": {
    "width": "110",
    "height": "20",
    "marginBottom": "24",
    "marginTop": "6"
  },
  "hot-img": {
    "width": "170",
    "height": "170"
  },
  "hot-brand": {
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "marginTop": "32",
    "fontSize": "24",
    "color": "#333333",
    "paddingLeft": "12",
    "paddingRight": "12",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "hot-price": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-end",
    "marginTop": "7"
  },
  "hot-price-before": {
    "fontFamily": "PingFangSC-Regular",
    "fontWeight": "400",
    "fontSize": "20",
    "color": "#333333",
    "marginTop": "6"
  },
  "hot-price-price": {
    "fontFamily": "DINAlternate-Bold",
    "fontWeight": "bold",
    "fontSize": "32",
    "color": "#FF5C00",
    "marginLeft": "4"
  }
}

/***/ }),
/* 44 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _SplitWords = __webpack_require__(18);

var _SplitWords2 = _interopRequireDefault(_SplitWords);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        hotItem: Object,
        shadowOpacity: {
            type: Number,
            default: 1
        }
    },
    components: {
        SplitWords: _SplitWords2.default,
        LazyImage: _LazyImage2.default
    },
    methods: {
        itemClick: function itemClick() {
            this.$emit('itemClick', this.hotItem);
        }
    }
};

/***/ }),
/* 45 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["item-wrap"],
    on: {
      "click": _vm.itemClick
    }
  }, [_c('image', {
    staticClass: ["item-shadow"],
    style: {
      'opacity': _vm.shadowOpacity
    },
    attrs: {
      "src": "res://weex_hot_single_product_shadow"
    }
  }), _c('div', {
    staticClass: ["item"]
  }, [_c('split-words', {
    attrs: {
      "text": _vm.hotItem.categoryTwo,
      "maxWords": 4,
      "lineOpacity": "0.3"
    }
  }), _c('image', {
    staticClass: ["hot-img-ranking-list"],
    attrs: {
      "src": "res://weex_ranking_list",
      "resize": "cover"
    }
  }), _c('lazy-image', {
    staticClass: ["hot-img"],
    attrs: {
      "src": _vm.hotItem.image,
      "resize": "cover",
      "width": "170",
      "height": "170",
      "sizeType": "m",
      "lazyLoad": true
    }
  }), _c('text', {
    staticClass: ["hot-brand"]
  }, [_vm._v(_vm._s(_vm.hotItem.brand))]), _c('div', {
    staticClass: ["hot-price"]
  }, [_c('text', {
    staticClass: ["hot-price-before"]
  }, [_vm._v("仅")]), _c('text', {
    staticClass: ["hot-price-price"]
  }, [_vm._v(_vm._s("¥" + _vm.hotItem.price))])])], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 46 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(47)
)

/* script */
__vue_exports__ = __webpack_require__(48)

/* template */
var __vue_template__ = __webpack_require__(49)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/Tag.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-bb7ceecc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 47 */
/***/ (function(module, exports) {

module.exports = {
  "tag": {
    "fontFamily": "PingFangSC-Regular",
    "lineHeight": "24",
    "fontSize": "20",
    "borderStyle": "solid",
    "borderWidth": "1",
    "borderRadius": "2",
    "paddingLeft": "4",
    "paddingRight": "4"
  }
}

/***/ }),
/* 48 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String,
        color: {
            type: String,
            default: '#FF5C00'
        }
    }
};

/***/ }),
/* 49 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('text', {
    staticClass: ["tag"],
    style: {
      'color': _vm.color,
      'border-color': _vm.color
    }
  }, [_vm._v(_vm._s(_vm.text))])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 50 */,
/* 51 */,
/* 52 */,
/* 53 */,
/* 54 */,
/* 55 */,
/* 56 */,
/* 57 */,
/* 58 */,
/* 59 */,
/* 60 */,
/* 61 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * created by xupx 
 * on 2019--03-29
 */

var userModule = weex.requireModule("user");
var User = exports.User = {
    /**
     * 获取用户信息
     * @param {*} callback 
     */
    getUser: function getUser(callback) {
        if (userModule == null) {
            return;
        }
        userModule.getUser(callback);
    },

    /**
     * 获取用户id
     * @param {*} callback 
     */
    getId: function getId(callback) {
        if (userModule == null) {
            return;
        }
        userModule.getId(callback);
    }
};

/***/ }),
/* 62 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(162)
)

/* script */
__vue_exports__ = __webpack_require__(163)

/* template */
var __vue_template__ = __webpack_require__(164)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/ProductItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-412ec9a2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 63 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/** 
 *   created by Justin.Wang 
 *   磁盘缓存
 **/

var cacheModule = weex.requireModule("storage") || {};
var successKey = "success";

var DiskCache = exports.DiskCache = {
    setItem: function setItem(key, value) {
        var _this = this;

        if (!key) {
            return;
        }
        return new Promise(function (resolve, reject) {
            cacheModule.setItem(key, value, function (res) {
                if (res.result == successKey) {
                    if (resolve) {
                        resolve(value);
                    }
                } else {
                    if (reject) {
                        reject(_this.__getError(res.result));
                    }
                }
            });
        });
    },
    getItem: function getItem(key) {
        var _this2 = this;

        if (!key) {
            return;
        }
        return new Promise(function (resolve, reject) {
            cacheModule.getItem(key, function (res) {
                if (res.result == successKey && res.data) {
                    if (resolve) {
                        resolve(res.data);
                    }
                } else {
                    if (reject) {
                        reject(_this2.__getError(res.result));
                    }
                }
            });
        });
    },
    removeItem: function removeItem(key) {
        var _this3 = this;

        if (!key) {
            return;
        }
        return new Promise(function (resolve, reject) {
            cacheModule.removeItem(key, function (res) {
                if (res.result == successKey) {
                    if (resolve) {
                        resolve();
                    }
                } else {
                    if (reject) {
                        reject(_this3.__getError(res.result));
                    }
                }
            });
        });
    },
    __getError: function __getError(msg) {
        return new Error(msg ? msg : "failure");
    }
};

/***/ }),
/* 64 */,
/* 65 */,
/* 66 */,
/* 67 */,
/* 68 */,
/* 69 */,
/* 70 */,
/* 71 */,
/* 72 */,
/* 73 */,
/* 74 */,
/* 75 */,
/* 76 */,
/* 77 */,
/* 78 */,
/* 79 */,
/* 80 */,
/* 81 */,
/* 82 */,
/* 83 */,
/* 84 */,
/* 85 */,
/* 86 */,
/* 87 */,
/* 88 */,
/* 89 */,
/* 90 */,
/* 91 */,
/* 92 */,
/* 93 */,
/* 94 */,
/* 95 */,
/* 96 */,
/* 97 */,
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */,
/* 102 */,
/* 103 */,
/* 104 */,
/* 105 */,
/* 106 */,
/* 107 */,
/* 108 */,
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */,
/* 117 */,
/* 118 */,
/* 119 */,
/* 120 */,
/* 121 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _FirstPage = __webpack_require__(122);

var _FirstPage2 = _interopRequireDefault(_FirstPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_FirstPage2.default.el = '#root';
new Vue(_FirstPage2.default);

/***/ }),
/* 122 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(123)
)

/* script */
__vue_exports__ = __webpack_require__(124)

/* template */
var __vue_template__ = __webpack_require__(213)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/FirstPage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-47b9fd2e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 123 */
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF"
  }
}

/***/ }),
/* 124 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _SecondGoods = __webpack_require__(125);

var _SecondGoods2 = _interopRequireDefault(_SecondGoods);

var _TopicRecommend = __webpack_require__(129);

var _TopicRecommend2 = _interopRequireDefault(_TopicRecommend);

var _TodayUpdate = __webpack_require__(137);

var _TodayUpdate2 = _interopRequireDefault(_TodayUpdate);

var _SellerRecommend = __webpack_require__(145);

var _SellerRecommend2 = _interopRequireDefault(_SellerRecommend);

var _HotProducts = __webpack_require__(153);

var _HotProducts2 = _interopRequireDefault(_HotProducts);

var _HLine = __webpack_require__(28);

var _HLine2 = _interopRequireDefault(_HLine);

var _GuessLike = __webpack_require__(157);

var _GuessLike2 = _interopRequireDefault(_GuessLike);

var _notice = __webpack_require__(171);

var _notice2 = _interopRequireDefault(_notice);

var _Banner = __webpack_require__(175);

var _Banner2 = _interopRequireDefault(_Banner);

var _SmallBanner = __webpack_require__(183);

var _SmallBanner2 = _interopRequireDefault(_SmallBanner);

var _BrandPavilion = __webpack_require__(187);

var _BrandPavilion2 = _interopRequireDefault(_BrandPavilion);

var _WhyChoose = __webpack_require__(195);

var _WhyChoose2 = _interopRequireDefault(_WhyChoose);

var _TimedSpecials = __webpack_require__(199);

var _TimedSpecials2 = _interopRequireDefault(_TimedSpecials);

var _HundredSpecial = __webpack_require__(203);

var _HundredSpecial2 = _interopRequireDefault(_HundredSpecial);

var _Page = __webpack_require__(3);

var _Listener = __webpack_require__(211);

var _HttpClient = __webpack_require__(6);

var _User = __webpack_require__(61);

var _DiskCache = __webpack_require__(63);

var _weexBindingx = __webpack_require__(212);

var _weexBindingx2 = _interopRequireDefault(_weexBindingx);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var numKey = "whyChooseNumssKey";

exports.default = {
  props: {},
  components: {
    SecondGoods: _SecondGoods2.default,
    TopicRecommend: _TopicRecommend2.default,
    TodayUpdate: _TodayUpdate2.default,
    SellerRecommend: _SellerRecommend2.default,
    HotProducts: _HotProducts2.default,
    HLine: _HLine2.default,

    Notice: _notice2.default,
    Banner: _Banner2.default,
    WhyChoose: _WhyChoose2.default,
    TimedSpecials: _TimedSpecials2.default,
    HundredSpecial: _HundredSpecial2.default,
    BrandPavilion: _BrandPavilion2.default,
    SmallBanner: _SmallBanner2.default,

    GuessLike: _GuessLike2.default
  },
  data: function data() {
    return {
      requestData: null,
      isVideo: false,
      _token: null,
      showNotice: true,
      firstSuccess: false
    };
  },

  computed: {
    isRefreshHeaderSupported: function isRefreshHeaderSupported() {
      return weex.isRegisteredComponent('refresh-header');
    }
  },
  methods: {
    loadData: function loadData(_this) {
      var that = _this || this;
      if (!this.isRefreshHeaderSupported) {
        _Page.Page.showLoading(false, that.requestData);
      }
      // 请求网络
      _HttpClient.HttpClient.sendSimple("/site/newAppIndex", function (resp) {
        _Page.Page.hideProcess();
        if (resp.state) {
          _Page.Page.loadSuccess();
          that.requestData = resp.data;
          that.addBinding();
          that.showNoticeState();
        } else {
          _Page.Page.loadFail();
          _Page.Page.toast(resp.msg);
        }
        that.$refs.guesslike.$refs.guesslike.refreshOk();
      });
    },
    addListeners: function addListeners() {
      var _this2 = this;

      _Listener.Listener.addLoginSuccess(function () {
        _this2.checkShowTimes(_this2);
      });
    },
    onrefresh: function onrefresh() {
      this.loadData(this);
    },
    initNoticeState: function initNoticeState() {
      var _this3 = this;

      _DiskCache.DiskCache.getItem("showNotice").then(function (res) {
        if (res > 0) {
          _this3.updateNoticeState(false);
        }
      });
    },
    showNoticeState: function showNoticeState() {
      var _this4 = this;

      _DiskCache.DiskCache.getItem("showNotice").then(function (res) {
        if (res == _this4.requestData.notice.noticeId) {
          _this4.updateNoticeState(false);
        } else {
          _this4.updateNoticeState(true);
        }
      });
    },
    updateNoticeState: function updateNoticeState(isShow) {
      this.showNotice = isShow;
    },
    checkShowTimes: function checkShowTimes() {
      var _this5 = this;

      _User.User.getUser(function (json) {
        var user = JSON.parse(json);
        var limitNum = 3;
        if (!user || !user.id || user.newBuyUser) {
          limitNum = 11;
        }
        _DiskCache.DiskCache.getItem(numKey).then(function (res) {
          if (res <= limitNum) {
            _DiskCache.DiskCache.setItem(numKey, Number(res) + 1);
            _this5.updateVideoState(true);
            _this5.loadData(_this5);
          } else {
            _this5.updateVideoState(false);
            _this5.loadData(_this5);
          }
        }, function (error) {
          _this5.updateVideoState(true);
          _DiskCache.DiskCache.setItem(numKey, 1);
          _this5.loadData(_this5);
        });
      });
    },
    updateVideoState: function updateVideoState(isShow) {
      this.isVideo = isShow;
    },
    bindLifeCycle: function bindLifeCycle() {
      var _this6 = this;

      _Page.Page.lifecycle(function (res) {
        if (_this6.isVideo && _this6.requestData.experience) {
          if (res == "resume") {
            _this6.$refs.whychoose.replay();
          } else if (res == "pause") {
            _this6.$refs.whychoose.pause();
          }
        }
      });
    },
    addBinding: function addBinding() {
      var _this7 = this;

      this.removeBinding();
      setTimeout(function () {
        var props = [];
        var refs = [];
        _this7.addRef(["whychoose", "labelHeader", "header"], refs);
        _this7.addRef(["brandPavilion", "labelHeader", "header"], refs);
        _this7.addRef(["timedSpecials", "labelHeader", "header"], refs);
        _this7.addRef(["secondGoods", "labelHeader", "header"], refs);
        _this7.addRef(["topicRecommend", "labelHeader", "header"], refs);
        _this7.addRef(["todayUpdate", "labelHeader", "header"], refs);
        _this7.addRef(["sellerRecommend", "labelHeader", "header"], refs);
        _this7.addRef(["hotProducts", "labelHeader", "header"], refs);
        _this7.addRef(["hundredSpecial", "hundredTitle"], refs);
        _this7.addRef(["hundredSpecial", "allNewTitle"], refs);
        _this7.addRef(["guesslike", "guesslike", "title"], refs);
        refs.forEach(function (ref) {
          props.push({
            element: ref,
            property: "transform.translateY",
            expression: "dy > 0 ? min(dy, 24) : max(dy, -24)"
          });
        });
        _this7._token = _weexBindingx2.default.bind({
          eventType: "scroll",
          anchor: _this7.$refs.guesslike.$refs.guesslike.$refs.scroller.ref,
          props: props
        }, function (e) {});
      }, 500);
    },
    removeBinding: function removeBinding() {
      if (this._token) {
        _weexBindingx2.default.unbind({
          eventType: "scroll",
          token: this._token
        });
        this._token = 0;
      }
    },
    addRef: function addRef(keys, refs) {
      var ref = void 0;
      for (var i = 0; i < keys.length; i++) {
        if (i == 0) {
          ref = this.$refs[keys[i]];
        } else {
          ref = ref.$refs[keys[i]];
        }
        if (!ref) {
          break;
        }
        if (i == keys.length - 1) {
          ref = ref.ref;
          if (ref) {
            refs.push(ref);
          }
        }
      }
    }
  },

  created: function created() {
    this.initNoticeState();
    this.checkShowTimes(this);
    this.addListeners();
    this.bindLifeCycle();
  },
  destroyed: function destroyed() {
    _Listener.Listener.removeLoginSuccess();
    this.removeBinding();
  }
};

/***/ }),
/* 125 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(126)
)

/* script */
__vue_exports__ = __webpack_require__(127)

/* template */
var __vue_template__ = __webpack_require__(128)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/SecondGoods.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-b88f3e78"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 126 */
/***/ (function(module, exports) {

module.exports = {
  "second-modules": {
    "paddingTop": "62",
    "paddingBottom": "62"
  },
  "header": {
    "marginLeft": "64",
    "marginRight": "72"
  },
  "pagers": {
    "display": "flex",
    "flexDirection": "row"
  },
  "item": {
    "width": "622",
    "display": "flex",
    "flexDirection": "column"
  },
  "item-img": {
    "width": "622",
    "height": "310"
  },
  "item-title": {
    "marginTop": "30",
    "lineHeight": "42",
    "fontSize": "40",
    "fontWeight": "700",
    "color": "#333333",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-desc": {
    "marginTop": "18",
    "lineHeight": "34",
    "fontSize": "32",
    "fontWeight": "700",
    "color": "#333333",
    "marginBottom": "48",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "progress": {
    "marginLeft": "64",
    "marginRight": "64"
  }
}

/***/ }),
/* 127 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

var _SwipterProgress = __webpack_require__(19);

var _SwipterProgress2 = _interopRequireDefault(_SwipterProgress);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    secondHand: {
      type: Object
    }
  },
  data: function data() {
    return {
      isAnndroid: weex.config.env.platform == "android",
      progress: 1,
      isFirstAppear: true
    };
  },

  components: {
    LabelHeader: _LabelHeader2.default,
    Progress: _SwipterProgress2.default,
    LazyImage: _LazyImage2.default
  },
  methods: {
    footerRefresh: function footerRefresh() {
      _Router.Router.uriRouter("zhier://jspage?jsbundle=app/secondgoods/SecondGoogsSecretsPage.js");
      this.track(-2, null);
    },

    // 更多
    onMore: function onMore() {
      _Router.Router.uriRouter("zhier://jspage?jsbundle=app/secondgoods/SecondGoogsSecretsPage.js");
      this.track(-1, null);
    },

    /**
     * item 点击事件
     */
    itemClick: function itemClick(index, item) {
      if (!item) {
        return;
      }
      if (item.url) {
        _Router.Router.uriRouterWithParams("zhier://opennewweb", {
          url: item.url
        });
      } else {
        _Router.Router.uriRouterWithParams("zhier://topicdetail", {
          id: item.topicId
        });
      }
      this.track(index, item);
    },
    progressChange: function progressChange(e) {
      this.progress = (e.index + 1) * 1.0 / this.secondHand.topicList.length;
    },

    /**
     * 埋点
     */

    track: function track(poi, item) {
      var params = null;
      if (item) {
        params = {
          ContentType: this.secondHand.title,
          Rank: poi,
          Title: item.title,
          EventId: item.topicId
        };
      } else {
        params = {
          ContentType: this.secondHand.title,
          Rank: poi
        };
      }
      _Track.Track.sendEvent("ContentHomeClick", params);
    },
    onApper: function onApper() {
      if (this.isFirstAppear) {
        this.isFirstAppear = false;
        this.progress = this.progress + 0.0001;
      }
      _Track.Track.sendEvent("Secondhandpv");
    }
  },
  created: function created() {
    this.progress = 1.0 / this.secondHand.topicList.length;
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 128 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["second-modules"],
    on: {
      "appear": _vm.onApper
    }
  }, [_c('LabelHeader', {
    ref: "labelHeader",
    staticClass: ["header"],
    attrs: {
      "title": _vm.secondHand.title,
      "more": _vm.secondHand.skipDesc
    },
    on: {
      "onMore": _vm.onMore
    }
  }), _c('pager', {
    staticClass: ["pagers"],
    attrs: {
      "infinite": "false",
      "itemSpace": "16",
      "insetLeft": 64,
      "itemWidth": "622",
      "itemHeight": "496",
      "moreTop": "35",
      "recycle": false
    },
    on: {
      "change": _vm.progressChange,
      "footerRefresh": _vm.footerRefresh
    }
  }, _vm._l((_vm.secondHand.topicList), function(item, index) {
    return _c('div', {
      key: index
    }, [_c('div', {
      staticClass: ["item"],
      on: {
        "click": function($event) {
          _vm.itemClick(index, item)
        }
      }
    }, [_c('lazy-image', {
      staticClass: ["item-img"],
      attrs: {
        "src": item.image,
        "resize": "cover",
        "width": "622",
        "height": "310",
        "sizeType": "m"
      }
    }), _c('text', {
      staticClass: ["item-title"]
    }, [_vm._v(_vm._s(item.title))]), _c('text', {
      staticClass: ["item-desc"]
    }, [_vm._v(_vm._s(item.subTitle))])], 1)])
  })), _c('div', {
    staticClass: ["progress"]
  }, [_c('Progress', {
    attrs: {
      "progress": _vm.progress
    }
  })], 1)], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 129 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(130)
)

/* script */
__vue_exports__ = __webpack_require__(131)

/* template */
var __vue_template__ = __webpack_require__(136)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/TopicRecommend.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-1a01f83b"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 130 */
/***/ (function(module, exports) {

module.exports = {
  "topic-modules": {
    "paddingTop": "62",
    "paddingBottom": "62"
  },
  "header": {
    "marginLeft": "64",
    "marginRight": "72"
  },
  "pagers": {
    "display": "flex",
    "flexDirection": "row"
  },
  "item": {
    "position": "relative",
    "width": "622",
    "display": "flex",
    "flexDirection": "column"
  },
  "item-img": {
    "width": "622",
    "height": "622"
  },
  "item-title": {
    "marginTop": "30",
    "lineHeight": "42",
    "fontSize": "40",
    "fontWeight": "700",
    "color": "#333333",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-desc": {
    "marginTop": "18",
    "lineHeight": "34",
    "fontSize": "32",
    "fontWeight": "700",
    "color": "#333333",
    "marginBottom": "48",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-tag": {
    "position": "absolute",
    "top": "40",
    "right": "32"
  },
  "progress": {
    "marginLeft": "64",
    "marginRight": "64"
  }
}

/***/ }),
/* 131 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

var _SwipterProgress = __webpack_require__(19);

var _SwipterProgress2 = _interopRequireDefault(_SwipterProgress);

var _TagView = __webpack_require__(132);

var _TagView2 = _interopRequireDefault(_TagView);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    topicRecommend: Object
  },
  components: {
    LabelHeader: _LabelHeader2.default,
    TagView: _TagView2.default,
    Progress: _SwipterProgress2.default,
    LazyImage: _LazyImage2.default
  },
  data: function data() {
    return {
      isAnndroid: weex.config.env.platform == "android",
      progress: 1,
      isFirstAppear: true
    };
  },

  methods: {
    footerRefresh: function footerRefresh() {
      this.onMore();
    },

    // 更多
    onMore: function onMore() {
      // if(!this.topicRecommend){
      //     reutrn;
      // }
      _Router.Router.uriRouter("zhier://jspage?jsbundle=app/topic/TopicsPage.js");
      this.track(-1, null);
    },

    /**
     * item 点击
     */
    itemClick: function itemClick(index, item) {
      if (!item) {
        return;
      }
      if (item.url) {
        _Router.Router.uriRouterWithParams("zhier://opennewweb", {
          url: item.url
        });
      } else {
        _Router.Router.uriRouterWithParams("zhier://hundredgoodgoodscollection", {
          id: item.topicId,
          name: encodeURIComponent(item.title)
        });
      }
      this.track(index, item);
    },
    progressChange: function progressChange(e) {
      this.progress = (e.index + 1) * 1.0 / this.topicRecommend.topicList.length;
    },

    /**
     * 埋点
     */

    track: function track(poi, item) {
      var params = null;
      if (item) {
        params = {
          ContentType: this.topicRecommend.title,
          Rank: poi,
          Title: item.title,
          EventId: item.topicId
        };
      } else {
        params = {
          ContentType: this.topicRecommend.title,
          Rank: poi
        };
      }
      _Track.Track.sendEvent("ContentHomeClick", params);
    },
    onApper: function onApper() {
      if (this.isFirstAppear) {
        this.isFirstAppear = false;
        this.progress = this.progress + 0.0001;
      }
      _Track.Track.sendEvent("Recommendpv");
    }
  },
  created: function created() {
    if (this.topicRecommend || this.topicRecommend.topicList) {
      this.progress = 1.0 / this.topicRecommend.topicList.length;
    }
  }
};

/***/ }),
/* 132 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(133)
)

/* script */
__vue_exports__ = __webpack_require__(134)

/* template */
var __vue_template__ = __webpack_require__(135)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/TagView.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-1bba120c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 133 */
/***/ (function(module, exports) {

module.exports = {
  "tag-text": {
    "height": "40",
    "lineHeight": "38",
    "borderWidth": "1",
    "borderColor": "#FFFFFF",
    "borderRadius": 50,
    "paddingLeft": "24",
    "paddingRight": "24",
    "display": "flex",
    "alignItems": "center",
    "justifyContent": "center",
    "fontSize": "20",
    "color": "#FFFFFF",
    "backgroundColor": "rgba(0,0,0,0.2)"
  }
}

/***/ }),
/* 134 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        text: String
    }
};

/***/ }),
/* 135 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('text', {
    staticClass: ["tag-text"]
  }, [_vm._v(_vm._s(_vm.text))])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 136 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["topic-modules"],
    on: {
      "appear": _vm.onApper
    }
  }, [_c('LabelHeader', {
    ref: "labelHeader",
    staticClass: ["header"],
    attrs: {
      "title": _vm.topicRecommend.title,
      "more": _vm.topicRecommend.skipDesc
    },
    on: {
      "onMore": _vm.onMore
    }
  }), _c('pager', {
    staticClass: ["pagers"],
    attrs: {
      "infinite": "false",
      "itemSpace": "16",
      "insetLeft": 64,
      "itemWidth": "622",
      "itemHeight": "742",
      "moreTop": "200",
      "recycle": false
    },
    on: {
      "change": _vm.progressChange,
      "footerRefresh": _vm.footerRefresh
    }
  }, _vm._l((_vm.topicRecommend.topicList), function(item, index) {
    return _c('div', {
      key: index,
      on: {
        "click": function($event) {
          _vm.itemClick(index, item)
        }
      }
    }, [_c('div', {
      staticClass: ["item"]
    }, [_c('lazy-image', {
      staticClass: ["item-img"],
      attrs: {
        "src": item.image,
        "resize": "cover",
        "width": "622",
        "height": "622",
        "sizeType": "m"
      }
    }), _c('text', {
      staticClass: ["item-title"]
    }, [_vm._v(_vm._s(item.title))]), _c('text', {
      staticClass: ["item-desc"]
    }, [_vm._v(_vm._s(item.subTitle))]), (item.tagType && item.tagType.length > 0) ? _c('div', {
      staticClass: ["item-tag"]
    }, [_c('tag-view', {
      attrs: {
        "text": item.tagType
      }
    })], 1) : _vm._e()], 1)])
  })), _c('div', {
    staticClass: ["progress"]
  }, [_c('Progress', {
    attrs: {
      "progress": _vm.progress
    }
  })], 1)], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 137 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(138)
)

/* script */
__vue_exports__ = __webpack_require__(139)

/* template */
var __vue_template__ = __webpack_require__(144)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/TodayUpdate.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-326cde28"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 138 */
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "paddingBottom": "64"
  },
  "wrap-product": {
    "paddingTop": "54",
    "marginRight": "48"
  },
  "header": {
    "marginLeft": "64"
  },
  "sub-title": {
    "marginLeft": "64",
    "fontSize": "28",
    "color": "#666666",
    "marginBottom": "4",
    "lineHeight": "42",
    "fontFamily": "PingFangSC-Regular"
  },
  "item-bg": {
    "width": "750",
    "flexWrap": "wrap",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "paddingLeft": "48",
    "paddingRight": "48",
    "paddingTop": "2",
    "paddingBottom": "20",
    "marginTop": "0"
  },
  "bottom": {
    "display": "flex",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "more": {
    "flexDirection": "row",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#333333",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "more-text": {
    "fontSize": "24",
    "fontWeight": "600",
    "color": "#333333"
  },
  "more-icon": {
    "width": "10",
    "height": "16",
    "marginLeft": "6"
  }
}

/***/ }),
/* 139 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

var _TodayUpdateItem = __webpack_require__(140);

var _TodayUpdateItem2 = _interopRequireDefault(_TodayUpdateItem);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        todayPuton: Object
    },
    components: {
        LabelHeader: _LabelHeader2.default,
        TodayUpdateItem: _TodayUpdateItem2.default
    },
    data: function data() {
        return {};
    },

    methods: {
        // 跳转
        itemClick: function itemClick(index, product) {
            if (!product || !product.id) {
                return;
            }
            // Router.uriRouterWithParams("zhier://productdetail", {
            //     id: product.id
            // });
            var ids = '';
            var productList = [];
            if (this.todayPuton && this.todayPuton.product && this.todayPuton.product.length > 0) {
                productList = this.todayPuton.product.slice();
                if (productList.length > 1) {
                    ids = product.id;
                    productList.splice(index, 1);
                    productList.forEach(function (product) {
                        ids = ids + ',' + product.id;
                    });
                } else {
                    ids = product.id;
                }
                ids = ids.substring(0, ids.length);
            }
            // 今日上新
            _Router.Router.uriRouter("zhier://todayupdate", {
                newShare: this.todayPuton.newShare,
                filterIds: ids
            });
            // 埋点
            this.clickTrack(index, product);
        },

        /**
         * 更多上新
         */
        onMoreUpdates: function onMoreUpdates() {
            var ids = '';
            if (this.todayPuton && this.todayPuton.product && this.todayPuton.product.length > 0) {
                this.todayPuton.product.forEach(function (product) {
                    ids = ids + '' + product.id + ',';
                });
                ids = ids.substring(0, ids.length - 1);
            }
            // 今日上新
            _Router.Router.uriRouter("zhier://todayupdate", {
                newShare: this.todayPuton.newShare,
                filterIds: ids
            });

            // 埋点
            this.clickTrack(-1, null);
        },
        clickTrack: function clickTrack(index, product) {
            var params = {};
            if (product) {
                params = _Factory.Factory.getProductParams(product);
            }
            params.Positon = index + '';
            params.ListType = '今日上新';
            _Track.Track.sendEvent('NewDiscountHomeClick', params);
        },
        onApper: function onApper() {
            _Track.Track.sendEvent('newarrivalpv');
        }
    },
    created: function created() {}
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 140 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(141)
)

/* script */
__vue_exports__ = __webpack_require__(142)

/* template */
var __vue_template__ = __webpack_require__(143)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/TodayUpdateItem.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-86adf36c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 141 */
/***/ (function(module, exports) {

module.exports = {
  "item-bg": {
    "width": "208",
    "height": "310",
    "alignItems": "center",
    "position": "relative",
    "backgroundColor": "#FFFFFF"
  },
  "item-shadow": {
    "width": "226",
    "height": "318",
    "position": "relative",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "item-img-shadow": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "white-bg": {
    "width": "186",
    "height": "278",
    "alignItems": "center",
    "backgroundColor": "#ffffff"
  },
  "item-img": {
    "width": "186",
    "height": "186"
  },
  "item-brand": {
    "width": "186",
    "fontSize": "24",
    "color": "#000000",
    "fontWeight": "bold",
    "textAlign": "center",
    "marginTop": "12",
    "lines": 1,
    "textOverflow": "ellipsis",
    "fontFamily": "DINAlternate-Bold"
  },
  "item-price": {
    "marginTop": "8",
    "height": "24",
    "flexDirection": "row",
    "alignItems": "flex-end"
  },
  "item-price-price": {
    "fontSize": "24",
    "color": "#ff5c00",
    "fontFamily": "PingFangSC-Semibold"
  },
  "item-market-price": {
    "fontSize": "20",
    "color": "#999999",
    "marginLeft": "8",
    "marginBottom": "2",
    "textDecoration": "line-through",
    "fontFamily": "PingFangSC-Semibold"
  }
}

/***/ }),
/* 142 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    product: Object
  },
  components: {
    LazyImage: _LazyImage2.default
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 143 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["item-bg"]
  }, [_c('div', {
    staticClass: ["item-shadow"]
  }, [_c('lazy-image', {
    staticClass: ["item-img-shadow"],
    attrs: {
      "src": "https://img.goshare2.com/app-images/todayUpdateShadow.png",
      "resize": "cover",
      "width": "226",
      "height": "318",
      "sizeType": "s",
      "lazyLoad": "true"
    }
  }), _c('div', {
    staticClass: ["white-bg"]
  }, [_c('lazy-image', {
    staticClass: ["item-img"],
    attrs: {
      "src": _vm.product.ico,
      "resize": "cover",
      "width": "186",
      "height": "186",
      "sizeType": "s",
      "lazyLoad": "true"
    }
  }), _c('text', {
    staticClass: ["item-brand"]
  }, [_vm._v(_vm._s(_vm.product.brand))]), _c('div', {
    staticClass: ["item-price"]
  }, [_c('text', {
    staticClass: ["item-price-price"]
  }, [_vm._v(_vm._s("¥" + _vm.product.price))]), _c('text', {
    staticClass: ["item-market-price"]
  }, [_vm._v(_vm._s("¥" + _vm.product.delPrice))])])], 1)], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 144 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"]
  }, [_c('div', {
    staticClass: ["wrap-product"],
    on: {
      "appear": _vm.onApper
    }
  }, [_c('label-header', {
    ref: "labelHeader",
    staticClass: ["header"],
    attrs: {
      "title": _vm.todayPuton.title,
      "paddingBottom": "0"
    }
  }), _c('text', {
    staticClass: ["sub-title"]
  }, [_vm._v(_vm._s(_vm.todayPuton.subTitle))]), _c('div', {
    staticClass: ["item-bg"]
  }, _vm._l((_vm.todayPuton.product), function(product, index) {
    return _c('div', {
      key: index,
      staticClass: ["item"],
      on: {
        "click": function($event) {
          _vm.itemClick(index, product)
        }
      }
    }, [_c('today-update-item', {
      attrs: {
        "product": product
      }
    })], 1)
  }))], 1), _c('div', {
    staticClass: ["bottom"]
  }, [_c('div', {
    staticClass: ["more"],
    on: {
      "click": _vm.onMoreUpdates
    }
  }, [_c('text', {
    staticClass: ["more-text"]
  }, [_vm._v("更多上新")]), _c('image', {
    staticClass: ["more-icon"],
    attrs: {
      "src": "res://weex_go_o",
      "resize": "contain"
    }
  })])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 145 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(146)
)

/* script */
__vue_exports__ = __webpack_require__(147)

/* template */
var __vue_template__ = __webpack_require__(152)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/SellerRecommend.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-86874a02"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 146 */
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "backgroundColor": "#FFFFFF",
    "paddingTop": "62",
    "paddingBottom": "74"
  },
  "header": {
    "marginLeft": "64",
    "marginRight": "72"
  },
  "pagers": {
    "backgroundColor": "#FFFFFF",
    "display": "flex",
    "flexDirection": "row"
  },
  "item-wrap": {
    "backgroundColor": "#FFFFFF",
    "position": "relative",
    "paddingLeft": "0",
    "paddingRight": "16",
    "paddingTop": "16",
    "paddingBottom": "48"
  },
  "item-img-shadow": {
    "position": "absolute",
    "top": "0",
    "bottom": "0",
    "left": "0",
    "right": "0"
  },
  "item": {
    "backgroundColor": "#FFFFFF",
    "width": "622",
    "borderWidth": "2",
    "borderColor": "#eeeeee",
    "paddingBottom": "40",
    "paddingTop": "24"
  },
  "progress": {
    "marginLeft": "64",
    "marginRight": "64"
  }
}

/***/ }),
/* 147 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

var _SwipterProgress = __webpack_require__(19);

var _SwipterProgress2 = _interopRequireDefault(_SwipterProgress);

var _SellerInfo = __webpack_require__(148);

var _SellerInfo2 = _interopRequireDefault(_SellerInfo);

var _SellerProducts = __webpack_require__(38);

var _SellerProducts2 = _interopRequireDefault(_SellerProducts);

var _Router = __webpack_require__(0);

var _HttpClient = __webpack_require__(6);

var _Page = __webpack_require__(3);

var _User = __webpack_require__(61);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    userRecommend: Object
  },
  components: {
    LabelHeader: _LabelHeader2.default,
    Progress: _SwipterProgress2.default,
    SellerInfo: _SellerInfo2.default,
    SellerProducts: _SellerProducts2.default
  },
  data: function data() {
    return {
      progress: 0,
      selectIndex: 0,
      isFirstAppear: true,
      autoPlay: true
    };
  },

  methods: {
    disappear: function disappear() {
      this.autoPlay = false;
    },
    needRender: function needRender(index) {
      var isAndroid = weex.config.env.platform.toLowerCase() === "android";
      return isAndroid ? this.selectIndex == 0 ? index == this.userRecommend.seller.length - 1 || index < 3 : true : true;
    },
    onMore: function onMore() {
      if (!this.userRecommend.skipDesc) {
        return;
      }
      _Router.Router.uriRouter(this.userRecommend.skipUrl);
    },

    /**
     * 进度条变化
     */
    progressChange: function progressChange(e) {
      this.selectIndex = e.index;
      this.progress = (e.index + 1) * 1.0 / this.userRecommend.seller.length;
    },

    /**
     * 用户跳转
     */
    userClick: function userClick(seller) {
      if (!seller) {
        return;
      }
      // 跳转
      _Router.Router.uriRouterWithParams("zhier://userhomepage", {
        id: seller.sellerId
      });
    },

    /**
     * 关注
     */
    attention: function attention(seller, index) {
      var _this = this;

      if (!seller) {
        return;
      }
      // 判断用户有没有登录
      _User.User.getId(function (uid) {
        if (uid && uid > 0) {
          _this.requestAttention(_this, seller, index);
        } else {
          // 去登录
          _Router.Router.uriRouter("zhier://login");
        }
      });
    },

    /**
     * 请求数据，关注
     */
    requestAttention: function requestAttention(this_, seller, index) {
      var that = this_ || this;
      _Page.Page.showProcess(false);
      // 关注|取消关注
      var attentionType = seller.userType == 1 ? 1 : 2;
      var msg = seller.userType == 1 ? "关注成功" : "取消成功";
      var params = {};
      params.IfFollow = seller.userType == 1 ? "是" : "否";
      params.SellerID = seller.sellerId;
      _Track.Track.sendEvent("SellerFollow", params);
      _HttpClient.HttpClient.sendNoCache("/user/attention", {
        userId: seller.sellerId,
        type: attentionType
      }, function (resp) {
        _Page.Page.hideProcess();
        if (resp.state) {
          _Page.Page.toast(msg);
          // 绑定数据
          seller.userType = seller.userType == 1 ? 2 : 1;
        } else {
          _Page.Page.toast(resp.msg);
        }
      });
    },

    /**
     * 商品详情
     */
    productClick: function productClick(product, index) {
      if (!product) {
        return;
      }
      _Router.Router.uriRouterWithParams("zhier://productdetail", {
        id: product.id
      });
      var params = _Factory.Factory.getProductParams(product);
      var user = this.userRecommend.seller[index];
      params.SellerRank = index + "";
      params.SellerName = user.sellerNickname;
      _Track.Track.sendEvent("Sellergoodclick", params);
    },
    onApper: function onApper() {
      if (this.isFirstAppear) {
        this.isFirstAppear = false;
        this.progress = this.progress + 0.0001;
      }
      this.autoPlay = true;
      _Track.Track.sendEvent("Qualitysellerspv");
    }
  },
  created: function created() {},
  mounted: function mounted() {
    if (this.userRecommend && this.userRecommend.seller && this.userRecommend.seller.length > 0) {
      this.progress = 1.0 / this.userRecommend.seller.length;
    }
  }
};

/***/ }),
/* 148 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(149)
)

/* script */
__vue_exports__ = __webpack_require__(150)

/* template */
var __vue_template__ = __webpack_require__(151)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/SellerInfo.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-e38949a0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 149 */
/***/ (function(module, exports) {

module.exports = {
  "item-user": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "40",
    "paddingRight": "40"
  },
  "user-img": {
    "width": "100",
    "height": "100",
    "borderRadius": 50,
    "overflow": "hidden"
  },
  "user-img-img": {
    "width": "100",
    "height": "100"
  },
  "user-info": {
    "display": "flex",
    "flexDirection": "column",
    "marginLeft": "24",
    "flex": 1
  },
  "user-info-name": {
    "fontFamily": "PingFangSC-Medium",
    "fontSize": "32",
    "color": "#333333",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "user-info-num": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "user-info-num-text": {
    "fontSize": "20",
    "color": "#333333"
  },
  "user-info-num-icon": {
    "width": "10",
    "height": "16",
    "marginLeft": "6"
  },
  "btn-attention-no": {
    "width": "100",
    "height": "56",
    "borderRadius": "4",
    "backgroundColor": "#333333",
    "display": "flex",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "btn-attention-text-no": {
    "color": "#FFFFFF",
    "fontSize": "24"
  },
  "btn-attention-yes": {
    "width": "100",
    "height": "56",
    "backgroundColor": "#FFFFFF",
    "borderRadius": "4",
    "borderWidth": "1",
    "borderColor": "#333333",
    "display": "flex",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "btn-attention-text-yes": {
    "color": "#333333",
    "fontSize": "24"
  }
}

/***/ }),
/* 150 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        seller: Object
    },
    components: {
        LazyImage: _LazyImage2.default
    },
    data: function data() {
        return {
            attentionNo: 'btn-attention-no',
            attentionYes: 'btn-attention-yes',
            attentionTextNo: 'btn-attention-text-no',
            attentionTextYes: 'btn-attention-text-yes'
        };
    },

    methods: {
        isAttention: function isAttention() {
            return this.seller.userType == 1;
        },
        userClick: function userClick() {
            if (!this.seller) {
                return;
            }
            this.$emit("userClick", this.seller);
        },
        attention: function attention() {
            if (!this.seller) {
                return;
            }
            this.$emit("attention", this.seller);
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 151 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["item-user"]
  }, [_c('div', {
    staticClass: ["user-img"],
    on: {
      "click": _vm.userClick
    }
  }, [_c('lazy-image', {
    staticClass: ["user-img-img"],
    attrs: {
      "src": _vm.seller.sellerPic,
      "resize": "cover",
      "width": "100",
      "height": "100",
      "sizeType": "s"
    }
  })], 1), _c('div', {
    staticClass: ["user-info"],
    on: {
      "click": _vm.userClick
    }
  }, [_c('text', {
    staticClass: ["user-info-name"]
  }, [_vm._v(_vm._s(_vm.seller.sellerNickname))]), _c('div', {
    staticClass: ["user-info-num"]
  }, [_c('text', {
    staticClass: ["user-info-num-text"]
  }, [_vm._v(_vm._s(_vm.seller.count + " 件在售"))]), _c('image', {
    staticClass: ["user-info-num-icon"],
    attrs: {
      "src": "res://weex_go_o",
      "resize": "contain"
    }
  })])]), (_vm.seller.userType != 0) ? _c('div', {
    class: _vm.isAttention() ? [_vm.attentionNo] : [_vm.attentionYes],
    on: {
      "click": _vm.attention
    }
  }, [_c('text', {
    class: _vm.isAttention() ? [_vm.attentionTextNo] : [_vm.attentionTextYes]
  }, [_vm._v(_vm._s(_vm.isAttention() ? '关注' : '已关注'))])]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 152 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wrap"],
    on: {
      "appear": _vm.onApper,
      "disappear": _vm.disappear
    }
  }, [_c('label-header', {
    ref: "labelHeader",
    staticClass: ["header"],
    attrs: {
      "title": _vm.userRecommend.title,
      "more": _vm.userRecommend.skipDesc,
      "paddingBottom": "8"
    },
    on: {
      "onMore": _vm.onMore
    }
  }), _c('pager', {
    staticClass: ["pagers"],
    attrs: {
      "infinite": "true",
      "itemSpace": "0",
      "insetLeft": 64,
      "itemWidth": "638",
      "itemHeight": "528",
      "interVal": "3000",
      "autoPlay": _vm.autoPlay,
      "recycle": false
    },
    on: {
      "change": _vm.progressChange
    }
  }, _vm._l((_vm.userRecommend.seller), function(user, index) {
    return _c('div', {
      key: index,
      staticClass: ["item-wrap"]
    }, [(_vm.needRender(index)) ? _c('image', {
      staticClass: ["item-img-shadow"],
      attrs: {
        "src": "res://weex_recommend_seller_shadown"
      }
    }) : _vm._e(), (_vm.needRender(index)) ? _c('div', {
      staticClass: ["item"]
    }, [_c('seller-info', {
      attrs: {
        "seller": user
      },
      on: {
        "userClick": _vm.userClick,
        "attention": function (seller) {
          _vm.attention(seller, index)
        }
      }
    }), _c('seller-products', {
      attrs: {
        "seller": user
      },
      on: {
        "productClick": function (pro) {
          _vm.productClick(pro, index)
        }
      }
    })], 1) : _vm._e()])
  })), _c('div', {
    staticClass: ["progress"]
  }, [_c('Progress', {
    attrs: {
      "progress": _vm.progress
    }
  })], 1)], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 153 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(154)
)

/* script */
__vue_exports__ = __webpack_require__(155)

/* template */
var __vue_template__ = __webpack_require__(156)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/HotProducts.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-306a22d3"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 154 */
/***/ (function(module, exports) {

module.exports = {
  "hot-products": {
    "paddingTop": "62",
    "paddingBottom": "62"
  },
  "header": {
    "marginLeft": "64",
    "marginRight": "64"
  },
  "products": {
    "marginLeft": "40",
    "display": "flex",
    "justifyContent": "space-between",
    "flexDirection": "row"
  }
}

/***/ }),
/* 155 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

var _HotItem = __webpack_require__(42);

var _HotItem2 = _interopRequireDefault(_HotItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        hotItem: Object
    },
    components: {
        LabelHeader: _LabelHeader2.default,
        HotItem: _HotItem2.default
    },
    methods: {
        onMore: function onMore() {
            _Router.Router.uriRouter("zhier://jspage", {
                jsbundle: 'app/hotproducts/HotProductsPage.js'
            });
            this.track(-1, null);
        },
        gotoHot: function gotoHot(index, item) {
            _Router.Router.uriRouter("zhier://jspage", {
                jsbundle: 'app/hotproducts/HotProductsPage.js'
            });
            this.track(index, item);
        },
        track: function track(index, item) {
            var params = {};
            if (item) {
                params = _Factory.Factory.getProductParams(item);
            }
            params.Rank = index + '';
            params.ListType = "Hot 单品榜";
            _Track.Track.sendEvent("ListHomeClick", params);
        },
        onAppear: function onAppear() {
            _Track.Track.sendEvent("Hotlistpv");
        }
    },
    data: function data() {
        return {};
    },
    created: function created() {}
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 156 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["hot-products"],
    on: {
      "appear": _vm.onAppear
    }
  }, [_c('label-header', {
    ref: "labelHeader",
    staticClass: ["header"],
    attrs: {
      "title": _vm.hotItem.title,
      "more": _vm.hotItem.skipDesc
    },
    on: {
      "onMore": _vm.onMore
    }
  }), _c('div', {
    staticClass: ["products"]
  }, _vm._l((_vm.hotItem.items), function(item, i) {
    return _c('hot-item', {
      key: i,
      style: {
        'position': 'relative',
        'left': i > 0 ? -28 * i : 0
      },
      attrs: {
        "hotItem": item,
        "shadowOpacity": 0.5
      },
      on: {
        "itemClick": function($event) {
          _vm.gotoHot(i, item)
        }
      }
    })
  }))], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 157 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(158)

/* template */
var __vue_template__ = __webpack_require__(170)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/GuessLike.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 158 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _GuessUserLike = __webpack_require__(159);

var _GuessUserLike2 = _interopRequireDefault(_GuessUserLike);

var _GuessUserLikeProducts = __webpack_require__(166);

var _GuessUserLikeProducts2 = _interopRequireDefault(_GuessUserLikeProducts);

var _env = __webpack_require__(1);

var _StringUtil = __webpack_require__(4);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {},
    components: {
        GuessUserLike: _GuessUserLike2.default,
        GuessUserLikeProducts: _GuessUserLikeProducts2.default
    },
    data: function data() {
        return {};
    },

    methods: {
        isAndroid5: function isAndroid5() {
            if (!_env.Env.isAndroid()) {
                return false;
            }
            var envVersion = weex.config.env.osVersion;
            return _StringUtil.StringUtils.startWith(envVersion, "5.");
        },
        isIOS: function isIOS() {
            return _env.Env.isIOS();
        },
        onrefresh: function onrefresh() {
            this.$emit("onrefresh");
        }
    }
};

/***/ }),
/* 159 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(160)
)

/* script */
__vue_exports__ = __webpack_require__(161)

/* template */
var __vue_template__ = __webpack_require__(165)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/GuessUserLike.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-591bdc79"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 160 */
/***/ (function(module, exports) {

module.exports = {
  "scroller": {
    "backgroundColor": "#FFFFFF",
    "flexDirection": "column"
  },
  "title": {
    "marginTop": "72",
    "marginLeft": "64",
    "color": "#333333",
    "fontSize": "48",
    "fontWeight": "600",
    "marginBottom": "24"
  },
  "item-wrap": {
    "flexDirection": "row",
    "alignContent": "space-between"
  },
  "item-left": {
    "width": "375",
    "paddingLeft": "12"
  },
  "item-right": {
    "width": "375",
    "paddingRight": "12"
  },
  "refresh": {
    "width": "750",
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "refresh-header": {
    "width": "40",
    "height": "73",
    "marginTop": "44",
    "marginBottom": "44"
  }
}

/***/ }),
/* 161 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ProductItem = __webpack_require__(62);

var _ProductItem2 = _interopRequireDefault(_ProductItem);

var _HttpClient = __webpack_require__(6);

var _Router = __webpack_require__(0);

var _Page = __webpack_require__(3);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        needRfresh: {
            type: Boolean,
            default: false
        },
        entrance: {
            type: String
        }
    },
    components: {
        ProductItem: _ProductItem2.default
    },
    data: function data() {
        return {
            products: null,
            refreshing: false,
            refreshTitle: '下拉刷新...',

            isScorll: false
        };
    },

    computed: {
        isRefreshHeaderSupported: function isRefreshHeaderSupported() {
            return weex.isRegisteredComponent('refresh-header');
        }
    },
    methods: {
        loadData: function loadData(_this) {
            var that = _this || this;
            // 网络请求
            _HttpClient.HttpClient.sendNoCache('/product/likes', {
                page: 1,
                pageSize: 80
            }, function (res) {
                that.products = res.data.list;
            });
        },
        productClick: function productClick(index, product) {
            if (!product) {
                return;
            }
            _Router.Router.uriRouter("zhier://productdetail", {
                id: product.id
            });
            // 猜你喜欢 商品点击埋点
            var params = _Factory.Factory.getProductParams(product);
            params.position = index + '';
            _Track.Track.sendEvent('Guess', params);
        },
        onrefresh: function onrefresh(event) {
            var _this2 = this;

            this.refreshTitle = "加载中...";
            this.refreshing = true;
            this.$emit('onrefresh');

            // 立马改变状态
            setTimeout(function () {
                if (_this2.isRefreshHeaderSupported) {
                    _this2.$refs.loading.beginRefresh();
                } else {
                    _this2.refreshing = false;
                }
            }, 0);

            // 猜你喜欢
            this.loadData(this);
        },
        onpullingdown: function onpullingdown(event) {
            this.refreshTitle = "下拉刷新...";
            if (this.isRefreshHeaderSupported) {
                this.$refs.loading.onScroll(event.pullingDistance);
            }
        },
        refreshOk: function refreshOk() {
            var _this3 = this;

            this.refreshTitle = "刷新成功";
            setTimeout(function () {
                _this3.refreshing = false;
                if (_this3.isRefreshHeaderSupported) {
                    _this3.$refs.loading.refreshComplete();
                }
            }, 100);
        },
        touchstart: function touchstart() {
            var _this4 = this;

            // 兼容android奇葩行为
            if (!this.isScorll) {
                setTimeout(function () {
                    _this4.isScorll = true;
                }, 30);
            }
        },
        onAppear: function onAppear() {
            if (this.entrance) {
                _Track.Track.sendEvent("GuessPageview", { Entrance: this.entrance });
            }
        }
    },
    created: function created() {
        var _this5 = this;

        setTimeout(function () {
            _this5.loadData(_this5);
        }, 500);
    }
};

/***/ }),
/* 162 */
/***/ (function(module, exports) {

module.exports = {
  "product-warp": {
    "position": "relative",
    "paddingTop": "14",
    "paddingBottom": "16",
    "paddingLeft": "12",
    "paddingRight": "12"
  },
  "product-bg": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  },
  "product": {
    "width": "340",
    "marginBottom": "0",
    "paddingBottom": "40",
    "backgroundColor": "#FFFFFF",
    "borderRadius": "12"
  },
  "item-img": {
    "width": "340",
    "height": "340",
    "borderTopLeftRadius": "12",
    "borderTopRightRadius": "12"
  },
  "item-info": {
    "paddingLeft": "24",
    "paddingRight": "24"
  },
  "tag-market": {
    "lineHeight": "26",
    "fontSize": "20",
    "color": "#FFFFFF",
    "backgroundColor": "#FF5C00",
    "paddingLeft": "4",
    "paddingRight": "4",
    "textAlign": "center",
    "marginRight": "12"
  },
  "item-tags": {
    "marginTop": "12",
    "display": "flex",
    "flexDirection": "row"
  },
  "tag": {
    "marginRight": "12"
  },
  "item-brand": {
    "marginTop": "12",
    "fontSize": "28",
    "color": "#333333",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-desc": {
    "marginTop": "12",
    "display": "flex",
    "alignItems": "center",
    "flexDirection": "row",
    "marginRight": "12",
    "width": "340"
  },
  "item-name": {
    "fontSize": "28",
    "color": "#333333",
    "fontWeight": "300",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item-size": {
    "marginTop": "12",
    "fontSize": "28",
    "color": "#999999"
  },
  "item-price": {
    "marginTop": "24",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "flex-end",
    "justifyContent": "flex-start"
  },
  "item-price-price": {
    "fontFamily": "PingFangSC-Medium",
    "fontSize": "32",
    "color": "#FF5C00",
    "fontWeight": "bold"
  },
  "item-price-market": {
    "fontFamily": "PingFangSC-Regular",
    "fontSize": "24",
    "color": "#999999",
    "textDecoration": "line-through",
    "marginLeft": "8",
    "marginBottom": "2"
  }
}

/***/ }),
/* 163 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _Tag = __webpack_require__(46);

var _Tag2 = _interopRequireDefault(_Tag);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _env = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        product: Object
    },
    components: {
        Tag: _Tag2.default,
        LazyImage: _LazyImage2.default
    },
    methods: {
        productClick: function productClick() {
            this.$emit("productClick", this.product);
        },
        isIOS: function isIOS() {
            return _env.Env.isIOS();
        }
    },
    data: function data() {
        return {};
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 164 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["product-warp"]
  }, [_c('image', {
    staticClass: ["product-bg"],
    attrs: {
      "src": "res://weex_product_waterfall_item_bg"
    }
  }), _c('div', {
    staticClass: ["product"],
    on: {
      "click": _vm.productClick
    }
  }, [_c('lazy-image', {
    staticClass: ["item-img"],
    attrs: {
      "src": _vm.product.image,
      "width": "340",
      "height": "340",
      "sizeType": "s",
      "lazyLoad": "true"
    }
  }), _c('div', {
    staticClass: ["item-info"]
  }, [_c('div', {
    staticClass: ["item-tags"]
  }, [(_vm.product.onSale == 1) ? _c('text', {
    staticClass: ["tag-market"]
  }, [_vm._v("限时特价")]) : _vm._e(), (_vm.product.marketingInfo) ? _c('text', {
    staticClass: ["tag-market"]
  }, [_vm._v(_vm._s(_vm.product.marketingInfo))]) : _vm._e(), (_vm.product.haveRedPacket) ? _c('text', {
    staticClass: ["tag-market"]
  }, [_vm._v("券")]) : _vm._e()]), _c('text', {
    staticClass: ["item-brand"],
    style: {
      'font-weight': _vm.isIOS() ? 500 : 600
    }
  }, [_vm._v(_vm._s(_vm.product.brand))]), _c('div', {
    staticClass: ["item-desc"]
  }, [(_vm.product.newSign == 1) ? _c('tag', {
    staticClass: ["tag"],
    attrs: {
      "text": "全新"
    }
  }) : (_vm.product.directDesc == 1) ? _c('tag', {
    staticClass: ["tag"],
    attrs: {
      "text": "日本直邮",
      "color": "#000"
    }
  }) : _vm._e(), _c('text', {
    staticClass: ["item-name"],
    style: {
      'maxWidth': (_vm.product.newSign == 1 ? 230 : (_vm.product.directDesc == 1 ? 200 : 310))
    }
  }, [_vm._v(_vm._s(_vm.product.name))])], 1), (_vm.product.convert_size) ? _c('text', {
    staticClass: ["item-size"]
  }, [_vm._v(_vm._s(_vm.product.convert_size))]) : _vm._e(), _c('div', {
    staticClass: ["item-price"]
  }, [_c('text', {
    staticClass: ["item-price-price"]
  }, [_vm._v(_vm._s("¥" + _vm.product.price))]), _c('text', {
    staticClass: ["item-price-market"]
  }, [_vm._v(_vm._s("¥" + _vm.product.marketPrice))])])])], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 165 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    ref: "scroller",
    staticClass: ["scroller"],
    attrs: {
      "showScrollbar": "false"
    },
    on: {
      "touchmove": _vm.touchstart
    }
  }, [(_vm.needRfresh && _vm.isScorll) ? _c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh,
      "pullingdown": _vm.onpullingdown
    }
  }, [_c('refresh-header', {
    ref: "loading",
    staticClass: ["refresh-header"]
  })], 1) : _vm._e(), _vm._t("default"), _c('text', {
    ref: "title",
    staticClass: ["title"],
    style: {
      visibility: (_vm.products && _vm.products.length > 0) ? 'visible' : 'hidden'
    }
  }, [_vm._v("猜你喜欢")]), _c('div', {
    staticClass: ["item-wrap"],
    on: {
      "appear": _vm.onAppear
    }
  }, [_c('div', {
    staticClass: ["item-left"]
  }, [_vm._l((_vm.products), function(product, index) {
    return [(index % 2 == 0) ? _c('product-item', {
      key: index,
      attrs: {
        "product": product
      },
      on: {
        "productClick": function (p) {
          _vm.productClick(index, p)
        }
      }
    }) : _vm._e()]
  })], 2), _c('div', {
    staticClass: ["item-right"]
  }, [_vm._l((_vm.products), function(product, index) {
    return [(index % 2 == 1) ? _c('product-item', {
      key: index,
      attrs: {
        "product": product
      },
      on: {
        "productClick": function (p) {
          _vm.productClick(index, p)
        }
      }
    }) : _vm._e()]
  })], 2)])], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 166 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(167)
)

/* script */
__vue_exports__ = __webpack_require__(168)

/* template */
var __vue_template__ = __webpack_require__(169)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/components/GuessUserLikeProducts.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-11303efd"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 167 */
/***/ (function(module, exports) {

module.exports = {
  "products": {
    "display": "flex",
    "flexDirection": "column"
  },
  "title": {
    "marginTop": "72",
    "marginLeft": "64",
    "color": "#333333",
    "fontSize": "48",
    "fontWeight": "600",
    "marginBottom": "24"
  },
  "refresh": {
    "width": "750",
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "refresh-header": {
    "width": "40",
    "height": "73",
    "marginTop": "44",
    "marginBottom": "44"
  }
}

/***/ }),
/* 168 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ProductItem = __webpack_require__(62);

var _ProductItem2 = _interopRequireDefault(_ProductItem);

var _HttpClient = __webpack_require__(6);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: {
        needRfresh: {
            type: Boolean,
            default: false
        },
        entrance: {
            type: String
        }
    },
    components: {
        ProductItem: _ProductItem2.default
    },
    data: function data() {
        return {
            products: null,
            refreshing: false,
            refreshTitle: '下拉刷新...'
        };
    },

    computed: {
        isRefreshHeaderSupported: function isRefreshHeaderSupported() {
            return weex.isRegisteredComponent('refresh-header');
        }
    },
    methods: {
        onAppear: function onAppear() {
            if (this.entrance) {
                _Track.Track.sendEvent("GuessPageview", {
                    Entrance: this.entrance
                });
            }
        },
        loadData: function loadData(_this) {
            var that = _this || this;
            // 网络请求
            _HttpClient.HttpClient.sendNoCache('/product/likes', {
                page: 1,
                pageSize: 80
            }, function (res) {
                that.products = res.data.list;
            });
        },
        productClick: function productClick(index, product) {
            _Router.Router.uriRouterWithParams("zhier://productdetail", {
                id: product.id
            });
            // 猜你喜欢 商品点击埋点
            var params = _Factory.Factory.getProductParams(product);
            params.position = index + '';
            _Track.Track.sendEvent('Guess', params);
        },
        onrefresh: function onrefresh(event) {
            var _this2 = this;

            this.refreshTitle = "加载中...";
            this.refreshing = true;
            this.$emit('onrefresh');
            // 立马改变状态
            setTimeout(function () {
                if (_this2.isRefreshHeaderSupported) {
                    _this2.$refs.loading.beginRefresh();
                } else {
                    _this2.refreshing = false;
                }
            }, 0);
            // 猜你喜欢
            this.loadData(this);
        },
        onpullingdown: function onpullingdown(event) {
            this.refreshTitle = "下拉刷新...";
            if (this.isRefreshHeaderSupported) {
                this.$refs.loading.onScroll(event.pullingDistance);
            }
        },
        refreshOk: function refreshOk() {
            var _this3 = this;

            this.refreshTitle = "刷新成功";
            setTimeout(function () {
                _this3.refreshing = false;
                if (_this3.isRefreshHeaderSupported) {
                    _this3.$refs.loading.refreshComplete();
                }
            }, 100);
        }
    },
    created: function created() {
        var _this4 = this;

        setTimeout(function () {
            _this4.loadData(_this4);
        }, 0);
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 169 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["products"]
  }, [_c('waterfall', {
    ref: "scroller",
    attrs: {
      "columnCount": "2",
      "columnWidth": "auto",
      "columnGap": "0",
      "leftGap": "12",
      "rightGap": "12",
      "showScrollbar": "false"
    }
  }, [(_vm.needRfresh) ? _c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh,
      "pullingdown": _vm.onpullingdown
    }
  }, [_c('refresh-header', {
    ref: "loading",
    staticClass: ["refresh-header"]
  })], 1) : _vm._e(), _c('header-recycle', {
    attrs: {
      "recycle": "false"
    }
  }, [_vm._t("default")], 2), _c('header', {
    ref: "title",
    appendAsTree: true,
    attrs: {
      "append": "tree"
    },
    on: {
      "appear": _vm.onAppear
    }
  }, [(_vm.products && _vm.products.length > 0) ? _c('text', {
    staticClass: ["title"]
  }, [_vm._v("猜你喜欢")]) : _vm._e()]), _vm._l((_vm.products), function(product, index) {
    return _c('cell', {
      key: index,
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('product-item', {
      attrs: {
        "product": product
      },
      on: {
        "productClick": function (p) {
          _vm.productClick(index, p)
        }
      }
    })], 1)
  })], 2)], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 170 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (!_vm.isAndroid5() && !_vm.isIOS()) ? _c('guess-user-like', {
    ref: "guesslike",
    attrs: {
      "needRfresh": true,
      "entrance": "精选页"
    },
    on: {
      "onrefresh": _vm.onrefresh
    }
  }, [_vm._t("default")], 2) : _c('guess-user-like-products', {
    ref: "guesslike",
    attrs: {
      "needRfresh": true,
      "entrance": "精选页"
    },
    on: {
      "onrefresh": _vm.onrefresh
    }
  }, [_vm._t("default")], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 171 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(172)
)

/* script */
__vue_exports__ = __webpack_require__(173)

/* template */
var __vue_template__ = __webpack_require__(174)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/notice.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4b9fe326"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 172 */
/***/ (function(module, exports) {

module.exports = {
  "notice-container": {
    "width": 750,
    "flexDirection": "row",
    "justifyContent": "center",
    "flexWrap": "nowrap",
    "backgroundColor": "#F27E52"
  },
  "image-wrap": {
    "width": 56,
    "justifyContent": "center",
    "alignItems": "center"
  },
  "notice": {
    "width": 26,
    "height": 24
  },
  "marqueen": {
    "flex": 1,
    "overflow": "hidden",
    "color": "#FFFFFF",
    "fontSize": 24,
    "fontWeight": "500"
  },
  "close": {
    "width": 24,
    "height": 20
  }
}

/***/ }),
/* 173 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _env = __webpack_require__(1);

var _stringutil = __webpack_require__(8);

var _DiskCache = __webpack_require__(63);

exports.default = {
    props: {
        notice: {
            type: Object
        },
        isShowNotice: {
            type: Boolean,
            default: false
        }
    },
    data: function data() {},

    computed: {
        canDisplay: function canDisplay() {
            return _env.Env.isAppVersionGreaterAndEqualThan('5.2.4') && this.isShowNotice;
        },
        show: function show() {
            return this.notice && this.notice.name && !_stringutil.StringUtils.isEmpty(this.notice.name) && this.isShowNotice;
        }
    },
    methods: {
        close: function close() {
            _DiskCache.DiskCache.setItem("showNotice", this.notice.noticeId);
            this.isShowNotice = false;
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 174 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.canDisplay) ? _c('div', {
    staticClass: ["notice-container"],
    style: {
      height: _vm.show ? 56 : 0,
      visibility: _vm.show ? 'visible' : 'hidden'
    }
  }, [_vm._m(0), _c('marquee', {
    staticClass: ["marqueen"],
    attrs: {
      "text": _vm.notice.name
    }
  }), _c('div', {
    staticClass: ["image-wrap"],
    on: {
      "click": _vm.close
    }
  }, [_c('image', {
    staticClass: ["close"],
    attrs: {
      "src": "res://weex_notice_close",
      "resize": "contain"
    }
  })])]) : _vm._e()
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["image-wrap"]
  }, [_c('image', {
    staticClass: ["notice"],
    attrs: {
      "src": "res://weex_notice_laba",
      "resize": "contain"
    }
  })])
}]}
module.exports.render._withStripped = true

/***/ }),
/* 175 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(176)
)

/* script */
__vue_exports__ = __webpack_require__(177)

/* template */
var __vue_template__ = __webpack_require__(182)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/Banner.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5ec944cc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 176 */
/***/ (function(module, exports) {

module.exports = {
  "image-wrap": {
    "width": "750"
  },
  "slider": {
    "width": "750",
    "flexDirection": "row",
    "backgroundColor": "#FFFFFF"
  },
  "progress-bg": {
    "position": "absolute",
    "zIndex": 100,
    "width": "750",
    "height": "6",
    "bottom": "16"
  }
}

/***/ }),
/* 177 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _SwipterProgress = __webpack_require__(19);

var _SwipterProgress2 = _interopRequireDefault(_SwipterProgress);

var _ProgressBar = __webpack_require__(178);

var _ProgressBar2 = _interopRequireDefault(_ProgressBar);

var _Router = __webpack_require__(0);

var _env = __webpack_require__(1);

var _Track = __webpack_require__(5);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    banners: {
      type: Array
    },
    currentIndex: {
      type: Number,
      default: 0
    }
  },
  data: function data() {
    return {
      autoPlay: "true"
    };
  },

  components: {
    LazyImage: _LazyImage2.default,
    Progress: _SwipterProgress2.default,
    ProgressBar: _ProgressBar2.default
  },
  created: function created() {},

  computed: {
    getProgress: function getProgress() {
      var index = (this.currentIndex + 1) * 1.0;
      return index / this.banners.length;
    },
    getInfinite: function getInfinite() {
      if (this.banners.length <= 2 && _env.Env.isAndroid()) {
        return false;
      }
      return true;
    }
  },
  methods: {
    click: function click(index) {
      var banner = this.banners[index];
      _Router.Router.uriRouter(banner.url);
      _Track.Track.sendEvent("kvclick", {
        KvLocation: "大banner",
        KvID: banner.banner_id,
        KvName: banner.name,
        Url: banner.url,
        KvRank: index + 1 + ""
      });
    },
    change: function change(e) {
      this.currentIndex = e.index;
    },
    onAppear: function onAppear() {
      this.autoPlay = "true";
    },
    onDisappear: function onDisappear() {
      this.autoPlay = "false";
    }
  }
};

/***/ }),
/* 178 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(179)
)

/* script */
__vue_exports__ = __webpack_require__(180)

/* template */
var __vue_template__ = __webpack_require__(181)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/ProgressBar.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-46cda953"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 179 */
/***/ (function(module, exports) {

module.exports = {
  "bg-view": {
    "flexDirection": "row",
    "justifyContent": "center"
  },
  "item-bg": {
    "width": "64",
    "height": "6",
    "paddingLeft": "8",
    "paddingRight": "8",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "item": {
    "width": "48",
    "height": "6",
    "backgroundColor": "#ffffff"
  }
}

/***/ }),
/* 180 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    banners: {
      type: Array
    },
    currentIndex: {
      type: Number,
      default: 0
    }
  },
  methods: {
    getDivRef: function getDivRef(index) {
      return "div" + index;
    },
    itemStyle: function itemStyle(index) {
      return {
        opacity: index == this.currentIndex ? 1 : 0.5
      };
    }
  }
  //   watch: {
  //     currentIndex(newValue, oldValue) {
  //         // this.itemStyle()
  //         this.currentIndex = newValue;
  //         // const div = this.$refs[this.getDivRef(newValue)];
  //         // div.
  //     }
  //   }
};

/***/ }),
/* 181 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["bg-view"]
  }, _vm._l((_vm.banners), function(banner, index) {
    return _c('div', {
      key: index,
      staticClass: ["item-bg"]
    }, [_c('div', {
      ref: _vm.getDivRef(index),
      refInFor: true,
      staticClass: ["item"],
      style: _vm.itemStyle(index)
    })])
  }))
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 182 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.banners && _vm.banners.length > 0) ? _c('div', {
    on: {
      "appear": _vm.onAppear,
      "disappear": _vm.onDisappear
    }
  }, [_c('slider', {
    staticClass: ["slider"],
    attrs: {
      "interval": "6000",
      "autoPlay": _vm.autoPlay,
      "infinite": _vm.getInfinite
    },
    on: {
      "change": _vm.change
    }
  }, _vm._l((_vm.banners), function(banner, index) {
    return _c('div', {
      key: index,
      staticClass: ["image-wrap"],
      on: {
        "click": function($event) {
          _vm.click(index)
        }
      }
    }, [_c('lazy-image', {
      key: index,
      staticClass: ["image"],
      attrs: {
        "src": banner.image,
        "width": "750",
        "height": "480",
        "sizeType": "m"
      }
    })], 1)
  })), _c('div', {
    staticClass: ["progress-bg"]
  }, [_c('progress-bar', {
    staticClass: ["progress-bar"],
    attrs: {
      "banners": _vm.banners,
      "currentIndex": _vm.currentIndex
    }
  })], 1)]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 183 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(184)
)

/* script */
__vue_exports__ = __webpack_require__(185)

/* template */
var __vue_template__ = __webpack_require__(186)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/SmallBanner.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-d25837d6"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 184 */
/***/ (function(module, exports) {

module.exports = {
  "image-wrap": {
    "width": "750",
    "height": "276"
  }
}

/***/ }),
/* 185 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Router = __webpack_require__(0);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Track = __webpack_require__(5);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    banner: {
      type: Object
    }
  },
  data: function data() {
    return {};
  },

  components: {
    LazyImage: _LazyImage2.default
  },
  methods: {
    click: function click() {
      _Router.Router.uriRouter(this.banner.url);
      var banner = this.banner;
      _Track.Track.sendEvent("kvclick", {
        KvLocation: "小banner",
        KvID: banner.banner_id,
        KvName: banner.name,
        Url: banner.url,
        KvRank: 0 + ''
      });
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 186 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.banner && _vm.banner.image) ? _c('div', [_c('div', {
    staticClass: ["image-wrap"],
    on: {
      "click": _vm.click
    }
  }, [_c('lazy-image', {
    staticClass: ["image"],
    attrs: {
      "src": _vm.banner.image,
      "width": "750",
      "height": "276",
      "sizeType": "m",
      "resize": "cover"
    }
  })], 1)]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 187 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(188)
)

/* script */
__vue_exports__ = __webpack_require__(189)

/* template */
var __vue_template__ = __webpack_require__(194)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/BrandPavilion.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-1fb703a9"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 188 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#FFFFFF",
    "paddingLeft": "64",
    "paddingRight": "64",
    "paddingTop": "62",
    "paddingBottom": "62"
  },
  "content": {
    "display": "flex",
    "flexDirection": "row",
    "flexWrap": "wrap"
  },
  "brand": {
    "width": "202",
    "height": "202",
    "position": "relative"
  },
  "brand-image": {
    "width": "202",
    "height": "202"
  },
  "brand-mask": {
    "backgroundColor": "rgba(51,51,51,0.4)",
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  }
}

/***/ }),
/* 189 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

var _BrandImage = __webpack_require__(190);

var _BrandImage2 = _interopRequireDefault(_BrandImage);

var _Router = __webpack_require__(0);

var _StringUtil = __webpack_require__(4);

var _Track = __webpack_require__(5);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    brand: {
      type: Object,
      default: {}
    }
  },
  data: function data() {
    return {
      randomArray: []
    };
  },

  components: {
    LabelHeader: _LabelHeader2.default,
    BrandImage: _BrandImage2.default
  },
  watch: {
    brand: function brand() {
      this.resetRandomArray();
    }
  },
  beforeDestroy: function beforeDestroy() {
    this.clearTimer();
  },

  computed: {
    getTitle: function getTitle() {
      return _StringUtil.StringUtils.isEmpty(this.brand.title) ? "品牌馆" : this.brand.title;
    },
    getSkipDesc: function getSkipDesc() {
      return _StringUtil.StringUtils.isEmpty(this.brand.skipDesc) ? "更多品牌" : this.brand.skipDesc;
    }
  },
  methods: {
    appear: function appear() {
      this.startTimer();
      _Track.Track.sendEvent("BrandHomepv");
    },
    disappear: function disappear() {
      this.clearTimer();
    },
    onMore: function onMore() {
      _Router.Router.uriRouterWithParams("zhier://jspage", {
        jsbundle: "app/brandPavilion/BrandPavilionPage.js"
      });
      this.track("更多品牌");
    },
    brandTap: function brandTap(e) {
      this.track(e.brand.name);
    },
    track: function track(brandName) {
      var userType = "";
      if (this.brand.userType == 0) {
        userType = "新买家";
      } else if (this.brand.userType == 2) {
        userType = "买过奢侈品老买家";
      } else if (this.brand.userType == 1) {
        userType = "未买过奢侈品老买家";
      }
      _Track.Track.sendEvent("BrandHomeClick", {
        UserType: userType,
        Entrance: brandName
      });
    },
    itemStyleObject: function itemStyleObject(index) {
      var itemsOfRow = 3;
      var rows = Math.ceil(index / itemsOfRow);
      var totalRows = Math.ceil(this.brand.image.length / itemsOfRow);
      return {
        marginRight: (index + 1) % itemsOfRow != 0 ? 7.5 : 0,
        marginBottom: rows < totalRows ? 7.5 : 0
      };
    },
    clearTimer: function clearTimer() {
      if (this.timer) {
        clearInterval(this.timer);
        this.timer = null;
      }
    },
    startTimer: function startTimer() {
      var _this = this;

      if (this.timer) {
        return;
      }
      this.timer = setInterval(function () {
        if (_this.randomArray.length == 0) {
          _this.resetRandomArray();
        }
        var random = Math.floor(Math.random() * _this.randomArray.length);
        var selectedIndex = _this.randomArray[random];
        var ref = _this.$refs["brand" + selectedIndex][0];
        if (ref) {
          ref.nextPage();
        }
        _this.randomArray.splice(random, 1);
      }, 4000);
    },
    resetRandomArray: function resetRandomArray() {
      this.randomArray = [];
      for (var i = 0; i < this.brand.image.length; i++) {
        this.randomArray.push(i);
      }
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 190 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(191)
)

/* script */
__vue_exports__ = __webpack_require__(192)

/* template */
var __vue_template__ = __webpack_require__(193)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/BrandImage.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-8b9cce12"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 191 */
/***/ (function(module, exports) {

module.exports = {
  "brand": {
    "width": "202",
    "height": "202",
    "position": "relative"
  },
  "brand-image": {
    "position": "absolute",
    "left": "0",
    "top": "0",
    "width": "202",
    "height": "202"
  },
  "current": {
    "opacity": 1,
    "transform": "rotateY(0deg)"
  },
  "next": {
    "opacity": 0,
    "transform": "rotateY(180deg)"
  },
  "preload": {
    "opacity": 0
  }
}

/***/ }),
/* 192 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Router = __webpack_require__(0);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule("animation");

exports.default = {
  props: {
    brands: {
      type: Array
    }
  },
  data: function data() {
    return {
      currentIndex: 0,
      isOverturn: false,
      token: 0
    };
  },

  components: {
    LazyImage: _LazyImage2.default
  },
  created: function created() {
    this.count = 0;
  },

  computed: {
    preload: function preload() {
      if (this.currentIndex + 1 >= this.brands.length) {
        return 0;
      } else {
        return this.currentIndex + 1;
      }
    }
  },
  methods: {
    itemClick: function itemClick(index) {
      var item = this.brands[this.currentIndex];
      _Router.Router.uriRouterWithParams("zhier://jspage", { id: item.id, jsbundle: "app/brandPavilion/BrandPavilionPage.js" });
      this.$emit("brandTap", { brand: item, currentIndex: this.currentIndex });
    },
    nextPage: function nextPage() {
      var _this = this;

      this.count = this.count + 1;
      var showCurrent = this.count % 2 == 0;

      var preCurrentDeg = (this.count - 1) * 180;
      var preCurrrentOpacity = showCurrent ? 0 : 1;
      var preCurrentChangeOpactiy = showCurrent ? 1 : -1;

      var nextDeg = this.count * 180;
      var preNextOpacity = showCurrent ? 1 : 0;
      var preCurrentChangeOpacity = showCurrent ? -1 : 1;

      var currentIndex = this.currentIndex + 1;
      if (currentIndex >= this.brands.length) {
        currentIndex = 0;
      }

      setTimeout(function () {
        _this.currentIndex = currentIndex;
      }, 300);
      animation.transition(this.$refs.current, {
        styles: {
          opacity: "" + (preCurrrentOpacity + preCurrentChangeOpactiy),
          transform: "rotateY(" + (preCurrentDeg + 180) + "deg)",
          transformOrigin: 'center center'
        },
        duration: 1200, //ms
        timingFunction: 'ease',
        needLayout: false,
        delay: 0 //ms
      }, function () {});
      animation.transition(this.$refs.next, {
        styles: {
          opacity: "" + (preNextOpacity + preCurrentChangeOpacity),
          transform: "rotateY(" + (nextDeg + 180) + "deg)",
          transformOrigin: 'center center'
        },
        duration: 1200, //ms
        timingFunction: 'ease',
        needLayout: false,
        delay: 0 //ms
      }, function () {});
    }
  }
};

/***/ }),
/* 193 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    ref: "brand",
    staticClass: ["brand"],
    on: {
      "click": function($event) {
        _vm.itemClick()
      }
    }
  }, [_c('LazyImage', {
    ref: "current",
    staticClass: ["brand-image", "current"],
    attrs: {
      "src": _vm.brands[_vm.currentIndex].logo,
      "width": "202",
      "height": "202",
      "sizeType": "s"
    }
  }), _c('LazyImage', {
    ref: "next",
    staticClass: ["brand-image", "next"],
    attrs: {
      "src": _vm.brands[_vm.currentIndex].logo,
      "width": "202",
      "height": "202",
      "sizeType": "s"
    }
  }), _c('LazyImage', {
    staticClass: ["brand-image", "preload"],
    attrs: {
      "src": _vm.brands[_vm.preload].logo,
      "width": "202",
      "height": "202",
      "sizeType": "s"
    }
  })], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 194 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.brand && _vm.brand.image && _vm.brand.image.length > 0) ? _c('div', {
    staticClass: ["container"],
    on: {
      "appear": _vm.appear,
      "disappear": _vm.disappear
    }
  }, [_c('LabelHeader', {
    ref: "labelHeader",
    staticClass: ["header"],
    attrs: {
      "title": _vm.getTitle,
      "more": _vm.getSkipDesc
    },
    on: {
      "onMore": _vm.onMore
    }
  }), _c('div', {
    staticClass: ["content"]
  }, _vm._l((_vm.brand.image), function(item, index) {
    return _c('div', {
      key: index,
      style: _vm.itemStyleObject(index)
    }, [_c('brand-image', {
      ref: 'brand' + index,
      refInFor: true,
      attrs: {
        "brands": item.brandList
      },
      on: {
        "brandTap": _vm.brandTap
      }
    })], 1)
  }))], 1) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 195 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(196)
)

/* script */
__vue_exports__ = __webpack_require__(197)

/* template */
var __vue_template__ = __webpack_require__(198)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/WhyChoose.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3c9c4cfe"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 196 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#FFFFFF",
    "position": "relative"
  },
  "header": {
    "marginRight": "64",
    "marginTop": "54"
  },
  "image-wrap": {
    "paddingLeft": "3",
    "position": "relative"
  },
  "gif-image": {
    "width": "683",
    "height": "342"
  },
  "video-click-view": {
    "position": "absolute",
    "left": "0",
    "top": "0",
    "right": "0",
    "bottom": "0",
    "backgroundColor": "rgba(0,0,0,0)"
  },
  "second-hand-image-wrap": {
    "position": "absolute",
    "left": "36",
    "bottom": "140"
  },
  "second-hand-image": {
    "width": "172",
    "height": "46"
  },
  "title": {
    "fontSize": "28",
    "fontWeight": "400",
    "color": "#666666",
    "marginTop": "16",
    "marginBottom": "66"
  },
  "elseDiv": {
    "height": "100",
    "display": "flex",
    "justifyContent": "center"
  },
  "elseHeader": {
    "marginRight": "64"
  }
}

/***/ }),
/* 197 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _env = __webpack_require__(1);

var _StringUtil = __webpack_require__(4);

var _Page = __webpack_require__(3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    experience: {
      type: Object
    },
    title: {
      type: String,
      default: "权威鉴定专家，100% 正品保障"
    },
    isVideo: {
      type: Boolean,
      default: false
    }
  },
  data: function data() {
    return {
      marginLeft: 64,
      state: "play"
    };
  },

  components: {
    LabelHeader: _LabelHeader2.default
  },
  computed: {
    isIOS: function isIOS() {
      return _env.Env.isIOS();
    }
  },
  methods: {
    isAndroid5: function isAndroid5() {
      if (!_env.Env.isAndroid()) {
        return false;
      }
      var envVersion = weex.config.env.osVersion;
      return _StringUtil.StringUtils.startWith(envVersion, "5.");
    },
    onAppear: function onAppear() {
      this.state = "play";
      _Track.Track.sendEvent("Guaranteepv");
    },
    onDisappear: function onDisappear() {
      this.state = "pause";
    },
    onMore: function onMore() {
      _Router.Router.uriRouter(this.experience.videoUrl);
      var type = this.isVideo ? "未收起" : "收起";
      _Track.Track.sendEvent("GuaranteeClick", { Type: type });
    },
    videoStyleObject: function videoStyleObject() {
      var width = 750 - this.marginLeft;
      return {
        width: width + "px",
        height: 171 * 1.0 / 343 * width + "px"
      };
    },
    replay: function replay() {
      var _this = this;

      //重置播放状态，达到重复播放的目的;
      this.state = "pause";
      setTimeout(function () {
        _this.state = "play";
      }, 5);
    },
    onfinish: function onfinish() {
      this.replay();
    },
    pause: function pause() {
      this.state = "pause";
    }
  }
};

/***/ }),
/* 198 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.experience) ? _c('div', {
    staticClass: ["container"],
    on: {
      "click": _vm.onMore,
      "appear": _vm.onAppear,
      "disappear": _vm.onDisappear
    }
  }, [_c('div', {
    style: {
      paddingLeft: _vm.marginLeft
    }
  }, [(_vm.isVideo) ? _c('div', [_c('LabelHeader', {
    ref: "labelHeader",
    staticClass: ["header"],
    attrs: {
      "title": _vm.experience.title,
      "more": _vm.experience.skipDesc
    },
    on: {
      "onMore": _vm.onMore
    }
  }), _c('div', {
    staticClass: ["image-wrap"]
  }, [(!_vm.isAndroid5()) ? _c('video-view', {
    staticClass: ["gif-image"],
    attrs: {
      "src": _vm.experience.video,
      "playStatus": _vm.state,
      "autoPlay": true,
      "controls": "nocontrols"
    },
    on: {
      "finish": _vm.onfinish
    }
  }) : _vm._e(), (_vm.isAndroid5()) ? _c('image', {
    staticClass: ["gif-image"],
    attrs: {
      "src": _vm.experience.gif,
      "resize": "cover"
    }
  }) : _vm._e(), (_vm.isIOS) ? _c('div', {
    staticClass: ["video-click-view"],
    on: {
      "click": _vm.onMore
    }
  }) : _vm._e()], 1), _c('text', {
    staticClass: ["title"]
  }, [_vm._v(_vm._s(_vm.title))])], 1) : _c('div', {
    staticClass: ["elseDiv"]
  }, [_c('LabelHeader', {
    staticClass: ["elseHeader"],
    attrs: {
      "title": _vm.title,
      "more": _vm.experience.skipDesc,
      "titleFont": "28",
      "paddingBottom": "0"
    },
    on: {
      "onMore": _vm.onMore
    }
  })], 1)]), (_vm.isVideo) ? _c('div', {
    staticClass: ["second-hand-image-wrap"]
  }, [_c('image', {
    staticClass: ["second-hand-image"],
    attrs: {
      "src": "res://wx_second_hand"
    }
  })]) : _vm._e()]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 199 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(200)
)

/* script */
__vue_exports__ = __webpack_require__(201)

/* template */
var __vue_template__ = __webpack_require__(202)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/TimedSpecials.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5d578eb3"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 200 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#FFFFFF",
    "paddingTop": "64"
  },
  "header": {
    "marginRight": "64",
    "marginBottom": "0",
    "marginLeft": "64"
  },
  "header-image": {
    "width": "96",
    "height": "36",
    "marginLeft": "16"
  },
  "slider": {
    "width": "750",
    "display": "flex",
    "flexDirection": "row"
  },
  "pager-item": {
    "position": "relative",
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "shadow-image-wrap": {
    "position": "absolute",
    "left": "0",
    "top": "0",
    "width": "212",
    "height": "215"
  },
  "shadow-image": {
    "width": "212",
    "height": "215"
  },
  "item-wrap": {
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center",
    "maxWidth": "196"
  },
  "item-image-wrap": {
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center",
    "position": "relative",
    "backgroundColor": "#FFFFFF"
  },
  "item-title": {
    "marginTop": "28",
    "fontSize": "28",
    "fontWeight": "bold",
    "whiteSpace": "nowrap",
    "textOverflow": "ellipsis",
    "overflow": "hidden",
    "textAlign": "center",
    "lines": 1,
    "maxWidth": "170",
    "fontFamily": "DINAlternate-Bold"
  },
  "item-price-container": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "10",
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap",
    "maxWidth": "170"
  },
  "item-price": {
    "fontSize": "32",
    "color": "#ff5c00",
    "marginRight": "8",
    "fontWeight": "bold",
    "lines": 1,
    "fontFamily": "DINAlternate-Bold"
  },
  "item-market-price": {
    "fontSize": "20",
    "color": "#999999",
    "textDecoration": "line-through",
    "lines": 1,
    "textOverflow": "ellipsis",
    "lineHeight": "40",
    "alignSelf": "flex-end",
    "flex": 1,
    "fontFamily": "DINAlternate-Bold"
  },
  "progress-container": {
    "marginLeft": "64",
    "marginRight": "64",
    "marginTop": "18",
    "marginBottom": "64"
  }
}

/***/ }),
/* 201 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LabelHeader = __webpack_require__(17);

var _LabelHeader2 = _interopRequireDefault(_LabelHeader);

var _SwipterProgress = __webpack_require__(19);

var _SwipterProgress2 = _interopRequireDefault(_SwipterProgress);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Router = __webpack_require__(0);

var _stringutil = __webpack_require__(8);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    productSpecial: {
      type: Object
    },
    currentIndex: {
      type: Number,
      default: 0
    }
  },
  data: function data() {
    return {};
  },

  components: {
    LabelHeader: _LabelHeader2.default,
    Progress: _SwipterProgress2.default,
    LazyImage: _LazyImage2.default
  },
  computed: {
    getProgress: function getProgress() {
      var index = (this.currentIndex + 3) * 1.0;
      return index / this.productSpecial.product.length;
    },
    getTitle: function getTitle() {
      return this.productSpecial.title;
    },
    getSkipDesc: function getSkipDesc() {
      return this.productSpecial.skipDesc;
    }
  },
  methods: {
    onAppear: function onAppear() {
      _Track.Track.sendEvent("BudgetPv");
    },
    onMore: function onMore() {
      _Router.Router.uriRouter("zhier://discountsale");
      this.trackProduct(null, -1);
    },
    change: function change(e) {
      this.currentIndex = e.index;
    },
    itemClick: function itemClick(index) {
      var product = this.productSpecial.product[index];
      _Router.Router.uriRouterWithParams("zhier://discountsale", { id: product.id });
      this.trackProduct(product, index);
    },
    trackProduct: function trackProduct(pro, index) {
      var params = _Factory.Factory.getProductParams(pro);
      params.Positon = index + "";
      params.ListType = this.productSpecial.title;
      _Track.Track.sendEvent("NewDiscountHomeClick", params);
    },
    footerRefresh: function footerRefresh() {
      _Router.Router.uriRouter("zhier://discountsale");
      this.trackProduct(null, -2);
    },
    getPagerItemStyle: function getPagerItemStyle(index) {
      return {
        paddingTop: 4,
        paddingLeft: 8,
        paddingRight: 8,
        paddingBottom: 20
      };
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 202 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.productSpecial && _vm.productSpecial.product && _vm.productSpecial.product.length > 0) ? _c('div', {
    staticClass: ["container"],
    on: {
      "appear": _vm.onAppear
    }
  }, [_c('LabelHeader', {
    ref: "labelHeader",
    staticClass: ["header"],
    attrs: {
      "title": _vm.getTitle,
      "more": _vm.getSkipDesc
    },
    on: {
      "onMore": _vm.onMore
    }
  }), _c('pager', {
    staticClass: ["slider"],
    attrs: {
      "infinite": "false",
      "itemSpace": "0",
      "insetLeft": "64",
      "moreTop": "20",
      "initNum": "3",
      "itemWidth": "212",
      "itemHeight": "334"
    },
    on: {
      "change": _vm.change,
      "footerRefresh": _vm.footerRefresh
    }
  }, _vm._l((_vm.productSpecial.product), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["pager-item"],
      style: _vm.getPagerItemStyle(index),
      on: {
        "click": function($event) {
          _vm.itemClick(index)
        }
      }
    }, [_c('div', {
      staticClass: ["shadow-image-wrap"]
    }, [_c('image', {
      staticClass: ["shadow-image"],
      attrs: {
        "src": "res://wx_time_special_shadow"
      }
    })]), _c('div', {
      staticClass: ["item-wrap"]
    }, [_c('div', {
      staticClass: ["item-image-wrap"]
    }, [_c('lazy-image', {
      staticClass: ["item-image"],
      attrs: {
        "src": item.ico,
        "width": "196",
        "height": "196",
        "sizeType": "s"
      }
    })], 1), _c('text', {
      staticClass: ["item-title"]
    }, [_vm._v(_vm._s(item.brand))]), _c('div', {
      staticClass: ["item-price-container"]
    }, [_c('text', {
      staticClass: ["item-price"]
    }, [_vm._v("¥" + _vm._s(item.price))]), _c('text', {
      staticClass: ["item-market-price"]
    }, [_vm._v("￥" + _vm._s(item.delPrice))])])])])
  })), _c('div', {
    staticClass: ["progress-container"]
  }, [_c('Progress', {
    attrs: {
      "progress": _vm.getProgress,
      "firstProgress": true
    }
  })], 1)], 1) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 203 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(204)
)

/* script */
__vue_exports__ = __webpack_require__(205)

/* template */
var __vue_template__ = __webpack_require__(210)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/modules/HundredSpecial.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-44abc0ce"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 204 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "flexDirection": "row",
    "width": "750",
    "justifyContent": "center",
    "alignItems": "center",
    "paddingBottom": "60",
    "position": "relative"
  },
  "shadow-image-wrap": {
    "position": "absolute",
    "left": "56",
    "top": "140",
    "width": "654",
    "height": "512"
  },
  "title": {
    "fontSize": "48",
    "color": "#333333",
    "marginBottom": "18",
    "fontWeight": "600",
    "lineHeight": "72",
    "height": "72",
    "marginTop": "60"
  },
  "title-right": {
    "marginTop": "60",
    "height": "84"
  },
  "shadow-image": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0"
  }
}

/***/ }),
/* 205 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ProductSwitch = __webpack_require__(206);

var _ProductSwitch2 = _interopRequireDefault(_ProductSwitch);

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _Track = __webpack_require__(5);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    productRecommend: {
      type: Object,
      default: {}
    }
  },
  data: function data() {
    return {
      turnHundred: true
    };
  },

  components: {
    ProductSwitch: _ProductSwitch2.default,
    LazyImage: _LazyImage2.default
  },
  beforeDestroy: function beforeDestroy() {
    this.clearTimer();
  },

  computed: {
    getShow: function getShow() {
      return this.productRecommend && this.productRecommend.hundredGoods && this.productRecommend.brandNew && this.productRecommend.hundredGoods.product && this.productRecommend.hundredGoods.product.length > 0 && this.productRecommend.brandNew.product && this.productRecommend.brandNew.product.length > 0;
    }
  },
  methods: {
    appear: function appear() {
      this.startTimer();
      _Track.Track.sendEvent("HundredCommoditypv");
    },
    disappear: function disappear() {
      this.clearTimer();
    },
    clearTimer: function clearTimer() {
      if (this.timer) {
        clearInterval(this.timer);
        this.timer = null;
      }
    },
    startTimer: function startTimer() {
      var _this = this;

      if (this.timer) {
        return;
      }
      this.timer = setInterval(function () {
        var ref = _this.$refs[_this.turnHundred == 1 ? "hundred" : "allNew"];
        if (ref) {
          ref.nextPage();
        }
        _this.turnHundred = !_this.turnHundred;
      }, 2000);
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 206 */
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(207)
)

/* script */
__vue_exports__ = __webpack_require__(208)

/* template */
var __vue_template__ = __webpack_require__(209)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/xupx/Zhier/zhierappweex/src/app/first/components/ProductSwitch.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-be4fe820"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),
/* 207 */
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "position": "relative",
    "width": "302",
    "height": "480",
    "marginBottom": "8"
  },
  "bg-container": {
    "position": "absolute",
    "left": "0",
    "bottom": "0",
    "width": "302",
    "height": "480",
    "display": "flex",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "image-white-bg": {
    "backgroundColor": "#FFFFFF",
    "display": "inline-block",
    "width": "262",
    "height": "440",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "top-image-bg": {
    "position": "absolute",
    "top": "40",
    "width": "182",
    "height": "98",
    "justifyContent": "center"
  },
  "top-image": {
    "width": "182",
    "height": "98"
  },
  "item-container": {
    "position": "absolute",
    "left": "0",
    "bottom": "0",
    "width": "262",
    "height": "262",
    "display": "flex",
    "flexDirection": "column",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "item-image": {
    "backgroundColor": "#FFFFFF"
  }
}

/***/ }),
/* 208 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LazyImage = __webpack_require__(2);

var _LazyImage2 = _interopRequireDefault(_LazyImage);

var _SwipterProgress = __webpack_require__(19);

var _SwipterProgress2 = _interopRequireDefault(_SwipterProgress);

var _Router = __webpack_require__(0);

var _Track = __webpack_require__(5);

var _Factory = __webpack_require__(7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    products: {
      type: Array,
      default: []
    },
    rand: {
      type: Number
    },
    backgroundColor: {
      type: String,
      default: "#DEC0AF"
    },
    isHundred: {
      type: Boolean,
      default: true
    },
    title: {
      type: String
    }
  },
  data: function data() {
    return {
      currentIndex: 0,
      haveAgain: false
    };
  },

  components: {
    LazyImage: _LazyImage2.default,
    Progress: _SwipterProgress2.default
  },
  methods: {
    itemStyleObject: function itemStyleObject(index) {
      return {
        backgroundColor: this.backgroundColor,
        opacity: this.currentIndex == index ? 1 : 0
      };
    },
    itemClick: function itemClick() {
      var item = this.products[this.currentIndex];
      if (this.isHundred) {
        _Router.Router.uriRouterWithParams("zhier://hundredgoodgoods", {
          rand: this.rand,
          title: "百元好物"
        });
      } else {
        _Router.Router.uriRouterWithParams("zhier://allnew", {
          id: item.id,
          title: "全新优选"
        });
      }
      this.trackProduct(item, this.currentIndex);
    },
    trackProduct: function trackProduct(pro, index) {
      var params = _Factory.Factory.getProductParams(pro);
      params.Rank = index + "";
      if (this.isHundred) {
        params.ListType = "百元好物";
      } else {
        params.ListType = "全新优选";
      }
      _Track.Track.sendEvent("ListHomeClick", params);
    },
    nextPage: function nextPage() {
      var pre = this.currentIndex;
      var to = this.currentIndex + 1;
      if (to >= this.products.length) {
        to = 0;
        this.haveAgain = true;
      }
      this.currentIndex = to;
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),
/* 209 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.products && _vm.products.length > 0) ? _c('div', {
    staticClass: ["container"]
  }, [_c('div', {
    staticClass: ["bg-container"],
    style: {
      backgroundColor: _vm.backgroundColor
    }
  }, [_c('div', {
    staticClass: ["image-white-bg"]
  }, [_c('div', {
    staticClass: ["top-image-bg"]
  }, [(!_vm.isHundred) ? _c('lazy-image', {
    staticClass: ["top-imag"],
    attrs: {
      "src": "https://img.goshare2.com/app-images/home_new.png",
      "resize": "cover",
      "width": "182",
      "height": "98",
      "sizeType": "s",
      "lazyLoad": "true"
    }
  }) : _vm._e(), (_vm.isHundred) ? _c('lazy-image', {
    staticClass: ["top-imag"],
    attrs: {
      "src": "https://img.goshare2.com/app-images/home_hundred.png",
      "resize": "cover",
      "width": "182",
      "height": "98",
      "sizeType": "s",
      "lazyLoad": "true"
    }
  }) : _vm._e()], 1), _vm._l((_vm.products), function(item, index) {
    return (_vm.haveAgain || (index < (_vm.currentIndex + 2))) ? _c('div', {
      ref: 'item' + index,
      refInFor: true,
      staticClass: ["item-container"],
      style: _vm.itemStyleObject(index),
      on: {
        "click": function($event) {
          _vm.itemClick()
        }
      }
    }, [_c('lazy-image', {
      staticClass: ["item-image"],
      attrs: {
        "src": item.ico,
        "width": "262",
        "height": "262",
        "sizeType": "s"
      }
    })], 1) : _vm._e()
  })], 2)])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 210 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.getShow) ? _c('div', {
    staticClass: ["container"],
    on: {
      "appear": _vm.appear,
      "disappear": _vm.disappear
    }
  }, [_c('div', {
    staticClass: ["shadow-image-wrap"]
  }, [_c('lazy-image', {
    staticClass: ["shadow-image"],
    attrs: {
      "src": "https://img.goshare2.com/app-images/hundredShadow.png",
      "resize": "cover",
      "width": "654",
      "height": "512",
      "sizeType": "s",
      "lazyLoad": "true"
    }
  })], 1), _c('div', [_c('text', {
    ref: "allNewTitle",
    staticClass: ["title"]
  }, [_vm._v(_vm._s(_vm.productRecommend.brandNew.title))]), _c('product-switch', {
    ref: "allNew",
    attrs: {
      "backgroundColor": "#DEC0AF",
      "products": _vm.productRecommend.brandNew.product,
      "rand": _vm.productRecommend.brandNew.randNum,
      "isHundred": false,
      "title": _vm.productRecommend.brandNew.title
    }
  })], 1), _c('div', {
    style: {
      marginLeft: 16
    }
  }, [_c('text', {
    ref: "hundredTitle",
    staticClass: ["title"]
  }, [_vm._v(_vm._s(_vm.productRecommend.hundredGoods.title))]), _c('product-switch', {
    ref: "hundred",
    attrs: {
      "backgroundColor": "#DDECE9",
      "products": _vm.productRecommend.hundredGoods.product,
      "rand": _vm.productRecommend.hundredGoods.randNum,
      "isHundred": true,
      "title": _vm.productRecommend.hundredGoods.title
    }
  })], 1)]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),
/* 211 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Listener = undefined;

var _Listener;

var _env = __webpack_require__(1);

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * created by Justin.Wang
 */
var listenerModule = weex.requireModule("listener");
var Listener = exports.Listener = (_Listener = {
    /**
     * add listener
     * @param {*} name      
     * @param {*} callback  
     */
    add: function add(name, callback) {
        if (!name) {
            return;
        }
        if (listenerModule) {
            listenerModule.add(name, callback);
        }
    },


    /**
     * remove listener
     * @param {*} name     
     */
    remove: function remove(name) {
        if (!name) {
            return;
        }
        if (listenerModule) {
            listenerModule.remove(name);
        }
    },


    /**
     * post message
     * @param {*} name    
     * @param {*} params     
     */
    post: function post(name) {
        var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        if (!name) {
            return;
        }
        if (listenerModule) {
            listenerModule.post(name, params);
        }
    }
}, _defineProperty(_Listener, "add", function add(androidName, iosName, callback) {
    if (_env.Env.isAndroid()) {
        this.add(androidName, callback);
    }
    if (_env.Env.isIOS()) {
        this.add(iosName, callback);
    }
}), _defineProperty(_Listener, "remove", function remove(androidName, iosName) {
    if (_env.Env.isAndroid()) {
        this.remove(androidName);
    }
    if (_env.Env.isIOS()) {
        this.remove(iosName);
    }
}), _defineProperty(_Listener, "post", function post(androidName, iosName) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

    if (_env.Env.isAndroid()) {
        this.post(androidName, params);
    }
    if (_env.Env.isIOS()) {
        this.post(iosName, params);
    }
}), _defineProperty(_Listener, "addLoginSuccess", function addLoginSuccess(callback) {
    if (listenerModule) {
        listenerModule.addLoginSuccess(callback);
    }
}), _defineProperty(_Listener, "removeLoginSuccess", function removeLoginSuccess() {
    if (listenerModule) {
        listenerModule.removeLoginSuccess();
    }
}), _defineProperty(_Listener, "addLoginOut", function addLoginOut(callback) {
    if (listenerModule) {
        listenerModule.addLoginOut(callback);
    }
}), _defineProperty(_Listener, "removeLoginOut", function removeLoginOut() {
    if (listenerModule) {
        listenerModule.removeLoginOut();
    }
}), _Listener);

/***/ }),
/* 212 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
var __WEBPACK_AMD_DEFINE_RESULT__;

var _typeof2 = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

!function (t) {
  if ("object" == ( false ? "undefined" : _typeof2(exports)) && "undefined" != typeof module) module.exports = t();else if (true) !(__WEBPACK_AMD_DEFINE_RESULT__ = (function (e, n, r) {
    r.exports = t();
  }).call(exports, __webpack_require__, exports, module),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));else {
    ("undefined" != typeof window ? window : "undefined" != typeof self ? self : "undefined" != typeof global ? global : this).index = t();
  }
}(function () {
  return function (t) {
    var e = {};function n(r) {
      if (e[r]) return e[r].exports;var o = e[r] = { i: r, l: !1, exports: {} };return t[r].call(o.exports, o, o.exports, n), o.l = !0, o.exports;
    }return n.m = t, n.c = e, n.d = function (t, e, r) {
      n.o(t, e) || Object.defineProperty(t, e, { configurable: !1, enumerable: !0, get: r });
    }, n.n = function (t) {
      var e = t && t.__esModule ? function () {
        return t.default;
      } : function () {
        return t;
      };return n.d(e, "a", e), e;
    }, n.o = function (t, e) {
      return Object.prototype.hasOwnProperty.call(t, e);
    }, n.p = "", n(n.s = 0);
  }([function (t, e, n) {
    "use strict";
    Object.defineProperty(e, "__esModule", { value: !0 });var r = "function" == typeof Symbol && "symbol" == _typeof2(Symbol.iterator) ? function (t) {
      return typeof t === "undefined" ? "undefined" : _typeof2(t);
    } : function (t) {
      return t && "function" == typeof Symbol && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t === "undefined" ? "undefined" : _typeof2(t);
    },
        o = n(1),
        i = n(3);function a(t) {
      try {
        if (void 0 !== ("undefined" == typeof weex ? "undefined" : r(weex)) && weex.requireModule) return weex.requireModule(t);
      } catch (t) {}return window.require("@weex-module/" + t);
    }var s = !0,
        u = !0,
        c = void 0,
        l = {};if (o.isWeb) l = n(4);else {
      try {
        c = a("bindingx"), s = !0;
      } catch (t) {
        s = !1;
      }if (!c || !c.bind) try {
        c = a("binding"), s = !0;
      } catch (t) {
        s = !1;
      }if (!(s = !!(c && c.bind && c.unbind && c.getComputedStyle))) try {
        c = a("expressionBinding"), u = !0;
      } catch (t) {
        u = !1;
      }u = !(!c || !c.bind && !c.createBinding);
    }function f(t) {
      if (void 0 !== t) {
        try {
          t = JSON.parse(t);
        } catch (t) {}var e = {};if ("string" == typeof t ? e.origin = t : t && (e.origin = t.origin, e.transformed = t.transformed), e.transformed || e.origin) return e.transformed = e.transformed || (0, i.parse)(e.origin), e;
      }
    }e.default = { isSupportNewBinding: s, isSupportBinding: u, _bindingInstances: [], bind: function bind(t) {
        var e = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : function () {};if (!t) throw new Error("should pass options for binding");if (function (t) {
          t && (t.exitExpression = f(t.exitExpression), t.props && t.props.forEach(function (t) {
            t.expression = f(t.expression);
          }));
        }(t), !o.isWeex) return l.bind(t, e);if (c && u) {
          if (s) return c.bind(t, t && "timing" === t.eventType ? function (t) {
            return function () {
              var e = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : {};if ("function" == typeof t) return t({ state: "end" === e.state ? "exit" : e.state, t: void 0 !== e.t ? e.t : e.deltaT });
            };
          }(e) : e);c.enableBinding(t.anchor, t.eventType), c.createBinding(t.anchor, t.eventType, "", function (t) {
            if (t && t.props) return t.props.map(function (t) {
              return { element: t.element, property: t.property, expression: t.expression.transformed };
            });
          }(t), e);
        }
      }, unbind: function unbind(t) {
        if (!t) throw new Error("should pass options for binding");return o.isWeex ? c && u ? s ? c.unbind(t) : c.disableBinding(t.anchor, t.eventType) : void 0 : l.unbind(t);
      }, unbindAll: function unbindAll() {
        return o.isWeex ? c && u ? s ? c.unbindAll() : c.disableAll() : void 0 : l.unbindAll();
      }, prepare: function prepare(t) {
        if (o.isWeex && c && u) return s ? c.prepare(t) : c.enableBinding(t.anchor, t.eventType);
      }, getComputedStyle: function getComputedStyle(t) {
        return o.isWeex ? s ? c.getComputedStyle(t) : {} : l.getComputedStyle(t);
      } }, t.exports = e.default;
  }, function (t, e, n) {
    "use strict";
    (function (n) {
      function r(t) {
        return (r = "function" == typeof Symbol && "symbol" == _typeof2(Symbol.iterator) ? function (t) {
          return typeof t === "undefined" ? "undefined" : _typeof2(t);
        } : function (t) {
          return t && "function" == typeof Symbol && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t === "undefined" ? "undefined" : _typeof2(t);
        })(t);
      }Object.defineProperty(e, "__esModule", { value: !0 }), e.default = e.isReactNative = e.isWeex = e.isNode = e.isWeb = void 0;var o = "object" === ("undefined" == typeof navigator ? "undefined" : r(navigator)) && ("Mozilla" === navigator.appCodeName || "Gecko" === navigator.product);e.isWeb = o;var i = void 0 !== n && !(!n.versions || !n.versions.node);e.isNode = i;var a = "function" == typeof callNative || "object" === ("undefined" == typeof WXEnvironment ? "undefined" : r(WXEnvironment)) && "Web" !== WXEnvironment.platform;e.isWeex = a;var s = "undefined" != typeof __fbBatchedBridgeConfig;e.isReactNative = s, e.default = t.exports;var u = t.exports;e.default = u;
    }).call(e, n(2));
  }, function (t, e) {
    var n,
        r,
        o = t.exports = {};function i() {
      throw new Error("setTimeout has not been defined");
    }function a() {
      throw new Error("clearTimeout has not been defined");
    }function s(t) {
      if (n === setTimeout) return setTimeout(t, 0);if ((n === i || !n) && setTimeout) return n = setTimeout, setTimeout(t, 0);try {
        return n(t, 0);
      } catch (e) {
        try {
          return n.call(null, t, 0);
        } catch (e) {
          return n.call(this, t, 0);
        }
      }
    }!function () {
      try {
        n = "function" == typeof setTimeout ? setTimeout : i;
      } catch (t) {
        n = i;
      }try {
        r = "function" == typeof clearTimeout ? clearTimeout : a;
      } catch (t) {
        r = a;
      }
    }();var u,
        c = [],
        l = !1,
        f = -1;function p() {
      l && u && (l = !1, u.length ? c = u.concat(c) : f = -1, c.length && h());
    }function h() {
      if (!l) {
        var t = s(p);l = !0;for (var e = c.length; e;) {
          for (u = c, c = []; ++f < e;) {
            u && u[f].run();
          }f = -1, e = c.length;
        }u = null, l = !1, function (t) {
          if (r === clearTimeout) return clearTimeout(t);if ((r === a || !r) && clearTimeout) return r = clearTimeout, clearTimeout(t);try {
            r(t);
          } catch (e) {
            try {
              return r.call(null, t);
            } catch (e) {
              return r.call(this, t);
            }
          }
        }(t);
      }
    }function d(t, e) {
      this.fun = t, this.array = e;
    }function v() {}o.nextTick = function (t) {
      var e = new Array(arguments.length - 1);if (arguments.length > 1) for (var n = 1; n < arguments.length; n++) {
        e[n - 1] = arguments[n];
      }c.push(new d(t, e)), 1 !== c.length || l || s(h);
    }, d.prototype.run = function () {
      this.fun.apply(null, this.array);
    }, o.title = "browser", o.browser = !0, o.env = {}, o.argv = [], o.version = "", o.versions = {}, o.on = v, o.addListener = v, o.once = v, o.off = v, o.removeListener = v, o.removeAllListeners = v, o.emit = v, o.prependListener = v, o.prependOnceListener = v, o.listeners = function (t) {
      return [];
    }, o.binding = function (t) {
      throw new Error("process.binding is not supported");
    }, o.cwd = function () {
      return "/";
    }, o.chdir = function (t) {
      throw new Error("process.chdir is not supported");
    }, o.umask = function () {
      return 0;
    };
  }, function (module, exports, __webpack_require__) {
    !function (t, e) {
      module.exports = e();
    }("undefined" != typeof self && self, function () {
      return function (t) {
        var e = {};function n(r) {
          if (e[r]) return e[r].exports;var o = e[r] = { i: r, l: !1, exports: {} };return t[r].call(o.exports, o, o.exports, n), o.l = !0, o.exports;
        }return n.m = t, n.c = e, n.d = function (t, e, r) {
          n.o(t, e) || Object.defineProperty(t, e, { configurable: !1, enumerable: !0, get: r });
        }, n.n = function (t) {
          var e = t && t.__esModule ? function () {
            return t.default;
          } : function () {
            return t;
          };return n.d(e, "a", e), e;
        }, n.o = function (t, e) {
          return Object.prototype.hasOwnProperty.call(t, e);
        }, n.p = "", n(n.s = 0);
      }([function (module, exports, __webpack_require__) {
        "use strict";
        var _typeof = "function" == typeof Symbol && "symbol" == _typeof2(Symbol.iterator) ? function (t) {
          return typeof t === "undefined" ? "undefined" : _typeof2(t);
        } : function (t) {
          return t && "function" == typeof Symbol && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t === "undefined" ? "undefined" : _typeof2(t);
        },
            lex = { InputElementDiv: "<WhiteSpace>|<LineTerminator>|<ReservedWord>|<Identifier>|<NumericLiteral>|<Punctuator>|<StringLiteral>", InputElementRegExp: "<WhiteSpace>|<LineTerminator>|<ReservedWord>|<Identifier>|<NumericLiteral>|<Punctuator>|<StringLiteral>", ReservedWord: "<Keyword>|<NullLiteral>|<BooleanLiteral>", WhiteSpace: /[\t\v\f\u0020\u00A0\u1680\u180E\u2000-\u200A\u202F\u205f\u3000\uFEFF]/, LineTerminator: /[\n\r\u2028\u2029]/, Keyword: /new(?![_$a-zA-Z0-9])|void(?![_$a-zA-Z0-9])|delete(?![_$a-zA-Z0-9])|in(?![_$a-zA-Z0-9])|instanceof(?![_$a-zA-Z0-9])|typeof(?![_$a-zA-Z0-9])/, NullLiteral: /null(?![_$a-zA-Z0-9])/, BooleanLiteral: /(?:true|false)(?![_$a-zA-Z0-9])/, Identifier: /[_$a-zA-Z][_$a-zA-Z0-9]*/, Punctuator: /\/|=>|\*\*|>>>=|>>=|<<=|===|!==|>>>|<<|%=|\*=|-=|\+=|<=|>=|==|!=|\^=|\|=|\|\||&&|&=|>>|\+\+|--|\:|}|\*|&|\||\^|!|~|-|\+|\?|%|=|>|<|,|;|\.(?![0-9])|\]|\[|\)|\(|{/, DivPunctuator: /\/=|\//, NumericLiteral: /(?:0[xX][0-9a-fA-F]*|\.[0-9]+|(?:[1-9]+[0-9]*|0)(?:\.[0-9]*|\.)?)(?:[eE][+-]{0,1}[0-9]+)?(?![_$a-zA-Z0-9])/, StringLiteral: /"(?:[^"\n\\\r\u2028\u2029]|\\(?:['"\\bfnrtv\n\r\u2028\u2029]|\r\n)|\\x[0-9a-fA-F]{2}|\\u[0-9a-fA-F]{4}|\\[^0-9ux'"\\bfnrtv\n\\\r\u2028\u2029])*"|'(?:[^'\n\\\r\u2028\u2029]|\\(?:['"\\bfnrtv\n\r\u2028\u2029]|\r\n)|\\x[0-9a-fA-F]{2}|\\u[0-9a-fA-F]{4}|\\[^0-9ux'"\\bfnrtv\n\\\r\u2028\u2029])*'/, RegularExpressionLiteral: /\/(?:\[(?:\\[\s\S]|[^\]])*\]|[^*\/\\\n\r\u2028\u2029]|\\[^\n\r\u2028\u2029])(?:\[(?:\\[\s\S]|[^\]])*\]|[^\/\\\n\r\u2028\u2029]|\\[^\n\r\u2028\u2029])*\/[0-9a-zA-Z]*/ };function XRegExp(t, e, n) {
          var r = [e];var o = function e(o) {
            var i = new RegExp();return i.compile(o.replace(/<([^>]+)>/g, function (n, o) {
              return t[o] ? (r.push(o), t[o] instanceof RegExp ? "(" + t[o].source + ")" : "(" + e(t[o]).source + ")") : "";
            }), n), i;
          }(t[e]);this.exec = function (t) {
            var e = o.exec(t);if (null == e) return null;for (var n = new String(e[0]), i = 0; i < r.length; i++) {
              e[i] && (n[r[i]] = e[i]);
            }return n;
          }, Object.defineProperty(this, "lastIndex", { get: function get() {
              return o.lastIndex;
            }, set: function set(t) {
              o.lastIndex = t;
            } });
        }function LexicalParser() {
          var t,
              e = new XRegExp(lex, "InputElementDiv", "g"),
              n = new XRegExp(lex, "InputElementRegExp", "g");Object.defineProperty(this, "source", { get: function get() {
              return t;
            }, set: function set(r) {
              t = r, e.lastIndex = 0, n.lastIndex = 0;
            } }), this.reset = function () {
            e.lastIndex = 0, n.lastIndex = 0;
          }, this.getNextToken = function (r) {
            var o,
                i = e.lastIndex,
                a = (o = r ? e : n).exec(t);if (a && o.lastIndex - i > a.length) throw new SyntaxError("Unexpected token ILLEGAL");return e.lastIndex = o.lastIndex, n.lastIndex = o.lastIndex, a;
          };
        }var rules = { IdentifierName: [["Identifier"]], Literal: [["NullLiteral"], ["BooleanLiteral"], ["NumericLiteral"], ["StringLiteral"], ["RegularExpressionLiteral"]], PrimaryExpression: [["Identifier"], ["Literal"], ["(", "Expression", ")"]], CallExpression: [["PrimaryExpression", "Arguments"], ["CallExpression", "Arguments"]], Arguments: [["(", ")"], ["(", "ArgumentList", ")"]], ArgumentList: [["ConditionalExpression"], ["ArgumentList", ",", "ConditionalExpression"]], LeftHandSideExpression: [["PrimaryExpression"], ["CallExpression"]], UnaryExpression: [["LeftHandSideExpression"], ["void", "UnaryExpression"], ["+", "UnaryExpression"], ["-", "UnaryExpression"], ["~", "UnaryExpression"], ["!", "UnaryExpression"]], ExponentiationExpression: [["UnaryExpression"], ["ExponentiationExpression", "**", "UnaryExpression"]], MultiplicativeExpression: [["MultiplicativeExpression", "/", "ExponentiationExpression"], ["ExponentiationExpression"], ["MultiplicativeExpression", "*", "ExponentiationExpression"], ["MultiplicativeExpression", "%", "ExponentiationExpression"]], AdditiveExpression: [["MultiplicativeExpression"], ["AdditiveExpression", "+", "MultiplicativeExpression"], ["AdditiveExpression", "-", "MultiplicativeExpression"]], ShiftExpression: [["AdditiveExpression"], ["ShiftExpression", "<<", "AdditiveExpression"], ["ShiftExpression", ">>", "AdditiveExpression"], ["ShiftExpression", ">>>", "AdditiveExpression"]], RelationalExpression: [["ShiftExpression"], ["RelationalExpression", "<", "ShiftExpression"], ["RelationalExpression", ">", "ShiftExpression"], ["RelationalExpression", "<=", "ShiftExpression"], ["RelationalExpression", ">=", "ShiftExpression"], ["RelationalExpression", "instanceof", "ShiftExpression"], ["RelationalExpression", "in", "ShiftExpression"]], EqualityExpression: [["RelationalExpression"], ["EqualityExpression", "==", "RelationalExpression"], ["EqualityExpression", "!=", "RelationalExpression"], ["EqualityExpression", "===", "RelationalExpression"], ["EqualityExpression", "!==", "RelationalExpression"]], BitwiseANDExpression: [["EqualityExpression"], ["BitwiseANDExpression", "&", "EqualityExpression"]], BitwiseXORExpression: [["BitwiseANDExpression"], ["BitwiseXORExpression", "^", "BitwiseANDExpression"]], BitwiseORExpression: [["BitwiseXORExpression"], ["BitwiseORExpression", "|", "BitwiseXORExpression"]], LogicalANDExpression: [["BitwiseORExpression"], ["LogicalANDExpression", "&&", "BitwiseORExpression"]], LogicalORExpression: [["LogicalANDExpression"], ["LogicalORExpression", "||", "LogicalANDExpression"]], ConditionalExpression: [["LogicalORExpression"], ["LogicalORExpression", "?", "LogicalORExpression", ":", "LogicalORExpression"]], Expression: [["ConditionalExpression"], ["Expression", ",", "ConditionalExpression"]], Program: [["Expression"]] };function _Symbol(t, e) {
          this.name = t, this.token = e, this.childNodes = [], this.toString = function (t) {
            if (t || (t = ""), 1 == this.childNodes.length) return this.childNodes[0].toString(t);for (var e = t + this.name + (void 0 != this.token && this.name != this.token ? ":" + this.token : "") + "\n", n = 0; n < this.childNodes.length; n++) {
              e += this.childNodes[n].toString(t + "    ");
            }return e;
          };
        }function SyntacticalParser() {
          var t = { Program: "$" },
              e = {};!function t(n) {
            e[JSON.stringify(n)] = n;for (var r = Object.getOwnPropertyNames(n); r.length;) {
              var o = r.shift();rules[o] && rules[o].forEach(function (t) {
                n[t[0]] || r.push(t[0]);var e = n;t.forEach(function (t) {
                  e[t] || (e[t] = {}), e = e[t];
                }), n[o].$div && (e.$div = !0), e.$reduce = o, e.$count = t.length;
              });
            }for (var i in n) {
              "object" != _typeof(n[i]) || "$" == i.charAt(0) || n[i].$closure || (e[JSON.stringify(n[i])] ? n[i] = e[JSON.stringify(n[i])] : t(n[i]));
            }n.$closure = !0;
          }(t);var n = [],
              r = [t],
              o = t;this.insertSymbol = function (t, e) {
            for (; !o[t.name] && o.$reduce;) {
              for (var i = o.$count, a = new _Symbol(o.$reduce); i--;) {
                a.childNodes.push(n.pop()), r.pop();
              }o = r[r.length - 1], this.insertSymbol(a);
            }if (o = o[t.name], n.push(t), r.push(o), !o) throw new Error();return o.$div;
          }, this.reset = function () {
            o = t, n = [], r = [t];
          }, Object.defineProperty(this, "grammarTree", { get: function get() {
              try {
                for (; o.$reduce;) {
                  for (var t = o.$count, e = new _Symbol(o.$reduce); t--;) {
                    e.childNodes.push(n.pop()), r.pop();
                  }o = r[r.length - 1], this.insertSymbol(e);
                }if (n.length > 0 && o[";"]) return this.insertSymbol(new _Symbol(";", ";")), this.grammarTree;if (1 != n.length || "Program" != n[0].name) throw new Error();
              } catch (t) {
                throw new SyntaxError("Unexpected end of input");
              }return n[0];
            } });
        }function Parser() {
          this.lexicalParser = new LexicalParser(), this.syntacticalParser = new SyntacticalParser();var t = {};["NullLiteral", "BooleanLiteral", "NumericLiteral", "StringLiteral", "RegularExpressionLiteral", "Identifier", "**", "=>", "{", "}", "(", ")", "[", "]", ".", ";", ",", "<", ">", "<=", ">=", "==", "!=", "===", "!==", "+", "-", "*", "%", "++", "--", "<<", ">>", ">>>", "&", "|", "^", "!", "~", "&&", "||", "?", ":", "=", "+=", "-=", "*=", "%=", "<<=", ">>=", ">>>=", "&=", "|=", "^=", "/", "/=", "instanceof", "typeof", "new", "void", "debugger", "this", "delete", "in"].forEach(function (e) {
            Object.defineProperty(t, e, {});
          }), this.reset = function () {
            this.lexicalParser.reset(), this.syntacticalParser.reset();
          }, this.parse = function (e, n) {
            var r,
                o = this,
                i = !1;this.lexicalParser.source = e;for (var a = !1; r = this.lexicalParser.getNextToken(a);) {
              n && n(r);try {
                if (Object.getOwnPropertyNames(r).some(function (e) {
                  return !!t.hasOwnProperty(e) && (a = o.syntacticalParser.insertSymbol(new _Symbol(e, r), i), i = !1, !0);
                })) continue;(r.Keyword || r.Punctuator || r.DivPunctuator) && t.hasOwnProperty(r.toString()) && (a = this.syntacticalParser.insertSymbol(new _Symbol(r.toString(), r), i));
              } catch (t) {
                throw new SyntaxError("Unexpected token " + r);
              }
            }return this.syntacticalParser.grammarTree;
          };
        }var parser = new Parser();function JavaScriptExpression(text) {
          parser.reset(), this.tree = parser.parse(text), this.paths = [];var context = Object.create(null),
              me = this,
              pathIndex = Object.create(null);function checkSimple(t) {
            for (var e = t; e.childNodes.length <= 1 && "MemberExpression" !== e.name;) {
              e = e.childNodes[0];
            }"MemberExpression" === e.name ? me.isSimple = !0 : me.isSimple = !1;
          }function walk(t) {
            if ("CallExpression" === t.name && "CallExpression" !== t.childNodes[t.childNodes.length - 1].name) {
              getPath(t.childNodes[1]);walk(t.childNodes[0]);
            } else if ("NewExpression" === t.name && 1 === t.childNodes.length) getPath(t.childNodes[0]);else if ("MemberExpression" === t.name && 1 === t.childNodes.length) getPath(t);else for (var e = 0; e < t.childNodes.length; e++) {
              walk(t.childNodes[e]);
            }
          }function getPath(t) {
            var e;if ("IdentifierName" === t.childNodes[0].name) return (e = getPath(t.childNodes[2])) && (e = e.concat(t.childNodes[0].childNodes[0].token.toString())), createPath(e), e;if ("PrimaryExpression" === t.childNodes[0].name) return "Identifier" === t.childNodes[0].childNodes[0].name ? (createPath(e = [t.childNodes[0].childNodes[0].token.toString()]), e) : null;if ("]" === t.childNodes[0].name) return getPath(t.childNodes[3]), walk(t.childNodes[1]), null;if ("Arguments" === t.childNodes[0].name) return walk(t.childNodes[0]), walk(t.childNodes[1]), null;for (var n = 0; n < t.childNodes.length; n++) {
              walk(t.childNodes[n]);
            }
          }function createPath(t) {
            for (var e = context, n = 0; n < t.length - 1; n++) {
              e[t[n]] || (e[t[n]] = Object.create(null)), e = e[t[n]];
            }me.paths.push(t), pathIndex[t.join(".")] = !1;
          }this.isSimple, this.isConst, walk(this.tree), checkSimple(this.tree), 0 === this.paths.length && (this.isConst = !0), this.setter = function (t) {
            for (var e = context, n = 0; n < t.length - 1; n++) {
              e[t[n]] || (e[t[n]] = Object.create(null)), e = e[t[n]];
            }return { isCompleted: function isCompleted() {
                for (var t in pathIndex) {
                  if (!pathIndex[t]) return !1;
                }return !0;
              }, set: function set(r) {
                return pathIndex[t.join(".")] || (pathIndex[t.join(".")] = !0), e[t[n]] = r, this.isCompleted() ? me.exec() : void 0;
              } };
          }, this.valueOf = this.exec = function () {
            try {
              return function () {
                return eval(text);
              }.call(context);
            } catch (t) {}
          };
        }function visit(t) {
          var e,
              n = t.childNodes.slice().reverse(),
              r = n.filter(function (t) {
            return !t.token || !t.token.Punctuator;
          });if ("UnaryExpression" === t.name && 2 === n.length && "-" === n[0].name && 1 === r.length) return (e = visit(r[0])).value = -e.value, e;if ("Arguments" === t.name) {
            for (var o = [], i = r[0]; i;) {
              3 === i.childNodes.length && (o.unshift(i.childNodes[0]), i = i.childNodes[2]), 1 === i.childNodes.length && (o.unshift(i.childNodes[0]), i = null);
            }return { type: "Arguments", children: o.map(function (t) {
                return visit(t);
              }) };
          }if (r && 1 === r.length) return e = visit(r[0]);if (t.token && ["NullLiteral", "BooleanLiteral", "NumericLiteral", "StringLiteral", "Identifier"].some(function (e) {
            return t.token[e];
          })) {
            var a = Object.keys(t.token).filter(function (t) {
              return t.match(/Literal/) || t.match(/Identifier/);
            })[0];return { type: a, value: { NullLiteral: null, BooleanLiteral: Boolean(t.token), NumericLiteral: Number(t.token), StringLiteral: t.token, Identifier: t.token }[a] };
          }return "CallExpression" === t.name ? { type: "CallExpression", children: [visit(n[0]), visit(n[1])] } : { type: n.filter(function (t) {
              return t.token && t.token.Punctuator;
            })[0].name, children: n.filter(function (t) {
              return !t.token || !t.token.Punctuator;
            }).map(function (t) {
              return visit(t);
            }) };
        }function parse(t) {
          var e = new JavaScriptExpression(t);return JSON.stringify(visit(e.tree), null);
        }module.exports = { parse: parse };
      }]);
    });
  }, function (t, e, n) {
    !function (e, n) {
      t.exports = n();
    }("undefined" != typeof self && self, function () {
      return function (t) {
        var e = {};function n(r) {
          if (e[r]) return e[r].exports;var o = e[r] = { i: r, l: !1, exports: {} };return t[r].call(o.exports, o, o.exports, n), o.l = !0, o.exports;
        }return n.m = t, n.c = e, n.d = function (t, e, r) {
          n.o(t, e) || Object.defineProperty(t, e, { configurable: !1, enumerable: !0, get: r });
        }, n.n = function (t) {
          var e = t && t.__esModule ? function () {
            return t.default;
          } : function () {
            return t;
          };return n.d(e, "a", e), e;
        }, n.o = function (t, e) {
          return Object.prototype.hasOwnProperty.call(t, e);
        }, n.p = "", n(n.s = 9);
      }([function (t, e, n) {
        "use strict";
        /*
        object-assign
        (c) Sindre Sorhus
        @license MIT
        */
        var r = Object.getOwnPropertySymbols,
            o = Object.prototype.hasOwnProperty,
            i = Object.prototype.propertyIsEnumerable;t.exports = function () {
          try {
            if (!Object.assign) return !1;var t = new String("abc");if (t[5] = "de", "5" === Object.getOwnPropertyNames(t)[0]) return !1;for (var e = {}, n = 0; n < 10; n++) {
              e["_" + String.fromCharCode(n)] = n;
            }if ("0123456789" !== Object.getOwnPropertyNames(e).map(function (t) {
              return e[t];
            }).join("")) return !1;var r = {};return "abcdefghijklmnopqrst".split("").forEach(function (t) {
              r[t] = t;
            }), "abcdefghijklmnopqrst" === Object.keys(Object.assign({}, r)).join("");
          } catch (t) {
            return !1;
          }
        }() ? Object.assign : function (t, e) {
          for (var n, a, s = function (t) {
            if (null === t || void 0 === t) throw new TypeError("Object.assign cannot be called with null or undefined");return Object(t);
          }(t), u = 1; u < arguments.length; u++) {
            for (var c in n = Object(arguments[u])) {
              o.call(n, c) && (s[c] = n[c]);
            }if (r) {
              a = r(n);for (var l = 0; l < a.length; l++) {
                i.call(n, a[l]) && (s[a[l]] = n[a[l]]);
              }
            }
          }return s;
        };
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = function (t) {
          return t && t.__esModule ? t : { default: t };
        }(n(2)),
            i = n(3);var a = function () {
          function t(e) {
            !function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, t), this.binding = null, this.binding = e;var n = e.options.props;o.default.map(n, function (t) {
              var e = t.element,
                  n = t.config;n && e && (n.perspective && e.parentNode && (e.parentNode.style[(0, i.prefixStyle)("transformStyle")] = "preserve-3d", e.parentNode.style[(0, i.prefixStyle)("perspective")] = n.perspective + "px", e.parentNode.style[(0, i.prefixStyle)("perspectiveOrigin")] = "0 0"), n.transformOrigin && (e.style[(0, i.prefixStyle)("transformOrigin")] = n.transformOrigin));
            });
          }return r(t, [{ key: "destroy", value: function value() {} }]), t;
        }();e.default = a;
      }, function (t, e, n) {
        !function (e, n) {
          t.exports = n();
        }("undefined" != typeof self && self, function () {
          return function (t) {
            var e = {};function n(r) {
              if (e[r]) return e[r].exports;var o = e[r] = { i: r, l: !1, exports: {} };return t[r].call(o.exports, o, o.exports, n), o.l = !0, o.exports;
            }return n.m = t, n.c = e, n.d = function (t, e, r) {
              n.o(t, e) || Object.defineProperty(t, e, { configurable: !1, enumerable: !0, get: r });
            }, n.n = function (t) {
              var e = t && t.__esModule ? function () {
                return t.default;
              } : function () {
                return t;
              };return n.d(e, "a", e), e;
            }, n.o = function (t, e) {
              return Object.prototype.hasOwnProperty.call(t, e);
            }, n.p = "", n(n.s = 0);
          }([function (t, e, n) {
            "use strict";
            function r(t, e) {
              if (t instanceof Array) return Array.prototype.map.call(t, e);var n = [];return o(t, function (t, r) {
                n.push(e(t, r));
              }), n;
            }function o(t, e) {
              if (t instanceof Array) return Array.prototype.forEach.call(t, e);Object.keys(t).forEach(function (n) {
                e(t[n], n);
              });
            }function i(t, e) {
              var n = null;return o(t, function (t, r) {
                if ("function" == typeof e) e(t, r) && (n = t);else {
                  var o = Object.keys(e)[0];o && t[o] === e[o] && (n = t);
                }
              }), n;
            }t.exports = { find: i, forEach: o, map: r, filter: function filter(t, e) {
                var n = [];return o(t, function (t, r) {
                  e(t, r) && n.push(t);
                }), n;
              }, dropWhile: function dropWhile(t, e) {
                var n = [];return r(t, function (t, r) {
                  e(t, r) || n.push(t);
                }), n;
              }, findIndex: function findIndex(t, e) {
                return t.indexOf(i(t, e));
              } };
          }]);
        });
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          return function (t, e) {
            if (Array.isArray(t)) return t;if (Symbol.iterator in Object(t)) return function (t, e) {
              var n = [],
                  r = !0,
                  o = !1,
                  i = void 0;try {
                for (var a, s = t[Symbol.iterator](); !(r = (a = s.next()).done) && (n.push(a.value), !e || n.length !== e); r = !0) {}
              } catch (t) {
                o = !0, i = t;
              } finally {
                try {
                  !r && s.return && s.return();
                } finally {
                  if (o) throw i;
                }
              }return n;
            }(t, e);throw new TypeError("Invalid attempt to destructure non-iterable instance");
          };
        }();function o(t) {
          return t / document.body.clientWidth * 750;
        }var i = function () {
          for (var t = document.createElement("div").style, e = ["t", "webkitT", "MozT", "msT", "OT"], n = 0, r = e.length; n < r; n++) {
            if (e[n] + "ransform" in t) return e[n].substr(0, e[n].length - 1);
          }return !1;
        }();var a = { a: 7, c: 6, h: 1, l: 2, m: 2, q: 4, s: 4, t: 2, v: 1, z: 0 },
            s = /([astvzqmhlc])([^astvzqmhlc]*)/gi;e.matrixToTransformObj = function (t) {
          "none" === t && (t = "matrix(1,0,0,1,0,0)");Math.atan;var e = Math.atan2,
              n = Math.round,
              i = Math.sqrt,
              a = (Math.PI, { skewY: 0, skewX: 0, translateX: 0, translateY: 0, scaleX: 1, scaleY: 1 }),
              s = t.split("(")[1];if (!(s = (s = s && s.split(")")[0]) && s.split(",")) || !s.length) return a;var u = r(s, 6),
              c = u[0],
              l = u[1],
              f = u[2],
              p = u[3],
              h = u[4],
              d = u[5];return a.rotate = a.rotateZ = n(e(parseFloat(l), parseFloat(c)) * (180 / Math.PI)) || 0, a.translateX = void 0 !== h ? o(h) : 0, a.translateY = void 0 !== d ? o(d) : 0, a.scaleX = i(c * c + l * l), a.scaleY = i(f * f + p * p), a;
        }, e.pxTo750 = o, e.px = function (t) {
          return t / 750 * document.body.clientWidth;
        }, e.clamp = function (t, e, n) {
          return t < e ? e : t > n ? n : t;
        }, e.prefixStyle = function (t) {
          return !1 !== i && ("" === i ? t : i + t.charAt(0).toUpperCase() + t.substr(1));
        }, e.parseSVGPath = function (t, e) {
          var n = [];return t.replace(s, function (t, e, r) {
            var o = e.toLowerCase();for (r = function (t) {
              var e = t.match(/-?[0-9]*\.?[0-9]+(?:e[-+]?\d+)?/gi);return e ? e.map(Number) : [];
            }(r), "m" === o && r.length > 2 && (n.push([e].concat(r.splice(0, 2))), o = "l", e = "m" === e ? "l" : "L"); r.length >= 0;) {
              if (r.length === a[o]) return r.unshift(e), n.push(r);if (r.length < a[o]) throw new Error("malformed path data");n.push([e].concat(r.splice(0, a[o])));
            }
          }), "function" == typeof e ? n.map(function (t) {
            return t.map(function (t, n) {
              return n > 0 ? e(t) : t;
            });
          }) : n;
        }, e.stringifySVGPath = function (t, e) {
          return "function" == typeof e && (t = t.map(function (t) {
            return t.map(function (t, n) {
              return n > 0 ? e(t) : t;
            });
          })), t.map(function (t) {
            return t.join(" ");
          }).join(" ");
        }, e.interceptSVGPath = function (t, e, n, r) {
          return t && t[e] && (n = [r = (r && r.replace(/'|"/g, "") || t[e][0]).replace(/'|"/g, "")].concat(function (t) {
            if (Array.isArray(t)) {
              for (var e = 0, n = Array(t.length); e < t.length; e++) {
                n[e] = t[e];
              }return n;
            }return Array.from(t);
          }(n)), t[e] = n), t;
        };
      }, function (t, e, n) {
        !function (e, n) {
          t.exports = n();
        }(0, function () {
          return function (t) {
            var e = {};function n(r) {
              if (e[r]) return e[r].exports;var o = e[r] = { i: r, l: !1, exports: {} };return t[r].call(o.exports, o, o.exports, n), o.l = !0, o.exports;
            }return n.m = t, n.c = e, n.d = function (t, e, r) {
              n.o(t, e) || Object.defineProperty(t, e, { configurable: !1, enumerable: !0, get: r });
            }, n.n = function (t) {
              var e = t && t.__esModule ? function () {
                return t.default;
              } : function () {
                return t;
              };return n.d(e, "a", e), e;
            }, n.o = function (t, e) {
              return Object.prototype.hasOwnProperty.call(t, e);
            }, n.p = "", n(n.s = 3);
          }([function (t, e, n) {
            "use strict";
            var r = Math.PI,
                o = Math.sin,
                i = Math.cos,
                a = Math.sqrt,
                s = Math.pow,
                u = 1.70158,
                c = 1.525 * u,
                l = 2 * r / 3,
                f = 2 * r / 4.5;function p(t) {
              var e = 7.5625,
                  n = 2.75;return t < 1 / n ? e * t * t : t < 2 / n ? e * (t -= 1.5 / n) * t + .75 : t < 2.5 / n ? e * (t -= 2.25 / n) * t + .9375 : e * (t -= 2.625 / n) * t + .984375;
            }var h = { linear: function linear(t) {
                return t;
              }, easeInQuad: function easeInQuad(t) {
                return t * t;
              }, easeOutQuad: function easeOutQuad(t) {
                return 1 - (1 - t) * (1 - t);
              }, easeInOutQuad: function easeInOutQuad(t) {
                return t < .5 ? 2 * t * t : 1 - s(-2 * t + 2, 2) / 2;
              }, easeInCubic: function easeInCubic(t) {
                return t * t * t;
              }, easeOutCubic: function easeOutCubic(t) {
                return 1 - s(1 - t, 3);
              }, easeInOutCubic: function easeInOutCubic(t) {
                return t < .5 ? 4 * t * t * t : 1 - s(-2 * t + 2, 3) / 2;
              }, easeInQuart: function easeInQuart(t) {
                return t * t * t * t;
              }, easeOutQuart: function easeOutQuart(t) {
                return 1 - s(1 - t, 4);
              }, easeInOutQuart: function easeInOutQuart(t) {
                return t < .5 ? 8 * t * t * t * t : 1 - s(-2 * t + 2, 4) / 2;
              }, easeInQuint: function easeInQuint(t) {
                return t * t * t * t * t;
              }, easeOutQuint: function easeOutQuint(t) {
                return 1 - s(1 - t, 5);
              }, easeInOutQuint: function easeInOutQuint(t) {
                return t < .5 ? 16 * t * t * t * t * t : 1 - s(-2 * t + 2, 5) / 2;
              }, easeInSine: function easeInSine(t) {
                return 1 - i(t * r / 2);
              }, easeOutSine: function easeOutSine(t) {
                return o(t * r / 2);
              }, easeInOutSine: function easeInOutSine(t) {
                return -(i(r * t) - 1) / 2;
              }, easeInExpo: function easeInExpo(t) {
                return 0 === t ? 0 : s(2, 10 * t - 10);
              }, easeOutExpo: function easeOutExpo(t) {
                return 1 === t ? 1 : 1 - s(2, -10 * t);
              }, easeInOutExpo: function easeInOutExpo(t) {
                return 0 === t ? 0 : 1 === t ? 1 : t < .5 ? s(2, 20 * t - 10) / 2 : (2 - s(2, -20 * t + 10)) / 2;
              }, easeInCirc: function easeInCirc(t) {
                return 1 - a(1 - s(t, 2));
              }, easeOutCirc: function easeOutCirc(t) {
                return a(1 - s(t - 1, 2));
              }, easeInOutCirc: function easeInOutCirc(t) {
                return t < .5 ? (1 - a(1 - s(2 * t, 2))) / 2 : (a(1 - s(-2 * t + 2, 2)) + 1) / 2;
              }, easeInElastic: function easeInElastic(t) {
                return 0 === t ? 0 : 1 === t ? 1 : -s(2, 10 * t - 10) * o((10 * t - 10.75) * l);
              }, easeOutElastic: function easeOutElastic(t) {
                return 0 === t ? 0 : 1 === t ? 1 : s(2, -10 * t) * o((10 * t - .75) * l) + 1;
              }, easeInOutElastic: function easeInOutElastic(t) {
                return 0 === t ? 0 : 1 === t ? 1 : t < .5 ? -s(2, 20 * t - 10) * o((20 * t - 11.125) * f) / 2 : s(2, -20 * t + 10) * o((20 * t - 11.125) * f) / 2 + 1;
              }, easeInBack: function easeInBack(t) {
                return 2.70158 * t * t * t - u * t * t;
              }, easeOutBack: function easeOutBack(t) {
                return 1 + 2.70158 * s(t - 1, 3) + u * s(t - 1, 2);
              }, easeInOutBack: function easeInOutBack(t) {
                return t < .5 ? s(2 * t, 2) * (7.189819 * t - c) / 2 : (s(2 * t - 2, 2) * ((c + 1) * (2 * t - 2) + c) + 2) / 2;
              }, easeInBounce: function easeInBounce(t) {
                return 1 - p(1 - t);
              }, easeOutBounce: p, easeInOutBounce: function easeInOutBounce(t) {
                return t < .5 ? (1 - p(1 - 2 * t)) / 2 : (1 + p(2 * t - 1)) / 2;
              }, cubicBezier: function cubicBezier() {} };t.exports = h;
          }, function (t, e, n) {
            "use strict";
            t.exports = function (t, e, n, r, o) {
              var i = function i(e) {
                var r = 1 - e;return 3 * r * r * e * t + 3 * r * e * e * n + e * e * e;
              },
                  a = function a(t) {
                var n = 1 - t;return 3 * n * n * t * e + 3 * n * t * t * r + t * t * t;
              },
                  s = function s(e) {
                var r = 1 - e;return 3 * (2 * (e - 1) * e + r * r) * t + 3 * (-e * e * e + 2 * r * e) * n;
              };return function (t) {
                var e,
                    n,
                    r,
                    u,
                    c,
                    l,
                    f = t;for (r = f, l = 0; l < 8; l++) {
                  if (u = i(r) - f, Math.abs(u) < o) return a(r);if (c = s(r), Math.abs(c) < 1e-6) break;r -= u / c;
                }if (n = 1, (r = f) < (e = 0)) return a(e);if (r > n) return a(n);for (; e < n;) {
                  if (u = i(r), Math.abs(u - f) < o) return a(r);f > u ? e = r : n = r, r = .5 * (n - e) + e;
                }return a(r);
              };
            };
          }, function (t, e, n) {
            "use strict";
            var r = window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame || function (t) {
              window.setTimeout(t, 1e3 / 60);
            },
                o = window.cancelAnimationFrame || window.webkitCancelAnimationFrame || window.mozCancelAnimationFrame || window.oCancelAnimationFrame || window.msCancelAnimationFrame || window.clearTimeout;t.exports = { raf: r, cancelRAF: o };
          }, function (t, e, n) {
            "use strict";
            t.exports = n(4);
          }, function (t, e, n) {
            "use strict";
            var r = n(0),
                o = n(1),
                i = n(2),
                a = i.raf,
                s = i.cancelRAF,
                u = n(5),
                c = "start",
                l = "end",
                f = "run",
                p = "stop",
                h = function h() {};function d(t) {
              this.init(t);
            }d.prototype = { init: function init(t) {
                this.cfg = u({ easing: "linear", duration: 1 / 0, onStart: h, onRun: h, onStop: h, onEnd: h }, t);
              }, run: function run() {
                var t = this.cfg,
                    e = t.duration,
                    n = t.onStart,
                    i = t.onRun;if (e <= 1 && (this.isfinished = !0, "function" == typeof i && i({ percent: 1 }), this.stop()), !this.isfinished) {
                  this._hasFinishedPercent = this._stop && this._stop.percent || 0, this._stop = null, this.start = Date.now(), this.percent = 0, "function" == typeof n && n({ percent: 0, type: c });var a = 1e3 / 60 / e / 4,
                      s = this.cfg.bezierArgs;this.easingFn = s && 4 === s.length ? o(s[0], s[1], s[2], s[3], a) : r[this.cfg.easing], this._run();
                }
              }, _run: function _run() {
                var t = this,
                    e = this.cfg,
                    n = e.onRun,
                    r = e.onStop;s(this._raf), this._raf = a(function () {
                  if (t.now = Date.now(), t.t = t.now - t.start, t.duration = t.now - t.start >= t.cfg.duration ? t.cfg.duration : t.now - t.start, t.progress = t.easingFn(t.duration / t.cfg.duration), t.percent = t.duration / t.cfg.duration + t._hasFinishedPercent, t.percent >= 1 || t._stop) return t.percent = t._stop && t._stop.percent ? t._stop.percent : 1, t.duration = t._stop && t._stop.duration ? t._stop.duration : t.duration, "function" == typeof n && n({ percent: t.progress, originPercent: t.percent, t: t.t, type: f }), "function" == typeof r && r({ percent: t.percent, t: t.t, type: p }), void (t.percent >= 1 && (t.isfinished = !0, t.stop()));"function" == typeof n && n({ percent: t.progress, originPercent: t.percent, t: t.t, type: f }), t._run();
                });
              }, stop: function stop() {
                var t = this.cfg.onEnd;this._stop = { percent: this.percent, now: this.now }, "function" == typeof t && t({ percent: 1, t: this.t, type: l }), s(this._raf);
              } }, d.Easing = r, d.Bezier = o, d.raf = a, d.cancelRAF = s, t.exports = d;
          }, function (t, e, n) {
            "use strict";
            /*
            object-assign
            (c) Sindre Sorhus
            @license MIT
            */
            var r = Object.getOwnPropertySymbols,
                o = Object.prototype.hasOwnProperty,
                i = Object.prototype.propertyIsEnumerable;t.exports = function () {
              try {
                if (!Object.assign) return !1;var t = new String("abc");if (t[5] = "de", "5" === Object.getOwnPropertyNames(t)[0]) return !1;for (var e = {}, n = 0; n < 10; n++) {
                  e["_" + String.fromCharCode(n)] = n;
                }if ("0123456789" !== Object.getOwnPropertyNames(e).map(function (t) {
                  return e[t];
                }).join("")) return !1;var r = {};return "abcdefghijklmnopqrst".split("").forEach(function (t) {
                  r[t] = t;
                }), "abcdefghijklmnopqrst" === Object.keys(Object.assign({}, r)).join("");
              } catch (t) {
                return !1;
              }
            }() ? Object.assign : function (t, e) {
              for (var n, a, s = function (t) {
                if (null === t || void 0 === t) throw new TypeError("Object.assign cannot be called with null or undefined");return Object(t);
              }(t), u = 1; u < arguments.length; u++) {
                for (var c in n = Object(arguments[u])) {
                  o.call(n, c) && (s[c] = n[c]);
                }if (r) {
                  a = r(n);for (var l = 0; l < a.length; l++) {
                    i.call(n, a[l]) && (s[a[l]] = n[a[l]]);
                  }
                }
              }return s;
            };
          }]);
        });
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function (t) {
          return t && t.__esModule ? t : { default: t };
        }(n(6));function o(t, e, n) {
          this.x = t || 0, this.y = e || 0, this.z = n || 0;
        }o.prototype = { constructor: o, isVector3: !0, set: function set(t, e, n) {
            return this.x = t, this.y = e, this.z = n, this;
          }, applyEuler: function () {
            var t;return function (e) {
              return !1 === (e && e.isEuler) && console.error("THREE.Vector3: .applyEuler() now expects an Euler rotation rather than a Vector3 and order."), void 0 === t && (t = new r.default()), this.applyQuaternion(t.setFromEuler(e));
            };
          }(), applyQuaternion: function applyQuaternion(t) {
            var e = this.x,
                n = this.y,
                r = this.z,
                o = t.x,
                i = t.y,
                a = t.z,
                s = t.w,
                u = s * e + i * r - a * n,
                c = s * n + a * e - o * r,
                l = s * r + o * n - i * e,
                f = -o * e - i * n - a * r;return this.x = u * s + f * -o + c * -a - l * -i, this.y = c * s + f * -i + l * -o - u * -a, this.z = l * s + f * -a + u * -i - c * -o, this;
          } }, e.default = o;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function (t) {
          return t && t.__esModule ? t : { default: t };
        }(n(0));function o(t, e, n, r) {
          this._x = t || 0, this._y = e || 0, this._z = n || 0, this._w = void 0 !== r ? r : 1;
        }o.prototype = { constructor: o, get x() {
            return this._x;
          }, set x(t) {
            this._x = t, this.onChangeCallback();
          }, get y() {
            return this._y;
          }, set y(t) {
            this._y = t, this.onChangeCallback();
          }, get z() {
            return this._z;
          }, set z(t) {
            this._z = t, this.onChangeCallback();
          }, get w() {
            return this._w;
          }, set w(t) {
            this._w = t, this.onChangeCallback();
          }, set: function set(t, e, n, r) {
            return this._x = t, this._y = e, this._z = n, this._w = r, this.onChangeCallback(), this;
          }, clone: function clone() {
            return new this.constructor(this._x, this._y, this._z, this._w);
          }, copy: function copy(t) {
            return this._x = t.x, this._y = t.y, this._z = t.z, this._w = t.w, this.onChangeCallback(), this;
          }, setFromEuler: function setFromEuler(t, e) {
            if (!1 === (t && t.isEuler)) throw new Error("THREE.Quaternion: .setFromEuler() now expects an Euler rotation rather than a Vector3 and order.");var n = Math.cos(t._x / 2),
                r = Math.cos(t._y / 2),
                o = Math.cos(t._z / 2),
                i = Math.sin(t._x / 2),
                a = Math.sin(t._y / 2),
                s = Math.sin(t._z / 2),
                u = t.order;return "XYZ" === u ? (this._x = i * r * o + n * a * s, this._y = n * a * o - i * r * s, this._z = n * r * s + i * a * o, this._w = n * r * o - i * a * s) : "YXZ" === u ? (this._x = i * r * o + n * a * s, this._y = n * a * o - i * r * s, this._z = n * r * s - i * a * o, this._w = n * r * o + i * a * s) : "ZXY" === u ? (this._x = i * r * o - n * a * s, this._y = n * a * o + i * r * s, this._z = n * r * s + i * a * o, this._w = n * r * o - i * a * s) : "ZYX" === u ? (this._x = i * r * o - n * a * s, this._y = n * a * o + i * r * s, this._z = n * r * s - i * a * o, this._w = n * r * o + i * a * s) : "YZX" === u ? (this._x = i * r * o + n * a * s, this._y = n * a * o + i * r * s, this._z = n * r * s - i * a * o, this._w = n * r * o - i * a * s) : "XZY" === u && (this._x = i * r * o - n * a * s, this._y = n * a * o - i * r * s, this._z = n * r * s + i * a * o, this._w = n * r * o + i * a * s), !1 !== e && this.onChangeCallback(), this;
          }, setFromAxisAngle: function setFromAxisAngle(t, e) {
            var n = e / 2,
                r = Math.sin(n);return this._x = t.x * r, this._y = t.y * r, this._z = t.z * r, this._w = Math.cos(n), this.onChangeCallback(), this;
          }, multiply: function multiply(t, e) {
            return void 0 !== e ? (console.warn("THREE.Quaternion: .multiply() now only accepts one argument. Use .multiplyQuaternions( a, b ) instead."), this.multiplyQuaternions(t, e)) : this.multiplyQuaternions(this, t);
          }, multiplyQuaternions: function multiplyQuaternions(t, e) {
            var n = t._x,
                r = t._y,
                o = t._z,
                i = t._w,
                a = e._x,
                s = e._y,
                u = e._z,
                c = e._w;return this._x = n * c + i * a + r * u - o * s, this._y = r * c + i * s + o * a - n * u, this._z = o * c + i * u + n * s - r * a, this._w = i * c - n * a - r * s - o * u, this.onChangeCallback(), this;
          }, slerp: function slerp(t, e) {
            if (0 === e) return this;if (1 === e) return this.copy(t);var n = this._x,
                r = this._y,
                o = this._z,
                i = this._w,
                a = i * t._w + n * t._x + r * t._y + o * t._z;if (a < 0 ? (this._w = -t._w, this._x = -t._x, this._y = -t._y, this._z = -t._z, a = -a) : this.copy(t), a >= 1) return this._w = i, this._x = n, this._y = r, this._z = o, this;var s = Math.sqrt(1 - a * a);if (Math.abs(s) < .001) return this._w = .5 * (i + this._w), this._x = .5 * (n + this._x), this._y = .5 * (r + this._y), this._z = .5 * (o + this._z), this;var u = Math.atan2(s, a),
                c = Math.sin((1 - e) * u) / s,
                l = Math.sin(e * u) / s;return this._w = i * c + this._w * l, this._x = n * c + this._x * l, this._y = r * c + this._y * l, this._z = o * c + this._z * l, this.onChangeCallback(), this;
          }, onChange: function onChange(t) {
            return this.onChangeCallback = t, this;
          }, onChangeCallback: function onChangeCallback() {} }, (0, r.default)(o, { slerp: function slerp(t, e, n, r) {
            return n.copy(t).slerp(e, r);
          }, slerpFlat: function slerpFlat(t, e, n, r, o, i, a) {
            var s = n[r + 0],
                u = n[r + 1],
                c = n[r + 2],
                l = n[r + 3],
                f = o[i + 0],
                p = o[i + 1],
                h = o[i + 2],
                d = o[i + 3];if (l !== d || s !== f || u !== p || c !== h) {
              var v = 1 - a,
                  y = s * f + u * p + c * h + l * d,
                  g = y >= 0 ? 1 : -1,
                  b = 1 - y * y;if (b > Number.EPSILON) {
                var m = Math.sqrt(b),
                    x = Math.atan2(m, y * g);v = Math.sin(v * x) / m, a = Math.sin(a * x) / m;
              }var _ = a * g;if (s = s * v + f * _, u = u * v + p * _, c = c * v + h * _, l = l * v + d * _, v === 1 - a) {
                var w = 1 / Math.sqrt(s * s + u * u + c * c + l * l);s *= w, u *= w, c *= w, l *= w;
              }
            }t[e] = s, t[e + 1] = u, t[e + 2] = c, t[e + 3] = l;
          } }), e.default = o;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = { DEG2RAD: Math.PI / 180, RAD2DEG: 180 / Math.PI, degToRad: function degToRad(t) {
            return t * r.DEG2RAD;
          }, radToDeg: function radToDeg(t) {
            return t * r.RAD2DEG;
          } };e.default = r;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = s(n(2)),
            i = s(n(0)),
            a = n(3);function s(t) {
          return t && t.__esModule ? t : { default: t };
        }Math.abs;var u = { pointers: 2, threshold: 2 },
            c = function () {
          function t(e, n) {
            var r = this;!function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, t), this.lastScale = -1, this.lastRotation = -1, this.rotation = -1, this.lastDistance = 0, this.deltaX = 0, this.deltaY = 0, this.events = { pinchstart: [], pinch: [], pinchend: [], pinchcancel: [], rotationstart: [], rotation: [], rotationend: [], rotationcancel: [] }, this.onTouchStart = function (t) {}, this.handleGestureStart = function (t) {
              t.preventDefault();var e = (0, a.pxTo750)(t.touches[0].pageX),
                  n = (0, a.pxTo750)(t.touches[0].pageY),
                  o = (0, a.pxTo750)(t.touches[1].pageX),
                  i = (0, a.pxTo750)(t.touches[1].pageY);r.lastDistance = r.distanceBetweenTwoPoints(e, o, n, i), r.lastScale = 1, r.lastRotation = r.getAngle(e, n, o, i), r.events.pinchstart.forEach(function (t) {
                t({ scale: r.lastScale });
              }), r.events.rotationstart.forEach(function (t) {
                t({ rotation: 0 });
              });
            }, this.getPointerNum = function (t) {
              return t.touches.length;
            }, this.distanceBetweenTwoPoints = function (t, e, n, r) {
              return Math.hypot(e - t, r - n);
            }, this.onTouchMove = function (t) {
              var e = r.config,
                  n = e.pointers;e.threshold;if (r.getPointerNum(t) === n) if (r.lastScale < 0 || r.lastRotation < 0) r.handleGestureStart(t);else {
                var o = (0, a.pxTo750)(t.touches[0].pageX),
                    i = (0, a.pxTo750)(t.touches[0].pageY),
                    s = (0, a.pxTo750)(t.touches[1].pageX),
                    u = (0, a.pxTo750)(t.touches[1].pageY),
                    c = r.distanceBetweenTwoPoints(o, s, i, u);r.lastScale = c / r.lastDistance;var l = r.getAngle(o, i, s, u);r.rotation = l - r.lastRotation, r.events.pinch.forEach(function (t) {
                  t({ scale: r.lastScale });
                }), r.events.rotation.forEach(function (t) {
                  t({ rotation: r.rotation });
                });
              }
            }, this.onTouchEnd = function (t) {
              r.events.pinchend.forEach(function (t) {
                t({ scale: r.lastScale });
              }), r.events.rotationend.forEach(function (t) {
                t({ scale: r.rotation });
              });
            }, this.onTouchCancel = function (t) {
              r.events.pinchcancel.forEach(function (t) {
                t({ scale: r.lastScale });
              }), r.events.rotationcancel.forEach(function (t) {
                t({ scale: r.rotation });
              });
            }, this.el = e, this.config = (0, i.default)(u, n), this.el.addEventListener("touchstart", this.onTouchStart), this.el.addEventListener("touchmove", this.onTouchMove), this.el.addEventListener("touchend", this.onTouchEnd), this.el.addEventListener("touchcancel", this.onTouchCancel);
          }return r(t, [{ key: "getAngle", value: function value(t, e, n, r) {
              return 180 * Math.atan2(r - e, n - t) / Math.PI;
            } }, { key: "on", value: function value(t, e) {
              this.events[t] && this.events[t].push(e);
            } }, { key: "destroy", value: function value() {
              this.el.removeEventListener("touchstart", this.onTouchStart), this.el.removeEventListener("touchmove", this.onTouchMove), this.el.removeEventListener("touchend", this.onTouchEnd), this.el.removeEventListener("touchcancel", this.onTouchCancel), this.offAll(), this.lastDistance = 0, this.lastScale = -1, this.lastRotation = -1, this.rotation = -1;
            } }, { key: "offAll", value: function value() {
              var t = this;o.default.map(this.events, function (e, n) {
                o.default.forEach(e, function (e) {
                  t.off(n, e);
                });
              });
            } }, { key: "off", value: function value(t, e) {
              if (t && t && this.events[t] && this.events[t].length) {
                if (!e) return;var n = o.default.find(this.events[t], function (t) {
                  return t === e;
                }),
                    r = o.default.findIndex(this.events[t], function (t) {
                  return t === e;
                });n && this.events[t].splice(r, 1);
              }
            } }]), t;
        }();e.default = c;
      }, function (t, e, n) {
        "use strict";
        var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = l(n(2)),
            i = l(n(10)),
            a = n(11),
            s = n(3),
            u = l(n(21)),
            c = l(n(0));function l(t) {
          return t && t.__esModule ? t : { default: t };
        }var f = (0, s.prefixStyle)("transform");function p(t, e, n) {
          t.transform[e] = n, t.shouldTransform = !0;
        }function h(t) {
          if (t instanceof HTMLElement || t instanceof SVGElement) {
            var e = window.getComputedStyle(t),
                n = (0, s.matrixToTransformObj)(e[f]);return n.opacity = Number(e.opacity), n["background-color"] = e["background-color"], n.color = e.color, n.width = (0, s.pxTo750)(e.width.replace("px", "")), n.height = (0, s.pxTo750)(e.height.replace("px", "")), n["border-top-left-radius"] = (0, s.pxTo750)(e["border-top-left-radius"].replace("px", "")), n["border-top-right-radius"] = (0, s.pxTo750)(e["border-top-right-radius"].replace("px", "")), n["border-bottom-left-radius"] = (0, s.pxTo750)(e["border-bottom-left-radius"].replace("px", "")), n["border-bottom-right-radius"] = (0, s.pxTo750)(e["border-bottom-right-radius"].replace("px", "")), n["margin-top"] = (0, s.pxTo750)(e["margin-top"].replace("px", "")), n["margin-bottom"] = (0, s.pxTo750)(e["margin-bottom"].replace("px", "")), n["margin-left"] = (0, s.pxTo750)(e["margin-left"].replace("px", "")), n["margin-right"] = (0, s.pxTo750)(e["margin-right"].replace("px", "")), n["padding-top"] = (0, s.pxTo750)(e["padding-top"].replace("px", "")), n["padding-bottom"] = (0, s.pxTo750)(e["padding-bottom"].replace("px", "")), n["padding-left"] = (0, s.pxTo750)(e["padding-left"].replace("px", "")), n["padding-right"] = (0, s.pxTo750)(e["padding-right"].replace("px", "")), n;
          }
        }var d = function () {
          function t(e, n) {
            switch (function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, t), this._eventHandler = null, this.elTransforms = [], this.elPaths = [], this.token = null, this.options = e, this.callback = n, this.token = this.genToken(), this._initElTransforms(), e.eventType) {case "pan":
                this._eventHandler = new a.PanHandler(this);break;case "pinch":
                this._eventHandler = new a.PinchHandler(this);break;case "rotation":
                this._eventHandler = new a.RotationHandler(this);break;case "orientation":
                this._eventHandler = new a.OrientationHandler(this);break;case "timing":
                this._eventHandler = new a.TimingHandler(this);break;case "scroll":
                this._eventHandler = new a.ScrollHandler(this);}
          }return r(t, [{ key: "genToken", value: function value() {
              return parseInt(1e7 * Math.random());
            } }, { key: "_initElTransforms", value: function value() {
              var t = this.options.props,
                  e = void 0 === t ? [] : t,
                  n = this.elTransforms;e.forEach(function (t) {
                var e = t.element;if (!o.default.find(n, function (t) {
                  return t.element === e;
                })) {
                  var r = { translateX: 0, translateY: 0, translateZ: 0, scaleX: 1, scaleY: 1, scaleZ: 1, rotateX: 0, rotateY: 0, rotateZ: 0, skewX: 0, skewY: 0 };if (e instanceof SVGElement) {
                    var i = h(e);r.translateX = (0, s.px)(i.translateX), r.translateY = (0, s.px)(i.translateY), r.rotateZ = i.rotateZ, r.scaleX = i.scaleX, r.scaleY = i.scaleY, r.skewX = i.skewX, r.skewY = i.skewY;
                  }n.push({ element: e, transform: r });
                }
              });
            } }, { key: "getValue", value: function value(t, e) {
              return i.default.execute(e, (0, c.default)(u.default, t));
            } }, { key: "setProperty", value: function value(t, e, n) {
              if (this.options.debug && console.log("property:", e, " value:", n), t instanceof HTMLElement) {
                var r = o.default.find(this.elTransforms, function (e) {
                  return e.element === t;
                });switch (e) {case "scroll.contentOffsetY":
                    t.scrollTop = (0, s.px)(n);break;case "scroll.contentOffsetX":
                    t.scrollLeft = (0, s.px)(n);break;case "transform.translateX":
                    p(r, "translateX", (0, s.px)(n));break;case "transform.translateY":
                    p(r, "translateY", (0, s.px)(n));break;case "transform.translateZ":
                    p(r, "translateZ", (0, s.px)(n));break;case "transform.rotateX":
                    p(r, "rotateX", n);break;case "transform.rotateY":
                    p(r, "rotateY", n);break;case "transform.rotateZ":case "transform.rotate":
                    p(r, "rotateZ", n);break;case "transform.scaleX":
                    p(r, "scaleX", n);break;case "transform.scaleY":
                    p(r, "scaleY", n);break;case "transform.scale":
                    p(r, "scaleX", n), p(r, "scaleY", n);break;case "opacity":
                    t.style.opacity = n;break;case "background-color":
                    t.style["background-color"] = n;break;case "color":
                    t.style.color = n;break;case "width":case "height":case "border-top-left-radius":case "border-top-right-radius":case "border-bottom-left-radius":case "border-bottom-right-radius":case "border-radius":case "margin-top":case "margin-bottom":case "margin-left":case "margin-right":case "padding-top":case "padding-bottom":case "padding-left":case "padding-right":
                    t.style[e] = (0, s.px)(n) + "px";}r && r.shouldTransform && (t.style[f] = ["translateX(" + r.transform.translateX + "px)", "translateY(" + r.transform.translateY + "px)", "translateZ(" + r.transform.translateZ + "px)", "scaleX(" + r.transform.scaleX + ")", "scaleY(" + r.transform.scaleY + ")", "rotateX(" + r.transform.rotateX + "deg)", "rotateY(" + r.transform.rotateY + "deg)", "rotateZ(" + r.transform.rotateZ + "deg)"].join(" "));
              } else if (t instanceof SVGElement) {
                var i = o.default.find(this.elTransforms, function (e) {
                  return e.element === t;
                });switch (e) {case "svg-dashoffset":
                    t.setAttribute("stroke-dashoffset", (0, s.px)(n));break;case "svg-transform.translateX":
                    p(i, "translateX", (0, s.px)(n));break;case "svg-transform.translateY":
                    p(i, "translateY", (0, s.px)(n));break;case "svg-transform.translateZ":
                    p(i, "translateZ", (0, s.px)(n));break;case "svg-transform.rotateX":
                    p(i, "rotateX", n);break;case "svg-transform.rotateY":
                    p(i, "rotateY", n);break;case "svg-transform.rotateZ":case "svg-transform.rotate":
                    p(i, "rotateZ", n);break;case "svg-transform.scaleX":
                    p(i, "scaleX", n);break;case "svg-transform.scaleY":
                    p(i, "scaleY", n);break;case "svg-transform.scale":
                    p(i, "scaleX", n), p(i, "scaleY", n);break;case "svg-transform.skewX":
                    p(i, "skewX", n);break;case "svg-transform.skewY":
                    p(i, "skewY", n);break;case "svg-path":
                    var a = o.default.find(this.elPaths, function (e) {
                      return e.element === t;
                    });if (a && a.path || (a = { element: t, path: (0, s.parseSVGPath)(t.getAttribute("d"), s.pxTo750) }, this.elPaths.push(a)), a && a.path) if (n && n.length) for (var u = 0; u < n.length; u++) {
                      a.path = (0, s.interceptSVGPath)(a.path, n[u].index, n[u].values, n[u].cmd);
                    } else a.path = (0, s.interceptSVGPath)(a.path, n.index, n.values, n.cmd);}var c = o.default.find(this.elPaths, function (e) {
                  return e.element === t;
                });c && c.path && t.setAttribute("d", (0, s.stringifySVGPath)(c.path, s.px)), i.shouldTransform && (t.style[f] = ["translateX(" + i.transform.translateX + "px)", "translateY(" + i.transform.translateY + "px)", "translateZ(" + i.transform.translateZ + "px)", "scaleX(" + i.transform.scaleX + ")", "scaleY(" + i.transform.scaleY + ")", "rotateX(" + i.transform.rotateX + "deg)", "rotateY(" + i.transform.rotateY + "deg)", "rotateZ(" + i.transform.rotateZ + "deg)", "skewX(" + i.transform.skewX + "deg)", "skewY(" + i.transform.skewY + "deg)"].join(" "));
              } else switch (e) {case "lottie-progress":
                  "function" == typeof t.setProgress && t.setProgress(n);}
            } }, { key: "destroy", value: function value() {
              this._eventHandler.destroy();
            } }]), t;
        }();t.exports = { _bindingInstances: [], bind: function bind(t) {
            var e = this,
                n = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : function () {};if (!t) throw new Error("should pass options for binding");var r = o.default.filter(this._bindingInstances, function (e) {
              if (t.anchor) return e.options.anchor === t.anchor && e.options.eventType === t.eventType;
            });r && o.default.forEach(r, function (t) {
              t.destroy(), e._bindingInstances = o.default.dropWhile(e._bindingInstances, function (e) {
                return e === t;
              });
            });var i = new d(t, n);return this._bindingInstances.push(i), { token: i.token };
          }, unbind: function unbind(t) {
            if (!t) throw new Error("should pass options for binding");var e = o.default.find(this._bindingInstances, function (e) {
              return e.options.eventType === t.eventType && e.token === t.token;
            });e && e.destroy();
          }, unbindAll: function unbindAll() {
            this._bindingInstances.forEach(function (t) {
              t.destroy({ eventType: t.options.eventType, token: t.token });
            });
          }, getComputedStyle: h };
      }, function (t, e, n) {
        "use strict";
        function r(t) {
          return Number(t);
        }function o(t) {
          return !!t;
        }function i(t, e) {
          return t == e;
        }function a(t, e) {
          return t === e;
        }Object.defineProperty(e, "__esModule", { value: !0 }), e.default = { execute: function t(e, n) {
            var s = e.type,
                u = e.children;switch (s) {case "StringLiteral":
                return String(e.value);case "NumericLiteral":
                return parseFloat(e.value);case "BooleanLiteral":
                return !!e.value;case "Identifier":
                return n[e.value];case "CallExpression":
                for (var c = t(u[0], n), l = [], f = u[1].children, p = 0; p < f.length; p++) {
                  l.push(t(f[p], n));
                }return c.apply(null, l);case "?":
                return t(u[0], n) ? t(u[1], n) : t(u[2], n);case "+":
                return r(t(u[0], n)) + r(t(u[1], n));case "-":
                return r(t(u[0], n)) - r(t(u[1], n));case "*":
                return r(t(u[0], n)) * r(t(u[1], n));case "/":
                return r(t(u[0], n)) / r(t(u[1], n));case "%":
                return r(t(u[0], n)) % r(t(u[1], n));case "**":
                return Math.pow(r(t(u[0], n)), r(t(u[1], n)));case ">":
                return r(t(u[0], n)) > r(t(u[1], n));case "<":
                return r(t(u[0], n)) < r(t(u[1], n));case ">=":
                return r(t(u[0], n)) >= r(t(u[1], n));case "<=":
                return r(t(u[0], n)) <= r(t(u[1], n));case "==":
                return i(t(u[0], n), t(u[1], n));case "===":
                return a(t(u[0], n), t(u[1], n));case "!=":
                return !i(t(u[0], n), t(u[1], n));case "!==":
                return !a(t(u[0], n), t(u[1], n));case "&&":
                var h = void 0;return o(h = t(u[0], n)) ? t(u[1], n) : h;case "||":
                return o(h = t(u[0], n)) ? h : t(u[1], n);case "!":
                return !o(t(u[0], n));}return null;
          } };
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 }), e.RotationHandler = e.PinchHandler = e.ScrollHandler = e.TimingHandler = e.OrientationHandler = e.PanHandler = void 0;var r = c(n(12)),
            o = c(n(14)),
            i = c(n(17)),
            a = c(n(18)),
            s = c(n(19)),
            u = c(n(20));function c(t) {
          return t && t.__esModule ? t : { default: t };
        }e.PanHandler = r.default, e.OrientationHandler = o.default, e.TimingHandler = i.default, e.ScrollHandler = a.default, e.PinchHandler = s.default, e.RotationHandler = u.default;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = a(n(13)),
            i = a(n(1));function a(t) {
          return t && t.__esModule ? t : { default: t };
        }var s = function (t) {
          function e(t) {
            !function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, e);var n = function (t, e) {
              if (!t) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return !e || "object" != (typeof e === "undefined" ? "undefined" : _typeof2(e)) && "function" != typeof e ? t : e;
            }(this, (e.__proto__ || Object.getPrototypeOf(e)).call(this, t));n._onPan = function (t) {
              var e = t.deltaX,
                  r = t.deltaY,
                  o = n.binding.options.props;(void 0 === o ? [] : o).forEach(function (t) {
                var o = t.element,
                    i = t.property,
                    a = t.expression,
                    s = JSON.parse(a.transformed),
                    u = n.binding.getValue({ x: e, y: r }, s);n.binding.setProperty(o, i, u), o.style.transition = "", o.style.webkitTransition = "";
              });
            }, n._onPanStart = function () {
              n.binding.callback({ deltaX: 0, state: "start", deltaY: 0 });
            }, n._onPanEnd = function (t) {
              n.binding.callback({ deltaX: parseInt(t.deltaX), state: "end", deltaY: parseInt(t.deltaY) });
            };var r = t.options.anchor,
                i = n.panGesture = new o.default(r, t.options.options);return i.on("pan", n._onPan), i.on("panstart", n._onPanStart), i.on("panend", n._onPanEnd), n;
          }return function (t, e) {
            if ("function" != typeof e && null !== e) throw new TypeError("Super expression must either be null or a function, not " + (typeof e === "undefined" ? "undefined" : _typeof2(e)));t.prototype = Object.create(e && e.prototype, { constructor: { value: t, enumerable: !1, writable: !0, configurable: !0 } }), e && (Object.setPrototypeOf ? Object.setPrototypeOf(t, e) : t.__proto__ = e);
          }(e, i.default), r(e, [{ key: "destroy", value: function value() {
              var t = this.panGesture;t.off("pan", this._onPan), t.off("panstart", this._onPanStart), t.off("panend", this._onPanEnd), t.destroy();
            } }]), e;
        }();e.default = s;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = s(n(2)),
            i = s(n(0)),
            a = n(3);function s(t) {
          return t && t.__esModule ? t : { default: t };
        }var u = Math.abs,
            c = { thresholdX: 10, thresholdY: 10, touchAction: "auto", touchActionRatio: .5 },
            l = function () {
          function t(e, n) {
            var r = this;!function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, t), this.startX = null, this.startY = null, this.panStartX = null, this.panStartY = null, this.deltaX = 0, this.deltaY = 0, this.events = { panstart: [], pan: [], panend: [], pancancel: [] }, this.onTouchStart = function (t) {}, this.handlePanStart = function (t) {
              if (t.preventDefault(), null === r.panStartX || null === r.panStartY) return r.panStartX = (0, a.pxTo750)(t.touches[0].pageX), r.panStartY = (0, a.pxTo750)(t.touches[0].pageY), void r.events.panstart.forEach(function (e) {
                e(t);
              });
            }, this.onTouchMove = function (t) {
              var e = r.config,
                  n = e.thresholdX,
                  o = e.thresholdY,
                  i = e.touchAction,
                  s = e.touchActionRatio;null !== r.startX && null !== r.startY || (r.startX = t.touches[0].pageX, r.startY = t.touches[0].pageY);var c = t.touches[0].pageX - r.startX,
                  l = t.touches[0].pageY - r.startY;switch (i) {case "auto":
                  t.preventDefault(), (u(c) >= n || u(l) >= o) && r.handlePanStart(t);break;case "pan-x":
                  u(c) >= n && u(l / c) < s && u(l) < o && r.handlePanStart(t);break;case "pan-y":
                  u(l) >= o && u(c / l) < s && u(c) < n && r.handlePanStart(t);}if (null !== r.panStartX && null !== r.panStartY) {
                switch (i) {case "auto":
                    r.deltaX = (0, a.pxTo750)(t.touches[0].pageX) - r.panStartX, r.deltaY = (0, a.pxTo750)(t.touches[0].pageY) - r.panStartY;break;case "pan-x":
                    r.deltaX = (0, a.pxTo750)(t.touches[0].pageX) - r.panStartX, r.deltaY = 0;break;case "pan-y":
                    r.deltaX = 0, r.deltaY = (0, a.pxTo750)(t.touches[0].pageY) - r.panStartY;}t.deltaX = r.deltaX, t.deltaY = r.deltaY, r.events.pan.forEach(function (e) {
                  e(t);
                });
              }
            }, this.onTouchEnd = function (t) {
              t.deltaX = r.deltaX, t.deltaY = r.deltaY, r.events.panend.forEach(function (e) {
                e(t);
              });
            }, this.onTouchCancel = function (t) {
              t.deltaX = r.deltaX, t.deltaY = r.deltaY, r.events.pancancel.forEach(function (e) {
                e(t);
              });
            }, this.el = e, this.config = (0, i.default)(c, n), this.el.addEventListener("touchstart", this.onTouchStart), this.el.addEventListener("touchmove", this.onTouchMove), this.el.addEventListener("touchend", this.onTouchEnd), this.el.addEventListener("touchcancel", this.onTouchCancel);
          }return r(t, [{ key: "on", value: function value(t, e) {
              this.events[t] && this.events[t].push(e);
            } }, { key: "destroy", value: function value() {
              this.el.removeEventListener("touchstart", this.onTouchStart), this.el.removeEventListener("touchmove", this.onTouchMove), this.el.removeEventListener("touchend", this.onTouchEnd), this.el.removeEventListener("touchcancel", this.onTouchCancel), this.offAll(), this.startX = null, this.startY = null, this.panStartX = null, this.panStartY = null;
            } }, { key: "offAll", value: function value() {
              var t = this;o.default.map(this.events, function (e, n) {
                o.default.forEach(e, function (e) {
                  t.off(n, e);
                });
              });
            } }, { key: "off", value: function value(t, e) {
              if (t && t && this.events[t] && this.events[t].length) {
                if (!e) return;var n = o.default.find(this.events[t], function (t) {
                  return t === e;
                }),
                    r = o.default.findIndex(this.events[t], function (t) {
                  return t === e;
                });n && this.events[t].splice(r, 1);
              }
            } }]), t;
        }();e.default = l;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = l(n(5)),
            i = l(n(15)),
            a = l(n(7)),
            s = n(4),
            u = l(n(1)),
            c = l(n(0));function l(t) {
          return t && t.__esModule ? t : { default: t };
        }var f = function (t) {
          function e(t) {
            !function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, e);var n = function (t, e) {
              if (!t) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return !e || "object" != (typeof e === "undefined" ? "undefined" : _typeof2(e)) && "function" != typeof e ? t : e;
            }(this, (e.__proto__ || Object.getPrototypeOf(e)).call(this, t));return n.binding = null, n.control = null, n.start = null, n.timer = null, n._onOrientation = function (t) {
              n.binding.options.props.forEach(function (e) {
                var r = e.element,
                    o = e.property,
                    i = e.expression,
                    a = JSON.parse(i.transformed),
                    s = n.binding.getValue(t, a);n.binding.setProperty(r, o, s);
              });
            }, n.options = (0, c.default)({ sceneType: "2d" }, t.options.options), n.binding = t, "2d" === n.options.sceneType.toLowerCase() ? (n.controlX = new i.default({ beta: 90 }), n.controlY = new i.default({ gamma: 90, alpha: 0 })) : n.control = new i.default(), n.run(), n;
          }return function (t, e) {
            if ("function" != typeof e && null !== e) throw new TypeError("Super expression must either be null or a function, not " + (typeof e === "undefined" ? "undefined" : _typeof2(e)));t.prototype = Object.create(e && e.prototype, { constructor: { value: t, enumerable: !1, writable: !0, configurable: !0 } }), e && (Object.setPrototypeOf ? Object.setPrototypeOf(t, e) : t.__proto__ = e);
          }(e, u.default), r(e, [{ key: "run", value: function value() {
              var t = this;if ("2d" === this.options.sceneType.toLowerCase()) {
                this.controlX.update(), this.controlY.update();var e = this.controlX.deviceOrientation,
                    n = e.alpha,
                    r = e.beta,
                    i = e.gamma,
                    u = e.dalpha,
                    c = e.dbeta,
                    l = e.dgamma,
                    f = new o.default(0, 0, 1);f.applyQuaternion(this.controlX.quaternion);var p = new o.default(0, 1, 1);p.applyQuaternion(this.controlY.quaternion);var h = a.default.radToDeg(Math.acos(f.x)) - 90,
                    d = a.default.radToDeg(Math.acos(p.y)) - 90;if (this.start || isNaN(h) || isNaN(d) || (this.start = { x: h, y: d }), this.start) {
                  var v = h - this.start.x,
                      y = d - this.start.y;this._onOrientation({ x: h, y: d, dx: v, dy: y, alpha: n, beta: r, gamma: i, dalpha: u, dbeta: c, dgamma: l });
                }
              } else {
                this.control.update();var g = this.control.deviceOrientation,
                    b = g.alpha,
                    m = g.beta,
                    x = g.gamma,
                    _ = g.dalpha,
                    w = g.dbeta,
                    E = g.dgamma,
                    O = this.control.quaternion,
                    k = O.x,
                    S = O.y,
                    P = O.z;this._onOrientation({ alpha: b, beta: m, gamma: x, dalpha: _, dbeta: w, dgamma: E, x: k, y: S, z: P });
              }this.timer = (0, s.raf)(function () {
                t.run();
              });
            } }, { key: "destroy", value: function value() {
              this.timer && ((0, s.cancelRAF)(this.timer), this.timer = null);
            } }]), e;
        }();e.default = f;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = u(n(6)),
            o = u(n(5)),
            i = u(n(16)),
            a = u(n(7)),
            s = u(n(0));function u(t) {
          return t && t.__esModule ? t : { default: t };
        }function c(t) {
          return void 0 === t || isNaN(t) || null === t;
        }e.default = function (t) {
          var e = this;this.object = (0, s.default)({ alphaOffsetAngle: 0, betaOffsetAngle: 0, gammaOffsetAngle: 0 }, t), this.alphaOffsetAngle = this.object.alphaOffsetAngle, this.betaOffsetAngle = this.object.betaOffsetAngle, this.gammaOffsetAngle = this.object.gammaOffsetAngle, this.quaternion = new r.default(0, 0, 0, 1), this.enabled = !0, this.deviceOrientation = {}, this.screenOrientation = 0, this.start = null, this.recordsAlpha = [];var n = function n(t) {
            var n = t.alpha,
                r = t.beta,
                o = t.gamma,
                i = e.recordsAlpha;e.start || (e.start = { alpha: n, beta: r, gamma: o }), i.push(n), i.length > 5 && (i = function (t, e) {
              var n = t.length,
                  r = 0;if (n > 1) for (var o = 0; o < n; o++) {
                void 0 != t[o - 1] && void 0 != t[o] && (t[o] - t[o - 1] < -e / 2 && (r = Math.floor(t[o - 1] / e) + 1, t[o] = t[o] + r * e), t[o] - t[o - 1] > e / 2 && (t[o] = t[o] - e));
              }return t;
            }(i, 360)).shift();var a = (i[i.length - 1] - e.start.alpha) % 360;c(n) || c(r) || c(o) || (e.enabled = !0), e.deviceOrientation = { alpha: n, beta: r, gamma: o, formatAlpha: a, dalpha: n - e.start.alpha, dbeta: r - e.start.beta, dgamma: o - e.start.gamma };
          },
              u = function u() {
            e.screenOrientation = window.orientation || 0;
          },
              l = function () {
            var t = new o.default(0, 0, 1),
                e = new i.default(),
                n = new r.default(),
                a = new r.default(-Math.sqrt(.5), 0, 0, Math.sqrt(.5));return function (r, o, i, s, u) {
              e.set(i, o, -s, "YXZ"), r.setFromEuler(e), r.multiply(a), r.multiply(n.setFromAxisAngle(t, -u));
            };
          }();this.connect = function () {
            u(), window.addEventListener("orientationchange", u, !1), window.addEventListener("deviceorientation", n, !1);
          }, this.disconnect = function () {
            window.removeEventListener("orientationchange", u, !1), window.removeEventListener("deviceorientation", n, !1), e.enabled = !1;
          }, this.update = function () {
            if (!1 !== e.enabled) {
              var t = c(e.deviceOrientation.formatAlpha) ? 0 : a.default.degToRad(c(e.object.alpha) ? e.deviceOrientation.formatAlpha + e.alphaOffsetAngle : e.object.alpha),
                  n = c(e.deviceOrientation.beta) ? 0 : a.default.degToRad(c(e.object.beta) ? e.deviceOrientation.beta + e.betaOffsetAngle : e.object.beta),
                  r = c(e.deviceOrientation.gamma) ? 0 : a.default.degToRad(c(e.object.gamma) ? e.deviceOrientation.gamma + e.gammaOffsetAngle : e.object.gamma),
                  o = e.screenOrientation ? a.default.degToRad(e.screenOrientation) : 0;l(e.quaternion, t, n, r, o);
            }
          }, this.updateAlphaOffsetAngle = function (t) {
            this.alphaOffsetAngle = t, this.update();
          }, this.updateBetaOffsetAngle = function (t) {
            this.betaOffsetAngle = t, this.update();
          }, this.updateGammaOffsetAngle = function (t) {
            this.gammaOffsetAngle = t, this.update();
          }, this.dispose = function () {
            this.disconnect();
          }, this.connect();
        };
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }();var o = function () {
          function t(e, n, r, o) {
            !function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, t), this.isEuler = !0, this._x = 0, this._y = 0, this._z = 0, this._x = e || 0, this._y = n || 0, this._z = r || 0, this._order = o || t.DefaultOrder;
          }return r(t, [{ key: "set", value: function value(t, e, n, r) {
              return this._x = t, this._y = e, this._z = n, this._order = r || this._order, this.onChangeCallback(), this;
            } }, { key: "onChange", value: function value(t) {
              return this.onChangeCallback = t, this;
            } }, { key: "onChangeCallback", value: function value() {} }, { key: "order", get: function get() {
              return this._order;
            }, set: function set(t) {
              this._order = t, this.onChangeCallback();
            } }]), t;
        }();o.RotationOrders = ["XYZ", "YZX", "ZXY", "XZY", "YXZ", "ZYX"], o.DefaultOrder = "XYZ", e.default = o;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = Object.assign || function (t) {
          for (var e = 1; e < arguments.length; e++) {
            var n = arguments[e];for (var r in n) {
              Object.prototype.hasOwnProperty.call(n, r) && (t[r] = n[r]);
            }
          }return t;
        },
            o = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            i = s(n(4)),
            a = s(n(1));function s(t) {
          return t && t.__esModule ? t : { default: t };
        }var u = function (t) {
          function e(t) {
            !function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, e);var n = function (t, e) {
              if (!t) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return !e || "object" != (typeof e === "undefined" ? "undefined" : _typeof2(e)) && "function" != typeof e ? t : e;
            }(this, (e.__proto__ || Object.getPrototypeOf(e)).call(this, t)),
                o = n.binding.options,
                a = o.props,
                s = void 0 === a ? [] : a,
                u = o.exitExpression;s.forEach(function (t) {
              var e = t.expression;e && e.transformed && "string" == typeof e.transformed && (e.transformed = JSON.parse(e.transformed));
            });var c = void 0;return u && u.transformed && (c = JSON.parse(u.transformed)), (n.animation = new i.default({ duration: 1 / 0, easing: "linear", onStart: function onStart() {
                n.binding.callback({ state: "start", t: 0 });
              }, onRun: function onRun(t) {
                c && n.binding.getValue({ t: t.t }, c) && n.animation.stop(), s.forEach(function (e) {
                  n.animate(r({ exitTransformed: c, t: t.t }, e));
                });
              }, onStop: function onStop(t) {
                n.binding.callback({ state: "exit", t: t.t - 1e3 / 60 });
              } })).run(), n;
          }return function (t, e) {
            if ("function" != typeof e && null !== e) throw new TypeError("Super expression must either be null or a function, not " + (typeof e === "undefined" ? "undefined" : _typeof2(e)));t.prototype = Object.create(e && e.prototype, { constructor: { value: t, enumerable: !1, writable: !0, configurable: !0 } }), e && (Object.setPrototypeOf ? Object.setPrototypeOf(t, e) : t.__proto__ = e);
          }(e, a.default), o(e, [{ key: "animate", value: function value(t) {
              var e = t.element,
                  n = t.property,
                  r = t.expression,
                  o = t.t,
                  i = this.binding.getValue({ t: o }, r.transformed);this.binding.setProperty(e, n, i);
            } }, { key: "destroy", value: function value() {
              this.animation && this.animation.stop();
            } }]), e;
        }();e.default = u;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = function (t) {
          return t && t.__esModule ? t : { default: t };
        }(n(1)),
            i = n(3);function a(t, e) {
          return t / e < 0;
        }var s = function (t) {
          function e(t) {
            !function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, e);var n = function (t, e) {
              if (!t) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return !e || "object" != (typeof e === "undefined" ? "undefined" : _typeof2(e)) && "function" != typeof e ? t : e;
            }(this, (e.__proto__ || Object.getPrototypeOf(e)).call(this, t));n.dx = 0, n.dy = 0, n.prevX = null, n.prevY = null, n.tx = 0, n.ty = 0, n.tdx = 0, n.tdy = 0, n._onScroll = function (t) {
              var e = n.binding.options.props,
                  r = n.binding.callback,
                  o = (0, i.pxTo750)(t.target.scrollLeft),
                  s = (0, i.pxTo750)(t.target.scrollTop);if (e.forEach(function (t) {
                var e = t.element,
                    r = t.property,
                    i = t.expression,
                    a = JSON.parse(i.transformed),
                    u = n.binding.getValue({ x: o, y: s, dx: n.dx, dy: n.dy, tdx: n.tdx, tdy: n.tdy }, a);n.binding.setProperty(e, r, u);
              }), null !== n.prevX && null !== n.prevY) {
                var u = o - n.prevX,
                    c = s - n.prevY,
                    l = { x: o, y: s };a(n.dx, u) && (n.tx = o, l.state = "turn"), a(n.dy, c) && (n.ty = s, l.state = "turn"), n.dx = l.dx = o - n.prevX, n.dy = l.dy = s - n.prevY, n.tdx = l.tdx = o - n.tx, n.tdy = l.tdy = s - n.ty, l.state && r(l);
              }n.prevX = o, n.prevY = s;
            };var r = t.options.anchor;return n.tx = (0, i.pxTo750)(r.scrollLeft), n.ty = (0, i.pxTo750)(r.scrollTop), r.addEventListener("scroll", n._onScroll), n;
          }return function (t, e) {
            if ("function" != typeof e && null !== e) throw new TypeError("Super expression must either be null or a function, not " + (typeof e === "undefined" ? "undefined" : _typeof2(e)));t.prototype = Object.create(e && e.prototype, { constructor: { value: t, enumerable: !1, writable: !0, configurable: !0 } }), e && (Object.setPrototypeOf ? Object.setPrototypeOf(t, e) : t.__proto__ = e);
          }(e, o.default), r(e, [{ key: "destroy", value: function value() {
              this.binding.options.anchor.removeEventListener("scroll", this._onScroll);
            } }]), e;
        }();e.default = s;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = a(n(8)),
            i = a(n(1));function a(t) {
          return t && t.__esModule ? t : { default: t };
        }var s = function (t) {
          function e(t) {
            !function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, e);var n = function (t, e) {
              if (!t) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return !e || "object" != (typeof e === "undefined" ? "undefined" : _typeof2(e)) && "function" != typeof e ? t : e;
            }(this, (e.__proto__ || Object.getPrototypeOf(e)).call(this, t));n._onPinch = function (t) {
              var e = t.scale,
                  r = n.binding.options.props;(void 0 === r ? [] : r).forEach(function (t) {
                var r = t.element,
                    o = t.property,
                    i = t.expression,
                    a = JSON.parse(i.transformed),
                    s = n.binding.getValue({ s: e }, a);n.binding.setProperty(r, o, s), r.style.transition = "", r.style.webkitTransition = "";
              });
            }, n._onPinchStart = function (t) {
              n.binding.callback({ scale: parseInt(t.scale), state: "start" });
            }, n._onPinchEnd = function (t) {
              n.binding.callback({ scale: parseInt(t.scale), state: "end" });
            };var r = t.options.anchor,
                i = n.pinchGesture = new o.default(r, t.options.options);return i.on("pinch", n._onPinch), i.on("pinchstart", n._onPinchStart), i.on("pinchend", n._onPinchEnd), n;
          }return function (t, e) {
            if ("function" != typeof e && null !== e) throw new TypeError("Super expression must either be null or a function, not " + (typeof e === "undefined" ? "undefined" : _typeof2(e)));t.prototype = Object.create(e && e.prototype, { constructor: { value: t, enumerable: !1, writable: !0, configurable: !0 } }), e && (Object.setPrototypeOf ? Object.setPrototypeOf(t, e) : t.__proto__ = e);
          }(e, i.default), r(e, [{ key: "destroy", value: function value() {
              var t = this.pinchGesture;t.off("pinchstart", this._onPinchStart), t.off("pinchend", this._onPinchEnd), t.off("pinch", this._onPinch), t.destroy();
            } }]), e;
        }();e.default = s;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function () {
          function t(t, e) {
            for (var n = 0; n < e.length; n++) {
              var r = e[n];r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
            }
          }return function (e, n, r) {
            return n && t(e.prototype, n), r && t(e, r), e;
          };
        }(),
            o = a(n(8)),
            i = a(n(1));function a(t) {
          return t && t.__esModule ? t : { default: t };
        }var s = function (t) {
          function e(t) {
            !function (t, e) {
              if (!(t instanceof e)) throw new TypeError("Cannot call a class as a function");
            }(this, e);var n = function (t, e) {
              if (!t) throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return !e || "object" != (typeof e === "undefined" ? "undefined" : _typeof2(e)) && "function" != typeof e ? t : e;
            }(this, (e.__proto__ || Object.getPrototypeOf(e)).call(this, t));n._onRotation = function (t) {
              var e = t.rotation,
                  r = n.binding.options.props;(void 0 === r ? [] : r).forEach(function (t) {
                var r = t.element,
                    o = t.property,
                    i = t.expression,
                    a = JSON.parse(i.transformed),
                    s = n.binding.getValue({ r: e }, a);n.binding.setProperty(r, o, s), r.style.transition = "", r.style.webkitTransition = "";
              });
            }, n._onRotationStart = function (t) {
              n.binding.callback({ rotation: parseInt(t.rotation), state: "start" });
            }, n._onRotationEnd = function (t) {
              n.binding.callback({ rotation: parseInt(t.rotation), state: "end" });
            };var r = t.options.anchor,
                i = n.rotationGesture = new o.default(r, t.options.options);return i.on("rotation", n._onRotation), i.on("rotationstart", n._onRotationStart), i.on("rotationend", n._onRotationEnd), n;
          }return function (t, e) {
            if ("function" != typeof e && null !== e) throw new TypeError("Super expression must either be null or a function, not " + (typeof e === "undefined" ? "undefined" : _typeof2(e)));t.prototype = Object.create(e && e.prototype, { constructor: { value: t, enumerable: !1, writable: !0, configurable: !0 } }), e && (Object.setPrototypeOf ? Object.setPrototypeOf(t, e) : t.__proto__ = e);
          }(e, i.default), r(e, [{ key: "destroy", value: function value() {
              var t = this.rotationGesture;t.off("rotationstart", this._onRotationStart), t.off("rotationend", this._onRotationEnd), t.off("rotation", this._onRotation), t.destroy();
            } }]), e;
        }();e.default = s;
      }, function (t, e, n) {
        "use strict";
        Object.defineProperty(e, "__esModule", { value: !0 });var r = function (t) {
          return t && t.__esModule ? t : { default: t };
        }(n(2)),
            o = n(4);function i(t) {
          var e = t.replace(/'|"|#/g, "");return parseInt(e, 16);
        }function a(t) {
          var e = t.replace(/'|"|#/g, ""),
              n = "" + (e = 3 === e.length ? [e[0], e[0], e[1], e[1], e[2], e[2]].join("") : e)[0] + e[1],
              r = "" + e[2] + e[3],
              o = "" + e[4] + e[5];return { r: n, g: r, b: o, dr: i(n), dg: i(r), db: i(o) };
        }var s = { max: Math.max, min: Math.min, sin: Math.sin, cos: Math.cos, tan: Math.tan, sqrt: Math.sqrt, cbrt: Math.cbrt, log: Math.log, abs: Math.abs, atan: Math.atan, floor: Math.floor, ceil: Math.ceil, pow: Math.pow, exp: Math.exp, PI: Math.PI, E: Math.E, acos: Math.acos, asin: Math.asin, sign: Math.sign, atan2: Math.atan2, round: Math.round, rgb: function rgb(t, e, n) {
            return "rgb(" + parseInt(t) + "," + parseInt(e) + "," + parseInt(n) + ")";
          }, rgba: function rgba(t, e, n, r) {
            return "rgb(" + parseInt(t) + "," + parseInt(e) + "," + parseInt(n) + "," + r + ")";
          }, getArgs: function getArgs() {
            return arguments;
          }, evaluateColor: function evaluateColor(t, e, n) {
            n = n > 1 ? 1 : n;var r = a(t),
                o = a(e);return "#" + function (t) {
              for (var e = t.toString(16), n = [], r = 0; r < 6 - e.length; r++) {
                n.push("0");
              }return n.join("") + e;
            }(16 * parseInt((o.dr - r.dr) * n + r.dr) * 16 * 16 * 16 + 16 * parseInt((o.dg - r.dg) * n + r.dg) * 16 + parseInt((o.db - r.db) * n + r.db));
          }, svgDrawCmd: function svgDrawCmd(t, e, n) {
            return { index: t, values: e, cmd: n };
          }, svgDrawCmds: function svgDrawCmds() {
            return arguments;
          }, asArray: function asArray() {
            return [].concat(Array.prototype.slice.call(arguments));
          } };r.default.map(o.Easing, function (t, e) {
          "cubicBezier" !== e && (s[e] = function (e, n, r, o) {
            return e = Math.max(Math.min(e / o, 1)), t(e) * r + n;
          });
        }), s.cubicBezier = function (t, e, n, r, i, a, s, u) {
          t = Math.max(Math.min(t / r, 1));var c = 1e3 / 60 / r / 4;return (0, o.Bezier)(i, a, s, u, c)(t) * n + e;
        }, e.default = s;
      }]);
    });
  }]);
});

/***/ }),
/* 213 */
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.requestData) ? _c('guess-like', {
    ref: "guesslike",
    staticClass: ["wrap"],
    on: {
      "onrefresh": _vm.onrefresh
    }
  }, [_c('notice', {
    attrs: {
      "notice": _vm.requestData.notice,
      "isShowNotice": _vm.showNotice
    }
  }), (_vm.requestData.brand) ? _c('banner', {
    attrs: {
      "banners": _vm.requestData.banner
    }
  }) : _vm._e(), (_vm.requestData.littleBanner) ? _c('small-banner', {
    attrs: {
      "banner": _vm.requestData.littleBanner
    }
  }) : _vm._e(), (_vm.requestData.littleBanner) ? _c('HLine') : _vm._e(), (_vm.requestData.experience) ? _c('why-choose', {
    ref: "whychoose",
    attrs: {
      "experience": _vm.requestData.experience,
      "isVideo": _vm.isVideo
    }
  }) : _vm._e(), (_vm.requestData.experience) ? _c('HLine') : _vm._e(), (_vm.requestData.productSpecial) ? _c('timed-specials', {
    ref: "timedSpecials",
    attrs: {
      "productSpecial": _vm.requestData.productSpecial
    }
  }) : _vm._e(), (_vm.requestData.productSpecial) ? _c('HLine') : _vm._e(), (_vm.requestData.hotItem) ? _c('hot-products', {
    ref: "hotProducts",
    attrs: {
      "hotItem": _vm.requestData.hotItem
    }
  }) : _vm._e(), (_vm.requestData.hotItem) ? _c('HLine') : _vm._e(), (_vm.requestData.todayPuton) ? _c('today-update', {
    ref: "todayUpdate",
    attrs: {
      "todayPuton": _vm.requestData.todayPuton
    }
  }) : _vm._e(), (_vm.requestData.todayPuton) ? _c('HLine') : _vm._e(), (_vm.requestData.userRecommend) ? _c('seller-recommend', {
    ref: "sellerRecommend",
    attrs: {
      "userRecommend": _vm.requestData.userRecommend
    }
  }) : _vm._e(), (_vm.requestData.userRecommend) ? _c('HLine') : _vm._e(), (_vm.requestData.productRecommend) ? _c('hundred-special', {
    ref: "hundredSpecial",
    attrs: {
      "productRecommend": _vm.requestData.productRecommend
    }
  }) : _vm._e(), (_vm.requestData.productRecommend) ? _c('HLine') : _vm._e(), (_vm.requestData.brand) ? _c('brand-pavilion', {
    ref: "brandPavilion",
    attrs: {
      "brand": _vm.requestData.brand
    }
  }) : _vm._e(), (_vm.requestData.brand) ? _c('HLine') : _vm._e(), (_vm.requestData.secondHand) ? _c('second-goods', {
    ref: "secondGoods",
    attrs: {
      "secondHand": _vm.requestData.secondHand
    }
  }) : _vm._e(), (_vm.requestData.secondHand) ? _c('HLine') : _vm._e(), (_vm.requestData.topicRecommend) ? _c('topic-recommend', {
    ref: "topicRecommend",
    attrs: {
      "topicRecommend": _vm.requestData.topicRecommend
    }
  }) : _vm._e(), (_vm.requestData.topicRecommend) ? _c('HLine') : _vm._e()], 1) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })
/******/ ]);